(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[     94903,       2051]
NotebookOptionsPosition[     91004,       1928]
NotebookOutlinePosition[     92601,       1978]
CellTagsIndexPosition[     92273,       1966]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Exploring the Black-Scholes Formula", "DemoTitle",
 CellChangeTimes->{
  3.35696210375764*^9, {3.421380067045643*^9, 3.42138008373048*^9}}],

Cell[CellGroupData[{

Cell["", "InitializationSection"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"BlackScholesPut", "[", 
    RowBox[{
    "s_", ",", "k_", ",", "\[Sigma]_", ",", "r_", ",", "d_", ",", "t_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "r"}], " ", "t"}]], " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Erf", "[", 
        FractionBox[
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox["t"], " ", "\[Sigma]"}], "2"], "-", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r", "-", "d"}], ")"}], " ", "t"}], "+", 
            RowBox[{"Log", "[", 
             FractionBox["s", "k"], "]"}]}], 
           RowBox[{
            SqrtBox["t"], " ", "\[Sigma]"}]]}], 
         SqrtBox["2"]], "]"}], "+", "1"}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "d"}], " ", "t"}]], " ", "s", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Erf", "[", 
        FractionBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            FractionBox["1", "2"]}], " ", 
           RowBox[{"(", 
            RowBox[{
             SqrtBox["t"], " ", "\[Sigma]"}], ")"}]}], "-", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r", "-", "d"}], ")"}], " ", "t"}], "+", 
            RowBox[{"Log", "[", 
             FractionBox["s", "k"], "]"}]}], 
           RowBox[{
            SqrtBox["t"], " ", "\[Sigma]"}]]}], 
         SqrtBox["2"]], "]"}], "+", "1"}], ")"}]}]}]}], ";", 
  RowBox[{
   RowBox[{"BlackScholesCall", "[", 
    RowBox[{
    "s_", ",", "k_", ",", "\[Sigma]_", ",", "r_", ",", "d_", ",", "t_"}], 
    "]"}], ":=", 
   RowBox[{
    RowBox[{
     FractionBox["1", "2"], " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "d"}], " ", "t"}]], " ", "s", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Erf", "[", 
        FractionBox[
         RowBox[{
          FractionBox[
           RowBox[{
            SqrtBox["t"], " ", "\[Sigma]"}], "2"], "+", 
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r", "-", "d"}], ")"}], " ", "t"}], "+", 
            RowBox[{"Log", "[", 
             FractionBox["s", "k"], "]"}]}], 
           RowBox[{
            SqrtBox["t"], " ", "\[Sigma]"}]]}], 
         SqrtBox["2"]], "]"}], "+", "1"}], ")"}]}], "-", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "r"}], " ", "t"}]], " ", "k", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Erf", "[", 
        FractionBox[
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"r", "-", "d"}], ")"}], " ", "t"}], "+", 
            RowBox[{"Log", "[", 
             FractionBox["s", "k"], "]"}]}], 
           RowBox[{
            SqrtBox["t"], " ", "\[Sigma]"}]], "-", 
          FractionBox[
           RowBox[{
            SqrtBox["t"], " ", "\[Sigma]"}], "2"]}], 
         SqrtBox["2"]], "]"}], "+", "1"}], ")"}]}]}]}], ";", 
  RowBox[{"params", "=", 
   RowBox[{"{", 
    RowBox[{
    "stock", ",", "strike", ",", "volatility", ",", "riskfree", ",", 
     "dividend", ",", "expiry"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
    "aa", ",", "bb", ",", "cc", ",", "dd", ",", "ee", ",", "ff", ",", "gg", 
     ",", "hh", ",", "kk", ",", "ll", ",", "mm", ",", "nn", ",", "oo", ",", 
     "pp", ",", "qq"}], "}"}], "=", 
   RowBox[{"Subsets", "[", 
    RowBox[{"params", ",", 
     RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
  RowBox[{
   RowBox[{"range", "[", "stock", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"stock", ",", "0", ",", "200"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"range", "[", "strike", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"strike", ",", "0", ",", "200"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"range", "[", "volatility", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"volatility", ",", "0.1", ",", "1"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"range", "[", "riskfree", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"riskfree", ",", "0.1", ",", "1"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"range", "[", "dividend", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"dividend", ",", "0.1", ",", "1"}], "}"}]}], ";", 
  RowBox[{
   RowBox[{"range", "[", "expiry", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{"expiry", ",", "0.1", ",", "1"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"makelabel", "[", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "riskfree"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"ToString", "[", "a", "]"}], "<>", "\"\< and \>\"", "<>", 
    "\"\<risk-free\>\""}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"makelabel", "[", 
    RowBox[{"{", 
     RowBox[{"riskfree", ",", "b_"}], "}"}], "]"}], ":=", 
   RowBox[{"\"\<risk-free\>\"", "<>", "\"\< and \>\"", "<>", 
    RowBox[{"ToString", "[", "b", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"makelabel", "[", 
    RowBox[{"{", 
     RowBox[{"a_", ",", "b_"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{"ToString", "[", "a", "]"}], "<>", "\"\< and \>\"", "<>", 
    RowBox[{"ToString", "[", "b", "]"}]}]}], ";"}]}], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.421378005505373*^9, 3.421378006762751*^9}, {
   3.421380219659648*^9, 3.42138025585778*^9}, {3.421390789786385*^9, 
   3.421390846849408*^9}, 3.421390877430307*^9, {3.4213979078734207`*^9, 
   3.4213979360422792`*^9}, {3.4240367503078117`*^9, 3.424036755339053*^9}, 
   3.424050940976522*^9, {3.424051122821267*^9, 3.4240511242127867`*^9}, {
   3.424051919594795*^9, 3.424051920578608*^9}, {3.424052005014637*^9, 
   3.424052018092065*^9}, {3.424052244161027*^9, 3.424052292161531*^9}, {
   3.424718072864369*^9, 3.424718090324244*^9}},
 CellID->1618895985]
}, Closed]],

Cell[CellGroupData[{

Cell["", "ManipulateSection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Graphics3D", "[", 
        RowBox[{"{", 
         RowBox[{"Black", ",", 
          RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
          RowBox[{"Tooltip", "[", 
           RowBox[{
            RowBox[{"Point", "[", 
             RowBox[{
              RowBox[{"Flatten", "[", 
               RowBox[{"{", 
                RowBox[{"variables", ",", 
                 RowBox[{"F", "@@", "params"}]}], "}"}], "]"}], "/.", 
              RowBox[{"Thread", "[", 
               RowBox[{"params", "\[RuleDelayed]", 
                RowBox[{"{", 
                 RowBox[{
                 "p", ",", "s", ",", "v", ",", "rf", ",", "dv", ",", "e"}], 
                 "}"}]}], "]"}]}], "]"}], ",", 
            RowBox[{
             RowBox[{"F", "@@", "params"}], "/.", 
             RowBox[{"Thread", "[", 
              RowBox[{"params", "\[RuleDelayed]", 
               RowBox[{"{", 
                RowBox[{
                "p", ",", "s", ",", "v", ",", "rf", ",", "dv", ",", "e"}], 
                "}"}]}], "]"}]}]}], "]"}]}], "}"}], "]"}], ",", 
       RowBox[{
        RowBox[{"plot3D", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"F", "[", 
            RowBox[{
            "stock", ",", "strike", ",", "volatility", ",", "riskfree", ",", 
             "dividend", ",", "expiry"}], "]"}], "/.", "\[InvisibleSpace]", 
           RowBox[{"Thread", "[", 
            RowBox[{
             RowBox[{"Complement", "[", 
              RowBox[{"params", ",", "variables"}], "]"}], "\[Rule]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"Complement", "[", 
                RowBox[{"params", ",", "variables"}], "]"}], "/.", 
               "\[InvisibleSpace]", 
               RowBox[{"Thread", "[", 
                RowBox[{"params", "\[RuleDelayed]", 
                 RowBox[{"{", 
                  RowBox[{
                  "p", ",", "s", ",", "v", ",", "rf", ",", "dv", ",", "e"}], 
                  "}"}]}], "]"}]}], ")"}]}], "]"}]}], ",", 
          RowBox[{"range", "[", 
           RowBox[{
           "variables", "\[LeftDoubleBracket]", "1", 
            "\[RightDoubleBracket]"}], "]"}], ",", 
          RowBox[{"range", "[", 
           RowBox[{
           "variables", "\[LeftDoubleBracket]", "2", 
            "\[RightDoubleBracket]"}], "]"}], ",", 
          RowBox[{"Mesh", "\[Rule]", "MV"}], ",", 
          RowBox[{"PerformanceGoal", "\[Rule]", "Quality"}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"Full", ",", "Full", ",", "Full"}], "}"}]}], ",", 
          RowBox[{"PlotStyle", "\[Rule]", 
           RowBox[{"Opacity", "[", "0.5", "]"}]}]}], "]"}], "/.", 
        RowBox[{"plot3D", "\[Rule]", "Plot3D"}]}]}], "}"}], ",", 
     RowBox[{"Axes", "\[Rule]", "True"}], ",", 
     RowBox[{"TicksStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Green", ",", "Blue"}], "}"}]}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"Flatten", "[", 
       RowBox[{"{", 
        RowBox[{"variables", ",", "\"\<option value  \>\""}], "}"}], "]"}]}], 
     ",", 
     RowBox[{"BoxRatios", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "1", ",", "0.4"}], "}"}]}], ",", 
     RowBox[{"ImageSize", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"320", ",", "320"}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"F", ",", "BlackScholesPut", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"BlackScholesPut", "\[Rule]", "\"\<put option\>\""}], ",", 
       RowBox[{"BlackScholesCall", "\[Rule]", "\"\<call option\>\""}]}], 
      "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"p", ",", "50", ",", "\"\<stock price\>\""}], "}"}], ",", "1", 
     ",", "200", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"s", ",", "50", ",", "\"\<strike price\>\""}], "}"}], ",", "1", 
     ",", "200", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"v", ",", "0.4", ",", "\"\<stock volatility\>\""}], "}"}], ",", 
     "0.1", ",", "1", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"rf", ",", "0.25", ",", "\"\<risk-free rate of interest\>\""}], 
      "}"}], ",", "0.01", ",", "0.5", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dv", ",", "0.25", ",", "\"\<dividend yield\>\""}], "}"}], ",", 
     "0.01", ",", "0.5", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"e", ",", "0.25", ",", "\"\<time to expiry\>\""}], "}"}], ",", 
     "0.1", ",", "1", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"variables", ",", "aa", ",", "\"\< \>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"aa", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "aa", "]"}], "]"}]}], ",", 
       RowBox[{"bb", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "bb", "]"}], "]"}]}], ",", 
       RowBox[{"cc", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "cc", "]"}], "]"}]}], ",", 
       RowBox[{"dd", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "dd", "]"}], "]"}]}], ",", 
       RowBox[{"ee", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "ee", "]"}], "]"}]}], ",", 
       RowBox[{"ff", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "ff", "]"}], "]"}]}], ",", 
       RowBox[{"gg", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "gg", "]"}], "]"}]}], ",", 
       RowBox[{"hh", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "hh", "]"}], "]"}]}], ",", 
       RowBox[{"kk", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "kk", "]"}], "]"}]}], ",", 
       RowBox[{"ll", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "ll", "]"}], "]"}]}], ",", 
       RowBox[{"mm", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "mm", "]"}], "]"}]}], ",", 
       RowBox[{"nn", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "nn", "]"}], "]"}]}], ",", 
       RowBox[{"oo", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "oo", "]"}], "]"}]}], ",", 
       RowBox[{"pp", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "pp", "]"}], "]"}]}], ",", 
       RowBox[{"qq", "\[Rule]", 
        RowBox[{"Evaluate", "[", 
         RowBox[{"makelabel", "[", "qq", "]"}], "]"}]}]}], "}"}], ",", 
     "PopupMenu"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"MV", ",", "False", ",", "\"\<\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"False", "\[Rule]", "\"\<mesh off\>\""}], ",", 
       RowBox[{"True", "\[Rule]", "\"\<mesh on\>\""}]}], "}"}]}], "}"}], ",", 
   
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3", ",", "8", ",", "9"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.421399205959013*^9, 3.421399219526363*^9}, {
   3.4213992649713984`*^9, 3.4213992725776863`*^9}, {3.421400613135251*^9, 
   3.421400645089672*^9}, {3.422908718484887*^9, 3.422908808791247*^9}, {
   3.4229094061862307`*^9, 3.422909457137203*^9}, {3.422998585861224*^9, 
   3.422998618412273*^9}, {3.422998650162417*^9, 3.4229986512545967`*^9}, {
   3.423174352140625*^9, 3.42317442759375*^9}, {3.423174463015625*^9, 
   3.423174484546875*^9}, {3.423234444434541*^9, 3.423234459017725*^9}, {
   3.423239161226519*^9, 3.423239199398336*^9}, 3.423351955568109*^9, {
   3.423352004661921*^9, 3.4233520228078337`*^9}, {3.423352081858087*^9, 
   3.423352083298522*^9}, {3.4233521147958813`*^9, 3.423352156936295*^9}, {
   3.423352275869608*^9, 3.423352316355647*^9}, {3.423352383136032*^9, 
   3.423352383459282*^9}, {3.4233533026310987`*^9, 3.423353359413394*^9}, 
   3.4233535041637487`*^9, {3.423353568771994*^9, 3.423353569866493*^9}, {
   3.423353611909747*^9, 3.423353647410109*^9}, {3.423353866186245*^9, 
   3.423353893253352*^9}, {3.423354004144906*^9, 3.423354035150202*^9}, {
   3.423354133220223*^9, 3.4233541351338167`*^9}, {3.423354188936633*^9, 
   3.423354215223074*^9}, 3.423354253606286*^9, 3.4233542940716677`*^9, {
   3.423354332025236*^9, 3.423354332437233*^9}, 3.4233548829483213`*^9, {
   3.423359627958583*^9, 3.423359647299087*^9}, {3.423359731040238*^9, 
   3.423359743991887*^9}, {3.423730436289365*^9, 3.423730437198604*^9}, {
   3.423731086667877*^9, 3.423731101663681*^9}, {3.423731194321537*^9, 
   3.4237312031251583`*^9}, {3.423731237478065*^9, 3.4237312376982803`*^9}, {
   3.424051152068818*^9, 3.4240511618769817`*^9}, {3.4240512629721613`*^9, 
   3.424051336298757*^9}, {3.424051403748571*^9, 3.424051601061022*^9}, {
   3.4240519748231363`*^9, 3.424051976127673*^9}, {3.424053979550943*^9, 
   3.424054034239604*^9}, {3.424054093207287*^9, 3.4240540973437147`*^9}, {
   3.4246993125938864`*^9, 3.4246993141860456`*^9}, 3.424718253892654*^9, {
   3.424723844008809*^9, 3.4247238616022987`*^9}, {3.424723913964057*^9, 
   3.424723931023773*^9}, {3.4247240676712713`*^9, 3.424724112791666*^9}, {
   3.4247246987083263`*^9, 3.424724727929729*^9}, {3.424724761485118*^9, 
   3.424724804201494*^9}, {3.424724854420223*^9, 3.424724863494429*^9}, {
   3.424725018831079*^9, 3.424725068813923*^9}, 3.424725190849072*^9, {
   3.4247769345473995`*^9, 3.4247769370126457`*^9}, {3.4258383180270767`*^9, 
   3.4258383227965536`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
    0.25, $CellContext`F$$ = $CellContext`BlackScholesPut, $CellContext`MV$$ =
     False, $CellContext`p$$ = 50, $CellContext`rf$$ = 
    0.25, $CellContext`s$$ = 50, $CellContext`v$$ = 
    0.4, $CellContext`variables$$ = {$CellContext`stock, $CellContext`strike},
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`F$$], $CellContext`BlackScholesPut, 
       ""}, {$CellContext`BlackScholesPut -> 
       "put option", $CellContext`BlackScholesCall -> "call option"}}, {{
       Hold[$CellContext`p$$], 50, "stock price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`s$$], 50, "strike price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`v$$], 0.4, "stock volatility"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`rf$$], 0.25, "risk-free rate of interest"}, 0.01, 
      0.5, 0.01}, {{
       Hold[$CellContext`dv$$], 0.25, "dividend yield"}, 0.01, 0.5, 0.01}, {{
       Hold[$CellContext`e$$], 0.25, "time to expiry"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`variables$$], {$CellContext`stock, \
$CellContext`strike}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
       "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
       "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
       "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
       "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
       "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
       "strike and volatility", {$CellContext`strike, $CellContext`riskfree} -> 
       "strike and risk-free", {$CellContext`strike, $CellContext`dividend} -> 
       "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
       "strike and expiry", {$CellContext`volatility, $CellContext`riskfree} -> 
       "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
       "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
       "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
       "risk-free and dividend", {$CellContext`riskfree, $CellContext`expiry} -> 
       "risk-free and expiry", {$CellContext`dividend, $CellContext`expiry} -> 
       "dividend and expiry"}}, {{
       Hold[$CellContext`MV$$], False, ""}, {
      False -> "mesh off", True -> "mesh on"}}}, Typeset`size$$ = {
    320., {158., 162.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`F$148671$$ = 
    False, $CellContext`p$148672$$ = 0, $CellContext`s$148673$$ = 
    0, $CellContext`v$148674$$ = 0, $CellContext`rf$148675$$ = 
    0, $CellContext`dv$148676$$ = 0, $CellContext`e$148677$$ = 
    0, $CellContext`variables$148678$$ = False, $CellContext`MV$148679$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
        0.25, $CellContext`F$$ = $CellContext`BlackScholesPut, \
$CellContext`MV$$ = False, $CellContext`p$$ = 50, $CellContext`rf$$ = 
        0.25, $CellContext`s$$ = 50, $CellContext`v$$ = 
        0.4, $CellContext`variables$$ = {$CellContext`stock, \
$CellContext`strike}}, "ControllerVariables" :> {
        Hold[$CellContext`F$$, $CellContext`F$148671$$, False], 
        Hold[$CellContext`p$$, $CellContext`p$148672$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$148673$$, 0], 
        Hold[$CellContext`v$$, $CellContext`v$148674$$, 0], 
        Hold[$CellContext`rf$$, $CellContext`rf$148675$$, 0], 
        Hold[$CellContext`dv$$, $CellContext`dv$148676$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$148677$$, 0], 
        Hold[$CellContext`variables$$, $CellContext`variables$148678$$, 
         False], 
        Hold[$CellContext`MV$$, $CellContext`MV$148679$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         Graphics3D[{Black, 
           PointSize[0.02], 
           Tooltip[
            Point[
             ReplaceAll[
              Flatten[{$CellContext`variables$$, 
                Apply[$CellContext`F$$, $CellContext`params]}], 
              
              Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]], 
            ReplaceAll[
             Apply[$CellContext`F$$, $CellContext`params], 
             
             Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]}], 
         ReplaceAll[
          $CellContext`plot3D[
           ReplaceAll[
            $CellContext`F$$[$CellContext`stock, $CellContext`strike, \
$CellContext`volatility, $CellContext`riskfree, $CellContext`dividend, \
$CellContext`expiry], 
            Thread[
            Complement[$CellContext`params, $CellContext`variables$$] -> 
             ReplaceAll[
               Complement[$CellContext`params, $CellContext`variables$$], 
               
               Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 1]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 2]], Mesh -> $CellContext`MV$$, 
           PerformanceGoal -> $CellContext`Quality, 
           PlotRange -> {Full, Full, Full}, PlotStyle -> 
           Opacity[0.5]], $CellContext`plot3D -> Plot3D]}, Axes -> True, 
        TicksStyle -> {Red, Green, Blue}, AxesLabel -> 
        Flatten[{$CellContext`variables$$, "option value  "}], 
        BoxRatios -> {1, 1, 0.4}, ImageSize -> {320, 320}], 
      "Specifications" :> {{{$CellContext`F$$, $CellContext`BlackScholesPut, 
          ""}, {$CellContext`BlackScholesPut -> 
          "put option", $CellContext`BlackScholesCall -> 
          "call option"}}, {{$CellContext`p$$, 50, "stock price"}, 1, 200, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`s$$, 50, "strike price"}, 1, 200, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`v$$, 0.4, "stock volatility"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rf$$, 0.25, "risk-free rate of interest"}, 
         0.01, 0.5, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dv$$, 0.25, "dividend yield"}, 0.01, 0.5, 0.01,
          Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e$$, 0.25, "time to expiry"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`variables$$, {$CellContext`stock, \
$CellContext`strike}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
          "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
          "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
          "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
          "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
          "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
          "strike and volatility", {$CellContext`strike, \
$CellContext`riskfree} -> 
          "strike and risk-free", {$CellContext`strike, \
$CellContext`dividend} -> 
          "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
          "strike and expiry", {$CellContext`volatility, \
$CellContext`riskfree} -> 
          "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
          "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
          "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
          "risk-free and dividend", {$CellContext`riskfree, \
$CellContext`expiry} -> 
          "risk-free and expiry", {$CellContext`dividend, \
$CellContext`expiry} -> "dividend and expiry"}, ControlType -> 
         PopupMenu}, {{$CellContext`MV$$, False, ""}, {
         False -> "mesh off", True -> "mesh on"}}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 8, 9}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{655., {186., 191.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`params = {$CellContext`stock, \
$CellContext`strike, $CellContext`volatility, $CellContext`riskfree, \
$CellContext`dividend, $CellContext`expiry}, $CellContext`range[
        0.000014285714285714285`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        0.32500003214285716`] := {$CellContext`volatility, 0.1, 
         1}, $CellContext`range[
        14.285726530612246`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        42.85715102040817] := {$CellContext`strike, 0, 
         200}, $CellContext`range[
        78.57143163265306] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        85.71428775510205] := {$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`dividend] := \
{$CellContext`dividend, 0.1, 
         1}, $CellContext`range[$CellContext`expiry] := {$CellContext`expiry, 
         0.1, 1}, $CellContext`range[$CellContext`price] := \
{$CellContext`price, 0, 
         200}, $CellContext`range[$CellContext`riskfree] := \
{$CellContext`riskfree, 0.1, 
         1}, $CellContext`range[$CellContext`stock] := {$CellContext`stock, 0,
          200}, $CellContext`range[$CellContext`strike] := \
{$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`volatility] := \
{$CellContext`volatility, 0.1, 1}, 
       Attributes[PlotRange] = {ReadProtected}, $CellContext`BlackScholesPut[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`k (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 - (($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`r $CellContext`t) - ((1/2) $CellContext`s (
          Erf[((-(1/2)) (
               Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (($CellContext`r - \
$CellContext`d) $CellContext`t + Log[$CellContext`s/$CellContext`k])/(
             Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
        E^($CellContext`d $CellContext`t), $CellContext`BlackScholesCall[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`s (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 + (($CellContext`r - $CellContext`d) $CellContext`t + 
                Log[$CellContext`s/$CellContext`k])/(
               Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`d $CellContext`t) - ((1/2) $CellContext`k (
          Erf[((($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (
              Sqrt[$CellContext`t] $CellContext`\[Sigma])/2)/Sqrt[2]] + 1))/
        E^($CellContext`r $CellContext`t)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->54892335]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateCaptionSection"],

Cell["\<\
This Demonstration graphically explores the Black\[Dash]Scholes formula for \
the value of European call and put options. First, choose whether you wish to \
explore a call option or a put option. Next, using the pull-down menu, choose \
two (out of six) parameters that will be treated as independent variables in \
the graph (the option value being the dependent variable). Vary the remaining \
parameters (or the two chosen variables) to explore the changes in the option \
value and the shape of the surface. A point on the surface represents the \
option value for given values of the variables and parameters. To see the \
option value, turn the mesh off and place the mouse over the point.\
\>", "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4213993042875147`*^9, 3.421399364528296*^9}, {
   3.4214002889527187`*^9, 3.42140038674135*^9}, {3.421400455406399*^9, 
   3.421400508469182*^9}, {3.421400566650522*^9, 3.4214005763558598`*^9}, {
   3.421400691212523*^9, 3.421400936394487*^9}, {3.421401147747073*^9, 
   3.421401173149766*^9}, {3.421401504400755*^9, 3.421401613319447*^9}, {
   3.422909504731814*^9, 3.4229095167621183`*^9}, {3.423174500203125*^9, 
   3.42317451471875*^9}, {3.4232345095341253`*^9, 3.423234576607373*^9}, {
   3.4233598574135323`*^9, 3.4233599419815683`*^9}, 3.424051684011229*^9, 
   3.424718461521316*^9, {3.424718540242305*^9, 3.424718558550138*^9}, 
   3.4247228560891743`*^9, {3.424722962131295*^9, 3.424722976835778*^9}, {
   3.424723088657199*^9, 3.424723101000839*^9}, {3.424724227609919*^9, 
   3.424724228735002*^9}, {3.424725150851074*^9, 3.424725171928624*^9}, 
   3.424735646413653*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ThumbnailSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
    0.25, $CellContext`F$$ = $CellContext`BlackScholesPut, $CellContext`MV$$ =
     True, $CellContext`p$$ = 50, $CellContext`rf$$ = 0.25, $CellContext`s$$ =
     50, $CellContext`v$$ = 
    0.4, $CellContext`variables$$ = {$CellContext`stock, $CellContext`strike},
     Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`F$$], $CellContext`BlackScholesPut, 
       ""}, {$CellContext`BlackScholesPut -> 
       "put option", $CellContext`BlackScholesCall -> "call option"}}, {{
       Hold[$CellContext`p$$], 50, "stock price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`s$$], 50, "strike price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`v$$], 0.4, "stock volatility"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`rf$$], 0.25, "risk-free rate of interest"}, 0.01, 
      0.5, 0.01}, {{
       Hold[$CellContext`dv$$], 0.25, "dividend yield"}, 0.01, 0.5, 0.01}, {{
       Hold[$CellContext`e$$], 0.25, "time to expiry"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`variables$$], {$CellContext`stock, \
$CellContext`strike}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
       "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
       "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
       "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
       "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
       "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
       "strike and volatility", {$CellContext`strike, $CellContext`riskfree} -> 
       "strike and risk-free", {$CellContext`strike, $CellContext`dividend} -> 
       "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
       "strike and expiry", {$CellContext`volatility, $CellContext`riskfree} -> 
       "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
       "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
       "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
       "risk-free and dividend", {$CellContext`riskfree, $CellContext`expiry} -> 
       "risk-free and expiry", {$CellContext`dividend, $CellContext`expiry} -> 
       "dividend and expiry"}}, {{
       Hold[$CellContext`MV$$], True, ""}, {
      False -> "mesh off", True -> "mesh on"}}}, Typeset`size$$ = {
    320., {158., 162.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`F$148776$$ = 
    False, $CellContext`p$148777$$ = 0, $CellContext`s$148778$$ = 
    0, $CellContext`v$148779$$ = 0, $CellContext`rf$148780$$ = 
    0, $CellContext`dv$148781$$ = 0, $CellContext`e$148782$$ = 
    0, $CellContext`variables$148783$$ = False, $CellContext`MV$148784$$ = 
    False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
        0.25, $CellContext`F$$ = $CellContext`BlackScholesPut, \
$CellContext`MV$$ = True, $CellContext`p$$ = 50, $CellContext`rf$$ = 
        0.25, $CellContext`s$$ = 50, $CellContext`v$$ = 
        0.4, $CellContext`variables$$ = {$CellContext`stock, \
$CellContext`strike}}, "ControllerVariables" :> {
        Hold[$CellContext`F$$, $CellContext`F$148776$$, False], 
        Hold[$CellContext`p$$, $CellContext`p$148777$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$148778$$, 0], 
        Hold[$CellContext`v$$, $CellContext`v$148779$$, 0], 
        Hold[$CellContext`rf$$, $CellContext`rf$148780$$, 0], 
        Hold[$CellContext`dv$$, $CellContext`dv$148781$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$148782$$, 0], 
        Hold[$CellContext`variables$$, $CellContext`variables$148783$$, 
         False], 
        Hold[$CellContext`MV$$, $CellContext`MV$148784$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         Graphics3D[{Black, 
           PointSize[0.02], 
           Tooltip[
            Point[
             ReplaceAll[
              Flatten[{$CellContext`variables$$, 
                Apply[$CellContext`F$$, $CellContext`params]}], 
              
              Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]], 
            ReplaceAll[
             Apply[$CellContext`F$$, $CellContext`params], 
             
             Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]}], 
         ReplaceAll[
          $CellContext`plot3D[
           ReplaceAll[
            $CellContext`F$$[$CellContext`stock, $CellContext`strike, \
$CellContext`volatility, $CellContext`riskfree, $CellContext`dividend, \
$CellContext`expiry], 
            Thread[
            Complement[$CellContext`params, $CellContext`variables$$] -> 
             ReplaceAll[
               Complement[$CellContext`params, $CellContext`variables$$], 
               
               Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 1]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 2]], Mesh -> $CellContext`MV$$, 
           PerformanceGoal -> $CellContext`Quality, 
           PlotRange -> {Full, Full, Full}, PlotStyle -> 
           Opacity[0.5]], $CellContext`plot3D -> Plot3D]}, Axes -> True, 
        TicksStyle -> {Red, Green, Blue}, AxesLabel -> 
        Flatten[{$CellContext`variables$$, "option value  "}], 
        BoxRatios -> {1, 1, 0.4}, ImageSize -> {320, 320}], 
      "Specifications" :> {{{$CellContext`F$$, $CellContext`BlackScholesPut, 
          ""}, {$CellContext`BlackScholesPut -> 
          "put option", $CellContext`BlackScholesCall -> 
          "call option"}}, {{$CellContext`p$$, 50, "stock price"}, 1, 200, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`s$$, 50, "strike price"}, 1, 200, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`v$$, 0.4, "stock volatility"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rf$$, 0.25, "risk-free rate of interest"}, 
         0.01, 0.5, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dv$$, 0.25, "dividend yield"}, 0.01, 0.5, 0.01,
          Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e$$, 0.25, "time to expiry"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`variables$$, {$CellContext`stock, \
$CellContext`strike}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
          "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
          "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
          "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
          "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
          "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
          "strike and volatility", {$CellContext`strike, \
$CellContext`riskfree} -> 
          "strike and risk-free", {$CellContext`strike, \
$CellContext`dividend} -> 
          "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
          "strike and expiry", {$CellContext`volatility, \
$CellContext`riskfree} -> 
          "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
          "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
          "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
          "risk-free and dividend", {$CellContext`riskfree, \
$CellContext`expiry} -> 
          "risk-free and expiry", {$CellContext`dividend, \
$CellContext`expiry} -> "dividend and expiry"}, ControlType -> 
         PopupMenu}, {{$CellContext`MV$$, True, ""}, {
         False -> "mesh off", True -> "mesh on"}}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 8, 9}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{655., {186., 191.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`params = {$CellContext`stock, \
$CellContext`strike, $CellContext`volatility, $CellContext`riskfree, \
$CellContext`dividend, $CellContext`expiry}, $CellContext`range[
        0.000014285714285714285`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        0.32500003214285716`] := {$CellContext`volatility, 0.1, 
         1}, $CellContext`range[
        14.285726530612246`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        42.85715102040817] := {$CellContext`strike, 0, 
         200}, $CellContext`range[
        78.57143163265306] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        85.71428775510205] := {$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`dividend] := \
{$CellContext`dividend, 0.1, 
         1}, $CellContext`range[$CellContext`expiry] := {$CellContext`expiry, 
         0.1, 1}, $CellContext`range[$CellContext`price] := \
{$CellContext`price, 0, 
         200}, $CellContext`range[$CellContext`riskfree] := \
{$CellContext`riskfree, 0.1, 
         1}, $CellContext`range[$CellContext`stock] := {$CellContext`stock, 0,
          200}, $CellContext`range[$CellContext`strike] := \
{$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`volatility] := \
{$CellContext`volatility, 0.1, 1}, 
       Attributes[PlotRange] = {ReadProtected}, $CellContext`BlackScholesPut[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`k (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 - (($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`r $CellContext`t) - ((1/2) $CellContext`s (
          Erf[((-(1/2)) (
               Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (($CellContext`r - \
$CellContext`d) $CellContext`t + Log[$CellContext`s/$CellContext`k])/(
             Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
        E^($CellContext`d $CellContext`t), $CellContext`BlackScholesCall[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`s (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 + (($CellContext`r - $CellContext`d) $CellContext`t + 
                Log[$CellContext`s/$CellContext`k])/(
               Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`d $CellContext`t) - ((1/2) $CellContext`k (
          Erf[((($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (
              Sqrt[$CellContext`t] $CellContext`\[Sigma])/2)/Sqrt[2]] + 1))/
        E^($CellContext`r $CellContext`t)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->222939952]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SnapshotsSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
    0.23, $CellContext`F$$ = $CellContext`BlackScholesPut, $CellContext`MV$$ =
     False, $CellContext`p$$ = 50, $CellContext`rf$$ = 
    0.25, $CellContext`s$$ = 50, $CellContext`v$$ = 
    0.8, $CellContext`variables$$ = {$CellContext`stock, \
$CellContext`volatility}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`F$$], $CellContext`BlackScholesPut, 
       ""}, {$CellContext`BlackScholesPut -> 
       "put option", $CellContext`BlackScholesCall -> "call option"}}, {{
       Hold[$CellContext`p$$], 50, "stock price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`s$$], 50, "strike price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`v$$], 0.8, "stock volatility"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`rf$$], 0.25, "risk-free rate of interest"}, 0.01, 
      0.5, 0.01}, {{
       Hold[$CellContext`dv$$], 0.25, "dividend yield"}, 0.01, 0.5, 0.01}, {{
       Hold[$CellContext`e$$], 0.23, "time to expiry"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`variables$$], {$CellContext`stock, \
$CellContext`volatility}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
       "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
       "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
       "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
       "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
       "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
       "strike and volatility", {$CellContext`strike, $CellContext`riskfree} -> 
       "strike and risk-free", {$CellContext`strike, $CellContext`dividend} -> 
       "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
       "strike and expiry", {$CellContext`volatility, $CellContext`riskfree} -> 
       "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
       "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
       "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
       "risk-free and dividend", {$CellContext`riskfree, $CellContext`expiry} -> 
       "risk-free and expiry", {$CellContext`dividend, $CellContext`expiry} -> 
       "dividend and expiry"}}, {{
       Hold[$CellContext`MV$$], False, ""}, {
      False -> "mesh off", True -> "mesh on"}}}, Typeset`size$$ = Automatic, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`F$148881$$ = False, $CellContext`p$148882$$ = 
    0, $CellContext`s$148883$$ = 0, $CellContext`v$148884$$ = 
    0, $CellContext`rf$148885$$ = 0, $CellContext`dv$148886$$ = 
    0, $CellContext`e$148887$$ = 0, $CellContext`variables$148888$$ = 
    False, $CellContext`MV$148889$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
        0.23, $CellContext`F$$ = $CellContext`BlackScholesPut, \
$CellContext`MV$$ = False, $CellContext`p$$ = 50, $CellContext`rf$$ = 
        0.25, $CellContext`s$$ = 50, $CellContext`v$$ = 
        0.8, $CellContext`variables$$ = {$CellContext`stock, \
$CellContext`volatility}}, "ControllerVariables" :> {
        Hold[$CellContext`F$$, $CellContext`F$148881$$, False], 
        Hold[$CellContext`p$$, $CellContext`p$148882$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$148883$$, 0], 
        Hold[$CellContext`v$$, $CellContext`v$148884$$, 0], 
        Hold[$CellContext`rf$$, $CellContext`rf$148885$$, 0], 
        Hold[$CellContext`dv$$, $CellContext`dv$148886$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$148887$$, 0], 
        Hold[$CellContext`variables$$, $CellContext`variables$148888$$, 
         False], 
        Hold[$CellContext`MV$$, $CellContext`MV$148889$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         Graphics3D[{Black, 
           PointSize[0.02], 
           Tooltip[
            Point[
             ReplaceAll[
              Flatten[{$CellContext`variables$$, 
                Apply[$CellContext`F$$, $CellContext`params]}], 
              
              Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]], 
            ReplaceAll[
             Apply[$CellContext`F$$, $CellContext`params], 
             
             Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]}], 
         ReplaceAll[
          $CellContext`plot3D[
           ReplaceAll[
            $CellContext`F$$[$CellContext`stock, $CellContext`strike, \
$CellContext`volatility, $CellContext`riskfree, $CellContext`dividend, \
$CellContext`expiry], 
            Thread[
            Complement[$CellContext`params, $CellContext`variables$$] -> 
             ReplaceAll[
               Complement[$CellContext`params, $CellContext`variables$$], 
               
               Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 1]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 2]], Mesh -> $CellContext`MV$$, 
           PerformanceGoal -> $CellContext`Quality, 
           PlotRange -> {Full, Full, Full}, PlotStyle -> 
           Opacity[0.5]], $CellContext`plot3D -> Plot3D]}, Axes -> True, 
        TicksStyle -> {Red, Green, Blue}, AxesLabel -> 
        Flatten[{$CellContext`variables$$, "option value  "}], 
        BoxRatios -> {1, 1, 0.4}, ImageSize -> {320, 320}], 
      "Specifications" :> {{{$CellContext`F$$, $CellContext`BlackScholesPut, 
          ""}, {$CellContext`BlackScholesPut -> 
          "put option", $CellContext`BlackScholesCall -> 
          "call option"}}, {{$CellContext`p$$, 50, "stock price"}, 1, 200, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`s$$, 50, "strike price"}, 1, 200, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`v$$, 0.8, "stock volatility"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rf$$, 0.25, "risk-free rate of interest"}, 
         0.01, 0.5, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dv$$, 0.25, "dividend yield"}, 0.01, 0.5, 0.01,
          Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e$$, 0.23, "time to expiry"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`variables$$, {$CellContext`stock, \
$CellContext`volatility}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
          "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
          "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
          "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
          "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
          "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
          "strike and volatility", {$CellContext`strike, \
$CellContext`riskfree} -> 
          "strike and risk-free", {$CellContext`strike, \
$CellContext`dividend} -> 
          "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
          "strike and expiry", {$CellContext`volatility, \
$CellContext`riskfree} -> 
          "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
          "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
          "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
          "risk-free and dividend", {$CellContext`riskfree, \
$CellContext`expiry} -> 
          "risk-free and expiry", {$CellContext`dividend, \
$CellContext`expiry} -> "dividend and expiry"}, ControlType -> 
         PopupMenu}, {{$CellContext`MV$$, False, ""}, {
         False -> "mesh off", True -> "mesh on"}}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 8, 9}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`params = {$CellContext`stock, \
$CellContext`strike, $CellContext`volatility, $CellContext`riskfree, \
$CellContext`dividend, $CellContext`expiry}, $CellContext`range[
        0.000014285714285714285`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        0.32500003214285716`] := {$CellContext`volatility, 0.1, 
         1}, $CellContext`range[
        14.285726530612246`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        42.85715102040817] := {$CellContext`strike, 0, 
         200}, $CellContext`range[
        78.57143163265306] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        85.71428775510205] := {$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`dividend] := \
{$CellContext`dividend, 0.1, 
         1}, $CellContext`range[$CellContext`expiry] := {$CellContext`expiry, 
         0.1, 1}, $CellContext`range[$CellContext`price] := \
{$CellContext`price, 0, 
         200}, $CellContext`range[$CellContext`riskfree] := \
{$CellContext`riskfree, 0.1, 
         1}, $CellContext`range[$CellContext`stock] := {$CellContext`stock, 0,
          200}, $CellContext`range[$CellContext`strike] := \
{$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`volatility] := \
{$CellContext`volatility, 0.1, 1}, 
       Attributes[PlotRange] = {ReadProtected}, $CellContext`BlackScholesPut[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`k (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 - (($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`r $CellContext`t) - ((1/2) $CellContext`s (
          Erf[((-(1/2)) (
               Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (($CellContext`r - \
$CellContext`d) $CellContext`t + Log[$CellContext`s/$CellContext`k])/(
             Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
        E^($CellContext`d $CellContext`t), $CellContext`BlackScholesCall[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`s (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 + (($CellContext`r - $CellContext`d) $CellContext`t + 
                Log[$CellContext`s/$CellContext`k])/(
               Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`d $CellContext`t) - ((1/2) $CellContext`k (
          Erf[((($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (
              Sqrt[$CellContext`t] $CellContext`\[Sigma])/2)/Sqrt[2]] + 1))/
        E^($CellContext`r $CellContext`t)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->688986222],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
    0.25, $CellContext`F$$ = $CellContext`BlackScholesCall, $CellContext`MV$$ \
= False, $CellContext`p$$ = 50, $CellContext`rf$$ = 0.25, $CellContext`s$$ = 
    50, $CellContext`v$$ = 
    0.82, $CellContext`variables$$ = {$CellContext`strike, \
$CellContext`dividend}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`F$$], $CellContext`BlackScholesCall, 
       ""}, {$CellContext`BlackScholesPut -> 
       "put option", $CellContext`BlackScholesCall -> "call option"}}, {{
       Hold[$CellContext`p$$], 50, "stock price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`s$$], 50, "strike price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`v$$], 0.82, "stock volatility"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`rf$$], 0.25, "risk-free rate of interest"}, 0.01, 
      0.5, 0.01}, {{
       Hold[$CellContext`dv$$], 0.25, "dividend yield"}, 0.01, 0.5, 0.01}, {{
       Hold[$CellContext`e$$], 0.25, "time to expiry"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`variables$$], {$CellContext`strike, \
$CellContext`dividend}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
       "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
       "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
       "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
       "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
       "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
       "strike and volatility", {$CellContext`strike, $CellContext`riskfree} -> 
       "strike and risk-free", {$CellContext`strike, $CellContext`dividend} -> 
       "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
       "strike and expiry", {$CellContext`volatility, $CellContext`riskfree} -> 
       "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
       "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
       "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
       "risk-free and dividend", {$CellContext`riskfree, $CellContext`expiry} -> 
       "risk-free and expiry", {$CellContext`dividend, $CellContext`expiry} -> 
       "dividend and expiry"}}, {{
       Hold[$CellContext`MV$$], False, ""}, {
      False -> "mesh off", True -> "mesh on"}}}, Typeset`size$$ = Automatic, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`F$148986$$ = False, $CellContext`p$148987$$ = 
    0, $CellContext`s$148988$$ = 0, $CellContext`v$148989$$ = 
    0, $CellContext`rf$148990$$ = 0, $CellContext`dv$148991$$ = 
    0, $CellContext`e$148992$$ = 0, $CellContext`variables$148993$$ = 
    False, $CellContext`MV$148994$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
        0.25, $CellContext`F$$ = $CellContext`BlackScholesCall, \
$CellContext`MV$$ = False, $CellContext`p$$ = 50, $CellContext`rf$$ = 
        0.25, $CellContext`s$$ = 50, $CellContext`v$$ = 
        0.82, $CellContext`variables$$ = {$CellContext`strike, \
$CellContext`dividend}}, "ControllerVariables" :> {
        Hold[$CellContext`F$$, $CellContext`F$148986$$, False], 
        Hold[$CellContext`p$$, $CellContext`p$148987$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$148988$$, 0], 
        Hold[$CellContext`v$$, $CellContext`v$148989$$, 0], 
        Hold[$CellContext`rf$$, $CellContext`rf$148990$$, 0], 
        Hold[$CellContext`dv$$, $CellContext`dv$148991$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$148992$$, 0], 
        Hold[$CellContext`variables$$, $CellContext`variables$148993$$, 
         False], 
        Hold[$CellContext`MV$$, $CellContext`MV$148994$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         Graphics3D[{Black, 
           PointSize[0.02], 
           Tooltip[
            Point[
             ReplaceAll[
              Flatten[{$CellContext`variables$$, 
                Apply[$CellContext`F$$, $CellContext`params]}], 
              
              Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]], 
            ReplaceAll[
             Apply[$CellContext`F$$, $CellContext`params], 
             
             Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]}], 
         ReplaceAll[
          $CellContext`plot3D[
           ReplaceAll[
            $CellContext`F$$[$CellContext`stock, $CellContext`strike, \
$CellContext`volatility, $CellContext`riskfree, $CellContext`dividend, \
$CellContext`expiry], 
            Thread[
            Complement[$CellContext`params, $CellContext`variables$$] -> 
             ReplaceAll[
               Complement[$CellContext`params, $CellContext`variables$$], 
               
               Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 1]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 2]], Mesh -> $CellContext`MV$$, 
           PerformanceGoal -> $CellContext`Quality, 
           PlotRange -> {Full, Full, Full}, PlotStyle -> 
           Opacity[0.5]], $CellContext`plot3D -> Plot3D]}, Axes -> True, 
        TicksStyle -> {Red, Green, Blue}, AxesLabel -> 
        Flatten[{$CellContext`variables$$, "option value  "}], 
        BoxRatios -> {1, 1, 0.4}, ImageSize -> {320, 320}], 
      "Specifications" :> {{{$CellContext`F$$, $CellContext`BlackScholesCall, 
          ""}, {$CellContext`BlackScholesPut -> 
          "put option", $CellContext`BlackScholesCall -> 
          "call option"}}, {{$CellContext`p$$, 50, "stock price"}, 1, 200, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`s$$, 50, "strike price"}, 1, 200, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`v$$, 0.82, "stock volatility"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rf$$, 0.25, "risk-free rate of interest"}, 
         0.01, 0.5, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dv$$, 0.25, "dividend yield"}, 0.01, 0.5, 0.01,
          Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e$$, 0.25, "time to expiry"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`variables$$, {$CellContext`strike, \
$CellContext`dividend}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
          "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
          "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
          "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
          "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
          "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
          "strike and volatility", {$CellContext`strike, \
$CellContext`riskfree} -> 
          "strike and risk-free", {$CellContext`strike, \
$CellContext`dividend} -> 
          "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
          "strike and expiry", {$CellContext`volatility, \
$CellContext`riskfree} -> 
          "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
          "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
          "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
          "risk-free and dividend", {$CellContext`riskfree, \
$CellContext`expiry} -> 
          "risk-free and expiry", {$CellContext`dividend, \
$CellContext`expiry} -> "dividend and expiry"}, ControlType -> 
         PopupMenu}, {{$CellContext`MV$$, False, ""}, {
         False -> "mesh off", True -> "mesh on"}}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 8, 9}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`params = {$CellContext`stock, \
$CellContext`strike, $CellContext`volatility, $CellContext`riskfree, \
$CellContext`dividend, $CellContext`expiry}, $CellContext`range[
        0.000014285714285714285`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        0.32500003214285716`] := {$CellContext`volatility, 0.1, 
         1}, $CellContext`range[
        14.285726530612246`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        42.85715102040817] := {$CellContext`strike, 0, 
         200}, $CellContext`range[
        78.57143163265306] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        85.71428775510205] := {$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`dividend] := \
{$CellContext`dividend, 0.1, 
         1}, $CellContext`range[$CellContext`expiry] := {$CellContext`expiry, 
         0.1, 1}, $CellContext`range[$CellContext`price] := \
{$CellContext`price, 0, 
         200}, $CellContext`range[$CellContext`riskfree] := \
{$CellContext`riskfree, 0.1, 
         1}, $CellContext`range[$CellContext`stock] := {$CellContext`stock, 0,
          200}, $CellContext`range[$CellContext`strike] := \
{$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`volatility] := \
{$CellContext`volatility, 0.1, 1}, 
       Attributes[PlotRange] = {ReadProtected}, $CellContext`BlackScholesCall[
        
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`s (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 + (($CellContext`r - $CellContext`d) $CellContext`t + 
                Log[$CellContext`s/$CellContext`k])/(
               Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`d $CellContext`t) - ((1/2) $CellContext`k (
          Erf[((($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (
              Sqrt[$CellContext`t] $CellContext`\[Sigma])/2)/Sqrt[2]] + 1))/
        E^($CellContext`r $CellContext`t), $CellContext`BlackScholesPut[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`k (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 - (($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`r $CellContext`t) - ((1/2) $CellContext`s (
          Erf[((-(1/2)) (
               Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (($CellContext`r - \
$CellContext`d) $CellContext`t + Log[$CellContext`s/$CellContext`k])/(
             Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
        E^($CellContext`d $CellContext`t)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->176465151],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
    0.25, $CellContext`F$$ = $CellContext`BlackScholesCall, $CellContext`MV$$ \
= True, $CellContext`p$$ = 100.5, $CellContext`rf$$ = 0.25, $CellContext`s$$ =
     90.03, $CellContext`v$$ = 
    0.87, $CellContext`variables$$ = {$CellContext`stock, \
$CellContext`strike}, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`F$$], $CellContext`BlackScholesCall, 
       ""}, {$CellContext`BlackScholesPut -> 
       "put option", $CellContext`BlackScholesCall -> "call option"}}, {{
       Hold[$CellContext`p$$], 100.5, "stock price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`s$$], 90.03, "strike price"}, 1, 200, 0.01}, {{
       Hold[$CellContext`v$$], 0.87, "stock volatility"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`rf$$], 0.25, "risk-free rate of interest"}, 0.01, 
      0.5, 0.01}, {{
       Hold[$CellContext`dv$$], 0.25, "dividend yield"}, 0.01, 0.5, 0.01}, {{
       Hold[$CellContext`e$$], 0.25, "time to expiry"}, 0.1, 1, 0.01}, {{
       Hold[$CellContext`variables$$], {$CellContext`stock, \
$CellContext`strike}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
       "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
       "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
       "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
       "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
       "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
       "strike and volatility", {$CellContext`strike, $CellContext`riskfree} -> 
       "strike and risk-free", {$CellContext`strike, $CellContext`dividend} -> 
       "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
       "strike and expiry", {$CellContext`volatility, $CellContext`riskfree} -> 
       "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
       "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
       "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
       "risk-free and dividend", {$CellContext`riskfree, $CellContext`expiry} -> 
       "risk-free and expiry", {$CellContext`dividend, $CellContext`expiry} -> 
       "dividend and expiry"}}, {{
       Hold[$CellContext`MV$$], True, ""}, {
      False -> "mesh off", True -> "mesh on"}}}, Typeset`size$$ = Automatic, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`F$149091$$ = False, $CellContext`p$149092$$ = 
    0, $CellContext`s$149093$$ = 0, $CellContext`v$149094$$ = 
    0, $CellContext`rf$149095$$ = 0, $CellContext`dv$149096$$ = 
    0, $CellContext`e$149097$$ = 0, $CellContext`variables$149098$$ = 
    False, $CellContext`MV$149099$$ = False}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`dv$$ = 0.25, $CellContext`e$$ = 
        0.25, $CellContext`F$$ = $CellContext`BlackScholesCall, \
$CellContext`MV$$ = True, $CellContext`p$$ = 100.5, $CellContext`rf$$ = 
        0.25, $CellContext`s$$ = 90.03, $CellContext`v$$ = 
        0.87, $CellContext`variables$$ = {$CellContext`stock, \
$CellContext`strike}}, "ControllerVariables" :> {
        Hold[$CellContext`F$$, $CellContext`F$149091$$, False], 
        Hold[$CellContext`p$$, $CellContext`p$149092$$, 0], 
        Hold[$CellContext`s$$, $CellContext`s$149093$$, 0], 
        Hold[$CellContext`v$$, $CellContext`v$149094$$, 0], 
        Hold[$CellContext`rf$$, $CellContext`rf$149095$$, 0], 
        Hold[$CellContext`dv$$, $CellContext`dv$149096$$, 0], 
        Hold[$CellContext`e$$, $CellContext`e$149097$$, 0], 
        Hold[$CellContext`variables$$, $CellContext`variables$149098$$, 
         False], 
        Hold[$CellContext`MV$$, $CellContext`MV$149099$$, False]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Show[{
         Graphics3D[{Black, 
           PointSize[0.02], 
           Tooltip[
            Point[
             ReplaceAll[
              Flatten[{$CellContext`variables$$, 
                Apply[$CellContext`F$$, $CellContext`params]}], 
              
              Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]], 
            ReplaceAll[
             Apply[$CellContext`F$$, $CellContext`params], 
             
             Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]}], 
         ReplaceAll[
          $CellContext`plot3D[
           ReplaceAll[
            $CellContext`F$$[$CellContext`stock, $CellContext`strike, \
$CellContext`volatility, $CellContext`riskfree, $CellContext`dividend, \
$CellContext`expiry], 
            Thread[
            Complement[$CellContext`params, $CellContext`variables$$] -> 
             ReplaceAll[
               Complement[$CellContext`params, $CellContext`variables$$], 
               
               Thread[$CellContext`params :> {$CellContext`p$$, \
$CellContext`s$$, $CellContext`v$$, $CellContext`rf$$, $CellContext`dv$$, \
$CellContext`e$$}]]]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 1]], 
           $CellContext`range[
            Part[$CellContext`variables$$, 2]], Mesh -> $CellContext`MV$$, 
           PerformanceGoal -> $CellContext`Quality, 
           PlotRange -> {Full, Full, Full}, PlotStyle -> 
           Opacity[0.5]], $CellContext`plot3D -> Plot3D]}, Axes -> True, 
        TicksStyle -> {Red, Green, Blue}, AxesLabel -> 
        Flatten[{$CellContext`variables$$, "option value  "}], 
        BoxRatios -> {1, 1, 0.4}, ImageSize -> {320, 320}], 
      "Specifications" :> {{{$CellContext`F$$, $CellContext`BlackScholesCall, 
          ""}, {$CellContext`BlackScholesPut -> 
          "put option", $CellContext`BlackScholesCall -> 
          "call option"}}, {{$CellContext`p$$, 100.5, "stock price"}, 1, 200, 
         0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`s$$, 90.03, "strike price"}, 1, 200, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`v$$, 0.87, "stock volatility"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rf$$, 0.25, "risk-free rate of interest"}, 
         0.01, 0.5, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`dv$$, 0.25, "dividend yield"}, 0.01, 0.5, 0.01,
          Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`e$$, 0.25, "time to expiry"}, 0.1, 1, 0.01, 
         Appearance -> "Labeled", ImageSize -> Tiny}, 
        Delimiter, {{$CellContext`variables$$, {$CellContext`stock, \
$CellContext`strike}, " "}, {{$CellContext`stock, $CellContext`strike} -> 
          "stock and strike", {$CellContext`stock, $CellContext`volatility} -> 
          "stock and volatility", {$CellContext`stock, $CellContext`riskfree} -> 
          "stock and risk-free", {$CellContext`stock, $CellContext`dividend} -> 
          "stock and dividend", {$CellContext`stock, $CellContext`expiry} -> 
          "stock and expiry", {$CellContext`strike, $CellContext`volatility} -> 
          "strike and volatility", {$CellContext`strike, \
$CellContext`riskfree} -> 
          "strike and risk-free", {$CellContext`strike, \
$CellContext`dividend} -> 
          "strike and dividend", {$CellContext`strike, $CellContext`expiry} -> 
          "strike and expiry", {$CellContext`volatility, \
$CellContext`riskfree} -> 
          "volatility and risk-free", {$CellContext`volatility, \
$CellContext`dividend} -> 
          "volatility and dividend", {$CellContext`volatility, \
$CellContext`expiry} -> 
          "volatility and expiry", {$CellContext`riskfree, \
$CellContext`dividend} -> 
          "risk-free and dividend", {$CellContext`riskfree, \
$CellContext`expiry} -> 
          "risk-free and expiry", {$CellContext`dividend, \
$CellContext`expiry} -> "dividend and expiry"}, ControlType -> 
         PopupMenu}, {{$CellContext`MV$$, True, ""}, {
         False -> "mesh off", True -> "mesh on"}}}, 
      "Options" :> {AutorunSequencing -> {1, 2, 3, 8, 9}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`params = {$CellContext`stock, \
$CellContext`strike, $CellContext`volatility, $CellContext`riskfree, \
$CellContext`dividend, $CellContext`expiry}, $CellContext`range[
        0.000014285714285714285`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        0.32500003214285716`] := {$CellContext`volatility, 0.1, 
         1}, $CellContext`range[
        14.285726530612246`] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        42.85715102040817] := {$CellContext`strike, 0, 
         200}, $CellContext`range[
        78.57143163265306] := {$CellContext`stock, 0, 
         200}, $CellContext`range[
        85.71428775510205] := {$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`dividend] := \
{$CellContext`dividend, 0.1, 
         1}, $CellContext`range[$CellContext`expiry] := {$CellContext`expiry, 
         0.1, 1}, $CellContext`range[$CellContext`price] := \
{$CellContext`price, 0, 
         200}, $CellContext`range[$CellContext`riskfree] := \
{$CellContext`riskfree, 0.1, 
         1}, $CellContext`range[$CellContext`stock] := {$CellContext`stock, 0,
          200}, $CellContext`range[$CellContext`strike] := \
{$CellContext`strike, 0, 
         200}, $CellContext`range[$CellContext`volatility] := \
{$CellContext`volatility, 0.1, 1}, 
       Attributes[PlotRange] = {ReadProtected}, $CellContext`BlackScholesCall[
        
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`s (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 + (($CellContext`r - $CellContext`d) $CellContext`t + 
                Log[$CellContext`s/$CellContext`k])/(
               Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`d $CellContext`t) - ((1/2) $CellContext`k (
          Erf[((($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (
              Sqrt[$CellContext`t] $CellContext`\[Sigma])/2)/Sqrt[2]] + 1))/
        E^($CellContext`r $CellContext`t), $CellContext`BlackScholesPut[
         Pattern[$CellContext`s, 
          Blank[]], 
         Pattern[$CellContext`k, 
          Blank[]], 
         Pattern[$CellContext`\[Sigma], 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]], 
         Pattern[$CellContext`d, 
          Blank[]], 
         Pattern[$CellContext`t, 
          
          Blank[]]] := ((1/2) $CellContext`k (
           Erf[((Sqrt[$CellContext`t] $CellContext`\[Sigma])/
               2 - (($CellContext`r - $CellContext`d) $CellContext`t + 
               Log[$CellContext`s/$CellContext`k])/(
              Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
         E^($CellContext`r $CellContext`t) - ((1/2) $CellContext`s (
          Erf[((-(1/2)) (
               Sqrt[$CellContext`t] $CellContext`\[Sigma]) - (($CellContext`r - \
$CellContext`d) $CellContext`t + Log[$CellContext`s/$CellContext`k])/(
             Sqrt[$CellContext`t] $CellContext`\[Sigma]))/Sqrt[2]] + 1))/
        E^($CellContext`d $CellContext`t)}; Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->724267443]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "DetailsSection"],

Cell["\<\
A call option on an asset (usually stock) gives its holder the right to buy \
the asset at a prescribed price at or before the time of expiry of the \
option. A put option on an asset gives its holder the right to sell the asset \
at a prescribed price at or before the time of expiry of the option. A \
European option (call or put) can be exercised only at the time of expiry (an \
American option can be exercised on or before the time of expiry). In the \
case of  European options, under the assumption that the stock price process \
is an exponential Brownian motion with drift, there is a famous explicit \
formula (the Black\[Dash]Scholes formula) that gives the value of the option \
in terms of several parameters. In 1997 the Nobel Prize in Economics was \
awarded to Robert C. Merton and Myron Scholes for work on which the formula \
is based (Fischer Black was not eligible, having died two years earlier). The \
term \"Black\[Dash]Scholes\" was first used by Merton in a paper that built \
on the initial work by Black and Scholes.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4214013884485188`*^9, 3.421401495947632*^9}, {
   3.421401814342708*^9, 3.421401822360367*^9}, {3.422909899962187*^9, 
   3.422909919717573*^9}, {3.423121322715992*^9, 3.423121434200267*^9}, {
   3.423121466219241*^9, 3.4231214747925253`*^9}, {3.423174516671875*^9, 
   3.42317456009375*^9}, {3.42323472895492*^9, 3.4232347639684114`*^9}, {
   3.424724367662818*^9, 3.424724374893227*^9}, 3.424724473439011*^9},
 CellID->2139157675]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ControlSuggestionsSection"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Resize Images"]}],
  "\"Click inside an image to reveal its orange resize frame.\\nDrag any of \
the orange resize handles to resize the image.\"",
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.421401213866033*^9},
 FontFamily->"Verdana",
 CellTags->"ResizeImages"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Rotate and Zoom in 3D"]}],
  RowBox[{
   "\"Drag a 3D graphic to rotate it. Starting the drag near the center \
tumbles\\nthe graphic; starting near a corner turns it parallel to the plane \
of the screen.\\nHold down \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" (or \"", 
    FrameBox[
    "Cmd", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" on Mac) and drag up and down to zoom.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.4214012124355*^9},
 FontFamily->"Verdana",
 CellTags->"RotateAndZoomIn3D"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Drag Locators"]}],
  RowBox[{"\"Drag any locator (\"", 
    GraphicsBox[
     LocatorBox[
      Scaled[{0.5, 0.5}]], ImageSize -> 20], 
    "\", etc.) to move it around.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"DragLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Create and Delete Locators"]}],
  RowBox[{"\"Insert a new locator in the graphic by holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key\\nand clicking where you want it to be. Delete a locator by \
clicking it\\nwhile holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" key.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"CreateAndDeleteLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Slider Zoom"]}],
  RowBox[{"\"Hold down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key while moving a slider to make fine adjustments in the slider \
value.\\nHold \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" and/or \"", 
    FrameBox[
    "Shift", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" at the same time as \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" to make ever finer adjustments.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"SliderZoom"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Gamepad Controls"]}],
  "\"Control this Demonstration with a gamepad or other\\nhuman interface \
device connected to your computer.\"",
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.3895522232313623`*^9},
 FontFamily->"Verdana",
 CellTags->"GamepadControls"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Automatic Animation"]}],
  RowBox[{"\"Animate a slider in this Demonstration by clicking the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwcIKwAgOI/R/IhBKc\n\
/4EAyGAG0f+nTZsGwgysIJIRKsWKLAXGIHFmEpUgLADxWUAkI24jZs+eTaEt\n\
IG+wQKRmzJgBlYf5lhEA30OqWA=="], "Graphics", ImageSize -> {9, 9}, ImageMargins -> 
      0], BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"button\\nnext to the slider, and then clicking the play button that \
appears.\\nAnimate all controls by selecting \"", 
    StyleBox["Autorun", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0], BoxBaselineShift -> 
     0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"AutomaticAnimation"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Bookmark Animation"]}],
  RowBox[{
   "\"See a prepared animation of this Demonstration by selecting\\n\"", 
    StyleBox["Animate Bookmarks", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0], BoxBaselineShift -> 
     0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"BookmarkAnimation"]
}, Open  ]],

Cell["", "SearchTermsSection"],

Cell[CellGroupData[{

Cell["", "RelatedLinksSection"],

Cell[TextData[ButtonBox["Black\[Dash]Scholes Theory",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["http://mathworld.wolfram.com/Black-ScholesTheory.html"], 
   None}]], "RelatedLinks",
 CellChangeTimes->{
  3.35696210375764*^9, {3.423174591765625*^9, 3.4231746055*^9}},
 CellID->153678253]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "AuthorSection"],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Andrzej Kozlowski",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Andrzej+\
Kozlowski"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Andrzej+Kozlowski"]
}], "Author",
 CellChangeTimes->{
  3.35696210375764*^9, {3.421401235701521*^9, 3.421401239569724*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{912, 907},
WindowMargins->{{87, Automatic}, {Automatic, 1}},
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ResizeImages"->{
  Cell[84508, 1742, 373, 9, 22, "ControlSuggestions",
   CellTags->"ResizeImages"]},
 "RotateAndZoomIn3D"->{
  Cell[84884, 1753, 737, 17, 22, "ControlSuggestions",
   CellTags->"RotateAndZoomIn3D"]},
 "DragLocators"->{
  Cell[85624, 1772, 339, 11, 22, "ControlSuggestions",
   CellTags->"DragLocators"]},
 "CreateAndDeleteLocators"->{
  Cell[85966, 1785, 636, 15, 22, "ControlSuggestions",
   CellTags->"CreateAndDeleteLocators"]},
 "SliderZoom"->{
  Cell[86605, 1802, 843, 21, 22, "ControlSuggestions",
   CellTags->"SliderZoom"]},
 "GamepadControls"->{
  Cell[87451, 1825, 368, 9, 22, "ControlSuggestions",
   CellTags->"GamepadControls"]},
 "AutomaticAnimation"->{
  Cell[87822, 1836, 1411, 31, 22, "ControlSuggestions",
   CellTags->"AutomaticAnimation"]},
 "BookmarkAnimation"->{
  Cell[89236, 1869, 881, 21, 22, "ControlSuggestions",
   CellTags->"BookmarkAnimation"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ResizeImages", 91374, 1939},
 {"RotateAndZoomIn3D", 91483, 1942},
 {"DragLocators", 91593, 1945},
 {"CreateAndDeleteLocators", 91709, 1948},
 {"SliderZoom", 91823, 1951},
 {"GamepadControls", 91929, 1954},
 {"AutomaticAnimation", 92042, 1957},
 {"BookmarkAnimation", 92159, 1960}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[445, 16, 145, 2, 74, "DemoTitle"],
Cell[CellGroupData[{
Cell[615, 22, 33, 0, 156, "InitializationSection"],
Cell[651, 24, 6153, 181, 322, "Input",
 InitializationCell->True,
 CellID->1618895985]
}, Closed]],
Cell[CellGroupData[{
Cell[6841, 210, 29, 0, 188, "ManipulateSection"],
Cell[CellGroupData[{
Cell[6895, 214, 10917, 243, 508, "Input"],
Cell[17815, 459, 12643, 240, 389, "Output",
 CellID->54892335]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[30504, 705, 36, 0, 136, "ManipulateCaptionSection"],
Cell[30543, 707, 1663, 24, 97, "ManipulateCaption"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32243, 736, 28, 0, 168, "ThumbnailSection"],
Cell[32274, 738, 12640, 240, 389, "Output",
 CellID->222939952]
}, Open  ]],
Cell[CellGroupData[{
Cell[44951, 983, 28, 0, 138, "SnapshotsSection"],
Cell[44982, 985, 12598, 238, 32, "Output",
 CellID->688986222],
Cell[57583, 1225, 12608, 239, 32, "Output",
 CellID->176465151],
Cell[70194, 1466, 12616, 239, 32, "Output",
 CellID->724267443]
}, Open  ]],
Cell[CellGroupData[{
Cell[82847, 1710, 26, 0, 232, "DetailsSection"],
Cell[82876, 1712, 1555, 23, 142, "DetailNotes",
 CellID->2139157675]
}, Open  ]],
Cell[CellGroupData[{
Cell[84468, 1740, 37, 0, 120, "ControlSuggestionsSection"],
Cell[84508, 1742, 373, 9, 22, "ControlSuggestions",
 CellTags->"ResizeImages"],
Cell[84884, 1753, 737, 17, 22, "ControlSuggestions",
 CellTags->"RotateAndZoomIn3D"],
Cell[85624, 1772, 339, 11, 22, "ControlSuggestions",
 CellTags->"DragLocators"],
Cell[85966, 1785, 636, 15, 22, "ControlSuggestions",
 CellTags->"CreateAndDeleteLocators"],
Cell[86605, 1802, 843, 21, 22, "ControlSuggestions",
 CellTags->"SliderZoom"],
Cell[87451, 1825, 368, 9, 22, "ControlSuggestions",
 CellTags->"GamepadControls"],
Cell[87822, 1836, 1411, 31, 22, "ControlSuggestions",
 CellTags->"AutomaticAnimation"],
Cell[89236, 1869, 881, 21, 22, "ControlSuggestions",
 CellTags->"BookmarkAnimation"]
}, Open  ]],
Cell[90132, 1893, 30, 0, 152, "SearchTermsSection"],
Cell[CellGroupData[{
Cell[90187, 1897, 31, 0, 126, "RelatedLinksSection"],
Cell[90221, 1899, 292, 7, 22, "RelatedLinks",
 CellID->153678253]
}, Open  ]],
Cell[CellGroupData[{
Cell[90550, 1911, 25, 0, 136, "AuthorSection"],
Cell[90578, 1913, 398, 11, 22, "Author"]
}, Open  ]]
}, Open  ]]
}
]
*)

