(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    493593,       9992]
NotebookOptionsPosition[    488545,       9840]
NotebookOutlinePosition[    490182,       9891]
CellTagsIndexPosition[    489846,       9879]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Insurer Ruin", "DemoTitle",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432901313720595*^9, 3.432901316277577*^9}}],

Cell["", "InitializationSection"],

Cell[CellGroupData[{

Cell["", "ManipulateSection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Pane", "[", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Column", "[", 
      RowBox[{
       RowBox[{"Join", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"SetterBar", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"dist", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"ss", "=", 
                    RowBox[{"RandomReal", "[", 
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"years", ",", "insureds"}], "}"}]}], "]"}]}], ";",
                     
                    RowBox[{"dist", "=", "#"}]}], ")"}], "&"}]}], "]"}], ",", 
               
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"WeibullDistribution", "\[Rule]", 
                  RowBox[{"Tooltip", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Weibull\>\"", ",", "9"}], "]"}], ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"CDF", "[", 
                    RowBox[{
                    RowBox[{"WeibullDistribution", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], ",", "x"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", "20"}], "}"}]}], "]"}]}]}], 
                   "]"}]}], ",", 
                 RowBox[{"GammaDistribution", "\[Rule]", 
                  RowBox[{"Tooltip", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Gamma\>\"", ",", "9"}], "]"}], ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"CDF", "[", 
                    RowBox[{
                    RowBox[{"GammaDistribution", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], ",", "x"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", "20"}], "}"}]}], "]"}]}]}], 
                   "]"}]}], ",", 
                 RowBox[{"LogNormalDistribution", "\[Rule]", 
                  RowBox[{"Tooltip", "[", 
                   RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{"\"\<Log Normal\>\"", ",", "9"}], "]"}], ",", 
                    RowBox[{"Dynamic", "@", 
                    RowBox[{"Plot", "[", 
                    RowBox[{
                    RowBox[{"CDF", "[", 
                    RowBox[{
                    RowBox[{"LogNormalDistribution", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], ",", "x"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "0", ",", "20"}], "}"}]}], "]"}]}]}], 
                   "]"}]}]}], "}"}], ",", 
               RowBox[{"BaseStyle", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], 
                 "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "@", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<distribution\>\"", ",", "10"}], "]"}]}], ",", 
             "Left"}], "]"}], ",", 
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Manipulator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"a", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"ss", "=", 
                    RowBox[{"RandomReal", "[", 
                    RowBox[{
                    RowBox[{"dist", "[", 
                    RowBox[{"#", ",", "b"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"years", ",", "insureds"}], "}"}]}], "]"}]}], ";",
                     
                    RowBox[{"a", "=", "#"}]}], ")"}], "&"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.01", ",", "4"}], "}"}], ",", 
               RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "]"}], ",", 
             RowBox[{"Text", "@", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<first parameter\>\"", ",", "10"}], "]"}]}], ",", 
             "Left"}], "]"}], ",", 
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Manipulator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"b", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"ss", "=", 
                    RowBox[{"RandomReal", "[", 
                    RowBox[{
                    RowBox[{"dist", "[", 
                    RowBox[{"a", ",", "#"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"years", ",", "insureds"}], "}"}]}], "]"}]}], ";",
                     
                    RowBox[{"b", "=", "#"}]}], ")"}], "&"}]}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"0.01", ",", "4"}], "}"}], ",", 
               RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "]"}], ",", 
             RowBox[{"Text", "@", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<second parameter\>\"", ",", "10"}], "]"}]}], ",", 
             "Left"}], "]"}], ",", 
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"Manipulator", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"insureds", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"ss", "=", 
                    RowBox[{"RandomReal", "[", 
                    RowBox[{
                    RowBox[{"dist", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"years", ",", "#"}], "}"}]}], "]"}]}], ";", 
                    RowBox[{"insureds", "=", "#"}]}], ")"}], "&"}]}], "]"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"1", ",", "50", ",", "1"}], "}"}], ",", 
               RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
               RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "]"}], ",", 
             RowBox[{"Text", "@", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<number of insureds\>\"", ",", "10"}], "]"}]}], 
             ",", "Left"}], "]"}], ",", 
           RowBox[{"Labeled", "[", 
            RowBox[{
             RowBox[{"SetterBar", "[", 
              RowBox[{
               RowBox[{"Dynamic", "[", 
                RowBox[{"years", ",", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"ss", "=", 
                    RowBox[{"RandomReal", "[", 
                    RowBox[{
                    RowBox[{"dist", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"#", ",", "insureds"}], "}"}]}], "]"}]}], ";", 
                    RowBox[{"years", "=", "#"}]}], ")"}], "&"}]}], "]"}], ",",
                
               RowBox[{"{", 
                RowBox[{"10", ",", "20", ",", "50", ",", "100"}], "}"}], ",", 
               
               RowBox[{"BaseStyle", "\[Rule]", 
                RowBox[{"{", 
                 RowBox[{"FontFamily", "\[Rule]", "\"\<Times\>\""}], 
                 "}"}]}]}], "]"}], ",", 
             RowBox[{"Text", "@", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<years in simulation\>\"", ",", "10"}], "]"}]}], 
             ",", "Left"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
         RowBox[{"{", 
          RowBox[{"Dynamic", "[", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"data", "=", 
               RowBox[{"viewData", "[", 
                RowBox[{"xs", ",", "layer", ",", "ss", ",", "insureds", ",", 
                 RowBox[{"{", 
                  RowBox[{"rborrow", ",", "rpos"}], "}"}], ",", "roe", ",", 
                 "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "years", 
                 ",", "\[CurlyPhi]", ",", "\[Lambda]", ",", "ts1", ",", 
                 "ts2"}], "]"}]}], "}"}], ",", 
             RowBox[{"Switch", "[", 
              RowBox[{"visualization", ",", "\"\<time series\>\"", ",", 
               RowBox[{"timeSeriesView", "[", "data", "]"}], ",", 
               "\"\<statistics\>\"", ",", 
               RowBox[{"Text", "@", 
                RowBox[{"statisticsView", "[", "data", "]"}]}]}], "]"}]}], 
            "]"}], "]"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", "}"}]}], "]"}], ",", 
       RowBox[{"Alignment", "\[Rule]", "Right"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"290", ",", "460"}], "}"}], ",", 
     RowBox[{"ImageSizeAction", "\[Rule]", "\"\<ShrinkToFit\>\""}]}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"--", 
     RowBox[{"--", 
      RowBox[{"--", " ", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"controls", " ", "--"}], "--"}], "--"}], "--"}], 
        "--"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<visualization mode\>\"", ",", "Bold"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "visualization", ",", "\"\<time series\>\"", ",", "\"\<mode\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<time series\>\"", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<time series\>\"", ",", 
          "\"\<In time series mode, you can choose which annual financial \
data will be plotted.\>\""}], "]"}]}], ",", 
       RowBox[{"\"\<statistics\>\"", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<statistics\>\"", ",", 
          "\"\<Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial \
data.\>\""}], " ", "]"}]}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ts1", ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "2", ",", "3"}], "}"}], ",", 
       "\"\<series elements 1\>\""}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<a\>\"", ",", 
          "\"\<assets available for creditors; insured claims generally have \
priority over other creditor or investor claims\>\""}], "]"}]}], ",", 
       RowBox[{"2", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<s\>\"", ",", 
          "\"\<surplus: the difference between assets available for creditors \
and loans taken out by the insurer during years when assets fell below the \
required level.\>\""}], "]"}]}], ",", 
       RowBox[{"3", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<r\>\"", ",", 
          "\"\<regulatory constraint: the amount of assets relative to net \
mean claims that regulators or rating agecies effectively require the insurer \
to have.\>\""}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"4", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<\[ScriptL]\>\"", ",", 
          "\"\<losses: the annual losses suffered by insureds.\>\""}], 
         "]"}]}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"visualization", "=!=", "\"\<statistics\>\""}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ts2", ",", 
       RowBox[{"{", "7", "}"}], ",", "\"\<series elements 2\>\""}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"5", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<p\>\"", ",", 
          "\"\<payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads).\>\""}], "]"}]}], ",", 
       RowBox[{"6", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<pr\>\"", ",", 
          "\"\<premium: the annual premium relative to net mean \
claims.\>\""}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"7", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{"\"\<op\>\"", ",", "\"\<operating profits\>\""}], "]"}]}], 
       ",", "\[IndentingNewLine]", 
       RowBox[{"8", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<\[CapitalDelta]\>\"", ",", "\"\<change in surplus\>\""}], 
         "]"}]}]}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"ImageSize", "\[Rule]", "Small"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "CheckboxBar"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"visualization", "=!=", "\"\<statistics\>\""}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"lineThickness", ",", "\"\<alternating\>\"", ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
        "\"\<line thickness\>\"", ",", 
         "\"\<this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series\>\""}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\"\<uniform\>\"", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<uniform\>\"", ",", 
          "\"\<the lines corresponding to the time series all have the same \
thickness\>\""}], "]"}]}], ",", 
       RowBox[{"\"\<alternating\>\"", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<alternating\>\"", ",", 
          "\"\<the lines corresponding to the time series have alternating \
thickness\>\""}], "]"}]}], " ", ",", 
       RowBox[{"\"\<varying\>\"", "\[Rule]", 
        RowBox[{"Tooltip", "[", 
         RowBox[{
         "\"\<varying\>\"", ",", 
          "\"\<the lines corresponding to the time series have increasing \
thickness\>\""}], "]"}]}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "SetterBar"}], ",", 
     RowBox[{"Enabled", "\[Rule]", 
      RowBox[{"visualization", "=!=", "\"\<statistics\>\""}]}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<insurance policy\>\"", ",", "Bold"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xs", ",", "0.6", ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
        "\"\<attachment point\>\"", ",", 
         "\"\<the amount of loss an insured must suffer before the insurer \
has any obligation to pay for losses\>\""}], "]"}]}], "}"}], ",", "0", ",", 
     "10", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"layer", ",", "0.5", ",", 
       RowBox[{"Tooltip", "[", 
        RowBox[{
        "\"\<layer size\>\"", ",", 
         "\"\<the layer size or policy limit is the maximum amount the \
insurer must pay to any insured in any given year\>\""}], "]"}]}], "}"}], ",",
      "0.1", ",", "30", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Row", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Style", "[", 
        RowBox[{"#", ",", "Italic", ",", "Gray"}], "]"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"layer", ",", "\"\< XS \>\"", ",", "xs"}], "}"}]}], "]"}], 
    "]"}], ",", "\[IndentingNewLine]", "Delimiter", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<revenue\>\"", ",", "Bold"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "4", ",", "\"\<initial capitalization ratio\>\""}], 
      "}"}], ",", "0", ",", "20", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Beta]", ",", "1.4", ",", "\"\<premium ratio\>\""}], "}"}], 
     ",", "0", ",", "6", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<expenses\>\"", ",", "Bold"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[CurlyPhi]", ",", "0.1", ",", "\"\<premium load (\[CurlyPhi])\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "0.3"}], ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Lambda]", ",", "0.2", ",", "\"\<payment load (\[Lambda])\>\""}], 
      "}"}], ",", 
     RowBox[{"-", "0.3"}], ",", "1", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "Delimiter", ",", "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<capital market\>\"", ",", "Bold"}], "]"}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rpos", ",", "0.05", ",", "\"\<rate of return on investments\>\""}], 
      "}"}], ",", "0", ",", "0.2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "rborrow", ",", "0.12", ",", "\"\<borrowing interest rate\>\""}], "}"}],
      ",", "0.", ",", "0.2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"roe", ",", "0.1", ",", "\"\<rate of return on surplus\>\""}], 
      "}"}], ",", "0.", ",", "0.2", ",", ".01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "Delimiter", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Dynamic", "[", 
    RowBox[{"Style", "[", 
     RowBox[{"\"\<regulatory constraint\>\"", ",", "Bold"}], "]"}], "]"}], 
   ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Gamma]", ",", "2", ",", "\"\< required capitalization ratio\>\""}], 
      "}"}], ",", "0.1", ",", "10", ",", "0.1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", ".35"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"b", ",", ".05"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"years", ",", "20"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"insureds", ",", "25"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"ss", ",", 
       RowBox[{"Evaluate", "@", 
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"WeibullDistribution", "[", 
           RowBox[{"0.3", ",", "0.04"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"20", ",", "25"}], "}"}]}], "]"}]}]}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dist", ",", "WeibullDistribution"}], "}"}], ",", 
     RowBox[{"ControlType", "\[Rule]", "None"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"--", 
      RowBox[{"--", 
       RowBox[{"--", 
        RowBox[{"-", " ", "end"}]}]}]}], " ", "of", " ", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"controls", " ", "--"}], "--"}], "--"}], "--"}], "--"}]}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"SeedRandom", "[", "101307", "]"}], ";", "\[IndentingNewLine]", 
      
      RowBox[{
       RowBox[{"stormSet", "[", 
        RowBox[{
        "dist_", ",", "a_", ",", "b_", ",", "years_", ",", "insureds_"}], 
        "]"}], ":=", 
       RowBox[{"RandomReal", "[", 
        RowBox[{
         RowBox[{"dist", "[", 
          RowBox[{"a", ",", "b"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"years", ",", "insureds"}], "}"}]}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"rowTotal", "[", "set_", "]"}], ":=", 
       RowBox[{"Total", "/@", "set"}]}], ";", 
      RowBox[{
       RowBox[{"surplusLoans", "[", 
        RowBox[{
        "payments_List", ",", "\[Alpha]_", ",", "premium_", ",", 
         "\[CurlyPhi]_", ",", "\[Lambda]_", ",", 
         RowBox[{"r", ":", 
          RowBox[{"{", 
           RowBox[{"rborrow_", ",", "rpos_"}], "}"}]}], ",", "roe_", ",", 
         "required_"}], "]"}], ":=", 
       RowBox[{"FoldList", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"tempCash", "=", 
              RowBox[{
               RowBox[{"#", "[", 
                RowBox[{"[", "1", "]"}], "]"}], "+", "premium", " ", "+", 
               RowBox[{"rpos", "*", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], "-", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"roe", " ", "*", " ", 
                  RowBox[{"#", "[", 
                   RowBox[{"[", "1", "]"}], "]"}]}], " ", "+", " ", 
                 RowBox[{"Max", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], " ", "rborrow"}]}], "]"}],
                  "+", 
                 RowBox[{"\[CurlyPhi]", " ", "premium"}], " ", "+", " ", "#2",
                  " ", "+", " ", 
                 RowBox[{"\[Lambda]", " ", "#2"}]}], ")"}]}]}], "}"}], ",", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"tempCash", "\[GreaterEqual]", "required"}], ",", 
              RowBox[{"{", 
               RowBox[{"tempCash", ",", 
                RowBox[{"#", "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"required", ",", 
                RowBox[{
                 RowBox[{"#", "[", 
                  RowBox[{"[", "2", "]"}], "]"}], "+", 
                 RowBox[{"(", 
                  RowBox[{"required", " ", "-", " ", "tempCash"}], ")"}]}]}], 
               "}"}]}], "]"}]}], "]"}], "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Alpha]", ",", "0"}], "}"}], ",", "payments"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"paymentsFunction", "[", 
        RowBox[{"xs_", ",", "layer_", ",", "ss_"}], "]"}], ":=", 
       RowBox[{"Map", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Clip", "[", 
           RowBox[{
            RowBox[{"#", "-", "xs"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "layer"}], "}"}]}], "]"}], "&"}], ",", "ss", 
         ",", 
         RowBox[{"{", "2", "}"}]}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"empiricalMatrixMean", "[", "set_", "]"}], ":=", 
       RowBox[{"Mean", "[", 
        RowBox[{"Flatten", "@", "set"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"annualPremiumRevenue", "[", 
        RowBox[{"\[Beta]_", ",", "insureds_", ",", "meanPremiumPerInsured_"}],
         "]"}], ":=", 
       RowBox[{"\[Beta]", " ", "insureds", " ", "meanPremiumPerInsured"}]}], 
      ";", 
      RowBox[{
       RowBox[{"pretabulate", "[", 
        RowBox[{"data_", ",", "start_", ",", 
         RowBox[{"f__:", "List"}]}], "]"}], ":=", 
       RowBox[{"Thread", "[", 
        RowBox[{"f", "[", 
         RowBox[{
          RowBox[{"Range", "[", 
           RowBox[{"start", ",", 
            RowBox[{
             RowBox[{"Length", "[", "data", "]"}], "-", "1"}]}], "]"}], ",", 
          "data"}], "]"}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"surplusTooltips", "[", 
        RowBox[{
        "pointCoordinates_", ",", "tipdata_", ",", "pointDirectives_", ",", 
         "labelFormattingFunction_"}], "]"}], ":=", 
       RowBox[{"MapThread", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Tooltip", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"Sequence", "@@", "pointDirectives"}], ",", 
              RowBox[{"Point", "[", "#1", "]"}]}], "}"}], ",", 
            RowBox[{"labelFormattingFunction", "[", "#2", "]"}]}], "]"}], 
          "&"}], ",", 
         RowBox[{"{", 
          RowBox[{"pointCoordinates", ",", "tipdata"}], "}"}]}], "]"}]}], ";",
       
      RowBox[{
       RowBox[{"viewData", "[", 
        RowBox[{"xs_", ",", "layer_", ",", "ss_", ",", "insureds_", ",", 
         RowBox[{"{", 
          RowBox[{"rborrow_", ",", "rpos_"}], "}"}], ",", "roe_", ",", 
         "\[Alpha]_", ",", "\[Beta]_", ",", "\[Gamma]_", ",", "years_", ",", 
         "\[CurlyPhi]_", ",", "\[Lambda]_", ",", "ts1_", ",", "ts2_"}], "]"}],
        ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "payments", ",", "yearlosses", ",", "yearpayments", ",", "m", ",", 
           "initialCapitalization", ",", "annualPremiumRevenue", ",", "at", 
           ",", "spls", ",", "op", ",", "tips"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"payments", "=", 
           RowBox[{"paymentsFunction", "[", 
            RowBox[{"xs", ",", "layer", ",", "ss"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"yearlosses", "=", 
           RowBox[{"rowTotal", "[", "ss", "]"}]}], ";", "\[IndentingNewLine]",
           
          RowBox[{"yearpayments", "=", 
           RowBox[{"rowTotal", "[", "payments", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"m", "=", 
           RowBox[{"empiricalMatrixMean", "[", "payments", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"initialCapitalization", "=", 
           RowBox[{"\[Alpha]", "*", "insureds", "*", "m"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"annualPremiumRevenue", "=", 
           RowBox[{"\[Beta]", "*", "insureds", "*", "m"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"requiredCapitalization", "=", 
           RowBox[{"\[Gamma]", "*", "insureds", "*", "m"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"at", "=", 
           RowBox[{"annualTotals", "[", "payments", "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"spls", "=", 
           RowBox[{"surplusLoans", "[", 
            RowBox[{
             RowBox[{"Total", "/@", "payments"}], ",", 
             "initialCapitalization", ",", "annualPremiumRevenue", ",", 
             "\[CurlyPhi]", ",", "\[Lambda]", ",", 
             RowBox[{"{", 
              RowBox[{"rborrow", ",", "rpos"}], "}"}], ",", "roe", ",", 
             "\[Gamma]"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"op", "=", 
           RowBox[{"Map", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"annualPremiumRevenue", "-", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"\[CurlyPhi]", " ", "annualPremiumRevenue"}], "+", 
                 "#", "+", 
                 RowBox[{"\[Lambda]", " ", "#"}]}], ")"}]}], "&"}], ",", 
             "yearpayments"}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"xs", ",", "layer", ",", "ss", ",", "insureds", ",", 
            RowBox[{"{", 
             RowBox[{"rborrow", ",", "rpos"}], "}"}], ",", "roe", ",", 
            "\[Alpha]", ",", "\[Beta]", ",", "\[Gamma]", ",", "years", ",", 
            "\[CurlyPhi]", ",", "\[Lambda]", ",", "ts1", ",", "ts2", ",", 
            "payments", ",", "yearlosses", ",", "yearpayments", ",", "m", ",",
             "initialCapitalization", ",", "annualPremiumRevenue", ",", "at", 
            ",", "spls", ",", "op"}], "}"}]}]}], "]"}]}], ";", 
      RowBox[{
       RowBox[{"timeSeriesView", "[", 
        RowBox[{"data", ":", 
         RowBox[{"{", 
          RowBox[{"xs_", ",", "layer_", ",", "ss_", ",", "insureds_", ",", 
           RowBox[{"{", 
            RowBox[{"rborrow_", ",", "rpos_"}], "}"}], ",", "roe_", ",", 
           "\[Alpha]_", ",", "\[Beta]_", ",", "\[Gamma]_", ",", "years_", ",",
            "\[CurlyPhi]_", ",", "\[Lambda]_", ",", "ts1_", ",", "ts2_", ",", 
           "payments_", ",", "yearlosses_", ",", "yearpayments_", ",", "m_", 
           ",", "initialCapitalization_", ",", "annualPremiumRevenue_", ",", 
           "at_", ",", "spls_", ",", "op_"}], "}"}]}], "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Join", "[", 
           RowBox[{"ts1", ",", "ts2"}], "]"}], "=!=", 
          RowBox[{"{", "}"}]}], ",", "\[IndentingNewLine]", 
         RowBox[{"ListLinePlot", "[", 
          RowBox[{
           RowBox[{"Part", "[", 
            RowBox[{
             RowBox[{"{", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Map", "[", 
                  RowBox[{"First", ",", "spls"}], "]"}], ",", 
                 "\"\<assets\>\""}], "]"}], ",", "\[IndentingNewLine]", 
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "&"}], ",", "spls"}], 
                  "]"}], ",", "\"\<surplus\>\""}], "]"}], ",", 
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Map", "[", " ", 
                  RowBox[{
                   RowBox[{"requiredCapitalization", "&"}], ",", "spls"}], 
                  "]"}], ",", "\"\<required assets\>\""}], "]"}], ",", 
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Prepend", "[", 
                  RowBox[{"yearlosses", ",", "0"}], "]"}], ",", 
                 "\"\<annual insured losses\>\""}], "]"}], ",", 
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Prepend", "[", 
                  RowBox[{"yearpayments", ",", "0"}], "]"}], ",", 
                 "\"\<annual insurer payments\>\""}], "]"}], ",", 
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Map", "[", 
                  RowBox[{
                   RowBox[{"annualPremiumRevenue", "&"}], ",", "spls"}], 
                  "]"}], ",", "\"\<premium revenue\>\""}], "]"}], ",", 
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Prepend", "[", 
                  RowBox[{"op", ",", "0"}], "]"}], ",", 
                 "\"\<operating profits\>\""}], "]"}], ",", 
               RowBox[{"Tooltip", "[", 
                RowBox[{
                 RowBox[{"Prepend", "[", 
                  RowBox[{
                   RowBox[{"Differences", "[", 
                    RowBox[{"Map", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"#", "[", 
                    RowBox[{"[", "1", "]"}], "]"}], "-", 
                    RowBox[{"#", "[", 
                    RowBox[{"[", "2", "]"}], "]"}]}], "&"}], ",", "spls"}], 
                    "]"}], "]"}], ",", "0"}], "]"}], ",", 
                 "\"\<change in surplus\>\""}], "]"}]}], 
              "\[IndentingNewLine]", "}"}], ",", 
             RowBox[{"Sort", "@", 
              RowBox[{"Join", "[", 
               RowBox[{"ts1", ",", "ts2"}], "]"}]}]}], "]"}], ",", 
           RowBox[{"PlotMarkers", "\[Rule]", 
            RowBox[{"Part", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{
                StyleBox["\"\<\[FilledCircle]\>\"",
                 StripOnInput->False,
                 FontSize->8.96], ",", 
                StyleBox["\"\<\[FilledSquare]\>\"",
                 StripOnInput->False,
                 FontSize->8.96], ",", 
                StyleBox["\"\<\[FilledDiamond]\>\"",
                 StripOnInput->False,
                 FontSize->10.88], ",", 
                StyleBox["\"\<\[FilledUpTriangle]\>\"",
                 StripOnInput->False,
                 FontSize->10.24], ",", 
                StyleBox["\"\<\[FilledDownTriangle]\>\"",
                 StripOnInput->False,
                 FontSize->10.24], ",", 
                StyleBox["\"\<\[EmptyCircle]\>\"",
                 StripOnInput->False,
                 FontSize->10.24], ",", 
                StyleBox["\"\<\[EmptySquare]\>\"",
                 StripOnInput->False,
                 FontSize->10.24], ",", 
                StyleBox["\"\<\[EmptyDiamond]\>\"",
                 StripOnInput->False,
                 FontSize->10.24]}], "}"}], ",", 
              RowBox[{"Sort", "[", 
               RowBox[{"Join", "[", 
                RowBox[{"ts1", ",", "ts2"}], "]"}], "]"}]}], "]"}]}], ",", 
           RowBox[{"PlotStyle", "\[RuleDelayed]", 
            RowBox[{"Part", "[", 
             RowBox[{
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"Directive", "[", 
                  RowBox[{
                   RowBox[{"Opacity", "[", "0.7", "]"}], ",", 
                   RowBox[{
                    RowBox[{"ColorData", "[", "3", "]"}], "[", "i", "]"}], 
                   ",", 
                   RowBox[{"Thickness", "[", 
                    RowBox[{
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "lineThickness", ",", "\"\<uniform\>\"", ",", "2", ",", 
                    "\"\<alternating\>\"", ",", 
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"EvenQ", "[", "i", "]"}], ",", "1", ",", "3"}], 
                    "]"}], ",", "\"\<varying\>\"", ",", 
                    RowBox[{"Rescale", "[", 
                    RowBox[{"i", ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "8"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "5"}], "}"}]}], "]"}]}], "]"}], "*", 
                    "0.003", 
                    RowBox[{"(", 
                    RowBox[{"4", "-", 
                    RowBox[{"Switch", "[", 
                    RowBox[{
                    "years", ",", "10", ",", "0", ",", "20", ",", "1", ",", 
                    "50", ",", "2", ",", "100", ",", "3"}], "]"}]}], ")"}]}], 
                    "]"}]}], "]"}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "8"}], "}"}]}], "]"}], ",", 
              RowBox[{"Sort", "@", 
               RowBox[{"Join", "[", 
                RowBox[{"ts1", ",", "ts2"}], "]"}]}]}], "]"}]}], ",", 
           RowBox[{"Epilog", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"years", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
               "\"\<insolvency\>\""}], "]"}], "}"}]}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"AxesOrigin", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}], ",", 
           RowBox[{"Frame", "\[Rule]", "True"}], ",", 
           RowBox[{"FrameLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<time\>\"", ",", "\"\<$\>\""}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "285"}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "1.2"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
           RowBox[{"PlotRangePadding", "\[Rule]", "0.2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"FontSize", "\[Rule]", "12"}], "}"}]}], ",", 
           RowBox[{"ImagePadding", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"50", ",", "10"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"40", ",", "10"}], "}"}]}], "}"}]}]}], "]"}], ",", 
         RowBox[{"Graphics", "[", 
          RowBox[{
           RowBox[{"{", "}"}], ",", 
           RowBox[{"Epilog", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"Tooltip", "[", 
              RowBox[{
               RowBox[{"Line", "[", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"0", ",", "0"}], "}"}], ",", 
                  RowBox[{"{", 
                   RowBox[{"years", ",", "0"}], "}"}]}], "}"}], "]"}], ",", 
               "\"\<insolvency\>\""}], "]"}], "}"}]}], ",", 
           RowBox[{"Axes", "\[Rule]", "True"}], ",", 
           RowBox[{"AxesOrigin", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"0", ",", "0"}], "}"}]}], ",", 
           RowBox[{"Frame", "\[Rule]", "True"}], ",", 
           RowBox[{"FrameLabel", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"\"\<time\>\"", ",", "\"\<$\>\""}], "}"}]}], ",", 
           RowBox[{"ImageSize", "\[Rule]", "285"}], ",", 
           RowBox[{"AspectRatio", "\[Rule]", "1.2"}], ",", 
           RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
           RowBox[{"PlotRangePadding", "\[Rule]", "0.2"}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"FontSize", "\[Rule]", "12"}], "}"}]}], ",", 
           RowBox[{"ImagePadding", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"50", ",", "10"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"40", ",", "10"}], "}"}]}], "}"}]}]}], "]"}]}], 
        "]"}]}], ";", 
      RowBox[{
       RowBox[{"statisticsView", "[", 
        RowBox[{"data", ":", 
         RowBox[{"{", 
          RowBox[{"xs_", ",", "layer_", ",", "ss_", ",", "insureds_", ",", 
           RowBox[{"{", 
            RowBox[{"rborrow_", ",", "rpos_"}], "}"}], ",", "roe_", ",", 
           "\[Alpha]_", ",", "\[Beta]_", ",", "\[Gamma]_", ",", "years_", ",",
            "\[CurlyPhi]_", ",", "\[Lambda]_", ",", "ts1_", ",", "ts2_", ",", 
           "payments_", ",", "yearlosses_", ",", "yearpayments_", ",", "m_", 
           ",", "initialCapitalization_", ",", "annualPremiumRevenue_", ",", 
           "at_", ",", "spls_", ",", "op_"}], "}"}]}], "]"}], ":=", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"myl", "=", 
            RowBox[{"Mean", "[", "yearlosses", "]"}]}], ",", 
           RowBox[{"myp", "=", 
            RowBox[{"Mean", "[", "yearpayments", "]"}]}]}], "}"}], ",", 
         RowBox[{"Grid", "[", 
          RowBox[{
           RowBox[{"{", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\"\<initial capitalization\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{"initialCapitalization", ",", "3"}], "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<annual premium revenue\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{"annualPremiumRevenue", ",", "3"}], "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<mean annual losses\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{"myl", ",", "3"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<mean net payments\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{"myp", ",", "3"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<mean operating profit\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"annualPremiumRevenue", "-", 
                  RowBox[{"(", 
                   RowBox[{"myp", "+", 
                    RowBox[{"\[CurlyPhi]", " ", "annualPremiumRevenue"}], " ",
                     "+", " ", 
                    RowBox[{"\[Lambda]", " ", "myp"}]}], ")"}]}], ",", "3"}], 
                "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<standard deviation annual losses\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"StandardDeviation", "[", "yearlosses", "]"}], ",", 
                 "3"}], "]"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"\"\<standard deviation net payments\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"StandardDeviation", "[", "yearpayments", "]"}], ",",
                  "3"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<standard deviation operating profit\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"StandardDeviation", "[", 
                  RowBox[{"annualPremiumRevenue", "-", 
                   RowBox[{"(", 
                    RowBox[{"yearpayments", "+", 
                    RowBox[{"\[CurlyPhi]", " ", "annualPremiumRevenue"}], "+",
                     " ", 
                    RowBox[{"\[Lambda]", " ", "yearpayments"}]}], ")"}]}], 
                  "]"}], ",", "3"}], "]"}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<mean premium load\>\"", ",", " ", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"\[CurlyPhi]", " ", "annualPremiumRevenue"}], " ", 
                 ",", "3"}], "]"}]}], "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<mean claims load\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"\[Lambda]", " ", "myp"}], ",", "3"}], "]"}]}], 
              "}"}], ",", "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"\"\<mean investment earnings\>\"", ",", 
               RowBox[{"NumberForm", "[", 
                RowBox[{
                 RowBox[{"Mean", "[", 
                  RowBox[{"rpos", "*", 
                   RowBox[{"First", "/@", "spls"}]}], "]"}], ",", "3"}], 
                "]"}]}], "}"}]}], "}"}], ",", 
           RowBox[{"Dividers", "\[Rule]", "All"}], ",", 
           RowBox[{"Background", "\[Rule]", 
            RowBox[{
             RowBox[{"ColorData", "[", "18", "]"}], "[", "7", "]"}]}], ",", 
           RowBox[{"BaseStyle", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{"FontColor", "\[Rule]", 
              RowBox[{
               RowBox[{"ColorData", "[", "18", "]"}], "[", "3", "]"}]}], 
             "}"}]}], ",", 
           RowBox[{"ItemSize", "\[Rule]", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"14", ",", "6"}], "}"}], ",", "1"}], "}"}]}], ",", 
           RowBox[{"Alignment", "\[Rule]", "Left"}]}], "]"}]}], "]"}]}]}], 
     ")"}]}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "5", ",", "8", ",", "12", ",", "14"}], "}"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4326385904896307`*^9, 3.4326386860505953`*^9}, {
   3.432638728365637*^9, 3.432638746852561*^9}, {3.432638901745707*^9, 
   3.4326389984513283`*^9}, {3.432639040641314*^9, 3.432639080855311*^9}, {
   3.432639112136136*^9, 3.432639283267503*^9}, {3.432639315043685*^9, 
   3.432639431036879*^9}, {3.432639467002564*^9, 3.432639470646943*^9}, {
   3.43263951275725*^9, 3.432639584217991*^9}, {3.432639615372252*^9, 
   3.4326397756867533`*^9}, {3.4326398391349487`*^9, 
   3.4326399283454657`*^9}, {3.432641472561767*^9, 3.432641519378626*^9}, {
   3.432641570171722*^9, 3.432641606777093*^9}, {3.4326416505739727`*^9, 
   3.4326417331760283`*^9}, {3.432641776650467*^9, 3.4326418095227127`*^9}, {
   3.432642455577354*^9, 3.432642464589899*^9}, {3.432642495603013*^9, 
   3.432642514750798*^9}, {3.432642633167244*^9, 3.43264289951369*^9}, {
   3.432644135875948*^9, 3.4326443343995123`*^9}, 3.432644368384973*^9, {
   3.4326444773402433`*^9, 3.432644504201601*^9}, {3.4326445502536163`*^9, 
   3.432644571107522*^9}, {3.432644633591049*^9, 3.432644678595127*^9}, {
   3.432644780858501*^9, 3.4326449057209187`*^9}, {3.432644996235759*^9, 
   3.432645186946931*^9}, {3.432645234074132*^9, 3.432645323364872*^9}, {
   3.432645468688657*^9, 3.432645629882016*^9}, {3.432645671873188*^9, 
   3.432645774627082*^9}, {3.432645852827025*^9, 3.4326458552992277`*^9}, {
   3.4326460253834143`*^9, 3.4326460825115232`*^9}, {3.432646127311267*^9, 
   3.4326461494176617`*^9}, {3.432646198258473*^9, 3.432646198350864*^9}, {
   3.432646245827207*^9, 3.432646272486436*^9}, {3.432646349218666*^9, 
   3.432646368961162*^9}, {3.4326467287449417`*^9, 3.43264679807758*^9}, {
   3.4326468997140827`*^9, 3.432646899886504*^9}, {3.432647004545702*^9, 
   3.432647071523054*^9}, {3.432647145802383*^9, 3.432647218661602*^9}, {
   3.4326473995968103`*^9, 3.432647543427432*^9}, {3.4326475987456303`*^9, 
   3.432647628284999*^9}, {3.4326476990068483`*^9, 3.432647749673667*^9}, {
   3.4326477978924007`*^9, 3.432647875009096*^9}, {3.4326479105287237`*^9, 
   3.43264792306433*^9}, {3.4326479870140123`*^9, 3.432647988578802*^9}, {
   3.432648144910968*^9, 3.4326481449731007`*^9}, {3.432648181748406*^9, 
   3.432648185801193*^9}, {3.432648360982469*^9, 3.43264839302713*^9}, {
   3.432648475453905*^9, 3.432648480145178*^9}, {3.4326485687805567`*^9, 
   3.43264871419725*^9}, {3.432649080027093*^9, 3.432649144492509*^9}, {
   3.4326492829217*^9, 3.4326493950669603`*^9}, {3.4326494491213207`*^9, 
   3.4326494513793707`*^9}, {3.432649523512477*^9, 3.432649529899877*^9}, {
   3.4326495719622498`*^9, 3.432649573500593*^9}, {3.4326497535628777`*^9, 
   3.432649791616167*^9}, {3.432649903050221*^9, 3.432649910546008*^9}, {
   3.432649955693386*^9, 3.432649957826638*^9}, {3.432649993796689*^9, 
   3.4326499940865498`*^9}, {3.432650199919921*^9, 3.43265022099953*^9}, {
   3.432650283214415*^9, 3.4326502886556683`*^9}, {3.432650397487129*^9, 
   3.432650399030636*^9}, {3.432650984070882*^9, 3.432651004288352*^9}, {
   3.432651040537545*^9, 3.432651044504833*^9}, {3.43265112239646*^9, 
   3.43265112449284*^9}, {3.432651246877873*^9, 3.432651266157585*^9}, {
   3.432651411530259*^9, 3.432651422958411*^9}, {3.432653345702499*^9, 
   3.4326533993422728`*^9}, {3.4326534360508423`*^9, 3.4326535664297132`*^9}, 
   3.4326536098791018`*^9, {3.4326536590151463`*^9, 3.432653704206867*^9}, {
   3.4326537475494337`*^9, 3.432653759233623*^9}, {3.4326538083272142`*^9, 
   3.4326538573734913`*^9}, {3.4326539293544683`*^9, 3.432653932664756*^9}, {
   3.432654031634506*^9, 3.4326540657766657`*^9}, {3.4326540965301247`*^9, 
   3.432654117812418*^9}, {3.432654148552106*^9, 3.432654178952075*^9}, {
   3.432654365420208*^9, 3.432654478111299*^9}, {3.4326545193384*^9, 
   3.4326546704058657`*^9}, {3.4326547024193*^9, 3.432654823599854*^9}, {
   3.432654862107471*^9, 3.432654888031488*^9}, 3.432654935401175*^9, {
   3.432655794209633*^9, 3.43265584947538*^9}, {3.4326558815042973`*^9, 
   3.432655912179544*^9}, {3.432655945554606*^9, 3.432655946171351*^9}, {
   3.432655995035301*^9, 3.432656194153984*^9}, {3.4326563613241377`*^9, 
   3.4326563616987*^9}, {3.4326564354106216`*^9, 3.432656584542972*^9}, {
   3.432656741605199*^9, 3.432656787591831*^9}, {3.432657235693623*^9, 
   3.432657281969152*^9}, {3.43265744548951*^9, 3.432657462590642*^9}, 
   3.432658558027673*^9, {3.432658879000285*^9, 3.432658937171488*^9}, {
   3.4326589799694853`*^9, 3.432659046132687*^9}, {3.432659098008154*^9, 
   3.4326591815745573`*^9}, {3.432659269497697*^9, 3.4326593983037643`*^9}, {
   3.432659443721456*^9, 3.43265958613385*^9}, {3.4326596538859463`*^9, 
   3.4326598366626787`*^9}, {3.432659883368875*^9, 3.432659909819783*^9}, {
   3.432659967004859*^9, 3.4326601977630587`*^9}, {3.432660384324792*^9, 
   3.4326603908795013`*^9}, {3.432660435386779*^9, 3.432660460117445*^9}, {
   3.432660496812235*^9, 3.4326606620700417`*^9}, {3.43266072243297*^9, 
   3.432660782514612*^9}, {3.432660818651744*^9, 3.432660925392457*^9}, {
   3.432721909663677*^9, 3.432722199429223*^9}, {3.432722245929635*^9, 
   3.432722585812978*^9}, {3.4327226279510727`*^9, 3.43272267609724*^9}, {
   3.432722740413261*^9, 3.4327229327404003`*^9}, {3.4327229778257847`*^9, 
   3.432722987331882*^9}, {3.43272306226702*^9, 3.432723092505373*^9}, {
   3.4327231493633747`*^9, 3.432723200287005*^9}, {3.4327232366094837`*^9, 
   3.432723302101396*^9}, {3.4327233357845697`*^9, 3.4327233536136827`*^9}, {
   3.4327233870949*^9, 3.432723467505114*^9}, {3.4327235297754927`*^9, 
   3.432723575852812*^9}, {3.432723618264696*^9, 3.432723683102347*^9}, {
   3.4327242361909513`*^9, 3.432724240916409*^9}, {3.432724274942692*^9, 
   3.432724370905673*^9}, {3.432724403057241*^9, 3.432724466911487*^9}, {
   3.4327245122807627`*^9, 3.4327245987971487`*^9}, {3.432724664730678*^9, 
   3.4327247118540916`*^9}, {3.432724807373164*^9, 3.432724811268484*^9}, {
   3.43272486504117*^9, 3.432724878305575*^9}, {3.4327249180970182`*^9, 
   3.4327250357823133`*^9}, {3.4327251842322197`*^9, 3.432725261446993*^9}, {
   3.432725329019147*^9, 3.432725351777046*^9}, {3.432725387810566*^9, 
   3.4327254967064123`*^9}, {3.4327255417421427`*^9, 3.43272573254525*^9}, {
   3.432725778663804*^9, 3.432725855486856*^9}, {3.432725892351198*^9, 
   3.432725893527959*^9}, {3.432725923773901*^9, 3.432725937258297*^9}, {
   3.432726041453704*^9, 3.432726059806211*^9}, {3.4327263945455503`*^9, 
   3.432726398634119*^9}, {3.432726438467629*^9, 3.432726439591299*^9}, {
   3.432726664341445*^9, 3.432726667596277*^9}, {3.432726731743891*^9, 
   3.432726841491334*^9}, {3.4327269071031857`*^9, 3.4327270013293753`*^9}, {
   3.432727040643701*^9, 3.432727089120693*^9}, {3.432727146043695*^9, 
   3.43272714616136*^9}, 3.432727211080635*^9, {3.432727272520743*^9, 
   3.432727284681521*^9}, {3.432727550557379*^9, 3.4327275816365957`*^9}, {
   3.432727649332756*^9, 3.43272787085721*^9}, 3.432728012016221*^9, {
   3.432728084157583*^9, 3.432728107055957*^9}, {3.432728145023611*^9, 
   3.432728145177465*^9}, {3.432728260473768*^9, 3.432728309079936*^9}, {
   3.4327284046455584`*^9, 3.432728418219675*^9}, {3.4327285071518*^9, 
   3.4327285798516817`*^9}, {3.432728792235509*^9, 3.432728904049571*^9}, {
   3.4327291032693977`*^9, 3.4327291072529087`*^9}, {3.432729258515944*^9, 
   3.4327293611383266`*^9}, {3.4327294242127523`*^9, 3.432729455613351*^9}, {
   3.4327294995125093`*^9, 3.432729593540533*^9}, {3.432729656346209*^9, 
   3.4327297575917673`*^9}, {3.4327298195553417`*^9, 3.432729887870349*^9}, {
   3.432730049090723*^9, 3.4327300536074266`*^9}, {3.43273025551149*^9, 
   3.432730318202549*^9}, {3.432730382504978*^9, 3.432730407152831*^9}, {
   3.432730522957994*^9, 3.432730524648993*^9}, {3.432814766752615*^9, 
   3.432814910889606*^9}, {3.432814973149144*^9, 3.432814978904265*^9}, {
   3.432815013627306*^9, 3.432815024237391*^9}, {3.432815103440341*^9, 
   3.4328152432273893`*^9}, {3.4328153597382298`*^9, 
   3.4328154131445704`*^9}, {3.432815670158684*^9, 3.432815682917791*^9}, {
   3.432816264029892*^9, 3.432816271029785*^9}, {3.432816991263547*^9, 
   3.432817044186287*^9}, {3.432817075142919*^9, 3.432817117824588*^9}, {
   3.432817259667473*^9, 3.43281726043062*^9}, {3.432817535872176*^9, 
   3.432817604894692*^9}, {3.432817664566296*^9, 3.432817693237463*^9}, {
   3.432817789664529*^9, 3.432817828646304*^9}, {3.43281799016425*^9, 
   3.432818123527506*^9}, {3.4328181592579193`*^9, 3.432818296549932*^9}, {
   3.432818354135749*^9, 3.432818459126082*^9}, {3.432821299369277*^9, 
   3.432821397773834*^9}, {3.4328215157993717`*^9, 3.432821628993555*^9}, {
   3.432821692608786*^9, 3.432821707225172*^9}, {3.43282175295688*^9, 
   3.432821763060906*^9}, {3.432822105821456*^9, 3.4328221729269238`*^9}, {
   3.432822207560047*^9, 3.432822286521297*^9}, {3.4328223192507544`*^9, 
   3.4328224154640923`*^9}, {3.432825247806706*^9, 3.432825288279595*^9}, {
   3.432825343002604*^9, 3.4328253664829473`*^9}, {3.4328255511168413`*^9, 
   3.432825556906904*^9}, {3.432825849463579*^9, 3.432825857491962*^9}, {
   3.432825978168374*^9, 3.432825997226823*^9}, {3.4328272286927834`*^9, 
   3.432827359901692*^9}, {3.432827402181263*^9, 3.4328274249141397`*^9}, {
   3.432839534406261*^9, 3.432839534507826*^9}, {3.4328396433492126`*^9, 
   3.432839643481097*^9}, {3.43283985179291*^9, 3.432839909561301*^9}, {
   3.432840207312665*^9, 3.432840226485454*^9}, 3.4328405270392838`*^9, {
   3.432840684834652*^9, 3.4328407335126343`*^9}, {3.432840853444865*^9, 
   3.4328408563157454`*^9}, {3.432840926761046*^9, 3.4328409455728292`*^9}, {
   3.4328410254656467`*^9, 3.432841029632745*^9}, {3.4328899220008183`*^9, 
   3.432890039711174*^9}, {3.4328900900794687`*^9, 3.432890122035315*^9}, {
   3.432890402229542*^9, 3.432890428329082*^9}, {3.432890486970295*^9, 
   3.432890554494597*^9}, {3.4328905856148863`*^9, 3.43289059666792*^9}, {
   3.432890636479686*^9, 3.432890919794135*^9}, {3.4328909518250103`*^9, 
   3.432890952141753*^9}, {3.432891013122507*^9, 3.432891030209673*^9}, {
   3.432891098591511*^9, 3.432891105639831*^9}, {3.432891140963998*^9, 
   3.432891174492362*^9}, {3.432891210344508*^9, 3.432891246184861*^9}, {
   3.43289129849091*^9, 3.432891318258438*^9}, {3.432891395280476*^9, 
   3.432891606667654*^9}, {3.432891724814665*^9, 3.432891728283696*^9}, {
   3.432891812260758*^9, 3.432891846605186*^9}, {3.4328918877082863`*^9, 
   3.4328919501529503`*^9}, {3.432892036550453*^9, 3.4328920701680813`*^9}, {
   3.432896694475956*^9, 3.432896726516716*^9}, {3.4328968901725187`*^9, 
   3.432896955580022*^9}, {3.432897183273027*^9, 3.432897190439701*^9}, {
   3.432897646951557*^9, 3.432897750951552*^9}, {3.432898383618507*^9, 
   3.4328984525534563`*^9}, {3.4328986357896748`*^9, 
   3.4328989504301567`*^9}, {3.432898991411975*^9, 3.432899051409371*^9}, {
   3.432899319495287*^9, 3.43289937114858*^9}, {3.432900999381339*^9, 
   3.4329010147586613`*^9}, {3.432901096026553*^9, 3.432901112291692*^9}, {
   3.432901196993499*^9, 3.432901208124201*^9}, {3.43290125701332*^9, 
   3.432901263724172*^9}, 3.432901334287528*^9, {3.432901415941917*^9, 
   3.432901419025449*^9}, 3.432901667130295*^9, {3.432901788484311*^9, 
   3.4329017905857973`*^9}, {3.43290186128054*^9, 3.432901877539854*^9}, {
   3.432901931706656*^9, 3.432901952068143*^9}, 3.432902017556568*^9, {
   3.432902066266231*^9, 3.432902085068227*^9}, {3.432902117551539*^9, 
   3.43290216875184*^9}, {3.43290236888183*^9, 3.432902376947885*^9}, 
   3.432904212351265*^9, {3.4329042426482944`*^9, 3.432904427880816*^9}, {
   3.432904492009228*^9, 3.4329045082478523`*^9}, {3.4329045397350006`*^9, 
   3.4329045688659134`*^9}, {3.432904622098236*^9, 3.432904645401566*^9}, {
   3.43290468454648*^9, 3.4329047010341287`*^9}, {3.432904944691492*^9, 
   3.4329050830223236`*^9}, {3.432905153664387*^9, 3.432905154532474*^9}, {
   3.43290910127039*^9, 3.432909108257749*^9}, {3.4329091488586483`*^9, 
   3.432909230179721*^9}, {3.432909459724337*^9, 3.432909470738035*^9}, 
   3.432909530695005*^9, {3.432909618719552*^9, 3.432909624475478*^9}, {
   3.432909686047036*^9, 3.432909731558734*^9}, {3.4329100687370157`*^9, 
   3.432910117234344*^9}, {3.4329102017631073`*^9, 3.4329102026313*^9}, {
   3.432910257466115*^9, 3.4329102746504374`*^9}, {3.4329104738541937`*^9, 
   3.4329105033045607`*^9}, {3.4329105617625027`*^9, 3.432910561957426*^9}, {
   3.432910659808649*^9, 3.432910719173826*^9}, {3.432910835709619*^9, 
   3.432910869710999*^9}, {3.432910915564192*^9, 3.432910941053297*^9}, {
   3.4330888985677624`*^9, 3.433088941021159*^9}, {3.433497648815015*^9, 
   3.433497656422496*^9}, {3.433497712068411*^9, 3.433497712203332*^9}, {
   3.433498074433916*^9, 3.43349809801569*^9}, {3.433508311484482*^9, 
   3.433508330685046*^9}, {3.433508490054408*^9, 3.433508576651588*^9}, {
   3.433508649799412*^9, 3.4335086510631523`*^9}, {3.433508717783285*^9, 
   3.4335087467494507`*^9}, {3.433508789193572*^9, 3.4335087987719812`*^9}, {
   3.433508829531538*^9, 3.4335088612113123`*^9}, {3.433508922726248*^9, 
   3.433508980966002*^9}, {3.433509066016403*^9, 3.433509093376699*^9}, {
   3.433509161928903*^9, 3.433509177052847*^9}, {3.4335092424353533`*^9, 
   3.433509246844746*^9}, {3.433509281880189*^9, 3.433509315305553*^9}, {
   3.433509363024733*^9, 3.433509527731737*^9}, {3.4335095579988813`*^9, 
   3.433509895505986*^9}, {3.4335103346048126`*^9, 3.4335104535827093`*^9}, {
   3.4336064897647667`*^9, 3.4336065104938393`*^9}, {3.433810846734375*^9, 
   3.433810854984375*^9}, {3.4338644898521113`*^9, 3.4338645250661116`*^9}, {
   3.4338645589951115`*^9, 3.4338645591651115`*^9}, {3.4338645937931113`*^9, 
   3.4338645939631114`*^9}, {3.4338671494950037`*^9, 3.433867153170841*^9}},
 CellID->98582115],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.35, $CellContext`b$$ = 
    0.05, $CellContext`dist$$ = WeibullDistribution, $CellContext`insureds$$ =
     25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
    "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
    0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsroWlmfcxNRRCgiZWSFKEQhkiKU7BGZ4Zt7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    "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
    7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
    0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
    4, $CellContext`\[Beta]$$ = 1.4, $CellContext`\[Gamma]$$ = 
    2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Style["visualization mode", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`visualization$$], "time series", "mode"}, {
      "time series" -> 
       Tooltip["time series", 
         "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
       Tooltip["statistics", 
         "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}}, \
{{
       Hold[$CellContext`ts1$$], {1, 2, 3}, "series elements 1"}, {
      1 -> Tooltip[
        "a", "assets available for creditors; insured claims generally have \
priority over other creditor or investor claims"], 2 -> 
       Tooltip["s", 
         "surplus: the difference between assets available for creditors and \
loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
       Tooltip["r", 
         "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
       Tooltip["\[ScriptL]", 
         "losses: the annual losses suffered by insureds."]}}, {{
       Hold[$CellContext`ts2$$], {7}, "series elements 2"}, {
      5 -> Tooltip[
        "p", "payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads)."], 6 -> 
       Tooltip["pr", 
         "premium: the annual premium relative to net mean claims."], 7 -> 
       Tooltip["op", "operating profits"], 8 -> 
       Tooltip["\[CapitalDelta]", "change in surplus"]}}, {{
       Hold[$CellContext`lineThickness$$], "alternating", 
       Tooltip[
       "line thickness", 
        "this control addresses the issue of overlapping lines in time series \
mode; while to some extent the partial opacity of the lines lets one see the \
overlap, you can also change the thickness of the lines corresponding to each \
of the elemtns of the time series"]}, {
      "uniform" -> 
       Tooltip["uniform", 
         "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
       Tooltip["alternating", 
         "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
       Tooltip["varying", 
         "the lines corresponding to the time series have increasing \
thickness"]}}, {
      Hold[
       Dynamic[
        Style["insurance policy", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xs$$], 0.6, 
       Tooltip[
       "attachment point", 
        "the amount of loss an insured must suffer before the insurer has any \
obligation to pay for losses"]}, 0, 10, 0.1}, {{
       Hold[$CellContext`layer$$], 0.5, 
       Tooltip[
       "layer size", 
        "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1}, {
      Hold[
       Dynamic[
        Row[
         Map[
         Style[#, Italic, Gray]& , {$CellContext`layer$$, 
           " XS ", $CellContext`xs$$}]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Style["revenue", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 4, "initial capitalization ratio"}, 0, 
      20, 0.01}, {{
       Hold[$CellContext`\[Beta]$$], 1.4, "premium ratio"}, 0, 6, 0.1}, {
      Hold[
       Dynamic[
        Style["expenses", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[CurlyPhi]$$], 0.1, 
       "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01}, {{
       Hold[$CellContext`\[Lambda]$$], 0.2, "payment load (\[Lambda])"}, -0.3,
       1, 0.01}, {
      Hold[
       Dynamic[
        Style["capital market", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rpos$$], 0.05, "rate of return on investments"}, 0, 
      0.2, 0.01}, {{
       Hold[$CellContext`rborrow$$], 0.12, "borrowing interest rate"}, 0., 
      0.2, 0.01}, {{
       Hold[$CellContext`roe$$], 0.1, "rate of return on surplus"}, 0., 0.2, 
      0.01}, {
      Hold[
       Dynamic[
        Style["regulatory constraint", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Gamma]$$], 2, " required capitalization ratio"}, 
      0.1, 10, 0.1}, {{
       Hold[$CellContext`a$$], 0.35}}, {{
       Hold[$CellContext`b$$], 0.05}}, {{
       Hold[$CellContext`years$$], 20}}, {{
       Hold[$CellContext`insureds$$], 25}}, {{
       Hold[$CellContext`ss$$], CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsroWlmfcxNRRCgiZWSFKEQhkiKU7BGZ4Zt7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       "]}}, {{
       Hold[$CellContext`dist$$], WeibullDistribution}}}, Typeset`size$$ = {
    290., {227.5, 232.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`visualization$43565$$ = 
    False, $CellContext`ts1$43566$$ = False, $CellContext`ts2$43567$$ = 
    False, $CellContext`lineThickness$43568$$ = 
    False, $CellContext`xs$43569$$ = 0, $CellContext`layer$43570$$ = 
    0, $CellContext`\[Alpha]$43571$$ = 0, $CellContext`\[Beta]$43572$$ = 
    0, $CellContext`\[CurlyPhi]$43573$$ = 0, $CellContext`\[Lambda]$43574$$ = 
    0, $CellContext`rpos$43575$$ = 0, $CellContext`rborrow$43576$$ = 
    0, $CellContext`roe$43577$$ = 0, $CellContext`\[Gamma]$43578$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.35, $CellContext`b$$ = 
        0.05, $CellContext`dist$$ = 
        WeibullDistribution, $CellContext`insureds$$ = 
        25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
        "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
        0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsroWlmfcxNRRCgiZWSFKEQhkiKU7BGZ4Zt7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         "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
         7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
        0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
        4, $CellContext`\[Beta]$$ = 1.4, $CellContext`\[Gamma]$$ = 
        2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`visualization$$, $CellContext`visualization$43565$$,
          False], 
        Hold[$CellContext`ts1$$, $CellContext`ts1$43566$$, False], 
        Hold[$CellContext`ts2$$, $CellContext`ts2$43567$$, False], 
        Hold[$CellContext`lineThickness$$, $CellContext`lineThickness$43568$$,
          False], 
        Hold[$CellContext`xs$$, $CellContext`xs$43569$$, 0], 
        Hold[$CellContext`layer$$, $CellContext`layer$43570$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$43571$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$43572$$, 0], 
        Hold[$CellContext`\[CurlyPhi]$$, $CellContext`\[CurlyPhi]$43573$$, 0],
         
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$43574$$, 0], 
        Hold[$CellContext`rpos$$, $CellContext`rpos$43575$$, 0], 
        Hold[$CellContext`rborrow$$, $CellContext`rborrow$43576$$, 0], 
        Hold[$CellContext`roe$$, $CellContext`roe$43577$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$43578$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[
         Join[{
           Labeled[
            SetterBar[
             Dynamic[$CellContext`dist$$, ($CellContext`ss$$ = RandomReal[
                 #[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`dist$$ = #)& \
], {WeibullDistribution -> Tooltip[
                Style["Weibull", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   WeibullDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], GammaDistribution -> Tooltip[
                Style["Gamma", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   GammaDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], LogNormalDistribution -> 
              Tooltip[
                Style["Log Normal", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   LogNormalDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]]}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["distribution", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`a$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[#, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`a$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["first parameter", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`b$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, #], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`b$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["second parameter", 10]], Left], 
           Labeled[
            Manipulator[
             
             Dynamic[$CellContext`insureds$$, ($CellContext`ss$$ = 
               RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, #}]; $CellContext`insureds$$ = #)& ], {1, 50, 1}, 
             Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["number of insureds", 10]], Left], 
           Labeled[
            SetterBar[
             Dynamic[$CellContext`years$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], {#, \
$CellContext`insureds$$}]; $CellContext`years$$ = #)& ], {10, 20, 50, 100}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["years in simulation", 10]], Left]}, {
           Dynamic[
            
            With[{$CellContext`data$ = \
$CellContext`viewData[$CellContext`xs$$, $CellContext`layer$$, \
$CellContext`ss$$, $CellContext`insureds$$, {$CellContext`rborrow$$, \
$CellContext`rpos$$}, $CellContext`roe$$, $CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`\[Gamma]$$, $CellContext`years$$, \
$CellContext`\[CurlyPhi]$$, $CellContext`\[Lambda]$$, $CellContext`ts1$$, \
$CellContext`ts2$$]}, 
             Switch[$CellContext`visualization$$, "time series", 
              $CellContext`timeSeriesView[$CellContext`data$], "statistics", 
              Text[
               $CellContext`statisticsView[$CellContext`data$]]]]]}], 
         Alignment -> Right], {290, 460}, ImageSizeAction -> "ShrinkToFit"], 
      "Specifications" :> {
        Dynamic[
         Style[
         "visualization mode", Bold]], {{$CellContext`visualization$$, 
          "time series", "mode"}, {
         "time series" -> 
          Tooltip["time series", 
            "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
          Tooltip["statistics", 
            "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}, 
         ImageSize -> 
         Small}, {{$CellContext`ts1$$, {1, 2, 3}, "series elements 1"}, {
         1 -> Tooltip[
           "a", "assets available for creditors; insured claims generally \
have priority over other creditor or investor claims"], 2 -> 
          Tooltip[
           "s", "surplus: the difference between assets available for \
creditors and loans taken out by the insurer during years when assets fell \
below the required level."], 3 -> 
          Tooltip["r", 
            "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
          Tooltip["\[ScriptL]", 
            "losses: the annual losses suffered by insureds."]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`ts2$$, {7}, "series elements 2"}, {
         5 -> Tooltip[
           "p", "payments: the annual payments made by the insurer to \
insureds (the figure excluded expense loads)."], 6 -> 
          Tooltip["pr", 
            "premium: the annual premium relative to net mean claims."], 7 -> 
          Tooltip["op", "operating profits"], 8 -> 
          Tooltip["\[CapitalDelta]", "change in surplus"]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`lineThickness$$, "alternating", 
          Tooltip[
          "line thickness", 
           "this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series"]}, {
         "uniform" -> 
          Tooltip["uniform", 
            "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
          Tooltip["alternating", 
            "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
          Tooltip["varying", 
            "the lines corresponding to the time series have increasing \
thickness"]}, ImageSize -> Tiny, ControlType -> SetterBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= "statistics"]}, Delimiter, 
        Dynamic[
         Style["insurance policy", Bold]], {{$CellContext`xs$$, 0.6, 
          Tooltip[
          "attachment point", 
           "the amount of loss an insured must suffer before the insurer has \
any obligation to pay for losses"]}, 0, 10, 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`layer$$, 0.5, 
          Tooltip[
          "layer size", 
           "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Dynamic[
         Row[
          Map[
          Style[#, Italic, Gray]& , {$CellContext`layer$$, 
            " XS ", $CellContext`xs$$}]]], Delimiter, 
        Dynamic[
         Style[
         "revenue", Bold]], {{$CellContext`\[Alpha]$$, 4, 
          "initial capitalization ratio"}, 0, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 1.4, "premium ratio"}, 0, 6, 0.1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "expenses", Bold]], {{$CellContext`\[CurlyPhi]$$, 0.1, 
          "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Lambda]$$, 0.2, 
          "payment load (\[Lambda])"}, -0.3, 1, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "capital market", Bold]], {{$CellContext`rpos$$, 0.05, 
          "rate of return on investments"}, 0, 0.2, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rborrow$$, 0.12, "borrowing interest rate"}, 
         0., 0.2, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`roe$$, 0.1, "rate of return on surplus"}, 0., 
         0.2, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "regulatory constraint", Bold]], {{$CellContext`\[Gamma]$$, 2, 
          " required capitalization ratio"}, 0.1, 10, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`a$$, 0.35}, 
         ControlType -> None}, {{$CellContext`b$$, 0.05}, ControlType -> 
         None}, {{$CellContext`years$$, 20}, ControlType -> 
         None}, {{$CellContext`insureds$$, 25}, ControlType -> 
         None}, {{$CellContext`ss$$, CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsroWlmfcxNRRCgiZWSFKEQhkiKU7BGZ4Zt7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          "]}, ControlType -> 
         None}, {{$CellContext`dist$$, WeibullDistribution}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1, 5, 8, 12, 14}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{652., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((SeedRandom[101307]; $CellContext`stormSet[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]]] := RandomReal[
         $CellContext`dist[$CellContext`a, $CellContext`b], \
{$CellContext`years, $CellContext`insureds}]; $CellContext`rowTotal[
         Pattern[$CellContext`set, 
          Blank[]]] := 
       Map[Total, $CellContext`set]; $CellContext`surplusLoans[
         Pattern[$CellContext`payments, 
          Blank[List]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`premium, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`r, {
           Pattern[$CellContext`rborrow, 
            Blank[]], 
           Pattern[$CellContext`rpos, 
            Blank[]]}], 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`required, 
          Blank[]]] := 
       FoldList[
        With[{$CellContext`tempCash = 
           Part[#, 1] + $CellContext`premium + $CellContext`rpos 
             Part[#, 1] - ($CellContext`roe Part[#, 1] + 
            Max[0, Part[#, 
                2] $CellContext`rborrow] + $CellContext`\[CurlyPhi] \
$CellContext`premium + #2 + $CellContext`\[Lambda] #2)}, 
          
          If[$CellContext`tempCash >= $CellContext`required, \
{$CellContext`tempCash, 
            Part[#, 2]}, {$CellContext`required, 
            Part[#, 2] + ($CellContext`required - $CellContext`tempCash)}]]& \
, {$CellContext`\[Alpha], 
          0}, $CellContext`payments]; $CellContext`paymentsFunction[
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]]] := 
       Map[Clip[# - $CellContext`xs, {
          0, $CellContext`layer}]& , $CellContext`ss, {
         2}]; $CellContext`empiricalMatrixMean[
         Pattern[$CellContext`set, 
          Blank[]]] := Mean[
         Flatten[$CellContext`set]]; $CellContext`annualPremiumRevenue[
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], 
         Pattern[$CellContext`meanPremiumPerInsured, 
          
          Blank[]]] := $CellContext`\[Beta] $CellContext`insureds \
$CellContext`meanPremiumPerInsured; $CellContext`pretabulate[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`start, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`f, 
           BlankSequence[]], List]] := Thread[
         $CellContext`f[
          
          Range[$CellContext`start, Length[$CellContext`data] - 
           1], $CellContext`data]]; $CellContext`surplusTooltips[
         Pattern[$CellContext`pointCoordinates, 
          Blank[]], 
         Pattern[$CellContext`tipdata, 
          Blank[]], 
         Pattern[$CellContext`pointDirectives, 
          Blank[]], 
         Pattern[$CellContext`labelFormattingFunction, 
          Blank[]]] := MapThread[Tooltip[{
           Apply[Sequence, $CellContext`pointDirectives], 
           Point[#]}, 
          $CellContext`labelFormattingFunction[#2]]& , \
{$CellContext`pointCoordinates, $CellContext`tipdata}]; $CellContext`viewData[
        
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], {
          Pattern[$CellContext`rborrow, 
           Blank[]], 
          Pattern[$CellContext`rpos, 
           Blank[]]}, 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`\[Gamma], 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`ts1, 
          Blank[]], 
         Pattern[$CellContext`ts2, 
          Blank[]]] := 
       Module[{$CellContext`payments, $CellContext`yearlosses, \
$CellContext`yearpayments, $CellContext`m, \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`at, $CellContext`spls, $CellContext`op, $CellContext`tips}, \
$CellContext`payments = $CellContext`paymentsFunction[$CellContext`xs, \
$CellContext`layer, $CellContext`ss]; $CellContext`yearlosses = \
$CellContext`rowTotal[$CellContext`ss]; $CellContext`yearpayments = \
$CellContext`rowTotal[$CellContext`payments]; $CellContext`m = \
$CellContext`empiricalMatrixMean[$CellContext`payments]; \
$CellContext`initialCapitalization = $CellContext`\[Alpha] \
$CellContext`insureds $CellContext`m; $CellContext`annualPremiumRevenue = \
$CellContext`\[Beta] $CellContext`insureds $CellContext`m; \
$CellContext`requiredCapitalization = $CellContext`\[Gamma] \
$CellContext`insureds $CellContext`m; $CellContext`at = \
$CellContext`annualTotals[$CellContext`payments]; $CellContext`spls = \
$CellContext`surplusLoans[
            Map[
            Total, $CellContext`payments], \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`\[CurlyPhi], $CellContext`\[Lambda], {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Gamma]]; $CellContext`op = 
          Map[$CellContext`annualPremiumRevenue - ($CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + # + $CellContext`\[Lambda] #)& , \
$CellContext`yearpayments]; {$CellContext`xs, $CellContext`layer, \
$CellContext`ss, $CellContext`insureds, {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Alpha], $CellContext`\
\[Beta], $CellContext`\[Gamma], $CellContext`years, $CellContext`\[CurlyPhi], \
$CellContext`\[Lambda], $CellContext`ts1, $CellContext`ts2, \
$CellContext`payments, $CellContext`yearlosses, $CellContext`yearpayments, \
$CellContext`m, $CellContext`initialCapitalization, \
$CellContext`annualPremiumRevenue, $CellContext`at, $CellContext`spls, \
$CellContext`op}]; $CellContext`timeSeriesView[
         Pattern[$CellContext`data$, {
           Pattern[$CellContext`xs$, 
            Blank[]], 
           Pattern[$CellContext`layer$, 
            Blank[]], 
           Pattern[$CellContext`ss$, 
            Blank[]], 
           Pattern[$CellContext`insureds$, 
            Blank[]], {
            Pattern[$CellContext`rborrow$, 
             Blank[]], 
            Pattern[$CellContext`rpos$, 
             Blank[]]}, 
           Pattern[$CellContext`roe$, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha]$, 
            Blank[]], 
           Pattern[$CellContext`\[Beta]$, 
            Blank[]], 
           Pattern[$CellContext`\[Gamma]$, 
            Blank[]], 
           Pattern[$CellContext`years$, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi]$, 
            Blank[]], 
           Pattern[$CellContext`\[Lambda]$, 
            Blank[]], 
           Pattern[$CellContext`ts1$, 
            Blank[]], 
           Pattern[$CellContext`ts2$, 
            Blank[]], 
           Pattern[$CellContext`payments$, 
            Blank[]], 
           Pattern[$CellContext`yearlosses$, 
            Blank[]], 
           Pattern[$CellContext`yearpayments$, 
            Blank[]], 
           Pattern[$CellContext`m$, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization$, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue$, 
            Blank[]], 
           Pattern[$CellContext`at$, 
            Blank[]], 
           Pattern[$CellContext`spls$, 
            Blank[]], 
           Pattern[$CellContext`op$, 
            Blank[]]}]] := 
       If[Join[$CellContext`ts1$, $CellContext`ts2$] =!= {}, 
         ListLinePlot[
          Part[{
            Tooltip[
             Map[First, $CellContext`spls$], "assets"], 
            Tooltip[
             Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$], "surplus"], 
            Tooltip[
             Map[$CellContext`requiredCapitalization& , $CellContext`spls$], 
             "required assets"], 
            Tooltip[
             Prepend[$CellContext`yearlosses$, 0], "annual insured losses"], 
            Tooltip[
             Prepend[$CellContext`yearpayments$, 0], 
             "annual insurer payments"], 
            Tooltip[
             Map[$CellContext`annualPremiumRevenue$& , $CellContext`spls$], 
             "premium revenue"], 
            Tooltip[
             Prepend[$CellContext`op$, 0], "operating profits"], 
            Tooltip[
             Prepend[
              Differences[
               Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$]], 0], 
             "change in surplus"]}, 
           Sort[
            Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotMarkers -> 
          Part[{"\[FilledCircle]", "\[FilledSquare]", "\[FilledDiamond]", 
             "\[FilledUpTriangle]", "\[FilledDownTriangle]", "\[EmptyCircle]",
              "\[EmptySquare]", "\[EmptyDiamond]"}, 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotStyle :> Part[
            Table[{
              Directive[
               Opacity[0.7], 
               ColorData[3][$CellContext`i], 
               Thickness[
               Switch[$CellContext`lineThickness$$, "uniform", 2, 
                  "alternating", 
                  If[
                   EvenQ[$CellContext`i], 1, 3], "varying", 
                  Rescale[$CellContext`i, {1, 8}, {1, 5}]] 
                0.003 (4 - 
                 Switch[$CellContext`years$, 10, 0, 20, 1, 50, 2, 100, 
                  3])]]}, {$CellContext`i, 8}], 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}], 
         Graphics[{}, Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}]]; $CellContext`statisticsView[
        
         Pattern[$CellContext`data, {
           Pattern[$CellContext`xs, 
            Blank[]], 
           Pattern[$CellContext`layer, 
            Blank[]], 
           Pattern[$CellContext`ss, 
            Blank[]], 
           Pattern[$CellContext`insureds, 
            Blank[]], {
            Pattern[$CellContext`rborrow, 
             Blank[]], 
            Pattern[$CellContext`rpos, 
             Blank[]]}, 
           Pattern[$CellContext`roe, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha], 
            Blank[]], 
           Pattern[$CellContext`\[Beta], 
            Blank[]], 
           Pattern[$CellContext`\[Gamma], 
            Blank[]], 
           Pattern[$CellContext`years, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi], 
            Blank[]], 
           Pattern[$CellContext`\[Lambda], 
            Blank[]], 
           Pattern[$CellContext`ts1, 
            Blank[]], 
           Pattern[$CellContext`ts2, 
            Blank[]], 
           Pattern[$CellContext`payments, 
            Blank[]], 
           Pattern[$CellContext`yearlosses, 
            Blank[]], 
           Pattern[$CellContext`yearpayments, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue, 
            Blank[]], 
           Pattern[$CellContext`at, 
            Blank[]], 
           Pattern[$CellContext`spls, 
            Blank[]], 
           Pattern[$CellContext`op, 
            Blank[]]}]] := 
       With[{$CellContext`myl = 
          Mean[$CellContext`yearlosses], $CellContext`myp = 
          Mean[$CellContext`yearpayments]}, 
         Grid[{{"initial capitalization", 
            NumberForm[$CellContext`initialCapitalization, 3]}, {
           "annual premium revenue", 
            NumberForm[$CellContext`annualPremiumRevenue, 3]}, {
           "mean annual losses", 
            NumberForm[$CellContext`myl, 3]}, {"mean net payments", 
            NumberForm[$CellContext`myp, 3]}, {"mean operating profit", 
            
            NumberForm[$CellContext`annualPremiumRevenue - ($CellContext`myp + \
$CellContext`\[CurlyPhi] $CellContext`annualPremiumRevenue + $CellContext`\
\[Lambda] $CellContext`myp), 3]}, {"standard deviation annual losses", 
            NumberForm[
             StandardDeviation[$CellContext`yearlosses], 3]}, {
           "standard deviation net payments", 
            NumberForm[
             StandardDeviation[$CellContext`yearpayments], 3]}, {
           "standard deviation operating profit", 
            NumberForm[
             
             StandardDeviation[$CellContext`annualPremiumRevenue - \
($CellContext`yearpayments + $CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + $CellContext`\[Lambda] \
$CellContext`yearpayments)], 3]}, {"mean premium load", 
            
            NumberForm[$CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue, 3]}, {"mean claims load", 
            NumberForm[$CellContext`\[Lambda] $CellContext`myp, 3]}, {
           "mean investment earnings", 
            NumberForm[
             Mean[$CellContext`rpos Map[First, $CellContext`spls]], 3]}}, 
          Dividers -> All, Background -> ColorData[18][7], 
          BaseStyle -> {FontColor -> ColorData[18][3]}, 
          ItemSize -> {{14, 6}, 1}, Alignment -> Left]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->109936001]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateCaptionSection"],

Cell["\<\
In insurer insolvency proceedings, it is typical for the claims of insureds \
to have a higher priority against the assets of the insurer than the claims \
of ordinary debt creditors or equity holders. To reduce the risk that insured \
claims or investor claims will go unpaid by an insurer experiencing financial \
difficulties or a bad year or two, regulators and rating agencies often \
require the insurer to have significant assets available to pay insureds' \
claims. This Demonstration explores how laws relating to the capitalization \
required of an insurer couple with a variety of other parameters involving \
the limits of the insurance policy, the revenue received by the insurer, the \
expenses of the insurer, and the rates available in the capital market to \
determine the financial success of the insurer over a user-specified period \
of simulation. It is intended to show, among other things, the size of the \
premium the insurer must charge to avoid \"ruin\", in which the costs of \
recapitalization needed to meet regulatory requirements become a crippling \
burden.\
\>", "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4327276381045723`*^9, {3.432728189846674*^9, 
   3.432728253022962*^9}, {3.4327283622610483`*^9, 3.432728394053789*^9}, {
   3.4327284372076797`*^9, 3.432728501590012*^9}, {3.432728590151527*^9, 
   3.4327287871227303`*^9}, {3.4327289219670343`*^9, 3.432729011337225*^9}, {
   3.432729946036254*^9, 3.432730019001123*^9}, {3.432815486262059*^9, 
   3.4328154930081387`*^9}, {3.43281586584897*^9, 3.4328158672646*^9}, {
   3.432822825242548*^9, 3.432822861200364*^9}, {3.43282300940343*^9, 
   3.432823047862871*^9}, {3.432823104632432*^9, 3.432823183004071*^9}, 
   3.432824967583301*^9, {3.43283957158261*^9, 3.4328396185428123`*^9}, {
   3.4328396822487593`*^9, 3.432839789248417*^9}, {3.432899099859008*^9, 
   3.432899227266465*^9}, 3.433089046334333*^9, {3.433089111319124*^9, 
   3.433089140553686*^9}, 3.4330891708195047`*^9},
 CellID->1159714968],

Cell["\<\
You choose the visualization produced by the Demonstration. In \"time series \
mode\", the Demonstration shows various financial variables over time. You \
choose the elements to be displayed with checkboxes. Hovering over the label \
to the right of each checkbox provides a tooltip showing more precisely what \
is shown by the corresponding line. In \"statistics mode\", the Demonstration \
produces a table showing the means and standard deviations of various \
financial variables over the entire period of the simulation. The operation \
of the other controls is explained in the Details section.\
\>", "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432729014524006*^9, 3.43272906597329*^9}, {
   3.432729120228903*^9, 3.432729146247921*^9}, {3.432729219079534*^9, 
   3.432729243675046*^9}, {3.432816638582037*^9, 3.43281685220198*^9}, {
   3.432816927250811*^9, 3.432816982071741*^9}, {3.432817169680365*^9, 
   3.4328172778013*^9}, {3.4328186675482187`*^9, 3.432818751190199*^9}, {
   3.432840276918353*^9, 3.432840386821892*^9}, {3.432898357188223*^9, 
   3.432898371137278*^9}, {3.432898479070498*^9, 3.432898613581934*^9}, {
   3.433089194163404*^9, 3.4330891966477947`*^9}, {3.4336065499827876`*^9, 
   3.4336065901358023`*^9}, {3.433685039728467*^9, 3.433685043624857*^9}},
 CellID->89098760]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ThumbnailSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.35, $CellContext`b$$ = 
    0.05, $CellContext`dist$$ = WeibullDistribution, $CellContext`insureds$$ =
     25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
    "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
    0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNl2c4FmwYhklU5EsaRDYlolQi8V4vmVH2qISMZJORrGySkb33TFYIiYzs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    "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
    7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
    0.6, $CellContext`years$$ = 50, $CellContext`\[Alpha]$$ = 
    4, $CellContext`\[Beta]$$ = 1.6, $CellContext`\[Gamma]$$ = 
    2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Style["visualization mode", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`visualization$$], "time series", "mode"}, {
      "time series" -> 
       Tooltip["time series", 
         "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
       Tooltip["statistics", 
         "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}}, \
{{
       Hold[$CellContext`ts1$$], {1, 2, 3}, "series elements 1"}, {
      1 -> Tooltip[
        "a", "assets available for creditors; insured claims generally have \
priority over other creditor or investor claims"], 2 -> 
       Tooltip["s", 
         "surplus: the difference between assets available for creditors and \
loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
       Tooltip["r", 
         "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
       Tooltip["\[ScriptL]", 
         "losses: the annual losses suffered by insureds."]}}, {{
       Hold[$CellContext`ts2$$], {7}, "series elements 2"}, {
      5 -> Tooltip[
        "p", "payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads)."], 6 -> 
       Tooltip["pr", 
         "premium: the annual premium relative to net mean claims."], 7 -> 
       Tooltip["op", "operating profits"], 8 -> 
       Tooltip["\[CapitalDelta]", "change in surplus"]}}, {{
       Hold[$CellContext`lineThickness$$], "alternating", 
       Tooltip[
       "line thickness", 
        "this control addresses the issue of overlapping lines in time series \
mode; while to some extent the partial opacity of the lines lets one see the \
overlap, you can also change the thickness of the lines corresponding to each \
of the elemtns of the time series"]}, {
      "uniform" -> 
       Tooltip["uniform", 
         "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
       Tooltip["alternating", 
         "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
       Tooltip["varying", 
         "the lines corresponding to the time series have increasing \
thickness"]}}, {
      Hold[
       Dynamic[
        Style["insurance policy", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xs$$], 0.6, 
       Tooltip[
       "attachment point", 
        "the amount of loss an insured must suffer before the insurer has any \
obligation to pay for losses"]}, 0, 10, 0.1}, {{
       Hold[$CellContext`layer$$], 0.5, 
       Tooltip[
       "layer size", 
        "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1}, {
      Hold[
       Dynamic[
        Row[
         Map[
         Style[#, Italic, Gray]& , {$CellContext`layer$$, 
           " XS ", $CellContext`xs$$}]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Style["revenue", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 4, "initial capitalization ratio"}, 0, 
      20, 0.01}, {{
       Hold[$CellContext`\[Beta]$$], 1.6, "premium ratio"}, 0, 6, 0.1}, {
      Hold[
       Dynamic[
        Style["expenses", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[CurlyPhi]$$], 0.1, 
       "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01}, {{
       Hold[$CellContext`\[Lambda]$$], 0.2, "payment load (\[Lambda])"}, -0.3,
       1, 0.01}, {
      Hold[
       Dynamic[
        Style["capital market", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rpos$$], 0.05, "rate of return on investments"}, 0, 
      0.2, 0.01}, {{
       Hold[$CellContext`rborrow$$], 0.12, "borrowing interest rate"}, 0., 
      0.2, 0.01}, {{
       Hold[$CellContext`roe$$], 0.1, "rate of return on surplus"}, 0., 0.2, 
      0.01}, {
      Hold[
       Dynamic[
        Style["regulatory constraint", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Gamma]$$], 2, " required capitalization ratio"}, 
      0.1, 10, 0.1}, {{
       Hold[$CellContext`a$$], 0.35}}, {{
       Hold[$CellContext`b$$], 0.05}}, {{
       Hold[$CellContext`years$$], 50}}, {{
       Hold[$CellContext`insureds$$], 25}}, {{
       Hold[$CellContext`ss$$], CompressedData["
1:eJwNl2c4FmwYhklU5EsaRDYlolQi8V4vmVH2qISMZJORrGySkb33TFYIiYzs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       "]}}, {{
       Hold[$CellContext`dist$$], WeibullDistribution}}}, Typeset`size$$ = {
    290., {227.5, 232.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`visualization$43722$$ = 
    False, $CellContext`ts1$43723$$ = False, $CellContext`ts2$43724$$ = 
    False, $CellContext`lineThickness$43725$$ = 
    False, $CellContext`xs$43726$$ = 0, $CellContext`layer$43727$$ = 
    0, $CellContext`\[Alpha]$43728$$ = 0, $CellContext`\[Beta]$43729$$ = 
    0, $CellContext`\[CurlyPhi]$43730$$ = 0, $CellContext`\[Lambda]$43731$$ = 
    0, $CellContext`rpos$43732$$ = 0, $CellContext`rborrow$43733$$ = 
    0, $CellContext`roe$43734$$ = 0, $CellContext`\[Gamma]$43735$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.35, $CellContext`b$$ = 
        0.05, $CellContext`dist$$ = 
        WeibullDistribution, $CellContext`insureds$$ = 
        25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
        "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
        0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNl2c4FmwYhklU5EsaRDYlolQi8V4vmVH2qISMZJORrGySkb33TFYIiYzs
nRGSGRGykojy9eP++xzPcT/PcZ3nxaZvpWK0h4SE5MK/OfFvlsfFhziX7mLw
/ZXTFV+a4MeiJN+x+AyOPSNP7rKmovjxF8riB4ug4kkQ1R4/Dvm0thdGZhK4
VGbX8Oa3AfRM68hKxPKwUZD4OlSGCNZjuQmFF9+g6AevgczyGHIPFSfu7aoE
Z8mFdlF2XyQHC5edD7uNhmSpM+0fX0HTtyKu574XuCYU7twPPAOSxpw+LrpS
1Fe6tpXpeMAlZ/fu9StN+F7w17FhZxZOrjEnPA5aYfrCaMYx5xmQzLDZbQza
Y2j8soSm3X7Uxlozx7g/Q+5z82l+pnxY0vdz94eUEibGmF08clhxZLD+EPuO
BOFJEe+wzXARVC5yDAyG2OHDXmWvb5LSaODl9+hk+o3WZTL94aIJsI7duWPz
WQiBdt81y6wAg162C/uSPCA5fIcja7IQTP7ySmUxJqjpf+Ss870H2V+a5x6c
1AfRjNv9v19kxMiClkMPmJdgeyDOIi11Apts+nkiwu4QHdt5SnXlAtxbrtU5
DpUgMjI54UBLLyGDXMd142seRDWHHSoRD32urqPPPjjjUMrT7/duz4G6otJK
eGICeTqhF5X3vsQcm7uKDfUE1iurLQhZZqD7WX7mTUA7soMkrOznugkzWt/N
RwIqYcEwKSiZYYjeP47kqZP1ICdb7fjQyQNKuRFdLOggYuhOunz+A6RT708N
s0rFobfMDtg3AfVnY2pz0baYtuTwoF++hN1rbkFcqcuw6bxbEEPXD4a+dF63
0/XwfqjdYJLQg85ThTGvmr5hL9XRJ5oneOGf4MUpeEmM4G11JefJ+yMgFKd3
Vf4i4irvUTbmtnDY3VvjM1rXg0XZz9eTRRbQ/EVrkcQSBNJHI2rD/kdxJExc
11DQhvDwYuzC4noi/GnfjgVfOA/k0Gd5ELNhXJwcajIkgJgL7DSZh/oxtaRW
yvsnGIbPSIn+r9/hWX3ikvYXVeyT3kqPfq4CGpkbnIH5Vigz+n70x9QkWOqG
w/tcBcG9ltugEV+BtK7nxhv/3n3FayGgYOAafsgSWaWqIsA79uvm5am96P1b
f/9jVQ6GfnB5Lvz1xLfp7fPzt1pAqtRyivX2MCrGwx33CQ5iP/OSguwPWxSW
5mlLnpZHyrjeybj5j1hUGbt1q7QCz0Qfm6/2GyPa7zH/bSZPQoL3WEV34SSO
JLGs6Mn1QWI0pPIUbmDypOew441WAs/bmcy7mtaoTo//ftpoAl/p+eud48JB
NGk5sW02jexr+p0Fb21BFH7ld4z8LuLEKRsf+ucS4pLJJG/XtKKZWfTQBe41
gs5N42Oqwkoorj923cunCI/yZJT6A1pxNIOT/mXWQXwmN6f9VfKOcK6J/9rb
gmJULRYIh8cH4XxLH11arwTMFGduLcaHgun7QFjoajZCKdjdC2bJiNc+pw1b
CRXBOp3WxjBPFCPcQht/l2MQJ9N3bEe3H9xfr78SezmLJPNbe9s/NUBpupVv
/q8bDsTFCxi8JiU2Bb85aMZUAjkmgTmZ8FJQsdOfeBZbDP3oEoF52zUYPomJ
4Hdxh6+bSouZfw5a/D23anZtcHYybrjgHC8czkre7LtfARo/3VrnkE8YcZ9S
30cowlRNk59l6hIh9gfvGVu5WgLTPZvyD7+KseIz7PfyYjoMLsleH1tVQvmP
o1S+hQuEve91evJHb6Mg0L3q/tIKYdB/lSE0sBmVqppf1q8zoeqjRIKbcSJ0
S/loBZytUaz6yOEyx0skZI6INsqVYrxcqXih9j1qlbV+WNHQInEkd+5O8RaY
WPmY0rd2CMI94m2UbGagPnp6dMzZEWy8c3q+guIYYlqs1Lhcge4XaeWqGsVQ
/Op4+YSVKdy+7fu5wLkX5k/59GpdWiGRwEReq5UENbHIhmc34rGnfA+j/IPL
KH3MU3FjYh5sT350Gdm8BgM9KzOnRi+o+rYJYmxSeH0t9WjWZC1IOuk1ZCzo
ILhcYcy37geqhUFP7dKLuGE/6DnaJgC/4mlpEkE7tK9c2k3xK4a/zjX6YINM
AvdyXnbb8CM80Q9TOawRjQZv89j8IFIwbuieEaPkIMZqN739nW6HwR8vPGfa
o3GEduhMTcUETvNLHPGd+AqR7737P15yQrGAadwe2wJ4Tl6v7tjbDNqN92HT
5UvwdMhMjAwyx9VCq2F91VlkmzHcaHTVhf+JJq1V4TYkS0Tfth1Yx+roC7+l
OmmYUFOGVBZXEOzs46KMzTtAfj3MYNbUEr1xFonDFdUwFbt++sCKJOaspWTr
nl7F6VeujF3DypA//14qVXALi+terC8udBFISU8Hf1xsRttx6qcMu1rYagxm
EzOzwUmv+2+jBkpQEM6SGSTsgVIOHmX2gS5sCFsVV5YZQnN8HrX7YpAQ2htc
ZJCASjW3dzqJawSnzEqTnIdJ2H+rvKbD/i1cFajMamMNoL89+OQm7Rp2Q+X3
+TC+goU3NfcePnk4Rm147rvjjUXVbd9gqlR8EREd3rtlDBeuZtpHtSQ41xJ5
xM6UFrtXotaMut0RrqGz49g3QOijn1dOU8iCj42yv6lqHsQHBH3uf83C/hoS
S4aEEuThrLbHux7Ykymx/OLrBctDBW75ZhN0hAbPrfSVEm54dl3VCKAnulfe
d0/qykOLUuCsrDUD4YlRHa3P6XActBIX/iHagsVMMwdK/wHY/CiwOdz0kfCQ
cU17OnEcStlhj+zlvoCoavFKT+UyhseSZq13G0CJjRt/N/QREyfOKhA6gLB1
dc051RbQKPEKBonIQqXqpOde8mZYDPlTypnGobuxL/dK0RjolNfM2lo7CN46
pS2VDf3YoRPfbn8ygeUu8q1HH1iI1mnW89rhndDafMiTLsKL9UluJ6JXAjrE
kqwKvYOh9qdy0mHXH9dY5D5tFlRgQP6q2Ov7aWjNTXp5kT8STGxtJlbivjjX
2LC0k9WNqDt+M6co1uBH11z//l4LzlLvPfXwTy2YPejrh29fRsBxLWW3Eg/I
DcVuG89pQvSP62QvxTMkP9DP/JspgqLfuoeixSpQ+uqRbMi9UFwP32NDQZKO
OffqkdI/BYiZ+s1MLTeBtG75yqqZIMQ4lq3QxvmLCV/7Kl7TcxvTgX63koS+
Qm2Clf95JR06D+932oUo+m8sVjXpn4bK1FF2SqY4XN/TJMLI9gJ+f+6p0mdF
Yv3UtVUcLkLDqNeIRBI91kjk1fQ0dVAvMiPW5pGLH0fd+Df+ZCFP7fAWfWYV
krfAERmsjiCqIVOrKlsInb0XKeadiS4P80V56UtQLCzYZZ52A8vjVHe+p6QI
OfFVqD7QGFqfTJfXaRMhmFQQkPb6GsgM9ejbBC8ThPZ1SOdO2yKH0P2OLfEP
oapV5VjsfCmU9Nk1xMUaoLleFF62Ko8HLZGuCUIj0O//LdBQdwt/QtZl/pJ0
4/HC4cfM4WGgPMYYNdEXCp74pe2ykBXC8sNprhwPQ+iT8cce8GQg3v2qO6S2
WAyLj//ZxwZ/wMFV6Y7L//hHRpo/STFBRHZ1EI1cxyKKnwcK3fJXQZz1JX/Z
TwFwV2isaWZkwqKPYJPZ+SIk3q+79cWyDiL3bOZW62xw64Hz/PRxZczEGDrt
L30N4Q/qJNykF2C/POLodScdh9wcPmp3MiK78N7x0KlVOE4f4kjSfgrZMefh
/27lYF3H5UMl72OUFxiIXX2th+hi03prDV3oiilfakqaQDxlR1/eqBfa3kmf
LUsVwn7dN5S3pVugKrExXjUgAIb/GsmOe5+FnKm0PqVRCham9ulYJ5XA6Pss
Ib8rDCSELMbfytmEyldURNdQx3/nXxGt92zDw4o15/jVJBQFuEwxc9ERjUYt
+1I6AyBoyMCRObMAwcCFsM8OxXD7e68qZUQGNEOS27ujh0EtSWXwayUArHe/
uV7X+E0o51B9th1dhByXNUMZo2IMnu74Y/r8E0HloGRjo9t7mHWlmV/c5wXv
NC8u6cNG0P5S1Mrl4gILc7asG7//EFyVTbJrqRVx4LyV3+dCIupT3JjujoXj
DY+xoHuEOEKM3e2lh//xpm2udErhPeyHuG11P/qAWELxtqYvAOPKN1XziaXI
7enLfEFsxtw2r2BaSwW4pASa9ou8Avt7V8cRCxksvlZayomswoN0GZrS40eJ
TEmg0H9bjJ/aetmaEZZYy7AQs0zIQ1Duk5yZAFsMfdDKn3SqADt5GokM+Rrh
Ntsc15kBPsg36dWxrn+AMFX+y1MXWnDx4EthtZOvEcnOVRwUKQrvEkuX/rJC
FIH2z3+jMXhTxWv6rfErImNjHSY1fiO3V71xLkkX/V6yDCfsv8HZveU2D70d
qB1Onqa1KERUsidNf84KYf/FpV/OXCk4Syvz8EzVSWJHzUse49v12P/S+mXm
qg9qJYdO7lmTR8ILjrRSvghwreHT8kgQjt8+opWo0oKitpp3OnXeGDFmFufk
dMSUhFoSc3kwbo/17v5ySYTYf2+Lr5F7YGjKiOIF2TukGGQJ5//jseQ6l46U
3nOslMTIp5EK/vNS7XNkJL7IGM1loNq9jxWO5x1lve0ER4sL6fHB5SClrGQX
bLFG5gFF3W9bueCkf58XKcgELkfjF0K1fkj6xSyhdXACKWE+IwFhz2BF/ov+
i3ki6sljs+LPP0DN6ZN1elSJhCKZECHNzW5MEnX3B71/CF+xlJuvLUjg/Ru/
HrBWgTKNdbLJpBNBQtcYRnOjMHPA+8XZvNfYybZ9MGd+F2cHFfmqfryE8wJI
xS+kg92+6f7VbAripmDUbqNtG1oV3PXzb3kgysiH4dwRR/R3GqxTiGaiJ0tN
PDAgA6S+SVsawrF4rCZ7QiH6PRQOVVCy/ryKiPro4h+tQqhyNPMelvfBPpGk
v8VoQI2V2Omo5G3MUnMxt0gzw+V+y7jT32msPU3CkNE17LHp/NJEOYor0kcm
P1NEIP/IfstMU0ak3PcU1qbZQXlaBrVz8D1E2xu/b9J/Dpbq9TC57EhUy05M
mpss4FMr+30nFx4kWvwkoTU8iUCFGr2T+4Tweacv3n2rC/5Fy+Shpuo4r36c
luhJD647+3Qs89/DWu23td3PNJRs7XZqunxDz0Fm9utLSWgrlOPo0VLBZlt0
fAqZPJwonG3Zzjnhg8qlEY3P5/FhujNXaqEBZM2XGX63ZuD1VN6HyyyMONvt
nvDgZAL2t7L68DUZQEnX8mrSmhKMZg53rbxzRsyAa3Z4BzlRpEtBWCd2Apfk
3V7OH+eB51lTnpFQbcTvmdDPLjVAQMxlu5t/K/AxkY915Fc0ehyZP3O9NMS4
unaI+KQkaPKCXZUj3mCR+DxYp5eUOGl8Iv05Rw4O7gu87Lv7mzBXQp5/s1Ed
9GtZL94lzUGBqnN1b4Eh7n16a5P+Hyty9ojeCz+Si8iD7wqizDzA+Z9Ar1tq
H6GW+oo/heElUG5KbipNtmD5jFOhsHIuyk5l0L9uSiVoRh0SmJRhA92pTSoL
4TB09ab/ZKDjxJVy+WMp/3rE0y93pG8ZGuPJI2pBus6nEF1yNWsfl0S6ynTT
doAqgt4+jqpnj8PQUENjdfoAokob+hTlVsWqtBc2semLCkX+hc0HEcgZfP9M
Rt0ZLtGiWT9DzNDUXGp48m0PdtO79UIM3KE3ahJa+yICrJe82Ie/K0OBJfHk
qbAMrKXm/5DqckeVBpdUHmE/FOiEzr3ukgKvFIc0L507fgVkql5/N0DYYbr8
un4+HMY6TV01Rc/wqf0uerYawPzCTkcwRQVTr3UNjtCWguRD6nn2j1HY0bD8
DI98nOy9tzx9yh37H/LpSBzMxJ8O7pMMTwjYefBoK7ObH5KHqh84x83iMy+j
7ZFENST9jRl0ebGK8scCSwIWdaAkrAtcnehBG5/XDcvyNEiesBRWE48Cw3nh
7IOrI2jgYqQgHSKBcf9RF650JxQljcuoqeRD0mBNrzFwHl4xDyfE32ZBIcKl
RFEoEwtuJOFK7FOE6W5mTapLJzFTkqUaxeUNNWuvAQm7dGRdeZP1IeIBvn2r
I9AjDNfWE6qupBYhVOMmzwjtDK7t5n/+fKgeceuXJK4w+eGul/FZaqFERMgY
CLF8foeERL5XL/4LRcqkXCEJTzACu9u4C6kc8SVI5IdckQ3O714RebzdBJ6G
mf8kTa/C6X0CffvCN0Le3/76GkNZXBTTitbpvgD1FoP/suwf45eyuE3yWxdU
pLtEMPLG4z1P4CZDVi0EF6kv7td+jZxC83tX3OMhoi62NElZTuC7rnyNnSwc
01oFpprro3A8y2lYNcOHT2Y6QzcX/xAO2f2iEe/zxMHcNF/3DVuc30hd/uvp
BWpzjWTO6CzQVqg1CU5b45li+CHhVmtUXe36IjPSCJm0srlLYhchfKb77L3B
DEJP2w0bJqrLGD/7hT2+txyWx74ObvySAYkaS17epRsozF3S2P6jhNKnvo5L
PS/ARwzmab6eg25rvg2dhlWCIHlqdF7hVUj7rhd5sw4QriwU8IX4pIBDqlNg
RN4dg6y3fP1GExB2dSqP+UskyvveOsRwFiFq8b7+9xwvcDHRbvMZ5SOboytC
Y6MSCmOT7Qp9ScjMTjeP1dfHH5d7Kp/Y3DAgTqKc8GwOnzrKLrT8aYcTfZzu
NnccrAwYPK+Qn0Xk9AuJrD2RqMLLMKVofzAwL5v/5n2Ia/57ni1p3ofOjbsl
wQf6cYAzTa+wNBtGn0d5Lab1YK3BZWeqXAmu9YCqRvlGgtMrrVNGDe/ANnCk
MWWGAw9oDzCwFrjjrHH/xt3SVULgtOx2QqAr7HUlJ+2cWiBs2R6Q1WkEGdbS
Ixn5wQg4onxbrvAKvr+Rj+xYroP6jKu+cSIPXKz/HrwfVYzA3IwQ5r2KyOg9
mdlCEYSTQeJtMSrFyAuYvIr1vwQhnmdvk97oIePhoL32wgpOqrU1FmplQkK/
scIAt2FINeYv1Z+BNEXlFrdnfQQSWjp6ra0B8Mo9UaQUKEI7+T6ntNMaCCr8
ElcoH0JokVpqzKkZhpZZ7YzRUDaML4lUr18kEj5PO35T7vkAj9+Yn2OahVRx
c0/dnzVkcMmQiwp3w2dvoQPDv/zYzhb9lFaZCVl+uuKi6nX4Bsxa63dvgNNw
m23kqQmWnN+R5xWyE3UoOYlj/8Wg9Prq53mtbJD0C1kzNUXgrMZx7W9h8YSW
9BsnhKJnCA3qAa8z6SlQ81rC9If8FIonx/LUaxzBI1s5dHW+GHVZh32kR1jB
V3e32zPuMVZyWBjZXj0gmGTVpgwXvkdYQnnt9YMThEDFwdodKjsIHzvYVZsZ
gj1Xv45/v5QC7Q+VHi9kglDN8/3usZBkvFgttb1xk4w4evuvTPHlb2gOHH9U
M1+H9Y8sp1PCY3Br0ZqDeu45yHTH13zpSXCnMcd7Mycdyqy1+tffGELRKthj
eU8BcsfEK/u+RsBxyiz/YpcXPL8Jzr9qtiUo+QR7RLAFYXksSOEHXQkmrlae
W3dORmvbzEevf74XxhgnublogjT7p3eEVuJx13o9xl7bEJJ182rfpXTwiGSQ
fE9xHlSj/rzsVZ0kJAp6yBYMRIPzaqWd20tBnFZYvSfI9ZuA/rH8VF4/aJcY
vZ14V42PQ9yXr4T0ICWd53Hc7D5iprFmil91NzTzLI+XcMZggPMBFd9Tcri9
IAs6rbgKbJw14R0Kw4qZgk/J71QEjvKzqOYLosE+9v3rak+IjT2MawmzAJnR
qfD9XL3wrN5lJOWSRNqwgfnTUl9Evvsu4vncDO7l+x/ZX/fHSmTPI+2XkRgb
bv6T59CIm5w1h1SeluJbwYFg9qe2cIlQNS2dqANt6iOS3U9tqCyL22jadIKZ
h6Z3++NXoM0clA/hvgavDiKtn1sd9gwv133jUMD7YukT9sfpcS1RXDYiThqy
fCtn/J/bYMbzhO85HCC2m1UqnLl4ADHbqdo2zSPIDu4UyY55hotJqg/6G1kh
5RZa1SIhDOvR3UeLGl+BDnKt7hArpF7YNfgaQ0O88j3XtkIzDANPnXebb0zg
xCuB1JyXs6B0tHEdNl/CNQIZS2vqHuJD1iLucqMGfPh1xn1PbRGkLk0TG1Oa
sVOV+epETSQaGtbirrx/hFlO+Xqa3KNYs9AMpp76BLEyrRM3nz2D55PPz/eq
vYe/p/9KiboWzP/eeXxkTzQ6WhU8q/7uxRfOgfO2L1L//cMMjg8PerHXlTvq
jZAsJqatyU7Yt4F35x5H4sMSRIj1V5Z2dBAOGTRtCnXNQ33oaOPi/GOY9zN3
FJoqwu6BDLMZ23HobNXpi7ofhv+Sb+zEyCkIDZly+shN4OFvrxVj/XnsLI/2
/BXsJWhmc+4z/hWKrA5lc8MyCZwjjjtzU4ZjgKKFus24EUQz5YIDt/KRIdvl
9CgiDzJHehW9klVwuqN4m5lqnlCkQU31aqAEN9yPOrcWfkHjcBIxmuflP6/a
vp0bp4rB5nvyNN9jkKRjSqXe7oCQDrl6uzxVeFJIc/4sSCGYXBVYldobjtke
xcOj41HoOeo3/IrUBQ2t5+QijrxBMmfnTOl5DwIX7/Wghd/e0DgsLaPENQjj
Vf4nEpQWqIodseJeI8PZ5vqfRlPmwKfAfRdVYuBeJeB3KtYX+fwKdOYWwfic
qbqf7Lw24hTYnq23U2NI9aXa+h5T+CmXx+t8foa5wdGf6rHeBLPFgsiIPCK2
XZhHFP5x1PnmQyvGPys4srv6PSveFyFHK33oTGyw+eKvm6EtBXHX+4czjb81
WjVtLk6VRwI695o5b3sAdvWHyYedsCzWRDlfHQA1D0HLNQonfBEjUSihqsVh
NlZvTwYfuPioWxwtsUGcdEIZGeMKhtSKTJ/6N8Anbmmh3CANfw6qdZWvtsLU
qMVgZDYK+RQtZW4mT6BClFgw0+wEtx5b54IyBRS/Zjp0f3TFxFgN865bLrgF
Q1cPKLTA4FexQn/BFEFxjUk4zpIE+hfPPL2hYolB9q/VbGfoUHySz1XtYDcW
TPpuPf9GSpSZE3B1eTcAnjGOGHOJeqTZkTN/negjSE8H3T8YZotjQXsNJnSO
EKn0KZvvEqPQ/jPrx70npZC8VMzi8PEUSs1No+odWgm1n0pz3ycNwN/PxKDq
lCNOnSyTTPGPhZ0gkfrL8Rzc6JlgfTgWhYbdarKvs6bYl61B/DZZDLOSKME3
aSr4bqtimaati6VHqbJdB4kQp+b3vcm/8s9DaLJTC0og+5f5zLPqDqjdGSgt
YfeA5NfepHN3FsWsvI6rzAwWgnfj6gwe6OP88XFmfg4lOM5dadVyVsdFGiH7
c2Im6EiVT/mQ8RJFFCrJdOYNSAnvH16VmIFYv3Ssu/NfnHMgcXfnm4TYvfbK
HQEpZOz0MPv8cQBSqd5F9dWhknSfZX7Bb/TRrYeNc+iDrspmkvdxDgqcDUyq
/vGZQ1Y0ts0+GstB04/uH9dFNUMKH4/0V3SM/fFV1W2FS0xW6b0XAzi+7eeV
K52CKPVxQx2yTeheTS9jGprA7+22H66MJ3CJzGS/1so8WrbevUrbmw6bh9s6
WzPWiEzKHmZMeAApus2G69p9EN2ccL1Fng+hX63HIjAFhmD5xiC1eIQEMZul
PchFssiVp9IDWwjUL9tLfssQBQOJO8RhJaTG5kSPRdbB7U16SI6LPqQMZres
3IYQO/uj5UBMPby4zSkO+6lg2qvjTHt5FKoEJSo/slxGR5FTdKqNA/bWYtP1
bhli/1MWHFZKg67jYa6d5VqMjoctX2NcRL00w54cL348IeVlbz/bh8ljNsKG
4x6YMoqaouYIR22+6nCuqRko7eul7/Ycw3NTmmzDN8EIahwuz2ggwntpuajC
7l83nhGloGvLh6ABa/Kt21Xwt3w5tFVqicKBO2YtukQ8ynrPZSamhFbrfRIf
yXrwy6mU70VSPnzfCdkp1z7CiGDRJZH7kdif2/7fTWkbjIUJnUy1Pw+LtU2P
cZ9OWKk7CXPd9cXTtoZ6kZEGgm135Z6LpKWg8SWRymb7CarybtZNgQl4Xrf/
byM7DTSfmulospux3juucsoiEL9yXhc84lqEHkeqVG9yFnK6enMjEk2QpOvp
oFXaByZy1lDBjWbskeIlY6kjIzomnSLnYqYnBvdnQj5iL5G7jUn+yIeofzye
/DbldpRYYBT3uNLCESxN8qdO0+Rj4wuzg1u+N8ynrjJKxzqgpjdQ4MOqCZyb
1IOls2TwmUSbk/0RERE7mkE/rCzRbU4+cfVpG1xYVRpLY7RQQyl14WKBAKLS
xpL7ewehIHHaS5ncH530gitV95rQoyk3JMV4H1aLNV8UXrkD1Tv8LzMKMWFi
/FPzkz12oul5zffkoDfRtUPJ+R1i3oXN/teZDx5F2/uxLV7oM2M60/glC1+J
h06X2WXBMFWFYrmqkKAe6MmbcCMHt0/xtv1S3hCT/L0VLu88D6rUYpnKZQOw
flq7uWP4j3ffj37oEXdEcoWI/qHDtihVu7xW//kycsT/K+g8boxLDnJ+PEOD
iLnitfCO2wms5NoTLKss8DnD23VYIhM9QqX3k8IH8XzBskZOMxvk+uY3zCfq
0ZW6MNzfGwbPjrbAl5WKuMtyzLuD6joCyY9yLWbWQWt61tJF+TwCbB4nhzLH
wyp1fM6o15uwc24t9bKoIUiOze6GmGUjrZoVrodtwF5yVZLg5IEyx3n9acNB
fD80aEbb5oLkEbo6NpYWdDcZiW7wLGG59FMD6dcB7L1wwE9cvB5OAyPjfTSP
QcPNkVDboIQPw/LVNlrlWJ8wuUCq+IfgMsKQGPXGGjrF4mUBrNGElMKQICUF
eQiGa4ZVS79F7XLR3TbyeVxX7nhfQGOMF7v3WhOjy/B6tpjd5lQi5CRYGM9V
T//LiXy/aI63ONaz1Tigbw6R4Kp6ksUmeFwMp0/aVMKlIYHYAikDLFHipWVm
Cbi1a+Wrjq7AKvFyPe1MJqQ0430vEodxcEVE8Gjuf8Qw/p/5lorXkTCxQxf7
OwzOCf/S7vsFeEvc6d9iyUDEyJYz6X49xMVv/awc2kRKtHPAwrAANkrIYt7S
+iJR9qNvwsRzBBX3ht7feI5nItR3K5j+5VdIeUdB7HG0PTkXk5MxRvBUHlNb
eFOAwjDrj7rFY/BaNPrTxHgFOc3HGg9fz8bEdVk+4b+KsBcua0/Ofwu92rMU
PIQvEB5t7rYSTiLUZtr5STskgX1T28apMxMR155Vkt1RgmXcyrhPjQHs/l4I
eKqRCJVobR8J6X+9edOE5pRmMOabDnp2eA3i/i1pfpma82gvXhgO5Y8mPDZ/
Pbwzl42wQS0FsdB5fHf49C3M7C6muqdUqVOdseyu4WWWbw11m1Fy460QcP13
/ISBqDzC9egP+W654wy/H83IegU4u2jFD2W9w9mjRQY29/Sg1N5kMDnhgyT9
kz9UKprxd/Nk3x9qT7QwV0aQ1tlhMVCXbsNoCbs+vrcOy6wQeDnvBUlMhSE5
cJ6z0+gRUpzF/W57aBJIfpOG54pmQtSVzkMkpAx+BY/kPqs+gq/sB1u616+Q
QdYu8bnrEPZHbRPz4t2h7pBNse1nBy3ZL6+GuooJR6eUz2zdIMfEQZcMD7Ij
GOAZT1ZkncLtXaJsVv0P1Eitt3uqBODQqkYy5t5D6NKrK40ky2B4cOx8YOoi
Ts7w0VQPZMDt+GrXlMUXrP8u6L7cb4hjA76rqj8vwonDfHrFNA9vXR6Tf3Ca
ht1SacFNvl6wuSoUFWlnIGX4XT/FJ1uM7x640mObgELGG197t0qxJ6AuNZNr
nrAWZjou/aQTOsR1wYblciQzUxikG3riFUfr8zYaLRR58N+xkV4i7DrrVUhG
14J7VtTzVGk8VoJyi0wG0zFYrmr+wvkhmsXHcvmZn8P1qSjpDSIVceHkZupx
U2+s3/w0T/D5hDenY3ojl3sIDBG2zB19ZzBoeu7bkVtt0OeV5WHg80AF899+
aessqJvavqalMMPPVXelyms3CVHUt4JHz16EZZ6LgMdUKHhYvWM6H3uAeEt9
SVrLA6PybSrfny+gTmODbq9kHcEvyHOnPKQWrmRZGzV+3WjwvjeRLsMCEcet
b/wRdtihn/IcyoyGgdwn8naDVaQ8PqYtd78Mwa7PlPZRPcfIGS2tr/Oh+Pjk
dtXsxUbMcptYK4etie2rvvmqrzIFiheiwzTEKiDr+vmgIkMWeHprGb/8dwy/
FNh/7akQgWx1WaNQ3BDKyCeHs6O0QHNcurxW6Sn4t4ronjn4gviWVVhF6B8P
rvbujNZFw050y2i+2QiHmeVpP5rex+1yD9UEah881CkkHft3b0kHRt8vNS4E
BcfdOreyy3iw77dlvrwouH4x8LectcB1qZB6Ie4c/Pqqu3L97hhmAyhtN69l
Ypae/9zPvnKs4KXpgJcnYcb9+S7j1V0YHqA9Iyc2CO5sowtvpO6AUYV9lubf
Xr7fHXN4SO8MkZCfpT1tuSjZznY+lRyOZLMXJ+s9BbBffdszVPoWOkmvsvgX
MxEvSSpdevzP32+4ONtTvEzHyEE+WeJNWzyRUx8QPliCyOY01zfDqXCnG3F6
rFeFI5zPw0uM67DP4cfO6lYYBK4YKTA8EYS2kX6mZHQdGl/5teg9f4Ri437j
c7dokZzGzf/ncgby07515Wu+QVNwmrHFjQxkM6u9iv/biA7p8p2QSB1ce6uT
bCPyFak3L5KURm4RFDl5ZATXKDF1TcbyLVUg4ltMgp6rPsQ4bc+CFXUdyBTF
Jy28DiMyfve9GQsp/gftVKg7
         "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
         7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
        0.6, $CellContext`years$$ = 50, $CellContext`\[Alpha]$$ = 
        4, $CellContext`\[Beta]$$ = 1.6, $CellContext`\[Gamma]$$ = 
        2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`visualization$$, $CellContext`visualization$43722$$,
          False], 
        Hold[$CellContext`ts1$$, $CellContext`ts1$43723$$, False], 
        Hold[$CellContext`ts2$$, $CellContext`ts2$43724$$, False], 
        Hold[$CellContext`lineThickness$$, $CellContext`lineThickness$43725$$,
          False], 
        Hold[$CellContext`xs$$, $CellContext`xs$43726$$, 0], 
        Hold[$CellContext`layer$$, $CellContext`layer$43727$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$43728$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$43729$$, 0], 
        Hold[$CellContext`\[CurlyPhi]$$, $CellContext`\[CurlyPhi]$43730$$, 0],
         
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$43731$$, 0], 
        Hold[$CellContext`rpos$$, $CellContext`rpos$43732$$, 0], 
        Hold[$CellContext`rborrow$$, $CellContext`rborrow$43733$$, 0], 
        Hold[$CellContext`roe$$, $CellContext`roe$43734$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$43735$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[
         Join[{
           Labeled[
            SetterBar[
             Dynamic[$CellContext`dist$$, ($CellContext`ss$$ = RandomReal[
                 #[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`dist$$ = #)& \
], {WeibullDistribution -> Tooltip[
                Style["Weibull", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   WeibullDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], GammaDistribution -> Tooltip[
                Style["Gamma", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   GammaDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], LogNormalDistribution -> 
              Tooltip[
                Style["Log Normal", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   LogNormalDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]]}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["distribution", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`a$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[#, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`a$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["first parameter", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`b$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, #], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`b$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["second parameter", 10]], Left], 
           Labeled[
            Manipulator[
             
             Dynamic[$CellContext`insureds$$, ($CellContext`ss$$ = 
               RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, #}]; $CellContext`insureds$$ = #)& ], {1, 50, 1}, 
             Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["number of insureds", 10]], Left], 
           Labeled[
            SetterBar[
             Dynamic[$CellContext`years$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], {#, \
$CellContext`insureds$$}]; $CellContext`years$$ = #)& ], {10, 20, 50, 100}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["years in simulation", 10]], Left]}, {
           Dynamic[
            
            With[{$CellContext`data$ = \
$CellContext`viewData[$CellContext`xs$$, $CellContext`layer$$, \
$CellContext`ss$$, $CellContext`insureds$$, {$CellContext`rborrow$$, \
$CellContext`rpos$$}, $CellContext`roe$$, $CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`\[Gamma]$$, $CellContext`years$$, \
$CellContext`\[CurlyPhi]$$, $CellContext`\[Lambda]$$, $CellContext`ts1$$, \
$CellContext`ts2$$]}, 
             Switch[$CellContext`visualization$$, "time series", 
              $CellContext`timeSeriesView[$CellContext`data$], "statistics", 
              Text[
               $CellContext`statisticsView[$CellContext`data$]]]]]}], 
         Alignment -> Right], {290, 460}, ImageSizeAction -> "ShrinkToFit"], 
      "Specifications" :> {
        Dynamic[
         Style[
         "visualization mode", Bold]], {{$CellContext`visualization$$, 
          "time series", "mode"}, {
         "time series" -> 
          Tooltip["time series", 
            "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
          Tooltip["statistics", 
            "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}, 
         ImageSize -> 
         Small}, {{$CellContext`ts1$$, {1, 2, 3}, "series elements 1"}, {
         1 -> Tooltip[
           "a", "assets available for creditors; insured claims generally \
have priority over other creditor or investor claims"], 2 -> 
          Tooltip["s", 
            "surplus: the difference between assets available for creditors \
and loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
          Tooltip["r", 
            "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
          Tooltip["\[ScriptL]", 
            "losses: the annual losses suffered by insureds."]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`ts2$$, {7}, "series elements 2"}, {
         5 -> Tooltip[
           "p", "payments: the annual payments made by the insurer to \
insureds (the figure excluded expense loads)."], 6 -> 
          Tooltip["pr", 
            "premium: the annual premium relative to net mean claims."], 7 -> 
          Tooltip["op", "operating profits"], 8 -> 
          Tooltip["\[CapitalDelta]", "change in surplus"]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`lineThickness$$, "alternating", 
          Tooltip[
          "line thickness", 
           "this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series"]}, {
         "uniform" -> 
          Tooltip["uniform", 
            "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
          Tooltip["alternating", 
            "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
          Tooltip["varying", 
            "the lines corresponding to the time series have increasing \
thickness"]}, ImageSize -> Tiny, ControlType -> SetterBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= "statistics"]}, Delimiter, 
        Dynamic[
         Style["insurance policy", Bold]], {{$CellContext`xs$$, 0.6, 
          Tooltip[
          "attachment point", 
           "the amount of loss an insured must suffer before the insurer has \
any obligation to pay for losses"]}, 0, 10, 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`layer$$, 0.5, 
          Tooltip[
          "layer size", 
           "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Dynamic[
         Row[
          Map[
          Style[#, Italic, Gray]& , {$CellContext`layer$$, 
            " XS ", $CellContext`xs$$}]]], Delimiter, 
        Dynamic[
         Style[
         "revenue", Bold]], {{$CellContext`\[Alpha]$$, 4, 
          "initial capitalization ratio"}, 0, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 1.6, "premium ratio"}, 0, 6, 0.1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "expenses", Bold]], {{$CellContext`\[CurlyPhi]$$, 0.1, 
          "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Lambda]$$, 0.2, 
          "payment load (\[Lambda])"}, -0.3, 1, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "capital market", Bold]], {{$CellContext`rpos$$, 0.05, 
          "rate of return on investments"}, 0, 0.2, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rborrow$$, 0.12, "borrowing interest rate"}, 
         0., 0.2, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`roe$$, 0.1, "rate of return on surplus"}, 0., 
         0.2, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "regulatory constraint", Bold]], {{$CellContext`\[Gamma]$$, 2, 
          " required capitalization ratio"}, 0.1, 10, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`a$$, 0.35}, 
         ControlType -> None}, {{$CellContext`b$$, 0.05}, ControlType -> 
         None}, {{$CellContext`years$$, 50}, ControlType -> 
         None}, {{$CellContext`insureds$$, 25}, ControlType -> 
         None}, {{$CellContext`ss$$, CompressedData["
1:eJwNl2c4FmwYhklU5EsaRDYlolQi8V4vmVH2qISMZJORrGySkb33TFYIiYzs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          "]}, ControlType -> 
         None}, {{$CellContext`dist$$, WeibullDistribution}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1, 5, 8, 12, 14}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{652., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((SeedRandom[101307]; $CellContext`stormSet[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]]] := RandomReal[
         $CellContext`dist[$CellContext`a, $CellContext`b], \
{$CellContext`years, $CellContext`insureds}]; $CellContext`rowTotal[
         Pattern[$CellContext`set, 
          Blank[]]] := 
       Map[Total, $CellContext`set]; $CellContext`surplusLoans[
         Pattern[$CellContext`payments, 
          Blank[List]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`premium, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`r, {
           Pattern[$CellContext`rborrow, 
            Blank[]], 
           Pattern[$CellContext`rpos, 
            Blank[]]}], 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`required, 
          Blank[]]] := 
       FoldList[
        With[{$CellContext`tempCash = 
           Part[#, 1] + $CellContext`premium + $CellContext`rpos 
             Part[#, 1] - ($CellContext`roe Part[#, 1] + 
            Max[0, Part[#, 
                2] $CellContext`rborrow] + $CellContext`\[CurlyPhi] \
$CellContext`premium + #2 + $CellContext`\[Lambda] #2)}, 
          
          If[$CellContext`tempCash >= $CellContext`required, \
{$CellContext`tempCash, 
            Part[#, 2]}, {$CellContext`required, 
            Part[#, 2] + ($CellContext`required - $CellContext`tempCash)}]]& \
, {$CellContext`\[Alpha], 
          0}, $CellContext`payments]; $CellContext`paymentsFunction[
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]]] := 
       Map[Clip[# - $CellContext`xs, {
          0, $CellContext`layer}]& , $CellContext`ss, {
         2}]; $CellContext`empiricalMatrixMean[
         Pattern[$CellContext`set, 
          Blank[]]] := Mean[
         Flatten[$CellContext`set]]; $CellContext`annualPremiumRevenue[
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], 
         Pattern[$CellContext`meanPremiumPerInsured, 
          
          Blank[]]] := $CellContext`\[Beta] $CellContext`insureds \
$CellContext`meanPremiumPerInsured; $CellContext`pretabulate[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`start, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`f, 
           BlankSequence[]], List]] := Thread[
         $CellContext`f[
          
          Range[$CellContext`start, Length[$CellContext`data] - 
           1], $CellContext`data]]; $CellContext`surplusTooltips[
         Pattern[$CellContext`pointCoordinates, 
          Blank[]], 
         Pattern[$CellContext`tipdata, 
          Blank[]], 
         Pattern[$CellContext`pointDirectives, 
          Blank[]], 
         Pattern[$CellContext`labelFormattingFunction, 
          Blank[]]] := MapThread[Tooltip[{
           Apply[Sequence, $CellContext`pointDirectives], 
           Point[#]}, 
          $CellContext`labelFormattingFunction[#2]]& , \
{$CellContext`pointCoordinates, $CellContext`tipdata}]; $CellContext`viewData[
        
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], {
          Pattern[$CellContext`rborrow, 
           Blank[]], 
          Pattern[$CellContext`rpos, 
           Blank[]]}, 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`\[Gamma], 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`ts1, 
          Blank[]], 
         Pattern[$CellContext`ts2, 
          Blank[]]] := 
       Module[{$CellContext`payments, $CellContext`yearlosses, \
$CellContext`yearpayments, $CellContext`m, \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`at, $CellContext`spls, $CellContext`op, $CellContext`tips}, \
$CellContext`payments = $CellContext`paymentsFunction[$CellContext`xs, \
$CellContext`layer, $CellContext`ss]; $CellContext`yearlosses = \
$CellContext`rowTotal[$CellContext`ss]; $CellContext`yearpayments = \
$CellContext`rowTotal[$CellContext`payments]; $CellContext`m = \
$CellContext`empiricalMatrixMean[$CellContext`payments]; \
$CellContext`initialCapitalization = $CellContext`\[Alpha] \
$CellContext`insureds $CellContext`m; $CellContext`annualPremiumRevenue = \
$CellContext`\[Beta] $CellContext`insureds $CellContext`m; \
$CellContext`requiredCapitalization = $CellContext`\[Gamma] \
$CellContext`insureds $CellContext`m; $CellContext`at = \
$CellContext`annualTotals[$CellContext`payments]; $CellContext`spls = \
$CellContext`surplusLoans[
            Map[
            Total, $CellContext`payments], \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`\[CurlyPhi], $CellContext`\[Lambda], {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Gamma]]; $CellContext`op = 
          
          Map[$CellContext`annualPremiumRevenue - ($CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + # + $CellContext`\[Lambda] #)& , \
$CellContext`yearpayments]; {$CellContext`xs, $CellContext`layer, \
$CellContext`ss, $CellContext`insureds, {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Alpha], $CellContext`\
\[Beta], $CellContext`\[Gamma], $CellContext`years, $CellContext`\[CurlyPhi], \
$CellContext`\[Lambda], $CellContext`ts1, $CellContext`ts2, \
$CellContext`payments, $CellContext`yearlosses, $CellContext`yearpayments, \
$CellContext`m, $CellContext`initialCapitalization, \
$CellContext`annualPremiumRevenue, $CellContext`at, $CellContext`spls, \
$CellContext`op}]; $CellContext`timeSeriesView[
         Pattern[$CellContext`data$, {
           Pattern[$CellContext`xs$, 
            Blank[]], 
           Pattern[$CellContext`layer$, 
            Blank[]], 
           Pattern[$CellContext`ss$, 
            Blank[]], 
           Pattern[$CellContext`insureds$, 
            Blank[]], {
            Pattern[$CellContext`rborrow$, 
             Blank[]], 
            Pattern[$CellContext`rpos$, 
             Blank[]]}, 
           Pattern[$CellContext`roe$, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha]$, 
            Blank[]], 
           Pattern[$CellContext`\[Beta]$, 
            Blank[]], 
           Pattern[$CellContext`\[Gamma]$, 
            Blank[]], 
           Pattern[$CellContext`years$, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi]$, 
            Blank[]], 
           Pattern[$CellContext`\[Lambda]$, 
            Blank[]], 
           Pattern[$CellContext`ts1$, 
            Blank[]], 
           Pattern[$CellContext`ts2$, 
            Blank[]], 
           Pattern[$CellContext`payments$, 
            Blank[]], 
           Pattern[$CellContext`yearlosses$, 
            Blank[]], 
           Pattern[$CellContext`yearpayments$, 
            Blank[]], 
           Pattern[$CellContext`m$, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization$, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue$, 
            Blank[]], 
           Pattern[$CellContext`at$, 
            Blank[]], 
           Pattern[$CellContext`spls$, 
            Blank[]], 
           Pattern[$CellContext`op$, 
            Blank[]]}]] := 
       If[Join[$CellContext`ts1$, $CellContext`ts2$] =!= {}, 
         ListLinePlot[
          Part[{
            Tooltip[
             Map[First, $CellContext`spls$], "assets"], 
            Tooltip[
             Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$], "surplus"], 
            Tooltip[
             Map[$CellContext`requiredCapitalization& , $CellContext`spls$], 
             "required assets"], 
            Tooltip[
             Prepend[$CellContext`yearlosses$, 0], "annual insured losses"], 
            Tooltip[
             Prepend[$CellContext`yearpayments$, 0], 
             "annual insurer payments"], 
            Tooltip[
             Map[$CellContext`annualPremiumRevenue$& , $CellContext`spls$], 
             "premium revenue"], 
            Tooltip[
             Prepend[$CellContext`op$, 0], "operating profits"], 
            Tooltip[
             Prepend[
              Differences[
               Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$]], 0], 
             "change in surplus"]}, 
           Sort[
            Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotMarkers -> 
          Part[{"\[FilledCircle]", "\[FilledSquare]", "\[FilledDiamond]", 
             "\[FilledUpTriangle]", "\[FilledDownTriangle]", "\[EmptyCircle]",
              "\[EmptySquare]", "\[EmptyDiamond]"}, 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotStyle :> Part[
            Table[{
              Directive[
               Opacity[0.7], 
               ColorData[3][$CellContext`i], 
               Thickness[
               Switch[$CellContext`lineThickness$$, "uniform", 2, 
                  "alternating", 
                  If[
                   EvenQ[$CellContext`i], 1, 3], "varying", 
                  Rescale[$CellContext`i, {1, 8}, {1, 5}]] 
                0.003 (4 - 
                 Switch[$CellContext`years$, 10, 0, 20, 1, 50, 2, 100, 
                  3])]]}, {$CellContext`i, 8}], 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}], 
         Graphics[{}, Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}]]; $CellContext`statisticsView[
        
         Pattern[$CellContext`data, {
           Pattern[$CellContext`xs, 
            Blank[]], 
           Pattern[$CellContext`layer, 
            Blank[]], 
           Pattern[$CellContext`ss, 
            Blank[]], 
           Pattern[$CellContext`insureds, 
            Blank[]], {
            Pattern[$CellContext`rborrow, 
             Blank[]], 
            Pattern[$CellContext`rpos, 
             Blank[]]}, 
           Pattern[$CellContext`roe, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha], 
            Blank[]], 
           Pattern[$CellContext`\[Beta], 
            Blank[]], 
           Pattern[$CellContext`\[Gamma], 
            Blank[]], 
           Pattern[$CellContext`years, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi], 
            Blank[]], 
           Pattern[$CellContext`\[Lambda], 
            Blank[]], 
           Pattern[$CellContext`ts1, 
            Blank[]], 
           Pattern[$CellContext`ts2, 
            Blank[]], 
           Pattern[$CellContext`payments, 
            Blank[]], 
           Pattern[$CellContext`yearlosses, 
            Blank[]], 
           Pattern[$CellContext`yearpayments, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue, 
            Blank[]], 
           Pattern[$CellContext`at, 
            Blank[]], 
           Pattern[$CellContext`spls, 
            Blank[]], 
           Pattern[$CellContext`op, 
            Blank[]]}]] := 
       With[{$CellContext`myl = 
          Mean[$CellContext`yearlosses], $CellContext`myp = 
          Mean[$CellContext`yearpayments]}, 
         Grid[{{"initial capitalization", 
            NumberForm[$CellContext`initialCapitalization, 3]}, {
           "annual premium revenue", 
            NumberForm[$CellContext`annualPremiumRevenue, 3]}, {
           "mean annual losses", 
            NumberForm[$CellContext`myl, 3]}, {"mean net payments", 
            NumberForm[$CellContext`myp, 3]}, {"mean operating profit", 
            
            NumberForm[$CellContext`annualPremiumRevenue - ($CellContext`myp + \
$CellContext`\[CurlyPhi] $CellContext`annualPremiumRevenue + $CellContext`\
\[Lambda] $CellContext`myp), 3]}, {"standard deviation annual losses", 
            NumberForm[
             StandardDeviation[$CellContext`yearlosses], 3]}, {
           "standard deviation net payments", 
            NumberForm[
             StandardDeviation[$CellContext`yearpayments], 3]}, {
           "standard deviation operating profit", 
            NumberForm[
             
             StandardDeviation[$CellContext`annualPremiumRevenue - \
($CellContext`yearpayments + $CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + $CellContext`\[Lambda] \
$CellContext`yearpayments)], 3]}, {"mean premium load", 
            
            NumberForm[$CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue, 3]}, {"mean claims load", 
            NumberForm[$CellContext`\[Lambda] $CellContext`myp, 3]}, {
           "mean investment earnings", 
            NumberForm[
             Mean[$CellContext`rpos Map[First, $CellContext`spls]], 3]}}, 
          Dividers -> All, Background -> ColorData[18][7], 
          BaseStyle -> {FontColor -> ColorData[18][3]}, 
          ItemSize -> {{14, 6}, 1}, Alignment -> Left]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->232164495]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SnapshotsSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.35, $CellContext`b$$ = 
    0.05, $CellContext`dist$$ = WeibullDistribution, $CellContext`insureds$$ =
     25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
    "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
    0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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    "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
    7}, $CellContext`visualization$$ = "statistics", $CellContext`xs$$ = 
    0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
    4, $CellContext`\[Beta]$$ = 1.4, $CellContext`\[Gamma]$$ = 
    2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Style["visualization mode", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`visualization$$], "statistics", "mode"}, {
      "time series" -> 
       Tooltip["time series", 
         "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
       Tooltip["statistics", 
         "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}}, \
{{
       Hold[$CellContext`ts1$$], {1, 2, 3}, "series elements 1"}, {
      1 -> Tooltip[
        "a", "assets available for creditors; insured claims generally have \
priority over other creditor or investor claims"], 2 -> 
       Tooltip["s", 
         "surplus: the difference between assets available for creditors and \
loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
       Tooltip["r", 
         "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
       Tooltip["\[ScriptL]", 
         "losses: the annual losses suffered by insureds."]}}, {{
       Hold[$CellContext`ts2$$], {7}, "series elements 2"}, {
      5 -> Tooltip[
        "p", "payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads)."], 6 -> 
       Tooltip["pr", 
         "premium: the annual premium relative to net mean claims."], 7 -> 
       Tooltip["op", "operating profits"], 8 -> 
       Tooltip["\[CapitalDelta]", "change in surplus"]}}, {{
       Hold[$CellContext`lineThickness$$], "alternating", 
       Tooltip[
       "line thickness", 
        "this control addresses the issue of overlapping lines in time series \
mode; while to some extent the partial opacity of the lines lets one see the \
overlap, you can also change the thickness of the lines corresponding to each \
of the elemtns of the time series"]}, {
      "uniform" -> 
       Tooltip["uniform", 
         "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
       Tooltip["alternating", 
         "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
       Tooltip["varying", 
         "the lines corresponding to the time series have increasing \
thickness"]}}, {
      Hold[
       Dynamic[
        Style["insurance policy", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xs$$], 0.6, 
       Tooltip[
       "attachment point", 
        "the amount of loss an insured must suffer before the insurer has any \
obligation to pay for losses"]}, 0, 10, 0.1}, {{
       Hold[$CellContext`layer$$], 0.5, 
       Tooltip[
       "layer size", 
        "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1}, {
      Hold[
       Dynamic[
        Row[
         Map[
         Style[#, Italic, Gray]& , {$CellContext`layer$$, 
           " XS ", $CellContext`xs$$}]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Style["revenue", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 4, "initial capitalization ratio"}, 0, 
      20, 0.01}, {{
       Hold[$CellContext`\[Beta]$$], 1.4, "premium ratio"}, 0, 6, 0.1}, {
      Hold[
       Dynamic[
        Style["expenses", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[CurlyPhi]$$], 0.1, 
       "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01}, {{
       Hold[$CellContext`\[Lambda]$$], 0.2, "payment load (\[Lambda])"}, -0.3,
       1, 0.01}, {
      Hold[
       Dynamic[
        Style["capital market", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rpos$$], 0.05, "rate of return on investments"}, 0, 
      0.2, 0.01}, {{
       Hold[$CellContext`rborrow$$], 0.12, "borrowing interest rate"}, 0., 
      0.2, 0.01}, {{
       Hold[$CellContext`roe$$], 0.1, "rate of return on surplus"}, 0., 0.2, 
      0.01}, {
      Hold[
       Dynamic[
        Style["regulatory constraint", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Gamma]$$], 2, " required capitalization ratio"}, 
      0.1, 10, 0.1}, {{
       Hold[$CellContext`a$$], 0.35}}, {{
       Hold[$CellContext`b$$], 0.05}}, {{
       Hold[$CellContext`years$$], 20}}, {{
       Hold[$CellContext`insureds$$], 25}}, {{
       Hold[$CellContext`ss$$], CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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       "]}}, {{
       Hold[$CellContext`dist$$], WeibullDistribution}}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`visualization$43879$$ = 
    False, $CellContext`ts1$43880$$ = False, $CellContext`ts2$43881$$ = 
    False, $CellContext`lineThickness$43882$$ = 
    False, $CellContext`xs$43883$$ = 0, $CellContext`layer$43884$$ = 
    0, $CellContext`\[Alpha]$43885$$ = 0, $CellContext`\[Beta]$43886$$ = 
    0, $CellContext`\[CurlyPhi]$43887$$ = 0, $CellContext`\[Lambda]$43888$$ = 
    0, $CellContext`rpos$43889$$ = 0, $CellContext`rborrow$43890$$ = 
    0, $CellContext`roe$43891$$ = 0, $CellContext`\[Gamma]$43892$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.35, $CellContext`b$$ = 
        0.05, $CellContext`dist$$ = 
        WeibullDistribution, $CellContext`insureds$$ = 
        25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
        "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
        0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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         "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
         7}, $CellContext`visualization$$ = "statistics", $CellContext`xs$$ = 
        0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
        4, $CellContext`\[Beta]$$ = 1.4, $CellContext`\[Gamma]$$ = 
        2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`visualization$$, $CellContext`visualization$43879$$,
          False], 
        Hold[$CellContext`ts1$$, $CellContext`ts1$43880$$, False], 
        Hold[$CellContext`ts2$$, $CellContext`ts2$43881$$, False], 
        Hold[$CellContext`lineThickness$$, $CellContext`lineThickness$43882$$,
          False], 
        Hold[$CellContext`xs$$, $CellContext`xs$43883$$, 0], 
        Hold[$CellContext`layer$$, $CellContext`layer$43884$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$43885$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$43886$$, 0], 
        Hold[$CellContext`\[CurlyPhi]$$, $CellContext`\[CurlyPhi]$43887$$, 0],
         
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$43888$$, 0], 
        Hold[$CellContext`rpos$$, $CellContext`rpos$43889$$, 0], 
        Hold[$CellContext`rborrow$$, $CellContext`rborrow$43890$$, 0], 
        Hold[$CellContext`roe$$, $CellContext`roe$43891$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$43892$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[
         Join[{
           Labeled[
            SetterBar[
             Dynamic[$CellContext`dist$$, ($CellContext`ss$$ = RandomReal[
                 #[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`dist$$ = #)& \
], {WeibullDistribution -> Tooltip[
                Style["Weibull", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   WeibullDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], GammaDistribution -> Tooltip[
                Style["Gamma", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   GammaDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], LogNormalDistribution -> 
              Tooltip[
                Style["Log Normal", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   LogNormalDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]]}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["distribution", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`a$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[#, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`a$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["first parameter", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`b$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, #], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`b$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["second parameter", 10]], Left], 
           Labeled[
            Manipulator[
             
             Dynamic[$CellContext`insureds$$, ($CellContext`ss$$ = 
               RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, #}]; $CellContext`insureds$$ = #)& ], {1, 50, 1}, 
             Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["number of insureds", 10]], Left], 
           Labeled[
            SetterBar[
             Dynamic[$CellContext`years$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], {#, \
$CellContext`insureds$$}]; $CellContext`years$$ = #)& ], {10, 20, 50, 100}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["years in simulation", 10]], Left]}, {
           Dynamic[
            
            With[{$CellContext`data$ = \
$CellContext`viewData[$CellContext`xs$$, $CellContext`layer$$, \
$CellContext`ss$$, $CellContext`insureds$$, {$CellContext`rborrow$$, \
$CellContext`rpos$$}, $CellContext`roe$$, $CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`\[Gamma]$$, $CellContext`years$$, \
$CellContext`\[CurlyPhi]$$, $CellContext`\[Lambda]$$, $CellContext`ts1$$, \
$CellContext`ts2$$]}, 
             Switch[$CellContext`visualization$$, "time series", 
              $CellContext`timeSeriesView[$CellContext`data$], "statistics", 
              Text[
               $CellContext`statisticsView[$CellContext`data$]]]]]}], 
         Alignment -> Right], {290, 460}, ImageSizeAction -> "ShrinkToFit"], 
      "Specifications" :> {
        Dynamic[
         Style[
         "visualization mode", Bold]], {{$CellContext`visualization$$, 
          "statistics", "mode"}, {
         "time series" -> 
          Tooltip["time series", 
            "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
          Tooltip["statistics", 
            "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}, 
         ImageSize -> 
         Small}, {{$CellContext`ts1$$, {1, 2, 3}, "series elements 1"}, {
         1 -> Tooltip[
           "a", "assets available for creditors; insured claims generally \
have priority over other creditor or investor claims"], 2 -> 
          Tooltip[
           "s", "surplus: the difference between assets available for \
creditors and loans taken out by the insurer during years when assets fell \
below the required level."], 3 -> 
          Tooltip["r", 
            "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
          Tooltip["\[ScriptL]", 
            "losses: the annual losses suffered by insureds."]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`ts2$$, {7}, "series elements 2"}, {
         5 -> Tooltip[
           "p", "payments: the annual payments made by the insurer to \
insureds (the figure excluded expense loads)."], 6 -> 
          Tooltip["pr", 
            "premium: the annual premium relative to net mean claims."], 7 -> 
          Tooltip["op", "operating profits"], 8 -> 
          Tooltip["\[CapitalDelta]", "change in surplus"]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`lineThickness$$, "alternating", 
          Tooltip[
          "line thickness", 
           "this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series"]}, {
         "uniform" -> 
          Tooltip["uniform", 
            "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
          Tooltip["alternating", 
            "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
          Tooltip["varying", 
            "the lines corresponding to the time series have increasing \
thickness"]}, ImageSize -> Tiny, ControlType -> SetterBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= "statistics"]}, Delimiter, 
        Dynamic[
         Style["insurance policy", Bold]], {{$CellContext`xs$$, 0.6, 
          Tooltip[
          "attachment point", 
           "the amount of loss an insured must suffer before the insurer has \
any obligation to pay for losses"]}, 0, 10, 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`layer$$, 0.5, 
          Tooltip[
          "layer size", 
           "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Dynamic[
         Row[
          Map[
          Style[#, Italic, Gray]& , {$CellContext`layer$$, 
            " XS ", $CellContext`xs$$}]]], Delimiter, 
        Dynamic[
         Style[
         "revenue", Bold]], {{$CellContext`\[Alpha]$$, 4, 
          "initial capitalization ratio"}, 0, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 1.4, "premium ratio"}, 0, 6, 0.1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "expenses", Bold]], {{$CellContext`\[CurlyPhi]$$, 0.1, 
          "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Lambda]$$, 0.2, 
          "payment load (\[Lambda])"}, -0.3, 1, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "capital market", Bold]], {{$CellContext`rpos$$, 0.05, 
          "rate of return on investments"}, 0, 0.2, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rborrow$$, 0.12, "borrowing interest rate"}, 
         0., 0.2, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`roe$$, 0.1, "rate of return on surplus"}, 0., 
         0.2, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "regulatory constraint", Bold]], {{$CellContext`\[Gamma]$$, 2, 
          " required capitalization ratio"}, 0.1, 10, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`a$$, 0.35}, 
         ControlType -> None}, {{$CellContext`b$$, 0.05}, ControlType -> 
         None}, {{$CellContext`years$$, 20}, ControlType -> 
         None}, {{$CellContext`insureds$$, 25}, ControlType -> 
         None}, {{$CellContext`ss$$, CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R
FZmFECEhZD1FRghl73z9cP6C9zmv9zlk6axvzUBHR8exmX2bud0yp/I7Wgv6
43FRnJkfsLH/QYbLuh9aPT1fX0uNR2gydeS1yQxomixSptbLxGzKFEff8BE0
XzAcz9E3QNEdUoH4Yhb0KH+kHpGEwV5sO3M24g2WjYRpNrt/4LjUILPWiWK8
ElziOOPshe9tctNiDJooJXxT/URz8bxXyj4rwAPmsvNTvvJ7wOi8ahhmQAO5
JNnM56UbDBJEdHr7a+H0SXGb+L9TeJ4j8LFY2BzFjL50R33G8ab2bqQbqx1i
pAaG9riPEvL080kKVD/wWXezVTZmg5V/ffe76wGEzpncZ7o0RhRWvLVOkmEg
/IMX+7crUFHNlVz+/roNhBbvv9mwPYZRmp7bGpWB3PPXYLC1fBCdlAsafc38
sDPaweItQUKpjeW7wC23YHJv2T/QLQcnzgUKRDQZI20159DW/lYwckq1nVbS
w8mAVMkPmbvI0pdVyk5kzaKLmBroyB4E/eecnE9cruDhCgjxDNmLyAG/4TAO
Gui2qCdUOL4g5Iz8L3LEZWMoXsOzNCUS7lnUd95jzpDy09kfSplClbiUiPLf
QeiwTivONWfinajuKk/fDwhX6hVFK5pibAtTQcu+Jmgkk5pimTKJts4PR11X
ivBmr7npXbbzaIuZ/7PE9R6UEQUJbyFW1MduXOjI0sYOitpQVPFFHFrbkzkk
mgALQXLAsy8/YJQW9c5H2ho9dy3d+Xp5YcKbltT+aQ6hVx0dtnV0QF45qy9W
owp8MWf0bnq3QvHiX+PXln9wbH/N/8ausKIstDrRrnlFZeOokEuY/Tyhr3mk
KNBYBCLplVaCW0NQEVgotTyqi5cHmCl91CvQtE1x+jZ0HwaKVdf6rBaIyfiG
AfN5OWLvw9P23ePRKLdc2+1vxYl/3i3/UdVJx8AUr+3QLDcuBehLzzZ04HBq
xh+5cw8QerFYstGxHNuKepj8Dp7A3zaBd6cTAM+LsnsoweaI02jdH289jF11
8ZXCVQeQ6LdQ5TRbiEIeq8nlTe4XbUUFmO3F4TXsn+QS9Bi/fVMTOi4OEd73
GVQcXmYgtBQiU7PuKGut+aVsVI/wDgGfzvQ+WJwSWPdo70b92Z/GW7KtUZgY
XzPwWxasMj/KJly7cXNV0/42yxuIdjCVuZQbgWndcl3QVIsYLjl4Q4tvGE5y
jD53W9rB5TQhTZqQxxMPw9bf21MJ3wEP8nuSBZhvaTeHnB/EI8bDdOdKg5Hg
8G66cHkUYkG5yDO3RpmAwaulxDOYzvVvM/jpSSib8jRsW/mIG4/GzA0bmwn2
UCnZIxuK4Cp8OqUZTcHVB3mlKP+I0hGBkUnHScJ+2uTr1p/hxFDMKKdYZx7e
TFf7tKr6g2fMRDgp6SgC6W6cPhUdCBOjm65nptNRqeCzSATvImvsSVm6uZ4D
s7n9Hs5fBGHw6FASKT8cieJTvD8lO3GioXnwS84klMJ6Zm3O1WDPs30PWHhc
sHfuUNWZzB3kDR2FXAPjV+j9R3TrmxYabj0WPMtKzcN384BUztEltBeFVSu5
ucJFrfngZ+8MPJB+LdUifRW+gQ10qc6siPNY12wtL0S58W6e/crf8PVR257N
UmM7+bvpE3wktjTl/3ATjyT8mLyVO6RfIcxSN3RV8xkeXpdYrrdTRnMGOePB
jQ+EGOO4XrueJlp2qW6lt2winPd63nOyq4Noe9Yr6xk6vGQpuXbOJRqsGQ6q
FAMLmHapPNk9kQndvQNKwQE0bN27I8SPtRq0WfP1GM1Zoqk+i/G2AQO5Vi3l
ZOnTHsLEpJBbLOkSKuee5zT6OIC17kPd5VoR8I88unAruBBpHA5baEJ5eHnG
Scf4owkq5M3e6t4fJO5pkfgKKB8hX8t7WIgcg6eWE4xGlEgo5dmEyKgcBLvJ
yVOnZaYRO+oX+B8tH3Ll3gr3U77ApFBM5qiZJLyuUvW/VFRgh8PV4+EHVgjD
STP3WE4f8O7Wh88gDwwyfy3kfuOGsmN7nv6KNSbueJy++ygPfaHFb4Um3Ihb
4daHRnPs8XtW72+aeRiuSvK7nHzWT5jEtF6xVpMiC/tfHbUKtIFudt7ayaow
WL/gSCuqG0QTZbzyuP8E+lVf9vdUX8fhy19yp9heIC0kMUqz8QNm5kw61ffP
ITmxs29A5zIW+Fip90UnUfS4W8xb/SxIWZHMV4IaUHWO1jlEWwPJW/6gXM8x
2IqxRRZ/CCFi8t7Pi5A+oZ/M4hj0xAwnGE8/eGFahuYfRRGlUpLoNJbfsvqf
ADpY4ikukgQOpGNr7y96crCtA+/LwgyClGr8j0JXHbomt7PaXDoFBg/l5x5e
lmCi3zlAYaVBosv36qPbbrA3chQ8uK0FSYIF22+SzsNi4DvjnZkwOJ2eth+I
joK2ZFQK5fVngks26oieYQxaAnuY6maK0STtSXIc1oep+MDTTJ0l5ByO3qlf
SoVuxzcZrXlZ8Nh29gQO3IZiQRULj3c8zow/v3Z1xAgC911Kdnt8J1orI7v7
i2eJwNripvURV8QcLZyjauUSls4W4Tuc05C9v9a/YWc2agO4fyaspqErXO8x
Q9crxD2k4zTKakVwq885y+tfoFae0W3OaALf4tIK/5oA4t2YxMjbgcNkbbvP
GSP3spEwLPDs23SbysuTpyoaGYPREsoleUe2Hv1P9nN9zfkKdllq7e+OPIL9
rsjC44Af4LbTkhS8/BNFFez8EfsOIuWuQDebZw3Cf7b79Inr4zCDaXnkm6+I
O6z5UulcPZYmvikXy0jjHsmcIWiT+5Vjxyp7JiIQFdUV6TU0gONz/uSljHSC
9/I9Kh+tE9d1Vadk7wziwetf/QapYmSWyANcWkHNkA9yjG/zYIUX8wep2FdR
mBpNokjO+cPE5PafjGRf8P9OWPu27Q3kDidzR/6XCKqE5PYC8hOwaFIpjkle
WPB//i81oAU7bDk+RSotgVRt+z8r83rcYtCK7V6rQEXw2zMXSQcxbuMT7Shw
C0qsR89nK6hjRNtJilXPD4JRUzVNfAJwnNI6sxZeiBRqa7K4YiCWss72HJlM
QpmqxCnzuBfYF9GeOyo2iLrBfx8KefmjQvy7xsF0YRUmo8mko2qasFXurpUP
/QXmZg5hyfsrhEpZ5Vy+hyDMpW6dXySzoOAfRXdjagRk89mosTue46LGZLsK
QygkdzepmbzOgfLfjdjvlFXicZ5xjvw2bdRwLDoonM9EJvsdmhRrOqRipT1t
ZEvBWfVKN+yzKjpuuOWnW1jDv8eK/VNxKk4EPAuzaNqPia+RFp+2uWC2NMpY
K66fMPTecSvbzghHrVZEXESjURMxaVguKQ7VUqO3cp6zKg9NCvUeRFnDC9dz
R4hegka36ssskg+ux3EzLc+qsUvdtYaUJwft47J1Xfu/I47V+td2kga4U/Qq
yw61YBdzQiH2BUFd8tTDholAqJ2lLQi/aCQ4mOtP4ZcBSI7WNaRpEvnaCmXn
VeFXsOr3/KyW3QaXs+qUiE3/2XELCSpLiiDFt62wJ3MGU8kdzL+CgEV6VbMG
CT8Ij887R7TRwSrJYKbtdw4qVBRvaXpV4oZbFufyiCXOBrY4qNKUUSFDE3oz
nw+Rql0rb6U3f9hKX/zE02fgElZyHxrcIDLVWnoaGZewhdt8uwDHPRS3CiVP
n8vAoXXWxTJrR7hbSBxwvaKLyYAr23p4zsJxUtpoKGMQf/2riw5J3EZbaBJH
ejI/nFI5+ZzI9Rj9Y3Gy4Dc3Bjov95o4s8F/SrU10iQO2h/f1Rj3vIJior68
skcQdkma5AULehC12vdp/IkOuCT1ZDyuvwG2lxUs+apjwLZx7c6ksyC5Klw2
1UjID2MP026xLU1veuK/QlnbPKixBJTv/E8Kawa9ve3Ms8T88S1xZWQ/sLrN
K3FWfyUWi1J+qJdQkM8uIXNBLQ9CB3Xl3v3zmmDMOOfBXfce9Qz82xI33CHd
feTEldDzYCh2kvnX9gasUnQ+M2T0Eo8MShY6sxUgqac549wnjGLI+doJhaCK
fzwgzkEUd4oD1ja2HAOjWirB8fQ9BvksXhfQeyEgc5f5mKgfJDImfc3vbvq9
lsRxb08dej0vf4v/9w1oDyX4BRao4PkVITbtIYUG9aDsCcFSbD19s/+AwSGy
n96Q54XfebDvlTUqrDCDfJhzJkkvG0eplYzsAtZwjaTvyGktxAx33p4zAc3E
tzgVoSdO7JDxfd5qfPgL5pVWlYaE6xFT9VjX9VI+BN3X7bgqBfFVIlBqr1YO
Hknf3uOVHo4ahscewaYTKGlXDc7oYyDTH+Te5nztLMqaDSsg9Adifk7clR2b
v+6iNm8zYw4GfWoS+XoaCaeUHQIRE7G4UDDasFVHlHwsRj1H7F4Vck2H1thE
vBBxnkHHeXMX3JdkQ3ZnhuB/du7er1390RviX1GiU49L2vRvC13vIEFQJH99
pwPWrfSpuTwP0MW8cS32QTTmbbB8+5gbOgyybrK/LMO8rl551aaPQR3zYqQ8
hLbxB8qfJV4YylDvtKl4YTRAXDW9xhBLtQ1m3WNpxGBum8T7vgLU66bxncq3
AFNn4wCpNhNRcbVvlwfpEPaV5ev9j3eROvmxPL7nB4oNieXcEj90HuEX/+ke
jfCSR+x7SRcx5LriWJBuTzQ0drxQK25BuW5IjJmwFZg1bwvSv/9GVD5/lb2S
XYIM7hckBaNmmH51+CfmxVPUmrkuvp7MB+/A4lPRnVqYSQ1cYaVlgUdlIcD9
1DN8vrGwUl/FSg6y1FLtb25A3NneWt8sNzjpGpe2z9vj/Quhz9YeqZDzklsM
yU3BFfpuS56pcGhUDnu/+PEe/Znrhh7HBZFrXMtGqeBHz9vnRicUPXFhqdwl
KrUaa2suGqZ/GMkpKTV9nUn0GJJpyD7eOIZ7nOPJF9LFkJM2vJe3rh/SpJJ1
RtsQOLJDatpsg+Ds2nLJTZeJPGxjoC+UfA79o9LPB3IfgjuTz/sIUyhMxJqI
voRpJKdVq38Z24OuA1N2C4Z0uPR38c4ufn7Q0jQqJQ60wDnOfmY8RxVsP2We
kQJXier7Ny3CVt/DqXf4qk1PEnp9eIOSjvxBUm2Ar3plDEJ/ydsnHwH+D9lY
aPA=
          "]}, ControlType -> 
         None}, {{$CellContext`dist$$, WeibullDistribution}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1, 5, 8, 12, 14}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((SeedRandom[101307]; $CellContext`stormSet[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]]] := RandomReal[
         $CellContext`dist[$CellContext`a, $CellContext`b], \
{$CellContext`years, $CellContext`insureds}]; $CellContext`rowTotal[
         Pattern[$CellContext`set, 
          Blank[]]] := 
       Map[Total, $CellContext`set]; $CellContext`surplusLoans[
         Pattern[$CellContext`payments, 
          Blank[List]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`premium, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`r, {
           Pattern[$CellContext`rborrow, 
            Blank[]], 
           Pattern[$CellContext`rpos, 
            Blank[]]}], 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`required, 
          Blank[]]] := 
       FoldList[
        With[{$CellContext`tempCash = 
           Part[#, 1] + $CellContext`premium + $CellContext`rpos 
             Part[#, 1] - ($CellContext`roe Part[#, 1] + 
            Max[0, Part[#, 
                2] $CellContext`rborrow] + $CellContext`\[CurlyPhi] \
$CellContext`premium + #2 + $CellContext`\[Lambda] #2)}, 
          
          If[$CellContext`tempCash >= $CellContext`required, \
{$CellContext`tempCash, 
            Part[#, 2]}, {$CellContext`required, 
            Part[#, 2] + ($CellContext`required - $CellContext`tempCash)}]]& \
, {$CellContext`\[Alpha], 
          0}, $CellContext`payments]; $CellContext`paymentsFunction[
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]]] := 
       Map[Clip[# - $CellContext`xs, {
          0, $CellContext`layer}]& , $CellContext`ss, {
         2}]; $CellContext`empiricalMatrixMean[
         Pattern[$CellContext`set, 
          Blank[]]] := Mean[
         Flatten[$CellContext`set]]; $CellContext`annualPremiumRevenue[
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], 
         Pattern[$CellContext`meanPremiumPerInsured, 
          
          Blank[]]] := $CellContext`\[Beta] $CellContext`insureds \
$CellContext`meanPremiumPerInsured; $CellContext`pretabulate[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`start, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`f, 
           BlankSequence[]], List]] := Thread[
         $CellContext`f[
          
          Range[$CellContext`start, Length[$CellContext`data] - 
           1], $CellContext`data]]; $CellContext`surplusTooltips[
         Pattern[$CellContext`pointCoordinates, 
          Blank[]], 
         Pattern[$CellContext`tipdata, 
          Blank[]], 
         Pattern[$CellContext`pointDirectives, 
          Blank[]], 
         Pattern[$CellContext`labelFormattingFunction, 
          Blank[]]] := MapThread[Tooltip[{
           Apply[Sequence, $CellContext`pointDirectives], 
           Point[#]}, 
          $CellContext`labelFormattingFunction[#2]]& , \
{$CellContext`pointCoordinates, $CellContext`tipdata}]; $CellContext`viewData[
        
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], {
          Pattern[$CellContext`rborrow, 
           Blank[]], 
          Pattern[$CellContext`rpos, 
           Blank[]]}, 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`\[Gamma], 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`ts1, 
          Blank[]], 
         Pattern[$CellContext`ts2, 
          Blank[]]] := 
       Module[{$CellContext`payments, $CellContext`yearlosses, \
$CellContext`yearpayments, $CellContext`m, \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`at, $CellContext`spls, $CellContext`op, $CellContext`tips}, \
$CellContext`payments = $CellContext`paymentsFunction[$CellContext`xs, \
$CellContext`layer, $CellContext`ss]; $CellContext`yearlosses = \
$CellContext`rowTotal[$CellContext`ss]; $CellContext`yearpayments = \
$CellContext`rowTotal[$CellContext`payments]; $CellContext`m = \
$CellContext`empiricalMatrixMean[$CellContext`payments]; \
$CellContext`initialCapitalization = $CellContext`\[Alpha] \
$CellContext`insureds $CellContext`m; $CellContext`annualPremiumRevenue = \
$CellContext`\[Beta] $CellContext`insureds $CellContext`m; \
$CellContext`requiredCapitalization = $CellContext`\[Gamma] \
$CellContext`insureds $CellContext`m; $CellContext`at = \
$CellContext`annualTotals[$CellContext`payments]; $CellContext`spls = \
$CellContext`surplusLoans[
            Map[
            Total, $CellContext`payments], \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`\[CurlyPhi], $CellContext`\[Lambda], {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Gamma]]; $CellContext`op = 
          Map[$CellContext`annualPremiumRevenue - ($CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + # + $CellContext`\[Lambda] #)& , \
$CellContext`yearpayments]; {$CellContext`xs, $CellContext`layer, \
$CellContext`ss, $CellContext`insureds, {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Alpha], $CellContext`\
\[Beta], $CellContext`\[Gamma], $CellContext`years, $CellContext`\[CurlyPhi], \
$CellContext`\[Lambda], $CellContext`ts1, $CellContext`ts2, \
$CellContext`payments, $CellContext`yearlosses, $CellContext`yearpayments, \
$CellContext`m, $CellContext`initialCapitalization, \
$CellContext`annualPremiumRevenue, $CellContext`at, $CellContext`spls, \
$CellContext`op}]; $CellContext`timeSeriesView[
         Pattern[$CellContext`data$, {
           Pattern[$CellContext`xs$, 
            Blank[]], 
           Pattern[$CellContext`layer$, 
            Blank[]], 
           Pattern[$CellContext`ss$, 
            Blank[]], 
           Pattern[$CellContext`insureds$, 
            Blank[]], {
            Pattern[$CellContext`rborrow$, 
             Blank[]], 
            Pattern[$CellContext`rpos$, 
             Blank[]]}, 
           Pattern[$CellContext`roe$, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha]$, 
            Blank[]], 
           Pattern[$CellContext`\[Beta]$, 
            Blank[]], 
           Pattern[$CellContext`\[Gamma]$, 
            Blank[]], 
           Pattern[$CellContext`years$, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi]$, 
            Blank[]], 
           Pattern[$CellContext`\[Lambda]$, 
            Blank[]], 
           Pattern[$CellContext`ts1$, 
            Blank[]], 
           Pattern[$CellContext`ts2$, 
            Blank[]], 
           Pattern[$CellContext`payments$, 
            Blank[]], 
           Pattern[$CellContext`yearlosses$, 
            Blank[]], 
           Pattern[$CellContext`yearpayments$, 
            Blank[]], 
           Pattern[$CellContext`m$, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization$, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue$, 
            Blank[]], 
           Pattern[$CellContext`at$, 
            Blank[]], 
           Pattern[$CellContext`spls$, 
            Blank[]], 
           Pattern[$CellContext`op$, 
            Blank[]]}]] := 
       If[Join[$CellContext`ts1$, $CellContext`ts2$] =!= {}, 
         ListLinePlot[
          Part[{
            Tooltip[
             Map[First, $CellContext`spls$], "assets"], 
            Tooltip[
             Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$], "surplus"], 
            Tooltip[
             Map[$CellContext`requiredCapitalization& , $CellContext`spls$], 
             "required assets"], 
            Tooltip[
             Prepend[$CellContext`yearlosses$, 0], "annual insured losses"], 
            Tooltip[
             Prepend[$CellContext`yearpayments$, 0], 
             "annual insurer payments"], 
            Tooltip[
             Map[$CellContext`annualPremiumRevenue$& , $CellContext`spls$], 
             "premium revenue"], 
            Tooltip[
             Prepend[$CellContext`op$, 0], "operating profits"], 
            Tooltip[
             Prepend[
              Differences[
               Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$]], 0], 
             "change in surplus"]}, 
           Sort[
            Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotMarkers -> 
          Part[{"\[FilledCircle]", "\[FilledSquare]", "\[FilledDiamond]", 
             "\[FilledUpTriangle]", "\[FilledDownTriangle]", "\[EmptyCircle]",
              "\[EmptySquare]", "\[EmptyDiamond]"}, 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotStyle :> Part[
            Table[{
              Directive[
               Opacity[0.7], 
               ColorData[3][$CellContext`i], 
               Thickness[
               Switch[$CellContext`lineThickness$$, "uniform", 2, 
                  "alternating", 
                  If[
                   EvenQ[$CellContext`i], 1, 3], "varying", 
                  Rescale[$CellContext`i, {1, 8}, {1, 5}]] 
                0.003 (4 - 
                 Switch[$CellContext`years$, 10, 0, 20, 1, 50, 2, 100, 
                  3])]]}, {$CellContext`i, 8}], 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}], 
         Graphics[{}, Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}]]; $CellContext`statisticsView[
        
         Pattern[$CellContext`data, {
           Pattern[$CellContext`xs, 
            Blank[]], 
           Pattern[$CellContext`layer, 
            Blank[]], 
           Pattern[$CellContext`ss, 
            Blank[]], 
           Pattern[$CellContext`insureds, 
            Blank[]], {
            Pattern[$CellContext`rborrow, 
             Blank[]], 
            Pattern[$CellContext`rpos, 
             Blank[]]}, 
           Pattern[$CellContext`roe, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha], 
            Blank[]], 
           Pattern[$CellContext`\[Beta], 
            Blank[]], 
           Pattern[$CellContext`\[Gamma], 
            Blank[]], 
           Pattern[$CellContext`years, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi], 
            Blank[]], 
           Pattern[$CellContext`\[Lambda], 
            Blank[]], 
           Pattern[$CellContext`ts1, 
            Blank[]], 
           Pattern[$CellContext`ts2, 
            Blank[]], 
           Pattern[$CellContext`payments, 
            Blank[]], 
           Pattern[$CellContext`yearlosses, 
            Blank[]], 
           Pattern[$CellContext`yearpayments, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue, 
            Blank[]], 
           Pattern[$CellContext`at, 
            Blank[]], 
           Pattern[$CellContext`spls, 
            Blank[]], 
           Pattern[$CellContext`op, 
            Blank[]]}]] := 
       With[{$CellContext`myl = 
          Mean[$CellContext`yearlosses], $CellContext`myp = 
          Mean[$CellContext`yearpayments]}, 
         Grid[{{"initial capitalization", 
            NumberForm[$CellContext`initialCapitalization, 3]}, {
           "annual premium revenue", 
            NumberForm[$CellContext`annualPremiumRevenue, 3]}, {
           "mean annual losses", 
            NumberForm[$CellContext`myl, 3]}, {"mean net payments", 
            NumberForm[$CellContext`myp, 3]}, {"mean operating profit", 
            
            NumberForm[$CellContext`annualPremiumRevenue - ($CellContext`myp + \
$CellContext`\[CurlyPhi] $CellContext`annualPremiumRevenue + $CellContext`\
\[Lambda] $CellContext`myp), 3]}, {"standard deviation annual losses", 
            NumberForm[
             StandardDeviation[$CellContext`yearlosses], 3]}, {
           "standard deviation net payments", 
            NumberForm[
             StandardDeviation[$CellContext`yearpayments], 3]}, {
           "standard deviation operating profit", 
            NumberForm[
             
             StandardDeviation[$CellContext`annualPremiumRevenue - \
($CellContext`yearpayments + $CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + $CellContext`\[Lambda] \
$CellContext`yearpayments)], 3]}, {"mean premium load", 
            
            NumberForm[$CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue, 3]}, {"mean claims load", 
            NumberForm[$CellContext`\[Lambda] $CellContext`myp, 3]}, {
           "mean investment earnings", 
            NumberForm[
             Mean[$CellContext`rpos Map[First, $CellContext`spls]], 3]}}, 
          Dividers -> All, Background -> ColorData[18][7], 
          BaseStyle -> {FontColor -> ColorData[18][3]}, 
          ItemSize -> {{14, 6}, 1}, Alignment -> Left]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->292764418],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.35, $CellContext`b$$ = 
    0.05, $CellContext`dist$$ = WeibullDistribution, $CellContext`insureds$$ =
     25, $CellContext`layer$$ = 10.1, $CellContext`lineThickness$$ = 
    "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
    0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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    "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
    7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
    0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
    4, $CellContext`\[Beta]$$ = 1.2, $CellContext`\[Gamma]$$ = 
    2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Style["visualization mode", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`visualization$$], "time series", "mode"}, {
      "time series" -> 
       Tooltip["time series", 
         "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
       Tooltip["statistics", 
         "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}}, \
{{
       Hold[$CellContext`ts1$$], {1, 2, 3}, "series elements 1"}, {
      1 -> Tooltip[
        "a", "assets available for creditors; insured claims generally have \
priority over other creditor or investor claims"], 2 -> 
       Tooltip["s", 
         "surplus: the difference between assets available for creditors and \
loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
       Tooltip["r", 
         "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
       Tooltip["\[ScriptL]", 
         "losses: the annual losses suffered by insureds."]}}, {{
       Hold[$CellContext`ts2$$], {7}, "series elements 2"}, {
      5 -> Tooltip[
        "p", "payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads)."], 6 -> 
       Tooltip["pr", 
         "premium: the annual premium relative to net mean claims."], 7 -> 
       Tooltip["op", "operating profits"], 8 -> 
       Tooltip["\[CapitalDelta]", "change in surplus"]}}, {{
       Hold[$CellContext`lineThickness$$], "alternating", 
       Tooltip[
       "line thickness", 
        "this control addresses the issue of overlapping lines in time series \
mode; while to some extent the partial opacity of the lines lets one see the \
overlap, you can also change the thickness of the lines corresponding to each \
of the elemtns of the time series"]}, {
      "uniform" -> 
       Tooltip["uniform", 
         "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
       Tooltip["alternating", 
         "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
       Tooltip["varying", 
         "the lines corresponding to the time series have increasing \
thickness"]}}, {
      Hold[
       Dynamic[
        Style["insurance policy", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xs$$], 0.6, 
       Tooltip[
       "attachment point", 
        "the amount of loss an insured must suffer before the insurer has any \
obligation to pay for losses"]}, 0, 10, 0.1}, {{
       Hold[$CellContext`layer$$], 10.1, 
       Tooltip[
       "layer size", 
        "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1}, {
      Hold[
       Dynamic[
        Row[
         Map[
         Style[#, Italic, Gray]& , {$CellContext`layer$$, 
           " XS ", $CellContext`xs$$}]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Style["revenue", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 4, "initial capitalization ratio"}, 0, 
      20, 0.01}, {{
       Hold[$CellContext`\[Beta]$$], 1.2, "premium ratio"}, 0, 6, 0.1}, {
      Hold[
       Dynamic[
        Style["expenses", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[CurlyPhi]$$], 0.1, 
       "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01}, {{
       Hold[$CellContext`\[Lambda]$$], 0.2, "payment load (\[Lambda])"}, -0.3,
       1, 0.01}, {
      Hold[
       Dynamic[
        Style["capital market", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rpos$$], 0.05, "rate of return on investments"}, 0, 
      0.2, 0.01}, {{
       Hold[$CellContext`rborrow$$], 0.12, "borrowing interest rate"}, 0., 
      0.2, 0.01}, {{
       Hold[$CellContext`roe$$], 0.1, "rate of return on surplus"}, 0., 0.2, 
      0.01}, {
      Hold[
       Dynamic[
        Style["regulatory constraint", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Gamma]$$], 2, " required capitalization ratio"}, 
      0.1, 10, 0.1}, {{
       Hold[$CellContext`a$$], 0.35}}, {{
       Hold[$CellContext`b$$], 0.05}}, {{
       Hold[$CellContext`years$$], 20}}, {{
       Hold[$CellContext`insureds$$], 25}}, {{
       Hold[$CellContext`ss$$], CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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       "]}}, {{
       Hold[$CellContext`dist$$], WeibullDistribution}}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`visualization$44036$$ = 
    False, $CellContext`ts1$44037$$ = False, $CellContext`ts2$44038$$ = 
    False, $CellContext`lineThickness$44039$$ = 
    False, $CellContext`xs$44040$$ = 0, $CellContext`layer$44041$$ = 
    0, $CellContext`\[Alpha]$44042$$ = 0, $CellContext`\[Beta]$44043$$ = 
    0, $CellContext`\[CurlyPhi]$44044$$ = 0, $CellContext`\[Lambda]$44045$$ = 
    0, $CellContext`rpos$44046$$ = 0, $CellContext`rborrow$44047$$ = 
    0, $CellContext`roe$44048$$ = 0, $CellContext`\[Gamma]$44049$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.35, $CellContext`b$$ = 
        0.05, $CellContext`dist$$ = 
        WeibullDistribution, $CellContext`insureds$$ = 
        25, $CellContext`layer$$ = 10.1, $CellContext`lineThickness$$ = 
        "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
        0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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         "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
         7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
        0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
        4, $CellContext`\[Beta]$$ = 1.2, $CellContext`\[Gamma]$$ = 
        2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`visualization$$, $CellContext`visualization$44036$$,
          False], 
        Hold[$CellContext`ts1$$, $CellContext`ts1$44037$$, False], 
        Hold[$CellContext`ts2$$, $CellContext`ts2$44038$$, False], 
        Hold[$CellContext`lineThickness$$, $CellContext`lineThickness$44039$$,
          False], 
        Hold[$CellContext`xs$$, $CellContext`xs$44040$$, 0], 
        Hold[$CellContext`layer$$, $CellContext`layer$44041$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$44042$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$44043$$, 0], 
        Hold[$CellContext`\[CurlyPhi]$$, $CellContext`\[CurlyPhi]$44044$$, 0],
         
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$44045$$, 0], 
        Hold[$CellContext`rpos$$, $CellContext`rpos$44046$$, 0], 
        Hold[$CellContext`rborrow$$, $CellContext`rborrow$44047$$, 0], 
        Hold[$CellContext`roe$$, $CellContext`roe$44048$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$44049$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[
         Join[{
           Labeled[
            SetterBar[
             Dynamic[$CellContext`dist$$, ($CellContext`ss$$ = RandomReal[
                 #[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`dist$$ = #)& \
], {WeibullDistribution -> Tooltip[
                Style["Weibull", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   WeibullDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], GammaDistribution -> Tooltip[
                Style["Gamma", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   GammaDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], LogNormalDistribution -> 
              Tooltip[
                Style["Log Normal", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   LogNormalDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]]}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["distribution", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`a$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[#, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`a$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["first parameter", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`b$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, #], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`b$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["second parameter", 10]], Left], 
           Labeled[
            Manipulator[
             
             Dynamic[$CellContext`insureds$$, ($CellContext`ss$$ = 
               RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, #}]; $CellContext`insureds$$ = #)& ], {1, 50, 1}, 
             Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["number of insureds", 10]], Left], 
           Labeled[
            SetterBar[
             Dynamic[$CellContext`years$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], {#, \
$CellContext`insureds$$}]; $CellContext`years$$ = #)& ], {10, 20, 50, 100}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["years in simulation", 10]], Left]}, {
           Dynamic[
            
            With[{$CellContext`data$ = \
$CellContext`viewData[$CellContext`xs$$, $CellContext`layer$$, \
$CellContext`ss$$, $CellContext`insureds$$, {$CellContext`rborrow$$, \
$CellContext`rpos$$}, $CellContext`roe$$, $CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`\[Gamma]$$, $CellContext`years$$, \
$CellContext`\[CurlyPhi]$$, $CellContext`\[Lambda]$$, $CellContext`ts1$$, \
$CellContext`ts2$$]}, 
             Switch[$CellContext`visualization$$, "time series", 
              $CellContext`timeSeriesView[$CellContext`data$], "statistics", 
              Text[
               $CellContext`statisticsView[$CellContext`data$]]]]]}], 
         Alignment -> Right], {290, 460}, ImageSizeAction -> "ShrinkToFit"], 
      "Specifications" :> {
        Dynamic[
         Style[
         "visualization mode", Bold]], {{$CellContext`visualization$$, 
          "time series", "mode"}, {
         "time series" -> 
          Tooltip["time series", 
            "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
          Tooltip["statistics", 
            "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}, 
         ImageSize -> 
         Small}, {{$CellContext`ts1$$, {1, 2, 3}, "series elements 1"}, {
         1 -> Tooltip[
           "a", "assets available for creditors; insured claims generally \
have priority over other creditor or investor claims"], 2 -> 
          Tooltip[
           "s", "surplus: the difference between assets available for \
creditors and loans taken out by the insurer during years when assets fell \
below the required level."], 3 -> 
          Tooltip["r", 
            "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
          Tooltip["\[ScriptL]", 
            "losses: the annual losses suffered by insureds."]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`ts2$$, {7}, "series elements 2"}, {
         5 -> Tooltip[
           "p", "payments: the annual payments made by the insurer to \
insureds (the figure excluded expense loads)."], 6 -> 
          Tooltip["pr", 
            "premium: the annual premium relative to net mean claims."], 7 -> 
          Tooltip["op", "operating profits"], 8 -> 
          Tooltip["\[CapitalDelta]", "change in surplus"]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`lineThickness$$, "alternating", 
          Tooltip[
          "line thickness", 
           "this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series"]}, {
         "uniform" -> 
          Tooltip["uniform", 
            "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
          Tooltip["alternating", 
            "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
          Tooltip["varying", 
            "the lines corresponding to the time series have increasing \
thickness"]}, ImageSize -> Tiny, ControlType -> SetterBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= "statistics"]}, Delimiter, 
        Dynamic[
         Style["insurance policy", Bold]], {{$CellContext`xs$$, 0.6, 
          Tooltip[
          "attachment point", 
           "the amount of loss an insured must suffer before the insurer has \
any obligation to pay for losses"]}, 0, 10, 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`layer$$, 10.1, 
          Tooltip[
          "layer size", 
           "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Dynamic[
         Row[
          Map[
          Style[#, Italic, Gray]& , {$CellContext`layer$$, 
            " XS ", $CellContext`xs$$}]]], Delimiter, 
        Dynamic[
         Style[
         "revenue", Bold]], {{$CellContext`\[Alpha]$$, 4, 
          "initial capitalization ratio"}, 0, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 1.2, "premium ratio"}, 0, 6, 0.1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "expenses", Bold]], {{$CellContext`\[CurlyPhi]$$, 0.1, 
          "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Lambda]$$, 0.2, 
          "payment load (\[Lambda])"}, -0.3, 1, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "capital market", Bold]], {{$CellContext`rpos$$, 0.05, 
          "rate of return on investments"}, 0, 0.2, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rborrow$$, 0.12, "borrowing interest rate"}, 
         0., 0.2, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`roe$$, 0.1, "rate of return on surplus"}, 0., 
         0.2, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "regulatory constraint", Bold]], {{$CellContext`\[Gamma]$$, 2, 
          " required capitalization ratio"}, 0.1, 10, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`a$$, 0.35}, 
         ControlType -> None}, {{$CellContext`b$$, 0.05}, ControlType -> 
         None}, {{$CellContext`years$$, 20}, ControlType -> 
         None}, {{$CellContext`insureds$$, 25}, ControlType -> 
         None}, {{$CellContext`ss$$, CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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          "]}, ControlType -> 
         None}, {{$CellContext`dist$$, WeibullDistribution}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1, 5, 8, 12, 14}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((SeedRandom[101307]; $CellContext`stormSet[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]]] := RandomReal[
         $CellContext`dist[$CellContext`a, $CellContext`b], \
{$CellContext`years, $CellContext`insureds}]; $CellContext`rowTotal[
         Pattern[$CellContext`set, 
          Blank[]]] := 
       Map[Total, $CellContext`set]; $CellContext`surplusLoans[
         Pattern[$CellContext`payments, 
          Blank[List]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`premium, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`r, {
           Pattern[$CellContext`rborrow, 
            Blank[]], 
           Pattern[$CellContext`rpos, 
            Blank[]]}], 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`required, 
          Blank[]]] := 
       FoldList[
        With[{$CellContext`tempCash = 
           Part[#, 1] + $CellContext`premium + $CellContext`rpos 
             Part[#, 1] - ($CellContext`roe Part[#, 1] + 
            Max[0, Part[#, 
                2] $CellContext`rborrow] + $CellContext`\[CurlyPhi] \
$CellContext`premium + #2 + $CellContext`\[Lambda] #2)}, 
          
          If[$CellContext`tempCash >= $CellContext`required, \
{$CellContext`tempCash, 
            Part[#, 2]}, {$CellContext`required, 
            Part[#, 2] + ($CellContext`required - $CellContext`tempCash)}]]& \
, {$CellContext`\[Alpha], 
          0}, $CellContext`payments]; $CellContext`paymentsFunction[
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]]] := 
       Map[Clip[# - $CellContext`xs, {
          0, $CellContext`layer}]& , $CellContext`ss, {
         2}]; $CellContext`empiricalMatrixMean[
         Pattern[$CellContext`set, 
          Blank[]]] := Mean[
         Flatten[$CellContext`set]]; $CellContext`annualPremiumRevenue[
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], 
         Pattern[$CellContext`meanPremiumPerInsured, 
          
          Blank[]]] := $CellContext`\[Beta] $CellContext`insureds \
$CellContext`meanPremiumPerInsured; $CellContext`pretabulate[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`start, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`f, 
           BlankSequence[]], List]] := Thread[
         $CellContext`f[
          
          Range[$CellContext`start, Length[$CellContext`data] - 
           1], $CellContext`data]]; $CellContext`surplusTooltips[
         Pattern[$CellContext`pointCoordinates, 
          Blank[]], 
         Pattern[$CellContext`tipdata, 
          Blank[]], 
         Pattern[$CellContext`pointDirectives, 
          Blank[]], 
         Pattern[$CellContext`labelFormattingFunction, 
          Blank[]]] := MapThread[Tooltip[{
           Apply[Sequence, $CellContext`pointDirectives], 
           Point[#]}, 
          $CellContext`labelFormattingFunction[#2]]& , \
{$CellContext`pointCoordinates, $CellContext`tipdata}]; $CellContext`viewData[
        
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], {
          Pattern[$CellContext`rborrow, 
           Blank[]], 
          Pattern[$CellContext`rpos, 
           Blank[]]}, 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`\[Gamma], 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`ts1, 
          Blank[]], 
         Pattern[$CellContext`ts2, 
          Blank[]]] := 
       Module[{$CellContext`payments, $CellContext`yearlosses, \
$CellContext`yearpayments, $CellContext`m, \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`at, $CellContext`spls, $CellContext`op, $CellContext`tips}, \
$CellContext`payments = $CellContext`paymentsFunction[$CellContext`xs, \
$CellContext`layer, $CellContext`ss]; $CellContext`yearlosses = \
$CellContext`rowTotal[$CellContext`ss]; $CellContext`yearpayments = \
$CellContext`rowTotal[$CellContext`payments]; $CellContext`m = \
$CellContext`empiricalMatrixMean[$CellContext`payments]; \
$CellContext`initialCapitalization = $CellContext`\[Alpha] \
$CellContext`insureds $CellContext`m; $CellContext`annualPremiumRevenue = \
$CellContext`\[Beta] $CellContext`insureds $CellContext`m; \
$CellContext`requiredCapitalization = $CellContext`\[Gamma] \
$CellContext`insureds $CellContext`m; $CellContext`at = \
$CellContext`annualTotals[$CellContext`payments]; $CellContext`spls = \
$CellContext`surplusLoans[
            Map[
            Total, $CellContext`payments], \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`\[CurlyPhi], $CellContext`\[Lambda], {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Gamma]]; $CellContext`op = 
          Map[$CellContext`annualPremiumRevenue - ($CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + # + $CellContext`\[Lambda] #)& , \
$CellContext`yearpayments]; {$CellContext`xs, $CellContext`layer, \
$CellContext`ss, $CellContext`insureds, {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Alpha], $CellContext`\
\[Beta], $CellContext`\[Gamma], $CellContext`years, $CellContext`\[CurlyPhi], \
$CellContext`\[Lambda], $CellContext`ts1, $CellContext`ts2, \
$CellContext`payments, $CellContext`yearlosses, $CellContext`yearpayments, \
$CellContext`m, $CellContext`initialCapitalization, \
$CellContext`annualPremiumRevenue, $CellContext`at, $CellContext`spls, \
$CellContext`op}]; $CellContext`timeSeriesView[
         Pattern[$CellContext`data$, {
           Pattern[$CellContext`xs$, 
            Blank[]], 
           Pattern[$CellContext`layer$, 
            Blank[]], 
           Pattern[$CellContext`ss$, 
            Blank[]], 
           Pattern[$CellContext`insureds$, 
            Blank[]], {
            Pattern[$CellContext`rborrow$, 
             Blank[]], 
            Pattern[$CellContext`rpos$, 
             Blank[]]}, 
           Pattern[$CellContext`roe$, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha]$, 
            Blank[]], 
           Pattern[$CellContext`\[Beta]$, 
            Blank[]], 
           Pattern[$CellContext`\[Gamma]$, 
            Blank[]], 
           Pattern[$CellContext`years$, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi]$, 
            Blank[]], 
           Pattern[$CellContext`\[Lambda]$, 
            Blank[]], 
           Pattern[$CellContext`ts1$, 
            Blank[]], 
           Pattern[$CellContext`ts2$, 
            Blank[]], 
           Pattern[$CellContext`payments$, 
            Blank[]], 
           Pattern[$CellContext`yearlosses$, 
            Blank[]], 
           Pattern[$CellContext`yearpayments$, 
            Blank[]], 
           Pattern[$CellContext`m$, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization$, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue$, 
            Blank[]], 
           Pattern[$CellContext`at$, 
            Blank[]], 
           Pattern[$CellContext`spls$, 
            Blank[]], 
           Pattern[$CellContext`op$, 
            Blank[]]}]] := 
       If[Join[$CellContext`ts1$, $CellContext`ts2$] =!= {}, 
         ListLinePlot[
          Part[{
            Tooltip[
             Map[First, $CellContext`spls$], "assets"], 
            Tooltip[
             Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$], "surplus"], 
            Tooltip[
             Map[$CellContext`requiredCapitalization& , $CellContext`spls$], 
             "required assets"], 
            Tooltip[
             Prepend[$CellContext`yearlosses$, 0], "annual insured losses"], 
            Tooltip[
             Prepend[$CellContext`yearpayments$, 0], 
             "annual insurer payments"], 
            Tooltip[
             Map[$CellContext`annualPremiumRevenue$& , $CellContext`spls$], 
             "premium revenue"], 
            Tooltip[
             Prepend[$CellContext`op$, 0], "operating profits"], 
            Tooltip[
             Prepend[
              Differences[
               Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$]], 0], 
             "change in surplus"]}, 
           Sort[
            Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotMarkers -> 
          Part[{"\[FilledCircle]", "\[FilledSquare]", "\[FilledDiamond]", 
             "\[FilledUpTriangle]", "\[FilledDownTriangle]", "\[EmptyCircle]",
              "\[EmptySquare]", "\[EmptyDiamond]"}, 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotStyle :> Part[
            Table[{
              Directive[
               Opacity[0.7], 
               ColorData[3][$CellContext`i], 
               Thickness[
               Switch[$CellContext`lineThickness$$, "uniform", 2, 
                  "alternating", 
                  If[
                   EvenQ[$CellContext`i], 1, 3], "varying", 
                  Rescale[$CellContext`i, {1, 8}, {1, 5}]] 
                0.003 (4 - 
                 Switch[$CellContext`years$, 10, 0, 20, 1, 50, 2, 100, 
                  3])]]}, {$CellContext`i, 8}], 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}], 
         Graphics[{}, Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}]]; $CellContext`statisticsView[
        
         Pattern[$CellContext`data, {
           Pattern[$CellContext`xs, 
            Blank[]], 
           Pattern[$CellContext`layer, 
            Blank[]], 
           Pattern[$CellContext`ss, 
            Blank[]], 
           Pattern[$CellContext`insureds, 
            Blank[]], {
            Pattern[$CellContext`rborrow, 
             Blank[]], 
            Pattern[$CellContext`rpos, 
             Blank[]]}, 
           Pattern[$CellContext`roe, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha], 
            Blank[]], 
           Pattern[$CellContext`\[Beta], 
            Blank[]], 
           Pattern[$CellContext`\[Gamma], 
            Blank[]], 
           Pattern[$CellContext`years, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi], 
            Blank[]], 
           Pattern[$CellContext`\[Lambda], 
            Blank[]], 
           Pattern[$CellContext`ts1, 
            Blank[]], 
           Pattern[$CellContext`ts2, 
            Blank[]], 
           Pattern[$CellContext`payments, 
            Blank[]], 
           Pattern[$CellContext`yearlosses, 
            Blank[]], 
           Pattern[$CellContext`yearpayments, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue, 
            Blank[]], 
           Pattern[$CellContext`at, 
            Blank[]], 
           Pattern[$CellContext`spls, 
            Blank[]], 
           Pattern[$CellContext`op, 
            Blank[]]}]] := 
       With[{$CellContext`myl = 
          Mean[$CellContext`yearlosses], $CellContext`myp = 
          Mean[$CellContext`yearpayments]}, 
         Grid[{{"initial capitalization", 
            NumberForm[$CellContext`initialCapitalization, 3]}, {
           "annual premium revenue", 
            NumberForm[$CellContext`annualPremiumRevenue, 3]}, {
           "mean annual losses", 
            NumberForm[$CellContext`myl, 3]}, {"mean net payments", 
            NumberForm[$CellContext`myp, 3]}, {"mean operating profit", 
            
            NumberForm[$CellContext`annualPremiumRevenue - ($CellContext`myp + \
$CellContext`\[CurlyPhi] $CellContext`annualPremiumRevenue + $CellContext`\
\[Lambda] $CellContext`myp), 3]}, {"standard deviation annual losses", 
            NumberForm[
             StandardDeviation[$CellContext`yearlosses], 3]}, {
           "standard deviation net payments", 
            NumberForm[
             StandardDeviation[$CellContext`yearpayments], 3]}, {
           "standard deviation operating profit", 
            NumberForm[
             
             StandardDeviation[$CellContext`annualPremiumRevenue - \
($CellContext`yearpayments + $CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + $CellContext`\[Lambda] \
$CellContext`yearpayments)], 3]}, {"mean premium load", 
            
            NumberForm[$CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue, 3]}, {"mean claims load", 
            NumberForm[$CellContext`\[Lambda] $CellContext`myp, 3]}, {
           "mean investment earnings", 
            NumberForm[
             Mean[$CellContext`rpos Map[First, $CellContext`spls]], 3]}}, 
          Dividers -> All, Background -> ColorData[18][7], 
          BaseStyle -> {FontColor -> ColorData[18][3]}, 
          ItemSize -> {{14, 6}, 1}, Alignment -> Left]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->324395577],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.35, $CellContext`b$$ = 
    0.05, $CellContext`dist$$ = WeibullDistribution, $CellContext`insureds$$ =
     25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
    "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
    0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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    "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
    7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
    0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
    4, $CellContext`\[Beta]$$ = 1.5, $CellContext`\[Gamma]$$ = 
    2.9000000000000004`, $CellContext`\[Lambda]$$ = 
    0.2, $CellContext`\[CurlyPhi]$$ = 0.1, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Style["visualization mode", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`visualization$$], "time series", "mode"}, {
      "time series" -> 
       Tooltip["time series", 
         "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
       Tooltip["statistics", 
         "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}}, \
{{
       Hold[$CellContext`ts1$$], {1, 2, 3}, "series elements 1"}, {
      1 -> Tooltip[
        "a", "assets available for creditors; insured claims generally have \
priority over other creditor or investor claims"], 2 -> 
       Tooltip["s", 
         "surplus: the difference between assets available for creditors and \
loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
       Tooltip["r", 
         "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
       Tooltip["\[ScriptL]", 
         "losses: the annual losses suffered by insureds."]}}, {{
       Hold[$CellContext`ts2$$], {7}, "series elements 2"}, {
      5 -> Tooltip[
        "p", "payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads)."], 6 -> 
       Tooltip["pr", 
         "premium: the annual premium relative to net mean claims."], 7 -> 
       Tooltip["op", "operating profits"], 8 -> 
       Tooltip["\[CapitalDelta]", "change in surplus"]}}, {{
       Hold[$CellContext`lineThickness$$], "alternating", 
       Tooltip[
       "line thickness", 
        "this control addresses the issue of overlapping lines in time series \
mode; while to some extent the partial opacity of the lines lets one see the \
overlap, you can also change the thickness of the lines corresponding to each \
of the elemtns of the time series"]}, {
      "uniform" -> 
       Tooltip["uniform", 
         "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
       Tooltip["alternating", 
         "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
       Tooltip["varying", 
         "the lines corresponding to the time series have increasing \
thickness"]}}, {
      Hold[
       Dynamic[
        Style["insurance policy", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xs$$], 0.6, 
       Tooltip[
       "attachment point", 
        "the amount of loss an insured must suffer before the insurer has any \
obligation to pay for losses"]}, 0, 10, 0.1}, {{
       Hold[$CellContext`layer$$], 0.5, 
       Tooltip[
       "layer size", 
        "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1}, {
      Hold[
       Dynamic[
        Row[
         Map[
         Style[#, Italic, Gray]& , {$CellContext`layer$$, 
           " XS ", $CellContext`xs$$}]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Style["revenue", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 4, "initial capitalization ratio"}, 0, 
      20, 0.01}, {{
       Hold[$CellContext`\[Beta]$$], 1.5, "premium ratio"}, 0, 6, 0.1}, {
      Hold[
       Dynamic[
        Style["expenses", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[CurlyPhi]$$], 0.1, 
       "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01}, {{
       Hold[$CellContext`\[Lambda]$$], 0.2, "payment load (\[Lambda])"}, -0.3,
       1, 0.01}, {
      Hold[
       Dynamic[
        Style["capital market", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rpos$$], 0.05, "rate of return on investments"}, 0, 
      0.2, 0.01}, {{
       Hold[$CellContext`rborrow$$], 0.12, "borrowing interest rate"}, 0., 
      0.2, 0.01}, {{
       Hold[$CellContext`roe$$], 0.1, "rate of return on surplus"}, 0., 0.2, 
      0.01}, {
      Hold[
       Dynamic[
        Style["regulatory constraint", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Gamma]$$], 2.9000000000000004`, 
       " required capitalization ratio"}, 0.1, 10, 0.1}, {{
       Hold[$CellContext`a$$], 0.35}}, {{
       Hold[$CellContext`b$$], 0.05}}, {{
       Hold[$CellContext`years$$], 20}}, {{
       Hold[$CellContext`insureds$$], 25}}, {{
       Hold[$CellContext`ss$$], CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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       "]}}, {{
       Hold[$CellContext`dist$$], WeibullDistribution}}}, Typeset`size$$ = {
    290., {227.5, 232.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`visualization$44193$$ = 
    False, $CellContext`ts1$44194$$ = False, $CellContext`ts2$44195$$ = 
    False, $CellContext`lineThickness$44196$$ = 
    False, $CellContext`xs$44197$$ = 0, $CellContext`layer$44198$$ = 
    0, $CellContext`\[Alpha]$44199$$ = 0, $CellContext`\[Beta]$44200$$ = 
    0, $CellContext`\[CurlyPhi]$44201$$ = 0, $CellContext`\[Lambda]$44202$$ = 
    0, $CellContext`rpos$44203$$ = 0, $CellContext`rborrow$44204$$ = 
    0, $CellContext`roe$44205$$ = 0, $CellContext`\[Gamma]$44206$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.35, $CellContext`b$$ = 
        0.05, $CellContext`dist$$ = 
        WeibullDistribution, $CellContext`insureds$$ = 
        25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
        "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
        0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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         "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
         7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
        0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
        4, $CellContext`\[Beta]$$ = 1.5, $CellContext`\[Gamma]$$ = 
        2.9000000000000004`, $CellContext`\[Lambda]$$ = 
        0.2, $CellContext`\[CurlyPhi]$$ = 0.1}, "ControllerVariables" :> {
        Hold[$CellContext`visualization$$, $CellContext`visualization$44193$$,
          False], 
        Hold[$CellContext`ts1$$, $CellContext`ts1$44194$$, False], 
        Hold[$CellContext`ts2$$, $CellContext`ts2$44195$$, False], 
        Hold[$CellContext`lineThickness$$, $CellContext`lineThickness$44196$$,
          False], 
        Hold[$CellContext`xs$$, $CellContext`xs$44197$$, 0], 
        Hold[$CellContext`layer$$, $CellContext`layer$44198$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$44199$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$44200$$, 0], 
        Hold[$CellContext`\[CurlyPhi]$$, $CellContext`\[CurlyPhi]$44201$$, 0],
         
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$44202$$, 0], 
        Hold[$CellContext`rpos$$, $CellContext`rpos$44203$$, 0], 
        Hold[$CellContext`rborrow$$, $CellContext`rborrow$44204$$, 0], 
        Hold[$CellContext`roe$$, $CellContext`roe$44205$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$44206$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[
         Join[{
           Labeled[
            SetterBar[
             Dynamic[$CellContext`dist$$, ($CellContext`ss$$ = RandomReal[
                 #[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`dist$$ = #)& \
], {WeibullDistribution -> Tooltip[
                Style["Weibull", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   WeibullDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], GammaDistribution -> Tooltip[
                Style["Gamma", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   GammaDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], LogNormalDistribution -> 
              Tooltip[
                Style["Log Normal", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   LogNormalDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]]}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["distribution", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`a$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[#, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`a$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["first parameter", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`b$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, #], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`b$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["second parameter", 10]], Left], 
           Labeled[
            Manipulator[
             
             Dynamic[$CellContext`insureds$$, ($CellContext`ss$$ = 
               RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, #}]; $CellContext`insureds$$ = #)& ], {1, 50, 1}, 
             Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["number of insureds", 10]], Left], 
           Labeled[
            SetterBar[
             Dynamic[$CellContext`years$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], {#, \
$CellContext`insureds$$}]; $CellContext`years$$ = #)& ], {10, 20, 50, 100}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["years in simulation", 10]], Left]}, {
           Dynamic[
            
            With[{$CellContext`data$ = \
$CellContext`viewData[$CellContext`xs$$, $CellContext`layer$$, \
$CellContext`ss$$, $CellContext`insureds$$, {$CellContext`rborrow$$, \
$CellContext`rpos$$}, $CellContext`roe$$, $CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`\[Gamma]$$, $CellContext`years$$, \
$CellContext`\[CurlyPhi]$$, $CellContext`\[Lambda]$$, $CellContext`ts1$$, \
$CellContext`ts2$$]}, 
             Switch[$CellContext`visualization$$, "time series", 
              $CellContext`timeSeriesView[$CellContext`data$], "statistics", 
              Text[
               $CellContext`statisticsView[$CellContext`data$]]]]]}], 
         Alignment -> Right], {290, 460}, ImageSizeAction -> "ShrinkToFit"], 
      "Specifications" :> {
        Dynamic[
         Style[
         "visualization mode", Bold]], {{$CellContext`visualization$$, 
          "time series", "mode"}, {
         "time series" -> 
          Tooltip["time series", 
            "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
          Tooltip["statistics", 
            "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}, 
         ImageSize -> 
         Small}, {{$CellContext`ts1$$, {1, 2, 3}, "series elements 1"}, {
         1 -> Tooltip[
           "a", "assets available for creditors; insured claims generally \
have priority over other creditor or investor claims"], 2 -> 
          Tooltip["s", 
            "surplus: the difference between assets available for creditors \
and loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
          Tooltip["r", 
            "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
          Tooltip["\[ScriptL]", 
            "losses: the annual losses suffered by insureds."]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`ts2$$, {7}, "series elements 2"}, {
         5 -> Tooltip[
           "p", "payments: the annual payments made by the insurer to \
insureds (the figure excluded expense loads)."], 6 -> 
          Tooltip["pr", 
            "premium: the annual premium relative to net mean claims."], 7 -> 
          Tooltip["op", "operating profits"], 8 -> 
          Tooltip["\[CapitalDelta]", "change in surplus"]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`lineThickness$$, "alternating", 
          Tooltip[
          "line thickness", 
           "this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series"]}, {
         "uniform" -> 
          Tooltip["uniform", 
            "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
          Tooltip["alternating", 
            "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
          Tooltip["varying", 
            "the lines corresponding to the time series have increasing \
thickness"]}, ImageSize -> Tiny, ControlType -> SetterBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= "statistics"]}, Delimiter, 
        Dynamic[
         Style["insurance policy", Bold]], {{$CellContext`xs$$, 0.6, 
          Tooltip[
          "attachment point", 
           "the amount of loss an insured must suffer before the insurer has \
any obligation to pay for losses"]}, 0, 10, 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`layer$$, 0.5, 
          Tooltip[
          "layer size", 
           "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Dynamic[
         Row[
          Map[
          Style[#, Italic, Gray]& , {$CellContext`layer$$, 
            " XS ", $CellContext`xs$$}]]], Delimiter, 
        Dynamic[
         Style[
         "revenue", Bold]], {{$CellContext`\[Alpha]$$, 4, 
          "initial capitalization ratio"}, 0, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 1.5, "premium ratio"}, 0, 6, 0.1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "expenses", Bold]], {{$CellContext`\[CurlyPhi]$$, 0.1, 
          "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Lambda]$$, 0.2, 
          "payment load (\[Lambda])"}, -0.3, 1, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "capital market", Bold]], {{$CellContext`rpos$$, 0.05, 
          "rate of return on investments"}, 0, 0.2, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rborrow$$, 0.12, "borrowing interest rate"}, 
         0., 0.2, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`roe$$, 0.1, "rate of return on surplus"}, 0., 
         0.2, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "regulatory constraint", Bold]], {{$CellContext`\[Gamma]$$, 
          2.9000000000000004`, " required capitalization ratio"}, 0.1, 10, 
         0.1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`a$$, 0.35}, ControlType -> 
         None}, {{$CellContext`b$$, 0.05}, ControlType -> 
         None}, {{$CellContext`years$$, 20}, ControlType -> 
         None}, {{$CellContext`insureds$$, 25}, ControlType -> 
         None}, {{$CellContext`ss$$, CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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          "]}, ControlType -> 
         None}, {{$CellContext`dist$$, WeibullDistribution}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1, 5, 8, 12, 14}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{652., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((SeedRandom[101307]; $CellContext`stormSet[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]]] := RandomReal[
         $CellContext`dist[$CellContext`a, $CellContext`b], \
{$CellContext`years, $CellContext`insureds}]; $CellContext`rowTotal[
         Pattern[$CellContext`set, 
          Blank[]]] := 
       Map[Total, $CellContext`set]; $CellContext`surplusLoans[
         Pattern[$CellContext`payments, 
          Blank[List]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`premium, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`r, {
           Pattern[$CellContext`rborrow, 
            Blank[]], 
           Pattern[$CellContext`rpos, 
            Blank[]]}], 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`required, 
          Blank[]]] := 
       FoldList[
        With[{$CellContext`tempCash = 
           Part[#, 1] + $CellContext`premium + $CellContext`rpos 
             Part[#, 1] - ($CellContext`roe Part[#, 1] + 
            Max[0, Part[#, 
                2] $CellContext`rborrow] + $CellContext`\[CurlyPhi] \
$CellContext`premium + #2 + $CellContext`\[Lambda] #2)}, 
          
          If[$CellContext`tempCash >= $CellContext`required, \
{$CellContext`tempCash, 
            Part[#, 2]}, {$CellContext`required, 
            Part[#, 2] + ($CellContext`required - $CellContext`tempCash)}]]& \
, {$CellContext`\[Alpha], 
          0}, $CellContext`payments]; $CellContext`paymentsFunction[
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]]] := 
       Map[Clip[# - $CellContext`xs, {
          0, $CellContext`layer}]& , $CellContext`ss, {
         2}]; $CellContext`empiricalMatrixMean[
         Pattern[$CellContext`set, 
          Blank[]]] := Mean[
         Flatten[$CellContext`set]]; $CellContext`annualPremiumRevenue[
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], 
         Pattern[$CellContext`meanPremiumPerInsured, 
          
          Blank[]]] := $CellContext`\[Beta] $CellContext`insureds \
$CellContext`meanPremiumPerInsured; $CellContext`pretabulate[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`start, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`f, 
           BlankSequence[]], List]] := Thread[
         $CellContext`f[
          
          Range[$CellContext`start, Length[$CellContext`data] - 
           1], $CellContext`data]]; $CellContext`surplusTooltips[
         Pattern[$CellContext`pointCoordinates, 
          Blank[]], 
         Pattern[$CellContext`tipdata, 
          Blank[]], 
         Pattern[$CellContext`pointDirectives, 
          Blank[]], 
         Pattern[$CellContext`labelFormattingFunction, 
          Blank[]]] := MapThread[Tooltip[{
           Apply[Sequence, $CellContext`pointDirectives], 
           Point[#]}, 
          $CellContext`labelFormattingFunction[#2]]& , \
{$CellContext`pointCoordinates, $CellContext`tipdata}]; $CellContext`viewData[
        
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], {
          Pattern[$CellContext`rborrow, 
           Blank[]], 
          Pattern[$CellContext`rpos, 
           Blank[]]}, 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`\[Gamma], 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`ts1, 
          Blank[]], 
         Pattern[$CellContext`ts2, 
          Blank[]]] := 
       Module[{$CellContext`payments, $CellContext`yearlosses, \
$CellContext`yearpayments, $CellContext`m, \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`at, $CellContext`spls, $CellContext`op, $CellContext`tips}, \
$CellContext`payments = $CellContext`paymentsFunction[$CellContext`xs, \
$CellContext`layer, $CellContext`ss]; $CellContext`yearlosses = \
$CellContext`rowTotal[$CellContext`ss]; $CellContext`yearpayments = \
$CellContext`rowTotal[$CellContext`payments]; $CellContext`m = \
$CellContext`empiricalMatrixMean[$CellContext`payments]; \
$CellContext`initialCapitalization = $CellContext`\[Alpha] \
$CellContext`insureds $CellContext`m; $CellContext`annualPremiumRevenue = \
$CellContext`\[Beta] $CellContext`insureds $CellContext`m; \
$CellContext`requiredCapitalization = $CellContext`\[Gamma] \
$CellContext`insureds $CellContext`m; $CellContext`at = \
$CellContext`annualTotals[$CellContext`payments]; $CellContext`spls = \
$CellContext`surplusLoans[
            Map[
            Total, $CellContext`payments], \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`\[CurlyPhi], $CellContext`\[Lambda], {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Gamma]]; $CellContext`op = 
          Map[$CellContext`annualPremiumRevenue - ($CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + # + $CellContext`\[Lambda] #)& , \
$CellContext`yearpayments]; {$CellContext`xs, $CellContext`layer, \
$CellContext`ss, $CellContext`insureds, {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Alpha], $CellContext`\
\[Beta], $CellContext`\[Gamma], $CellContext`years, $CellContext`\[CurlyPhi], \
$CellContext`\[Lambda], $CellContext`ts1, $CellContext`ts2, \
$CellContext`payments, $CellContext`yearlosses, $CellContext`yearpayments, \
$CellContext`m, $CellContext`initialCapitalization, \
$CellContext`annualPremiumRevenue, $CellContext`at, $CellContext`spls, \
$CellContext`op}]; $CellContext`timeSeriesView[
         Pattern[$CellContext`data$, {
           Pattern[$CellContext`xs$, 
            Blank[]], 
           Pattern[$CellContext`layer$, 
            Blank[]], 
           Pattern[$CellContext`ss$, 
            Blank[]], 
           Pattern[$CellContext`insureds$, 
            Blank[]], {
            Pattern[$CellContext`rborrow$, 
             Blank[]], 
            Pattern[$CellContext`rpos$, 
             Blank[]]}, 
           Pattern[$CellContext`roe$, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha]$, 
            Blank[]], 
           Pattern[$CellContext`\[Beta]$, 
            Blank[]], 
           Pattern[$CellContext`\[Gamma]$, 
            Blank[]], 
           Pattern[$CellContext`years$, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi]$, 
            Blank[]], 
           Pattern[$CellContext`\[Lambda]$, 
            Blank[]], 
           Pattern[$CellContext`ts1$, 
            Blank[]], 
           Pattern[$CellContext`ts2$, 
            Blank[]], 
           Pattern[$CellContext`payments$, 
            Blank[]], 
           Pattern[$CellContext`yearlosses$, 
            Blank[]], 
           Pattern[$CellContext`yearpayments$, 
            Blank[]], 
           Pattern[$CellContext`m$, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization$, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue$, 
            Blank[]], 
           Pattern[$CellContext`at$, 
            Blank[]], 
           Pattern[$CellContext`spls$, 
            Blank[]], 
           Pattern[$CellContext`op$, 
            Blank[]]}]] := 
       If[Join[$CellContext`ts1$, $CellContext`ts2$] =!= {}, 
         ListLinePlot[
          Part[{
            Tooltip[
             Map[First, $CellContext`spls$], "assets"], 
            Tooltip[
             Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$], "surplus"], 
            Tooltip[
             Map[$CellContext`requiredCapitalization& , $CellContext`spls$], 
             "required assets"], 
            Tooltip[
             Prepend[$CellContext`yearlosses$, 0], "annual insured losses"], 
            Tooltip[
             Prepend[$CellContext`yearpayments$, 0], 
             "annual insurer payments"], 
            Tooltip[
             Map[$CellContext`annualPremiumRevenue$& , $CellContext`spls$], 
             "premium revenue"], 
            Tooltip[
             Prepend[$CellContext`op$, 0], "operating profits"], 
            Tooltip[
             Prepend[
              Differences[
               Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$]], 0], 
             "change in surplus"]}, 
           Sort[
            Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotMarkers -> 
          Part[{"\[FilledCircle]", "\[FilledSquare]", "\[FilledDiamond]", 
             "\[FilledUpTriangle]", "\[FilledDownTriangle]", "\[EmptyCircle]",
              "\[EmptySquare]", "\[EmptyDiamond]"}, 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotStyle :> Part[
            Table[{
              Directive[
               Opacity[0.7], 
               ColorData[3][$CellContext`i], 
               Thickness[
               Switch[$CellContext`lineThickness$$, "uniform", 2, 
                  "alternating", 
                  If[
                   EvenQ[$CellContext`i], 1, 3], "varying", 
                  Rescale[$CellContext`i, {1, 8}, {1, 5}]] 
                0.003 (4 - 
                 Switch[$CellContext`years$, 10, 0, 20, 1, 50, 2, 100, 
                  3])]]}, {$CellContext`i, 8}], 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}], 
         Graphics[{}, Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}]]; $CellContext`statisticsView[
        
         Pattern[$CellContext`data, {
           Pattern[$CellContext`xs, 
            Blank[]], 
           Pattern[$CellContext`layer, 
            Blank[]], 
           Pattern[$CellContext`ss, 
            Blank[]], 
           Pattern[$CellContext`insureds, 
            Blank[]], {
            Pattern[$CellContext`rborrow, 
             Blank[]], 
            Pattern[$CellContext`rpos, 
             Blank[]]}, 
           Pattern[$CellContext`roe, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha], 
            Blank[]], 
           Pattern[$CellContext`\[Beta], 
            Blank[]], 
           Pattern[$CellContext`\[Gamma], 
            Blank[]], 
           Pattern[$CellContext`years, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi], 
            Blank[]], 
           Pattern[$CellContext`\[Lambda], 
            Blank[]], 
           Pattern[$CellContext`ts1, 
            Blank[]], 
           Pattern[$CellContext`ts2, 
            Blank[]], 
           Pattern[$CellContext`payments, 
            Blank[]], 
           Pattern[$CellContext`yearlosses, 
            Blank[]], 
           Pattern[$CellContext`yearpayments, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue, 
            Blank[]], 
           Pattern[$CellContext`at, 
            Blank[]], 
           Pattern[$CellContext`spls, 
            Blank[]], 
           Pattern[$CellContext`op, 
            Blank[]]}]] := 
       With[{$CellContext`myl = 
          Mean[$CellContext`yearlosses], $CellContext`myp = 
          Mean[$CellContext`yearpayments]}, 
         Grid[{{"initial capitalization", 
            NumberForm[$CellContext`initialCapitalization, 3]}, {
           "annual premium revenue", 
            NumberForm[$CellContext`annualPremiumRevenue, 3]}, {
           "mean annual losses", 
            NumberForm[$CellContext`myl, 3]}, {"mean net payments", 
            NumberForm[$CellContext`myp, 3]}, {"mean operating profit", 
            
            NumberForm[$CellContext`annualPremiumRevenue - ($CellContext`myp + \
$CellContext`\[CurlyPhi] $CellContext`annualPremiumRevenue + $CellContext`\
\[Lambda] $CellContext`myp), 3]}, {"standard deviation annual losses", 
            NumberForm[
             StandardDeviation[$CellContext`yearlosses], 3]}, {
           "standard deviation net payments", 
            NumberForm[
             StandardDeviation[$CellContext`yearpayments], 3]}, {
           "standard deviation operating profit", 
            NumberForm[
             
             StandardDeviation[$CellContext`annualPremiumRevenue - \
($CellContext`yearpayments + $CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + $CellContext`\[Lambda] \
$CellContext`yearpayments)], 3]}, {"mean premium load", 
            
            NumberForm[$CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue, 3]}, {"mean claims load", 
            NumberForm[$CellContext`\[Lambda] $CellContext`myp, 3]}, {
           "mean investment earnings", 
            NumberForm[
             Mean[$CellContext`rpos Map[First, $CellContext`spls]], 3]}}, 
          Dividers -> All, Background -> ColorData[18][7], 
          BaseStyle -> {FontColor -> ColorData[18][3]}, 
          ItemSize -> {{14, 6}, 1}, Alignment -> Left]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->91203784],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.35, $CellContext`b$$ = 
    0.05, $CellContext`dist$$ = WeibullDistribution, $CellContext`insureds$$ =
     25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
    "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
    0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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    "], $CellContext`ts1$$ = {}, $CellContext`ts2$$ = {7, 8, 
    5}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
    0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
    4, $CellContext`\[Beta]$$ = 1.4, $CellContext`\[Gamma]$$ = 
    2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Style["visualization mode", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`visualization$$], "time series", "mode"}, {
      "time series" -> 
       Tooltip["time series", 
         "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
       Tooltip["statistics", 
         "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}}, \
{{
       Hold[$CellContext`ts1$$], {}, "series elements 1"}, {
      1 -> Tooltip[
        "a", "assets available for creditors; insured claims generally have \
priority over other creditor or investor claims"], 2 -> 
       Tooltip["s", 
         "surplus: the difference between assets available for creditors and \
loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
       Tooltip["r", 
         "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
       Tooltip["\[ScriptL]", 
         "losses: the annual losses suffered by insureds."]}}, {{
       Hold[$CellContext`ts2$$], {7, 8, 5}, "series elements 2"}, {
      5 -> Tooltip[
        "p", "payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads)."], 6 -> 
       Tooltip["pr", 
         "premium: the annual premium relative to net mean claims."], 7 -> 
       Tooltip["op", "operating profits"], 8 -> 
       Tooltip["\[CapitalDelta]", "change in surplus"]}}, {{
       Hold[$CellContext`lineThickness$$], "alternating", 
       Tooltip[
       "line thickness", 
        "this control addresses the issue of overlapping lines in time series \
mode; while to some extent the partial opacity of the lines lets one see the \
overlap, you can also change the thickness of the lines corresponding to each \
of the elemtns of the time series"]}, {
      "uniform" -> 
       Tooltip["uniform", 
         "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
       Tooltip["alternating", 
         "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
       Tooltip["varying", 
         "the lines corresponding to the time series have increasing \
thickness"]}}, {
      Hold[
       Dynamic[
        Style["insurance policy", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xs$$], 0.6, 
       Tooltip[
       "attachment point", 
        "the amount of loss an insured must suffer before the insurer has any \
obligation to pay for losses"]}, 0, 10, 0.1}, {{
       Hold[$CellContext`layer$$], 0.5, 
       Tooltip[
       "layer size", 
        "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1}, {
      Hold[
       Dynamic[
        Row[
         Map[
         Style[#, Italic, Gray]& , {$CellContext`layer$$, 
           " XS ", $CellContext`xs$$}]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Style["revenue", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 4, "initial capitalization ratio"}, 0, 
      20, 0.01}, {{
       Hold[$CellContext`\[Beta]$$], 1.4, "premium ratio"}, 0, 6, 0.1}, {
      Hold[
       Dynamic[
        Style["expenses", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[CurlyPhi]$$], 0.1, 
       "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01}, {{
       Hold[$CellContext`\[Lambda]$$], 0.2, "payment load (\[Lambda])"}, -0.3,
       1, 0.01}, {
      Hold[
       Dynamic[
        Style["capital market", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rpos$$], 0.05, "rate of return on investments"}, 0, 
      0.2, 0.01}, {{
       Hold[$CellContext`rborrow$$], 0.12, "borrowing interest rate"}, 0., 
      0.2, 0.01}, {{
       Hold[$CellContext`roe$$], 0.1, "rate of return on surplus"}, 0., 0.2, 
      0.01}, {
      Hold[
       Dynamic[
        Style["regulatory constraint", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Gamma]$$], 2, " required capitalization ratio"}, 
      0.1, 10, 0.1}, {{
       Hold[$CellContext`a$$], 0.35}}, {{
       Hold[$CellContext`b$$], 0.05}}, {{
       Hold[$CellContext`years$$], 20}}, {{
       Hold[$CellContext`insureds$$], 25}}, {{
       Hold[$CellContext`ss$$], CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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       "]}}, {{
       Hold[$CellContext`dist$$], WeibullDistribution}}}, Typeset`size$$ = 
    Automatic, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`visualization$44350$$ = 
    False, $CellContext`ts1$44351$$ = False, $CellContext`ts2$44352$$ = 
    False, $CellContext`lineThickness$44353$$ = 
    False, $CellContext`xs$44354$$ = 0, $CellContext`layer$44355$$ = 
    0, $CellContext`\[Alpha]$44356$$ = 0, $CellContext`\[Beta]$44357$$ = 
    0, $CellContext`\[CurlyPhi]$44358$$ = 0, $CellContext`\[Lambda]$44359$$ = 
    0, $CellContext`rpos$44360$$ = 0, $CellContext`rborrow$44361$$ = 
    0, $CellContext`roe$44362$$ = 0, $CellContext`\[Gamma]$44363$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.35, $CellContext`b$$ = 
        0.05, $CellContext`dist$$ = 
        WeibullDistribution, $CellContext`insureds$$ = 
        25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
        "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
        0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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         "], $CellContext`ts1$$ = {}, $CellContext`ts2$$ = {7, 8, 
         5}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
        0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
        4, $CellContext`\[Beta]$$ = 1.4, $CellContext`\[Gamma]$$ = 
        2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`visualization$$, $CellContext`visualization$44350$$,
          False], 
        Hold[$CellContext`ts1$$, $CellContext`ts1$44351$$, False], 
        Hold[$CellContext`ts2$$, $CellContext`ts2$44352$$, False], 
        Hold[$CellContext`lineThickness$$, $CellContext`lineThickness$44353$$,
          False], 
        Hold[$CellContext`xs$$, $CellContext`xs$44354$$, 0], 
        Hold[$CellContext`layer$$, $CellContext`layer$44355$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$44356$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$44357$$, 0], 
        Hold[$CellContext`\[CurlyPhi]$$, $CellContext`\[CurlyPhi]$44358$$, 0],
         
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$44359$$, 0], 
        Hold[$CellContext`rpos$$, $CellContext`rpos$44360$$, 0], 
        Hold[$CellContext`rborrow$$, $CellContext`rborrow$44361$$, 0], 
        Hold[$CellContext`roe$$, $CellContext`roe$44362$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$44363$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[
         Join[{
           Labeled[
            SetterBar[
             Dynamic[$CellContext`dist$$, ($CellContext`ss$$ = RandomReal[
                 #[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`dist$$ = #)& \
], {WeibullDistribution -> Tooltip[
                Style["Weibull", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   WeibullDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], GammaDistribution -> Tooltip[
                Style["Gamma", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   GammaDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], LogNormalDistribution -> 
              Tooltip[
                Style["Log Normal", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   LogNormalDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]]}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["distribution", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`a$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[#, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`a$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["first parameter", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`b$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, #], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`b$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["second parameter", 10]], Left], 
           Labeled[
            Manipulator[
             
             Dynamic[$CellContext`insureds$$, ($CellContext`ss$$ = 
               RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, #}]; $CellContext`insureds$$ = #)& ], {1, 50, 1}, 
             Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["number of insureds", 10]], Left], 
           Labeled[
            SetterBar[
             Dynamic[$CellContext`years$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], {#, \
$CellContext`insureds$$}]; $CellContext`years$$ = #)& ], {10, 20, 50, 100}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["years in simulation", 10]], Left]}, {
           Dynamic[
            
            With[{$CellContext`data$ = \
$CellContext`viewData[$CellContext`xs$$, $CellContext`layer$$, \
$CellContext`ss$$, $CellContext`insureds$$, {$CellContext`rborrow$$, \
$CellContext`rpos$$}, $CellContext`roe$$, $CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`\[Gamma]$$, $CellContext`years$$, \
$CellContext`\[CurlyPhi]$$, $CellContext`\[Lambda]$$, $CellContext`ts1$$, \
$CellContext`ts2$$]}, 
             Switch[$CellContext`visualization$$, "time series", 
              $CellContext`timeSeriesView[$CellContext`data$], "statistics", 
              Text[
               $CellContext`statisticsView[$CellContext`data$]]]]]}], 
         Alignment -> Right], {290, 460}, ImageSizeAction -> "ShrinkToFit"], 
      "Specifications" :> {
        Dynamic[
         Style[
         "visualization mode", Bold]], {{$CellContext`visualization$$, 
          "time series", "mode"}, {
         "time series" -> 
          Tooltip["time series", 
            "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
          Tooltip["statistics", 
            "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}, 
         ImageSize -> 
         Small}, {{$CellContext`ts1$$, {}, "series elements 1"}, {
         1 -> Tooltip[
           "a", "assets available for creditors; insured claims generally \
have priority over other creditor or investor claims"], 2 -> 
          Tooltip["s", 
            
            "surplus: the difference between assets available for creditors \
and loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
          Tooltip["r", 
            "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
          Tooltip["\[ScriptL]", 
            "losses: the annual losses suffered by insureds."]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`ts2$$, {7, 8, 5}, 
          "series elements 2"}, {
         5 -> Tooltip[
           "p", "payments: the annual payments made by the insurer to \
insureds (the figure excluded expense loads)."], 6 -> 
          Tooltip["pr", 
            "premium: the annual premium relative to net mean claims."], 7 -> 
          Tooltip["op", "operating profits"], 8 -> 
          Tooltip["\[CapitalDelta]", "change in surplus"]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`lineThickness$$, "alternating", 
          Tooltip[
          "line thickness", 
           "this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series"]}, {
         "uniform" -> 
          Tooltip["uniform", 
            "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
          Tooltip["alternating", 
            "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
          Tooltip["varying", 
            "the lines corresponding to the time series have increasing \
thickness"]}, ImageSize -> Tiny, ControlType -> SetterBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= "statistics"]}, Delimiter, 
        Dynamic[
         Style["insurance policy", Bold]], {{$CellContext`xs$$, 0.6, 
          Tooltip[
          "attachment point", 
           "the amount of loss an insured must suffer before the insurer has \
any obligation to pay for losses"]}, 0, 10, 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`layer$$, 0.5, 
          Tooltip[
          "layer size", 
           "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Dynamic[
         Row[
          Map[
          Style[#, Italic, Gray]& , {$CellContext`layer$$, 
            " XS ", $CellContext`xs$$}]]], Delimiter, 
        Dynamic[
         Style[
         "revenue", Bold]], {{$CellContext`\[Alpha]$$, 4, 
          "initial capitalization ratio"}, 0, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 1.4, "premium ratio"}, 0, 6, 0.1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "expenses", Bold]], {{$CellContext`\[CurlyPhi]$$, 0.1, 
          "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Lambda]$$, 0.2, 
          "payment load (\[Lambda])"}, -0.3, 1, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "capital market", Bold]], {{$CellContext`rpos$$, 0.05, 
          "rate of return on investments"}, 0, 0.2, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rborrow$$, 0.12, "borrowing interest rate"}, 
         0., 0.2, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`roe$$, 0.1, "rate of return on surplus"}, 0., 
         0.2, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "regulatory constraint", Bold]], {{$CellContext`\[Gamma]$$, 2, 
          " required capitalization ratio"}, 0.1, 10, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`a$$, 0.35}, 
         ControlType -> None}, {{$CellContext`b$$, 0.05}, ControlType -> 
         None}, {{$CellContext`years$$, 20}, ControlType -> 
         None}, {{$CellContext`insureds$$, 25}, ControlType -> 
         None}, {{$CellContext`ss$$, CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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          "]}, ControlType -> 
         None}, {{$CellContext`dist$$, WeibullDistribution}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1, 5, 8, 12, 14}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((SeedRandom[101307]; $CellContext`stormSet[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]]] := RandomReal[
         $CellContext`dist[$CellContext`a, $CellContext`b], \
{$CellContext`years, $CellContext`insureds}]; $CellContext`rowTotal[
         Pattern[$CellContext`set, 
          Blank[]]] := 
       Map[Total, $CellContext`set]; $CellContext`surplusLoans[
         Pattern[$CellContext`payments, 
          Blank[List]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`premium, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`r, {
           Pattern[$CellContext`rborrow, 
            Blank[]], 
           Pattern[$CellContext`rpos, 
            Blank[]]}], 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`required, 
          Blank[]]] := 
       FoldList[
        With[{$CellContext`tempCash = 
           Part[#, 1] + $CellContext`premium + $CellContext`rpos 
             Part[#, 1] - ($CellContext`roe Part[#, 1] + 
            Max[0, Part[#, 
                2] $CellContext`rborrow] + $CellContext`\[CurlyPhi] \
$CellContext`premium + #2 + $CellContext`\[Lambda] #2)}, 
          
          If[$CellContext`tempCash >= $CellContext`required, \
{$CellContext`tempCash, 
            Part[#, 2]}, {$CellContext`required, 
            Part[#, 2] + ($CellContext`required - $CellContext`tempCash)}]]& \
, {$CellContext`\[Alpha], 
          0}, $CellContext`payments]; $CellContext`paymentsFunction[
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]]] := 
       Map[Clip[# - $CellContext`xs, {
          0, $CellContext`layer}]& , $CellContext`ss, {
         2}]; $CellContext`empiricalMatrixMean[
         Pattern[$CellContext`set, 
          Blank[]]] := Mean[
         Flatten[$CellContext`set]]; $CellContext`annualPremiumRevenue[
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], 
         Pattern[$CellContext`meanPremiumPerInsured, 
          
          Blank[]]] := $CellContext`\[Beta] $CellContext`insureds \
$CellContext`meanPremiumPerInsured; $CellContext`pretabulate[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`start, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`f, 
           BlankSequence[]], List]] := Thread[
         $CellContext`f[
          
          Range[$CellContext`start, Length[$CellContext`data] - 
           1], $CellContext`data]]; $CellContext`surplusTooltips[
         Pattern[$CellContext`pointCoordinates, 
          Blank[]], 
         Pattern[$CellContext`tipdata, 
          Blank[]], 
         Pattern[$CellContext`pointDirectives, 
          Blank[]], 
         Pattern[$CellContext`labelFormattingFunction, 
          Blank[]]] := MapThread[Tooltip[{
           Apply[Sequence, $CellContext`pointDirectives], 
           Point[#]}, 
          $CellContext`labelFormattingFunction[#2]]& , \
{$CellContext`pointCoordinates, $CellContext`tipdata}]; $CellContext`viewData[
        
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], {
          Pattern[$CellContext`rborrow, 
           Blank[]], 
          Pattern[$CellContext`rpos, 
           Blank[]]}, 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`\[Gamma], 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`ts1, 
          Blank[]], 
         Pattern[$CellContext`ts2, 
          Blank[]]] := 
       Module[{$CellContext`payments, $CellContext`yearlosses, \
$CellContext`yearpayments, $CellContext`m, \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`at, $CellContext`spls, $CellContext`op, $CellContext`tips}, \
$CellContext`payments = $CellContext`paymentsFunction[$CellContext`xs, \
$CellContext`layer, $CellContext`ss]; $CellContext`yearlosses = \
$CellContext`rowTotal[$CellContext`ss]; $CellContext`yearpayments = \
$CellContext`rowTotal[$CellContext`payments]; $CellContext`m = \
$CellContext`empiricalMatrixMean[$CellContext`payments]; \
$CellContext`initialCapitalization = $CellContext`\[Alpha] \
$CellContext`insureds $CellContext`m; $CellContext`annualPremiumRevenue = \
$CellContext`\[Beta] $CellContext`insureds $CellContext`m; \
$CellContext`requiredCapitalization = $CellContext`\[Gamma] \
$CellContext`insureds $CellContext`m; $CellContext`at = \
$CellContext`annualTotals[$CellContext`payments]; $CellContext`spls = \
$CellContext`surplusLoans[
            Map[
            Total, $CellContext`payments], \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`\[CurlyPhi], $CellContext`\[Lambda], {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Gamma]]; $CellContext`op = 
          Map[$CellContext`annualPremiumRevenue - ($CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + # + $CellContext`\[Lambda] #)& , \
$CellContext`yearpayments]; {$CellContext`xs, $CellContext`layer, \
$CellContext`ss, $CellContext`insureds, {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Alpha], $CellContext`\
\[Beta], $CellContext`\[Gamma], $CellContext`years, $CellContext`\[CurlyPhi], \
$CellContext`\[Lambda], $CellContext`ts1, $CellContext`ts2, \
$CellContext`payments, $CellContext`yearlosses, $CellContext`yearpayments, \
$CellContext`m, $CellContext`initialCapitalization, \
$CellContext`annualPremiumRevenue, $CellContext`at, $CellContext`spls, \
$CellContext`op}]; $CellContext`timeSeriesView[
         Pattern[$CellContext`data$, {
           Pattern[$CellContext`xs$, 
            Blank[]], 
           Pattern[$CellContext`layer$, 
            Blank[]], 
           Pattern[$CellContext`ss$, 
            Blank[]], 
           Pattern[$CellContext`insureds$, 
            Blank[]], {
            Pattern[$CellContext`rborrow$, 
             Blank[]], 
            Pattern[$CellContext`rpos$, 
             Blank[]]}, 
           Pattern[$CellContext`roe$, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha]$, 
            Blank[]], 
           Pattern[$CellContext`\[Beta]$, 
            Blank[]], 
           Pattern[$CellContext`\[Gamma]$, 
            Blank[]], 
           Pattern[$CellContext`years$, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi]$, 
            Blank[]], 
           Pattern[$CellContext`\[Lambda]$, 
            Blank[]], 
           Pattern[$CellContext`ts1$, 
            Blank[]], 
           Pattern[$CellContext`ts2$, 
            Blank[]], 
           Pattern[$CellContext`payments$, 
            Blank[]], 
           Pattern[$CellContext`yearlosses$, 
            Blank[]], 
           Pattern[$CellContext`yearpayments$, 
            Blank[]], 
           Pattern[$CellContext`m$, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization$, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue$, 
            Blank[]], 
           Pattern[$CellContext`at$, 
            Blank[]], 
           Pattern[$CellContext`spls$, 
            Blank[]], 
           Pattern[$CellContext`op$, 
            Blank[]]}]] := 
       If[Join[$CellContext`ts1$, $CellContext`ts2$] =!= {}, 
         ListLinePlot[
          Part[{
            Tooltip[
             Map[First, $CellContext`spls$], "assets"], 
            Tooltip[
             Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$], "surplus"], 
            Tooltip[
             Map[$CellContext`requiredCapitalization& , $CellContext`spls$], 
             "required assets"], 
            Tooltip[
             Prepend[$CellContext`yearlosses$, 0], "annual insured losses"], 
            Tooltip[
             Prepend[$CellContext`yearpayments$, 0], 
             "annual insurer payments"], 
            Tooltip[
             Map[$CellContext`annualPremiumRevenue$& , $CellContext`spls$], 
             "premium revenue"], 
            Tooltip[
             Prepend[$CellContext`op$, 0], "operating profits"], 
            Tooltip[
             Prepend[
              Differences[
               Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$]], 0], 
             "change in surplus"]}, 
           Sort[
            Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotMarkers -> 
          Part[{"\[FilledCircle]", "\[FilledSquare]", "\[FilledDiamond]", 
             "\[FilledUpTriangle]", "\[FilledDownTriangle]", "\[EmptyCircle]",
              "\[EmptySquare]", "\[EmptyDiamond]"}, 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotStyle :> Part[
            Table[{
              Directive[
               Opacity[0.7], 
               ColorData[3][$CellContext`i], 
               Thickness[
               Switch[$CellContext`lineThickness$$, "uniform", 2, 
                  "alternating", 
                  If[
                   EvenQ[$CellContext`i], 1, 3], "varying", 
                  Rescale[$CellContext`i, {1, 8}, {1, 5}]] 
                0.003 (4 - 
                 Switch[$CellContext`years$, 10, 0, 20, 1, 50, 2, 100, 
                  3])]]}, {$CellContext`i, 8}], 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}], 
         Graphics[{}, Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}]]; $CellContext`statisticsView[
        
         Pattern[$CellContext`data, {
           Pattern[$CellContext`xs, 
            Blank[]], 
           Pattern[$CellContext`layer, 
            Blank[]], 
           Pattern[$CellContext`ss, 
            Blank[]], 
           Pattern[$CellContext`insureds, 
            Blank[]], {
            Pattern[$CellContext`rborrow, 
             Blank[]], 
            Pattern[$CellContext`rpos, 
             Blank[]]}, 
           Pattern[$CellContext`roe, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha], 
            Blank[]], 
           Pattern[$CellContext`\[Beta], 
            Blank[]], 
           Pattern[$CellContext`\[Gamma], 
            Blank[]], 
           Pattern[$CellContext`years, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi], 
            Blank[]], 
           Pattern[$CellContext`\[Lambda], 
            Blank[]], 
           Pattern[$CellContext`ts1, 
            Blank[]], 
           Pattern[$CellContext`ts2, 
            Blank[]], 
           Pattern[$CellContext`payments, 
            Blank[]], 
           Pattern[$CellContext`yearlosses, 
            Blank[]], 
           Pattern[$CellContext`yearpayments, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue, 
            Blank[]], 
           Pattern[$CellContext`at, 
            Blank[]], 
           Pattern[$CellContext`spls, 
            Blank[]], 
           Pattern[$CellContext`op, 
            Blank[]]}]] := 
       With[{$CellContext`myl = 
          Mean[$CellContext`yearlosses], $CellContext`myp = 
          Mean[$CellContext`yearpayments]}, 
         Grid[{{"initial capitalization", 
            NumberForm[$CellContext`initialCapitalization, 3]}, {
           "annual premium revenue", 
            NumberForm[$CellContext`annualPremiumRevenue, 3]}, {
           "mean annual losses", 
            NumberForm[$CellContext`myl, 3]}, {"mean net payments", 
            NumberForm[$CellContext`myp, 3]}, {"mean operating profit", 
            
            NumberForm[$CellContext`annualPremiumRevenue - ($CellContext`myp + \
$CellContext`\[CurlyPhi] $CellContext`annualPremiumRevenue + $CellContext`\
\[Lambda] $CellContext`myp), 3]}, {"standard deviation annual losses", 
            NumberForm[
             StandardDeviation[$CellContext`yearlosses], 3]}, {
           "standard deviation net payments", 
            NumberForm[
             StandardDeviation[$CellContext`yearpayments], 3]}, {
           "standard deviation operating profit", 
            NumberForm[
             
             StandardDeviation[$CellContext`annualPremiumRevenue - \
($CellContext`yearpayments + $CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + $CellContext`\[Lambda] \
$CellContext`yearpayments)], 3]}, {"mean premium load", 
            
            NumberForm[$CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue, 3]}, {"mean claims load", 
            NumberForm[$CellContext`\[Lambda] $CellContext`myp, 3]}, {
           "mean investment earnings", 
            NumberForm[
             Mean[$CellContext`rpos Map[First, $CellContext`spls]], 3]}}, 
          Dividers -> All, Background -> ColorData[18][7], 
          BaseStyle -> {FontColor -> ColorData[18][3]}, 
          ItemSize -> {{14, 6}, 1}, Alignment -> Left]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->204731254],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`a$$ = 0.35, $CellContext`b$$ = 
    0.05, $CellContext`dist$$ = WeibullDistribution, $CellContext`insureds$$ =
     25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
    "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
    0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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    "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
    7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
    0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
    4, $CellContext`\[Beta]$$ = 1.2000000000000002`, $CellContext`\[Gamma]$$ =
     2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Dynamic[
        Style["visualization mode", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`visualization$$], "time series", "mode"}, {
      "time series" -> 
       Tooltip["time series", 
         "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
       Tooltip["statistics", 
         "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}}, \
{{
       Hold[$CellContext`ts1$$], {1, 2, 3}, "series elements 1"}, {
      1 -> Tooltip[
        "a", "assets available for creditors; insured claims generally have \
priority over other creditor or investor claims"], 2 -> 
       Tooltip["s", 
         "surplus: the difference between assets available for creditors and \
loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
       Tooltip["r", 
         "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
       Tooltip["\[ScriptL]", 
         "losses: the annual losses suffered by insureds."]}}, {{
       Hold[$CellContext`ts2$$], {7}, "series elements 2"}, {
      5 -> Tooltip[
        "p", "payments: the annual payments made by the insurer to insureds \
(the figure excluded expense loads)."], 6 -> 
       Tooltip["pr", 
         "premium: the annual premium relative to net mean claims."], 7 -> 
       Tooltip["op", "operating profits"], 8 -> 
       Tooltip["\[CapitalDelta]", "change in surplus"]}}, {{
       Hold[$CellContext`lineThickness$$], "alternating", 
       Tooltip[
       "line thickness", 
        "this control addresses the issue of overlapping lines in time series \
mode; while to some extent the partial opacity of the lines lets one see the \
overlap, you can also change the thickness of the lines corresponding to each \
of the elemtns of the time series"]}, {
      "uniform" -> 
       Tooltip["uniform", 
         "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
       Tooltip["alternating", 
         "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
       Tooltip["varying", 
         "the lines corresponding to the time series have increasing \
thickness"]}}, {
      Hold[
       Dynamic[
        Style["insurance policy", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`xs$$], 0.6, 
       Tooltip[
       "attachment point", 
        "the amount of loss an insured must suffer before the insurer has any \
obligation to pay for losses"]}, 0, 10, 0.1}, {{
       Hold[$CellContext`layer$$], 0.5, 
       Tooltip[
       "layer size", 
        "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1}, {
      Hold[
       Dynamic[
        Row[
         Map[
         Style[#, Italic, Gray]& , {$CellContext`layer$$, 
           " XS ", $CellContext`xs$$}]]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Dynamic[
        Style["revenue", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Alpha]$$], 4, "initial capitalization ratio"}, 0, 
      20, 0.01}, {{
       Hold[$CellContext`\[Beta]$$], 1.2000000000000002`, "premium ratio"}, 0,
       6, 0.1}, {
      Hold[
       Dynamic[
        Style["expenses", Bold]]], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[CurlyPhi]$$], 0.1, 
       "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01}, {{
       Hold[$CellContext`\[Lambda]$$], 0.2, "payment load (\[Lambda])"}, -0.3,
       1, 0.01}, {
      Hold[
       Dynamic[
        Style["capital market", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`rpos$$], 0.05, "rate of return on investments"}, 0, 
      0.2, 0.01}, {{
       Hold[$CellContext`rborrow$$], 0.12, "borrowing interest rate"}, 0., 
      0.2, 0.01}, {{
       Hold[$CellContext`roe$$], 0.1, "rate of return on surplus"}, 0., 0.2, 
      0.01}, {
      Hold[
       Dynamic[
        Style["regulatory constraint", Bold]]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Gamma]$$], 2, " required capitalization ratio"}, 
      0.1, 10, 0.1}, {{
       Hold[$CellContext`a$$], 0.35}}, {{
       Hold[$CellContext`b$$], 0.05}}, {{
       Hold[$CellContext`years$$], 20}}, {{
       Hold[$CellContext`insureds$$], 25}}, {{
       Hold[$CellContext`ss$$], CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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       "]}}, {{
       Hold[$CellContext`dist$$], WeibullDistribution}}}, Typeset`size$$ = {
    290., {227.5, 232.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`visualization$44507$$ = 
    False, $CellContext`ts1$44508$$ = False, $CellContext`ts2$44509$$ = 
    False, $CellContext`lineThickness$44510$$ = 
    False, $CellContext`xs$44511$$ = 0, $CellContext`layer$44512$$ = 
    0, $CellContext`\[Alpha]$44513$$ = 0, $CellContext`\[Beta]$44514$$ = 
    0, $CellContext`\[CurlyPhi]$44515$$ = 0, $CellContext`\[Lambda]$44516$$ = 
    0, $CellContext`rpos$44517$$ = 0, $CellContext`rborrow$44518$$ = 
    0, $CellContext`roe$44519$$ = 0, $CellContext`\[Gamma]$44520$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`a$$ = 0.35, $CellContext`b$$ = 
        0.05, $CellContext`dist$$ = 
        WeibullDistribution, $CellContext`insureds$$ = 
        25, $CellContext`layer$$ = 0.5, $CellContext`lineThickness$$ = 
        "alternating", $CellContext`rborrow$$ = 0.12, $CellContext`roe$$ = 
        0.1, $CellContext`rpos$$ = 0.05, $CellContext`ss$$ = CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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         "], $CellContext`ts1$$ = {1, 2, 3}, $CellContext`ts2$$ = {
         7}, $CellContext`visualization$$ = "time series", $CellContext`xs$$ = 
        0.6, $CellContext`years$$ = 20, $CellContext`\[Alpha]$$ = 
        4, $CellContext`\[Beta]$$ = 
        1.2000000000000002`, $CellContext`\[Gamma]$$ = 
        2, $CellContext`\[Lambda]$$ = 0.2, $CellContext`\[CurlyPhi]$$ = 0.1}, 
      "ControllerVariables" :> {
        Hold[$CellContext`visualization$$, $CellContext`visualization$44507$$,
          False], 
        Hold[$CellContext`ts1$$, $CellContext`ts1$44508$$, False], 
        Hold[$CellContext`ts2$$, $CellContext`ts2$44509$$, False], 
        Hold[$CellContext`lineThickness$$, $CellContext`lineThickness$44510$$,
          False], 
        Hold[$CellContext`xs$$, $CellContext`xs$44511$$, 0], 
        Hold[$CellContext`layer$$, $CellContext`layer$44512$$, 0], 
        Hold[$CellContext`\[Alpha]$$, $CellContext`\[Alpha]$44513$$, 0], 
        Hold[$CellContext`\[Beta]$$, $CellContext`\[Beta]$44514$$, 0], 
        Hold[$CellContext`\[CurlyPhi]$$, $CellContext`\[CurlyPhi]$44515$$, 0],
         
        Hold[$CellContext`\[Lambda]$$, $CellContext`\[Lambda]$44516$$, 0], 
        Hold[$CellContext`rpos$$, $CellContext`rpos$44517$$, 0], 
        Hold[$CellContext`rborrow$$, $CellContext`rborrow$44518$$, 0], 
        Hold[$CellContext`roe$$, $CellContext`roe$44519$$, 0], 
        Hold[$CellContext`\[Gamma]$$, $CellContext`\[Gamma]$44520$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Pane[
        Column[
         Join[{
           Labeled[
            SetterBar[
             Dynamic[$CellContext`dist$$, ($CellContext`ss$$ = RandomReal[
                 #[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`dist$$ = #)& \
], {WeibullDistribution -> Tooltip[
                Style["Weibull", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   WeibullDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], GammaDistribution -> Tooltip[
                Style["Gamma", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   GammaDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]], LogNormalDistribution -> 
              Tooltip[
                Style["Log Normal", 9], 
                Dynamic[
                 Plot[
                  CDF[
                   
                   LogNormalDistribution[$CellContext`a$$, $CellContext`b$$], \
$CellContext`x], {$CellContext`x, 0, 20}]]]}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["distribution", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`a$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[#, $CellContext`b$$], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`a$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["first parameter", 10]], Left], 
           Labeled[
            Manipulator[
             Dynamic[$CellContext`b$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, #], \
{$CellContext`years$$, $CellContext`insureds$$}]; $CellContext`b$$ = #)& ], {
             0.01, 4}, Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["second parameter", 10]], Left], 
           Labeled[
            Manipulator[
             
             Dynamic[$CellContext`insureds$$, ($CellContext`ss$$ = 
               RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], \
{$CellContext`years$$, #}]; $CellContext`insureds$$ = #)& ], {1, 50, 1}, 
             Appearance -> "Labeled", ImageSize -> Small], 
            Text[
             Style["number of insureds", 10]], Left], 
           Labeled[
            SetterBar[
             Dynamic[$CellContext`years$$, ($CellContext`ss$$ = RandomReal[
                 $CellContext`dist$$[$CellContext`a$$, $CellContext`b$$], {#, \
$CellContext`insureds$$}]; $CellContext`years$$ = #)& ], {10, 20, 50, 100}, 
             BaseStyle -> {FontFamily -> "Times"}], 
            Text[
             Style["years in simulation", 10]], Left]}, {
           Dynamic[
            
            With[{$CellContext`data$ = \
$CellContext`viewData[$CellContext`xs$$, $CellContext`layer$$, \
$CellContext`ss$$, $CellContext`insureds$$, {$CellContext`rborrow$$, \
$CellContext`rpos$$}, $CellContext`roe$$, $CellContext`\[Alpha]$$, \
$CellContext`\[Beta]$$, $CellContext`\[Gamma]$$, $CellContext`years$$, \
$CellContext`\[CurlyPhi]$$, $CellContext`\[Lambda]$$, $CellContext`ts1$$, \
$CellContext`ts2$$]}, 
             Switch[$CellContext`visualization$$, "time series", 
              $CellContext`timeSeriesView[$CellContext`data$], "statistics", 
              Text[
               $CellContext`statisticsView[$CellContext`data$]]]]]}], 
         Alignment -> Right], {290, 460}, ImageSizeAction -> "ShrinkToFit"], 
      "Specifications" :> {
        Dynamic[
         Style[
         "visualization mode", Bold]], {{$CellContext`visualization$$, 
          "time series", "mode"}, {
         "time series" -> 
          Tooltip["time series", 
            "In time series mode, you can choose which annual financial data \
will be plotted."], "statistics" -> 
          Tooltip["statistics", 
            "Statistics mode produces a grid showing the mean and standard \
deviation over the period of the simulation of selected financial data."]}, 
         ImageSize -> 
         Small}, {{$CellContext`ts1$$, {1, 2, 3}, "series elements 1"}, {
         1 -> Tooltip[
           "a", "assets available for creditors; insured claims generally \
have priority over other creditor or investor claims"], 2 -> 
          Tooltip["s", 
            "surplus: the difference between assets available for creditors \
and loans taken out by the insurer during years when assets fell below the \
required level."], 3 -> 
          Tooltip["r", 
            "regulatory constraint: the amount of assets relative to net mean \
claims that regulators or rating agecies effectively require the insurer to \
have."], 4 -> 
          Tooltip["\[ScriptL]", 
            "losses: the annual losses suffered by insureds."]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`ts2$$, {7}, "series elements 2"}, {
         5 -> Tooltip[
           "p", "payments: the annual payments made by the insurer to \
insureds (the figure excluded expense loads)."], 6 -> 
          Tooltip["pr", 
            "premium: the annual premium relative to net mean claims."], 7 -> 
          Tooltip["op", "operating profits"], 8 -> 
          Tooltip["\[CapitalDelta]", "change in surplus"]}, ImageSize -> 
         Small, ControlType -> CheckboxBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= 
           "statistics"]}, {{$CellContext`lineThickness$$, "alternating", 
          Tooltip[
          "line thickness", 
           "this control addresses the issue of overlapping lines in time \
series mode; while to some extent the partial opacity of the lines lets one \
see the overlap, you can also change the thickness of the lines corresponding \
to each of the elemtns of the time series"]}, {
         "uniform" -> 
          Tooltip["uniform", 
            "the lines corresponding to the time series all have the same \
thickness"], "alternating" -> 
          Tooltip["alternating", 
            "the lines corresponding to the time series have alternating \
thickness"], "varying" -> 
          Tooltip["varying", 
            "the lines corresponding to the time series have increasing \
thickness"]}, ImageSize -> Tiny, ControlType -> SetterBar, Enabled -> 
         Dynamic[$CellContext`visualization$$ =!= "statistics"]}, Delimiter, 
        Dynamic[
         Style["insurance policy", Bold]], {{$CellContext`xs$$, 0.6, 
          Tooltip[
          "attachment point", 
           "the amount of loss an insured must suffer before the insurer has \
any obligation to pay for losses"]}, 0, 10, 0.1, Appearance -> "Labeled", 
         ImageSize -> Tiny}, {{$CellContext`layer$$, 0.5, 
          Tooltip[
          "layer size", 
           "the layer size or policy limit is the maximum amount the insurer \
must pay to any insured in any given year"]}, 0.1, 30, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, 
        Dynamic[
         Row[
          Map[
          Style[#, Italic, Gray]& , {$CellContext`layer$$, 
            " XS ", $CellContext`xs$$}]]], Delimiter, 
        Dynamic[
         Style[
         "revenue", Bold]], {{$CellContext`\[Alpha]$$, 4, 
          "initial capitalization ratio"}, 0, 20, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Beta]$$, 1.2000000000000002`, 
          "premium ratio"}, 0, 6, 0.1, Appearance -> "Labeled", ImageSize -> 
         Tiny}, Delimiter, 
        Dynamic[
         Style[
         "expenses", Bold]], {{$CellContext`\[CurlyPhi]$$, 0.1, 
          "premium load (\[CurlyPhi])"}, -0.3, 1, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`\[Lambda]$$, 0.2, 
          "payment load (\[Lambda])"}, -0.3, 1, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "capital market", Bold]], {{$CellContext`rpos$$, 0.05, 
          "rate of return on investments"}, 0, 0.2, 0.01, Appearance -> 
         "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`rborrow$$, 0.12, "borrowing interest rate"}, 
         0., 0.2, 0.01, Appearance -> "Labeled", ImageSize -> 
         Tiny}, {{$CellContext`roe$$, 0.1, "rate of return on surplus"}, 0., 
         0.2, 0.01, Appearance -> "Labeled", ImageSize -> Tiny}, Delimiter, 
        Dynamic[
         Style[
         "regulatory constraint", Bold]], {{$CellContext`\[Gamma]$$, 2, 
          " required capitalization ratio"}, 0.1, 10, 0.1, Appearance -> 
         "Labeled", ImageSize -> Tiny}, {{$CellContext`a$$, 0.35}, 
         ControlType -> None}, {{$CellContext`b$$, 0.05}, ControlType -> 
         None}, {{$CellContext`years$$, 20}, ControlType -> 
         None}, {{$CellContext`insureds$$, 25}, ControlType -> 
         None}, {{$CellContext`ss$$, CompressedData["
1:eJwNlvc/1Y0Dxa2GelR2SdJDLsrIzPqcm4giQhEpIytEIQqRFKFk78zwzb3R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          "]}, ControlType -> 
         None}, {{$CellContext`dist$$, WeibullDistribution}, ControlType -> 
         None}}, "Options" :> {AutorunSequencing -> {1, 5, 8, 12, 14}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{652., {257., 262.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((SeedRandom[101307]; $CellContext`stormSet[
         Pattern[$CellContext`dist, 
          Blank[]], 
         Pattern[$CellContext`a, 
          Blank[]], 
         Pattern[$CellContext`b, 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]]] := RandomReal[
         $CellContext`dist[$CellContext`a, $CellContext`b], \
{$CellContext`years, $CellContext`insureds}]; $CellContext`rowTotal[
         Pattern[$CellContext`set, 
          Blank[]]] := 
       Map[Total, $CellContext`set]; $CellContext`surplusLoans[
         Pattern[$CellContext`payments, 
          Blank[List]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`premium, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`r, {
           Pattern[$CellContext`rborrow, 
            Blank[]], 
           Pattern[$CellContext`rpos, 
            Blank[]]}], 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`required, 
          Blank[]]] := 
       FoldList[
        With[{$CellContext`tempCash = 
           Part[#, 1] + $CellContext`premium + $CellContext`rpos 
             Part[#, 1] - ($CellContext`roe Part[#, 1] + 
            Max[0, Part[#, 
                2] $CellContext`rborrow] + $CellContext`\[CurlyPhi] \
$CellContext`premium + #2 + $CellContext`\[Lambda] #2)}, 
          
          If[$CellContext`tempCash >= $CellContext`required, \
{$CellContext`tempCash, 
            Part[#, 2]}, {$CellContext`required, 
            Part[#, 2] + ($CellContext`required - $CellContext`tempCash)}]]& \
, {$CellContext`\[Alpha], 
          0}, $CellContext`payments]; $CellContext`paymentsFunction[
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]]] := 
       Map[Clip[# - $CellContext`xs, {
          0, $CellContext`layer}]& , $CellContext`ss, {
         2}]; $CellContext`empiricalMatrixMean[
         Pattern[$CellContext`set, 
          Blank[]]] := Mean[
         Flatten[$CellContext`set]]; $CellContext`annualPremiumRevenue[
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], 
         Pattern[$CellContext`meanPremiumPerInsured, 
          
          Blank[]]] := $CellContext`\[Beta] $CellContext`insureds \
$CellContext`meanPremiumPerInsured; $CellContext`pretabulate[
         Pattern[$CellContext`data, 
          Blank[]], 
         Pattern[$CellContext`start, 
          Blank[]], 
         Optional[
          Pattern[$CellContext`f, 
           BlankSequence[]], List]] := Thread[
         $CellContext`f[
          
          Range[$CellContext`start, Length[$CellContext`data] - 
           1], $CellContext`data]]; $CellContext`surplusTooltips[
         Pattern[$CellContext`pointCoordinates, 
          Blank[]], 
         Pattern[$CellContext`tipdata, 
          Blank[]], 
         Pattern[$CellContext`pointDirectives, 
          Blank[]], 
         Pattern[$CellContext`labelFormattingFunction, 
          Blank[]]] := MapThread[Tooltip[{
           Apply[Sequence, $CellContext`pointDirectives], 
           Point[#]}, 
          $CellContext`labelFormattingFunction[#2]]& , \
{$CellContext`pointCoordinates, $CellContext`tipdata}]; $CellContext`viewData[
        
         Pattern[$CellContext`xs, 
          Blank[]], 
         Pattern[$CellContext`layer, 
          Blank[]], 
         Pattern[$CellContext`ss, 
          Blank[]], 
         Pattern[$CellContext`insureds, 
          Blank[]], {
          Pattern[$CellContext`rborrow, 
           Blank[]], 
          Pattern[$CellContext`rpos, 
           Blank[]]}, 
         Pattern[$CellContext`roe, 
          Blank[]], 
         Pattern[$CellContext`\[Alpha], 
          Blank[]], 
         Pattern[$CellContext`\[Beta], 
          Blank[]], 
         Pattern[$CellContext`\[Gamma], 
          Blank[]], 
         Pattern[$CellContext`years, 
          Blank[]], 
         Pattern[$CellContext`\[CurlyPhi], 
          Blank[]], 
         Pattern[$CellContext`\[Lambda], 
          Blank[]], 
         Pattern[$CellContext`ts1, 
          Blank[]], 
         Pattern[$CellContext`ts2, 
          Blank[]]] := 
       Module[{$CellContext`payments, $CellContext`yearlosses, \
$CellContext`yearpayments, $CellContext`m, \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`at, $CellContext`spls, $CellContext`op, $CellContext`tips}, \
$CellContext`payments = $CellContext`paymentsFunction[$CellContext`xs, \
$CellContext`layer, $CellContext`ss]; $CellContext`yearlosses = \
$CellContext`rowTotal[$CellContext`ss]; $CellContext`yearpayments = \
$CellContext`rowTotal[$CellContext`payments]; $CellContext`m = \
$CellContext`empiricalMatrixMean[$CellContext`payments]; \
$CellContext`initialCapitalization = $CellContext`\[Alpha] \
$CellContext`insureds $CellContext`m; $CellContext`annualPremiumRevenue = \
$CellContext`\[Beta] $CellContext`insureds $CellContext`m; \
$CellContext`requiredCapitalization = $CellContext`\[Gamma] \
$CellContext`insureds $CellContext`m; $CellContext`at = \
$CellContext`annualTotals[$CellContext`payments]; $CellContext`spls = \
$CellContext`surplusLoans[
            Map[
            Total, $CellContext`payments], \
$CellContext`initialCapitalization, $CellContext`annualPremiumRevenue, \
$CellContext`\[CurlyPhi], $CellContext`\[Lambda], {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Gamma]]; $CellContext`op = 
          Map[$CellContext`annualPremiumRevenue - ($CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + # + $CellContext`\[Lambda] #)& , \
$CellContext`yearpayments]; {$CellContext`xs, $CellContext`layer, \
$CellContext`ss, $CellContext`insureds, {$CellContext`rborrow, \
$CellContext`rpos}, $CellContext`roe, $CellContext`\[Alpha], $CellContext`\
\[Beta], $CellContext`\[Gamma], $CellContext`years, $CellContext`\[CurlyPhi], \
$CellContext`\[Lambda], $CellContext`ts1, $CellContext`ts2, \
$CellContext`payments, $CellContext`yearlosses, $CellContext`yearpayments, \
$CellContext`m, $CellContext`initialCapitalization, \
$CellContext`annualPremiumRevenue, $CellContext`at, $CellContext`spls, \
$CellContext`op}]; $CellContext`timeSeriesView[
         Pattern[$CellContext`data$, {
           Pattern[$CellContext`xs$, 
            Blank[]], 
           Pattern[$CellContext`layer$, 
            Blank[]], 
           Pattern[$CellContext`ss$, 
            Blank[]], 
           Pattern[$CellContext`insureds$, 
            Blank[]], {
            Pattern[$CellContext`rborrow$, 
             Blank[]], 
            Pattern[$CellContext`rpos$, 
             Blank[]]}, 
           Pattern[$CellContext`roe$, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha]$, 
            Blank[]], 
           Pattern[$CellContext`\[Beta]$, 
            Blank[]], 
           Pattern[$CellContext`\[Gamma]$, 
            Blank[]], 
           Pattern[$CellContext`years$, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi]$, 
            Blank[]], 
           Pattern[$CellContext`\[Lambda]$, 
            Blank[]], 
           Pattern[$CellContext`ts1$, 
            Blank[]], 
           Pattern[$CellContext`ts2$, 
            Blank[]], 
           Pattern[$CellContext`payments$, 
            Blank[]], 
           Pattern[$CellContext`yearlosses$, 
            Blank[]], 
           Pattern[$CellContext`yearpayments$, 
            Blank[]], 
           Pattern[$CellContext`m$, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization$, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue$, 
            Blank[]], 
           Pattern[$CellContext`at$, 
            Blank[]], 
           Pattern[$CellContext`spls$, 
            Blank[]], 
           Pattern[$CellContext`op$, 
            Blank[]]}]] := 
       If[Join[$CellContext`ts1$, $CellContext`ts2$] =!= {}, 
         ListLinePlot[
          Part[{
            Tooltip[
             Map[First, $CellContext`spls$], "assets"], 
            Tooltip[
             Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$], "surplus"], 
            Tooltip[
             Map[$CellContext`requiredCapitalization& , $CellContext`spls$], 
             "required assets"], 
            Tooltip[
             Prepend[$CellContext`yearlosses$, 0], "annual insured losses"], 
            Tooltip[
             Prepend[$CellContext`yearpayments$, 0], 
             "annual insurer payments"], 
            Tooltip[
             Map[$CellContext`annualPremiumRevenue$& , $CellContext`spls$], 
             "premium revenue"], 
            Tooltip[
             Prepend[$CellContext`op$, 0], "operating profits"], 
            Tooltip[
             Prepend[
              Differences[
               Map[Part[#, 1] - Part[#, 2]& , $CellContext`spls$]], 0], 
             "change in surplus"]}, 
           Sort[
            Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotMarkers -> 
          Part[{"\[FilledCircle]", "\[FilledSquare]", "\[FilledDiamond]", 
             "\[FilledUpTriangle]", "\[FilledDownTriangle]", "\[EmptyCircle]",
              "\[EmptySquare]", "\[EmptyDiamond]"}, 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], PlotStyle :> Part[
            Table[{
              Directive[
               Opacity[0.7], 
               ColorData[3][$CellContext`i], 
               Thickness[
               Switch[$CellContext`lineThickness$$, "uniform", 2, 
                  "alternating", 
                  If[
                   EvenQ[$CellContext`i], 1, 3], "varying", 
                  Rescale[$CellContext`i, {1, 8}, {1, 5}]] 
                0.003 (4 - 
                 Switch[$CellContext`years$, 10, 0, 20, 1, 50, 2, 100, 
                  3])]]}, {$CellContext`i, 8}], 
            Sort[
             Join[$CellContext`ts1$, $CellContext`ts2$]]], Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}], 
         Graphics[{}, Epilog -> {
            Tooltip[
             Line[{{0, 0}, {$CellContext`years$, 0}}], "insolvency"]}, Axes -> 
          True, AxesOrigin -> {0, 0}, Frame -> True, 
          FrameLabel -> {"time", "$"}, ImageSize -> 285, AspectRatio -> 1.2, 
          PlotRange -> All, PlotRangePadding -> 0.2, 
          BaseStyle -> {FontSize -> 12}, 
          ImagePadding -> {{50, 10}, {40, 10}}]]; $CellContext`statisticsView[
        
         Pattern[$CellContext`data, {
           Pattern[$CellContext`xs, 
            Blank[]], 
           Pattern[$CellContext`layer, 
            Blank[]], 
           Pattern[$CellContext`ss, 
            Blank[]], 
           Pattern[$CellContext`insureds, 
            Blank[]], {
            Pattern[$CellContext`rborrow, 
             Blank[]], 
            Pattern[$CellContext`rpos, 
             Blank[]]}, 
           Pattern[$CellContext`roe, 
            Blank[]], 
           Pattern[$CellContext`\[Alpha], 
            Blank[]], 
           Pattern[$CellContext`\[Beta], 
            Blank[]], 
           Pattern[$CellContext`\[Gamma], 
            Blank[]], 
           Pattern[$CellContext`years, 
            Blank[]], 
           Pattern[$CellContext`\[CurlyPhi], 
            Blank[]], 
           Pattern[$CellContext`\[Lambda], 
            Blank[]], 
           Pattern[$CellContext`ts1, 
            Blank[]], 
           Pattern[$CellContext`ts2, 
            Blank[]], 
           Pattern[$CellContext`payments, 
            Blank[]], 
           Pattern[$CellContext`yearlosses, 
            Blank[]], 
           Pattern[$CellContext`yearpayments, 
            Blank[]], 
           Pattern[$CellContext`m, 
            Blank[]], 
           Pattern[$CellContext`initialCapitalization, 
            Blank[]], 
           Pattern[$CellContext`annualPremiumRevenue, 
            Blank[]], 
           Pattern[$CellContext`at, 
            Blank[]], 
           Pattern[$CellContext`spls, 
            Blank[]], 
           Pattern[$CellContext`op, 
            Blank[]]}]] := 
       With[{$CellContext`myl = 
          Mean[$CellContext`yearlosses], $CellContext`myp = 
          Mean[$CellContext`yearpayments]}, 
         Grid[{{"initial capitalization", 
            NumberForm[$CellContext`initialCapitalization, 3]}, {
           "annual premium revenue", 
            NumberForm[$CellContext`annualPremiumRevenue, 3]}, {
           "mean annual losses", 
            NumberForm[$CellContext`myl, 3]}, {"mean net payments", 
            NumberForm[$CellContext`myp, 3]}, {"mean operating profit", 
            
            NumberForm[$CellContext`annualPremiumRevenue - ($CellContext`myp + \
$CellContext`\[CurlyPhi] $CellContext`annualPremiumRevenue + $CellContext`\
\[Lambda] $CellContext`myp), 3]}, {"standard deviation annual losses", 
            NumberForm[
             StandardDeviation[$CellContext`yearlosses], 3]}, {
           "standard deviation net payments", 
            NumberForm[
             StandardDeviation[$CellContext`yearpayments], 3]}, {
           "standard deviation operating profit", 
            NumberForm[
             
             StandardDeviation[$CellContext`annualPremiumRevenue - \
($CellContext`yearpayments + $CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue + $CellContext`\[Lambda] \
$CellContext`yearpayments)], 3]}, {"mean premium load", 
            
            NumberForm[$CellContext`\[CurlyPhi] \
$CellContext`annualPremiumRevenue, 3]}, {"mean claims load", 
            NumberForm[$CellContext`\[Lambda] $CellContext`myp, 3]}, {
           "mean investment earnings", 
            NumberForm[
             Mean[$CellContext`rpos Map[First, $CellContext`spls]], 3]}}, 
          Dividers -> All, Background -> ColorData[18][7], 
          BaseStyle -> {FontColor -> ColorData[18][3]}, 
          ItemSize -> {{14, 6}, 1}, Alignment -> Left]]); 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->293930839]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "DetailsSection"],

Cell["\<\
There are six sets of parameters. Five sets are on the left\[Hyphen]hand side \
of the display. Many of the parameters are ratios of some quantity to \"mean \
net payments\", the amount the insurer pays on average to insureds over the \
period of the simulation.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4327276381045723`*^9, {3.432728189846674*^9, 
   3.432728253022962*^9}, {3.4327283622610483`*^9, 3.432728394053789*^9}, {
   3.4327284372076797`*^9, 3.432728501590012*^9}, {3.432728590151527*^9, 
   3.4327287871227303`*^9}, {3.4327289219670343`*^9, 3.432729011337225*^9}, {
   3.432729946036254*^9, 3.432730019001123*^9}, {3.432815486262059*^9, 
   3.4328154930081387`*^9}, {3.43281586584897*^9, 3.4328158672646*^9}, {
   3.432822825242548*^9, 3.432822861200364*^9}, {3.43282300940343*^9, 
   3.432823047862871*^9}, {3.432823104632432*^9, 3.432823183004071*^9}, 
   3.432824967583301*^9, {3.43283957158261*^9, 3.4328396185428123`*^9}, {
   3.4328396822487593`*^9, 3.43283974537547*^9}, {3.432839938941777*^9, 
   3.432840003821247*^9}, {3.4330892301792593`*^9, 3.4330892329449024`*^9}, {
   3.4336066036791563`*^9, 3.433606605993388*^9}},
 CellID->1889525260],

Cell["\<\
1. The first set relates to the layer of insurance coverage provided by the \
insurer. You determine the \"attachment point\". An attachment point of 0.5 \
means that the insurer pays nothing until the losses of an insured exceed \
0.5. You determine the \"layer size\" or \"policy limit\". A layer size of \
1.5 means that the most an insurer will pay is 1.5. Thus a policy with an \
attachment point of 0.5 and a layer size of 1.5 (often denoted \"1.5 XS \
0.5\") pays 1.2 on a loss of 1.7. \
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4327276381045723`*^9, {3.432728189846674*^9, 
   3.432728253022962*^9}, {3.4327283622610483`*^9, 3.432728394053789*^9}, {
   3.4327284372076797`*^9, 3.432728501590012*^9}, {3.432728590151527*^9, 
   3.4327287871227303`*^9}, {3.4327289219670343`*^9, 3.432729011337225*^9}, {
   3.432729946036254*^9, 3.432730019001123*^9}, {3.432815486262059*^9, 
   3.432815517952319*^9}, {3.43281855812046*^9, 3.432818565585367*^9}, 
   3.4330890484280963`*^9, {3.4330913507709565`*^9, 3.433091354567856*^9}, {
   3.4336850617716713`*^9, 3.433685092193713*^9}},
 CellID->1233448705],

Cell["\<\
2. You set parameters related to the revenue received by the insurer. You set \
a ratio between the annual premiums received by the insurer and mean net \
payments. Often this will be greater than 1 to take account of various \
expenses faced by the insurer and to provide a cushion against bad years. You \
also set an initial level of capitalization, again relative to the mean net \
payments. \
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4327276381045723`*^9, {3.432728189846674*^9, 
   3.432728253022962*^9}, {3.4327283622610483`*^9, 3.432728394053789*^9}, {
   3.4327284372076797`*^9, 3.432728501590012*^9}, {3.432728590151527*^9, 
   3.4327287871227303`*^9}, {3.4327289219670343`*^9, 3.432729011337225*^9}, {
   3.432729946036254*^9, 3.432730019001123*^9}, {3.432815486262059*^9, 
   3.4328155243625803`*^9}, 3.432815558683323*^9, {3.432818580524803*^9, 
   3.432818617589275*^9}, {3.432839734159333*^9, 3.43283973517505*^9}, {
   3.432839986662184*^9, 3.43284002434417*^9}, {3.4336066329780865`*^9, 
   3.433606638774666*^9}, {3.4336850639918933`*^9, 3.433685064079902*^9}},
 CellID->912740444],

Cell[TextData[{
 "3. You set two parameters relating to the expenses incurred by the insurer. \
You set a \"premium load\" coefficient ",
 Cell[BoxData[
  FormBox["\[CurlyPhi]", TraditionalForm]], "InlineMath"],
 " that is multiplied by premiums received to approximate the costs of \
writing policies. You set a \"payment load\" coefficient ",
 Cell[BoxData[
  FormBox["\[Lambda]", TraditionalForm]], "InlineMath"],
 " that is multiplied by the amount paid by the insurer to approximate the \
cost of adjusting claims. "
}], "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4327276381045723`*^9, {3.432728189846674*^9, 
   3.432728253022962*^9}, {3.4327283622610483`*^9, 3.432728394053789*^9}, {
   3.4327284372076797`*^9, 3.432728501590012*^9}, {3.432728590151527*^9, 
   3.4327287871227303`*^9}, {3.4327289219670343`*^9, 3.432729011337225*^9}, {
   3.432729946036254*^9, 3.432730019001123*^9}, {3.432815486262059*^9, 
   3.4328155243625803`*^9}, {3.432815558683323*^9, 3.4328156431981277`*^9}, {
   3.4328157035806847`*^9, 3.4328157886873617`*^9}, 3.4330890714438686`*^9, {
   3.4336066483016186`*^9, 3.433606650855874*^9}, {3.4336850663301272`*^9, 
   3.4336850664511395`*^9}},
 CellID->952951787],

Cell["\<\
4. You set parameters related to the capital market. These are the return the \
insurer makes on its investments, the amount it must pay to borrow in order \
to recapitalize, and the return it pays investors on its surplus (equity). \
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.432822869945857*^9, {3.432840045481279*^9, 
   3.4328400761842422`*^9}, {3.433685068876382*^9, 3.4336850689813924`*^9}},
 CellID->28460760],

Cell["\<\
5. You set a regulatory parameter related to the amount of assets relative to \
mean net claims regulators or rating agencies require the insurer to have. A \
value of 4 means that regulators or rating agencies effectively require the \
insurer to maintain in assets first available to pay insured claims an amount \
equal to four times the expected amount of claims each year (not including \
various loadings).\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4328228721520357`*^9, 3.43282299230049*^9}, {
   3.4328401174638157`*^9, 3.432840151688558*^9}, {3.4336850713046246`*^9, 
   3.433685071486643*^9}},
 CellID->1598623686],

Cell["\<\
6. On the right side you set parameters relating to the distribution of \
losses suffered by the insured. You choose the family of distributions from \
which the losses are generated. Hovering your mouse over the associated \
buttons lets you see the cumulative density function of the parameterized \
version of the distribution you chose. You set the parameters of the \
distribution from which the random losses are generated. You set how many \
insureds will be in the insurance pool. And you set how many years the \
simulation will examine. \
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4327276381045723`*^9, {3.432728189846674*^9, 
   3.432728253022962*^9}, {3.4327283622610483`*^9, 3.432728394053789*^9}, {
   3.4327284372076797`*^9, 3.432728501590012*^9}, {3.432728590151527*^9, 
   3.4327287871227303`*^9}, {3.4327289219670343`*^9, 3.432729011337225*^9}, {
   3.432729946036254*^9, 3.432730019001123*^9}, {3.432815486262059*^9, 
   3.4328155243625803`*^9}, {3.432815558683323*^9, 3.4328156431981277`*^9}, {
   3.4328157035806847`*^9, 3.432815828714952*^9}, {3.432818642470818*^9, 
   3.43281864683906*^9}, {3.432840113668632*^9, 3.4328401145454903`*^9}, {
   3.433685073879882*^9, 3.433685074016896*^9}},
 CellID->577796973],

Cell["\<\
Assets each year are equal to the sum of (1) the prior assets plus the return \
on investments; (2) the premium; and (3) any borrowings needed to satisfy the \
regulatory constraint less the sum of (a) the return on equity; (b) interest \
payments on borrowings (if any); (c) the premium load; (d) claims paid; and \
(e) claims load. Surplus is equal to assets less borrowings.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432729014524006*^9, 3.43272906597329*^9}, {
   3.432729120228903*^9, 3.432729146247921*^9}, {3.432729219079534*^9, 
   3.432729243675046*^9}, {3.432816638582037*^9, 3.43281685220198*^9}, {
   3.432816927250811*^9, 3.432816982071741*^9}, {3.432817169680365*^9, 
   3.4328172778013*^9}, {3.4328186675482187`*^9, 3.432818751190199*^9}, {
   3.432840276918353*^9, 3.432840506136544*^9}, {3.43290352639563*^9, 
   3.43290352830982*^9}, {3.433091489740596*^9, 3.4330914910062284`*^9}, 
   3.433092143385404*^9, {3.4336066764544334`*^9, 3.4336066834251304`*^9}},
 CellID->1469473910],

Cell["\<\
Notice that once the insurer's surplus plunges below the regulatory \
constraint, it becomes ever more difficult for the insurer to maintain a \
positive surplus. This is so because the insurer has to borrow generally at \
high rates in order to meet regulatory requirements. The interest rates on \
these loans can become a crushing burden on the insurer.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4328405677510643`*^9, 3.43284063644083*^9}, 
   3.4330921567136145`*^9, {3.433159960071045*^9, 3.4331599601224937`*^9}},
 CellID->478341801],

Cell["\<\
Users may wish to explore the premiums and initial capitalization needed for \
various other parameters to keep the insurer largely or exclusively \"out of \
the red\" for the duration of the simulation. Examine, for example, how \
changing the number of insureds in the pool alters the premium needed. Or \
examine how changes in the interest rate for borrowing affect the needed \
premium. One can also consider how changes in the distribution from which \
losses are generated affect needed initial capitalization levels and annual \
premiums. \
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432730083577806*^9, 3.4327302263485737`*^9}, 
   3.4330890741782613`*^9, {3.433606701891977*^9, 3.4336067056413517`*^9}},
 CellID->1924244201],

Cell["Snapshot 1: viewing the output in statistics mode", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.43290262924936*^9, 3.432902638917679*^9}},
 CellID->1714179411],

Cell["\<\
Snapshot 2: a time series for a larger layer and a lower premium ratio\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432902640777657*^9, 3.432902654829905*^9}, {
   3.432911072625547*^9, 3.432911075358633*^9}},
 CellID->1720236172],

Cell["\<\
Snapshot 3: a higher regulatory constraint and a higher premium ratio\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.43290268602518*^9, 3.432902692334395*^9}, {
   3.432911128034471*^9, 3.4329111305037603`*^9}},
 CellID->319432361],

Cell["\<\
Snapshot 4: a time series of payments, operating profit, and change in \
surplus\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4329027434627523`*^9, 3.432902756616023*^9}, 
   3.43368510386088*^9},
 CellID->488100267],

Cell["Snapshot 5: a time series for a lower premium", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4329028088327627`*^9, 3.4329028204568787`*^9}},
 CellID->1102236520]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ControlSuggestionsSection"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Resize Images"]}],
  "\"Click inside an image to reveal its orange resize frame.\\nDrag any of \
the orange resize handles to resize the image.\"",
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"ResizeImages"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Rotate and Zoom in 3D"]}],
  RowBox[{
   "\"Drag a 3D graphic to rotate it. Starting the drag near the center \
tumbles\\nthe graphic; starting near a corner turns it parallel to the plane \
of the screen.\\nHold down \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" (or \"", 
    FrameBox[
    "Cmd", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" on Mac) and drag up and down to zoom.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"RotateAndZoomIn3D"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Drag Locators"]}],
  RowBox[{"\"Drag any locator (\"", 
    GraphicsBox[
     LocatorBox[
      Scaled[{0.5, 0.5}]], ImageSize -> 20], 
    "\", etc.) to move it around.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"DragLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Create and Delete Locators"]}],
  RowBox[{"\"Insert a new locator in the graphic by holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key\\nand clicking where you want it to be. Delete a locator by \
clicking it\\nwhile holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" key.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"CreateAndDeleteLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Slider Zoom"]}],
  RowBox[{"\"Hold down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key while moving a slider to make fine adjustments in the slider \
value.\\nHold \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" and/or \"", 
    FrameBox[
    "Shift", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" at the same time as \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" to make ever finer adjustments.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.4329033434818773`*^9},
 FontFamily->"Verdana",
 CellTags->"SliderZoom"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Gamepad Controls"]}],
  "\"Control this Demonstration with a gamepad or other\\nhuman interface \
device connected to your computer.\"",
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.3895522232313623`*^9},
 FontFamily->"Verdana",
 CellTags->"GamepadControls"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Automatic Animation"]}],
  RowBox[{"\"Animate a slider in this Demonstration by clicking the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwcIKwAgOI/R/IhBKc\n\
/4EAyGAG0f+nTZsGwgysIJIRKsWKLAXGIHFmEpUgLADxWUAkI24jZs+eTaEt\n\
IG+wQKRmzJgBlYf5lhEA30OqWA=="], "Graphics", ImageSize -> {9, 9}, ImageMargins -> 
      0], BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"button\\nnext to the slider, and then clicking the play button that \
appears.\\nAnimate all controls by selecting \"", 
    StyleBox["Autorun", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0], BoxBaselineShift -> 
     0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"AutomaticAnimation"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Bookmark Animation"]}],
  RowBox[{
   "\"See a prepared animation of this Demonstration by selecting\\n\"", 
    StyleBox["Animate Bookmarks", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0], BoxBaselineShift -> 
     0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"BookmarkAnimation"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SearchTermsSection"],

Cell["insurance", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4327311423629217`*^9, 3.43273114484618*^9}},
 CellID->299194956],

Cell["catastrophe", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432731147412489*^9, 3.432731149686183*^9}},
 CellID->1310407865],

Cell["random walk", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432731137992412*^9, 3.432731138933646*^9}},
 CellID->813421794]
}, Open  ]],

Cell["", "RelatedLinksSection"],

Cell[CellGroupData[{

Cell["", "AuthorSection"],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Seth J. Chandler",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Seth+J.+\
Chandler"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Seth+J.+Chandler"]
}], "Author",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432901386697665*^9, 3.432901389706633*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1106, 976},
WindowMargins->{{43, Automatic}, {Automatic, -18}},
ShowSelection->True,
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (May 21, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ResizeImages"->{
  Cell[481964, 9649, 311, 8, 22, "ControlSuggestions",
   CellTags->"ResizeImages"]},
 "RotateAndZoomIn3D"->{
  Cell[482278, 9659, 677, 16, 22, "ControlSuggestions",
   CellTags->"RotateAndZoomIn3D"]},
 "DragLocators"->{
  Cell[482958, 9677, 339, 11, 22, "ControlSuggestions",
   CellTags->"DragLocators"]},
 "CreateAndDeleteLocators"->{
  Cell[483300, 9690, 636, 15, 22, "ControlSuggestions",
   CellTags->"CreateAndDeleteLocators"]},
 "SliderZoom"->{
  Cell[483939, 9707, 907, 22, 22, "ControlSuggestions",
   CellTags->"SliderZoom"]},
 "GamepadControls"->{
  Cell[484849, 9731, 368, 9, 22, "ControlSuggestions",
   CellTags->"GamepadControls"]},
 "AutomaticAnimation"->{
  Cell[485220, 9742, 1411, 31, 22, "ControlSuggestions",
   CellTags->"AutomaticAnimation"]},
 "BookmarkAnimation"->{
  Cell[486634, 9775, 881, 21, 22, "ControlSuggestions",
   CellTags->"BookmarkAnimation"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ResizeImages", 488939, 9852},
 {"RotateAndZoomIn3D", 489049, 9855},
 {"DragLocators", 489160, 9858},
 {"CreateAndDeleteLocators", 489277, 9861},
 {"SliderZoom", 489392, 9864},
 {"GamepadControls", 489499, 9867},
 {"AutomaticAnimation", 489613, 9870},
 {"BookmarkAnimation", 489731, 9873}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 123, 2, 74, "DemoTitle"],
Cell[716, 27, 33, 0, 156, "InitializationSection"],
Cell[CellGroupData[{
Cell[774, 31, 29, 0, 188, "ManipulateSection"],
Cell[CellGroupData[{
Cell[828, 35, 60193, 1287, 3028, "Input",
 CellID->98582115],
Cell[61024, 1324, 53675, 1073, 531, "Output",
 CellID->109936001]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[114745, 2403, 36, 0, 136, "ManipulateCaptionSection"],
Cell[114784, 2405, 2027, 30, 112, "ManipulateCaption",
 CellID->1159714968],
Cell[116814, 2437, 1336, 20, 67, "ManipulateCaption",
 CellID->89098760]
}, Open  ]],
Cell[CellGroupData[{
Cell[118187, 2462, 28, 0, 168, "ThumbnailSection"],
Cell[118218, 2464, 84511, 1578, 531, "Output",
 CellID->232164495]
}, Open  ]],
Cell[CellGroupData[{
Cell[202766, 4047, 28, 0, 138, "SnapshotsSection"],
Cell[202797, 4049, 53615, 1072, 32, "Output",
 CellID->292764418],
Cell[256415, 5123, 53623, 1072, 32, "Output",
 CellID->324395577],
Cell[310041, 6197, 53765, 1075, 531, "Output",
 CellID->91203784],
Cell[363809, 7274, 53640, 1074, 32, "Output",
 CellID->204731254],
Cell[417452, 8350, 53767, 1076, 531, "Output",
 CellID->293930839]
}, Open  ]],
Cell[CellGroupData[{
Cell[471256, 9431, 26, 0, 232, "DetailsSection"],
Cell[471285, 9433, 1198, 19, 37, "DetailNotes",
 CellID->1889525260],
Cell[472486, 9454, 1136, 18, 67, "DetailNotes",
 CellID->1233448705],
Cell[473625, 9474, 1133, 18, 52, "DetailNotes",
 CellID->912740444],
Cell[474761, 9494, 1212, 22, 54, "DetailNotes",
 CellID->952951787],
Cell[475976, 9518, 449, 8, 37, "DetailNotes",
 CellID->28460760],
Cell[476428, 9528, 659, 12, 52, "DetailNotes",
 CellID->1598623686],
Cell[477090, 9542, 1265, 20, 67, "DetailNotes",
 CellID->577796973],
Cell[478358, 9564, 1031, 16, 52, "DetailNotes",
 CellID->1469473910],
Cell[479392, 9582, 574, 10, 52, "DetailNotes",
 CellID->478341801],
Cell[479969, 9594, 767, 13, 67, "DetailNotes",
 CellID->1924244201],
Cell[480739, 9609, 182, 3, 22, "DetailNotes",
 CellID->1714179411],
Cell[480924, 9614, 262, 6, 22, "DetailNotes",
 CellID->1720236172],
Cell[481189, 9622, 261, 6, 22, "DetailNotes",
 CellID->319432361],
Cell[481453, 9630, 248, 7, 22, "DetailNotes",
 CellID->488100267],
Cell[481704, 9639, 183, 3, 22, "DetailNotes",
 CellID->1102236520]
}, Open  ]],
Cell[CellGroupData[{
Cell[481924, 9647, 37, 0, 120, "ControlSuggestionsSection"],
Cell[481964, 9649, 311, 8, 22, "ControlSuggestions",
 CellTags->"ResizeImages"],
Cell[482278, 9659, 677, 16, 22, "ControlSuggestions",
 CellTags->"RotateAndZoomIn3D"],
Cell[482958, 9677, 339, 11, 22, "ControlSuggestions",
 CellTags->"DragLocators"],
Cell[483300, 9690, 636, 15, 22, "ControlSuggestions",
 CellTags->"CreateAndDeleteLocators"],
Cell[483939, 9707, 907, 22, 22, "ControlSuggestions",
 CellTags->"SliderZoom"],
Cell[484849, 9731, 368, 9, 22, "ControlSuggestions",
 CellTags->"GamepadControls"],
Cell[485220, 9742, 1411, 31, 22, "ControlSuggestions",
 CellTags->"AutomaticAnimation"],
Cell[486634, 9775, 881, 21, 22, "ControlSuggestions",
 CellTags->"BookmarkAnimation"]
}, Open  ]],
Cell[CellGroupData[{
Cell[487552, 9801, 30, 0, 152, "SearchTermsSection"],
Cell[487585, 9803, 143, 3, 22, "SearchTerms",
 CellID->299194956],
Cell[487731, 9808, 145, 3, 22, "SearchTerms",
 CellID->1310407865],
Cell[487879, 9813, 144, 3, 22, "SearchTerms",
 CellID->813421794]
}, Open  ]],
Cell[488038, 9819, 31, 0, 138, "RelatedLinksSection"],
Cell[CellGroupData[{
Cell[488094, 9823, 25, 0, 124, "AuthorSection"],
Cell[488122, 9825, 395, 11, 22, "Author"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
