(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     65947,       1614]
NotebookOptionsPosition[     60916,       1459]
NotebookOutlinePosition[     62516,       1509]
CellTagsIndexPosition[     62188,       1497]
WindowFrame->Normal
ContainsDynamic->True *)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Mean-Reverting Random Walks", "DemoTitle",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419268337627*^9, 3.4192683455769997`*^9}, {
   3.4192797572547483`*^9, 3.41927975758399*^9}}],

Cell["", "InitializationSection"],

Cell[CellGroupData[{

Cell["", "ManipulateSection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"data", " ", "=", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"Reverse", "@", 
          RowBox[{"SortBy", "[", 
           RowBox[{"#", ",", " ", "Last"}], "]"}]}], "&"}], "@", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"FoldList", "[", " ", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"annualtrendrate", "/", "100"}]}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"1", "/", "12"}], ")"}]}], "*", " ", "#1", " ", "*", 
               "  ", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"meanstart", "*", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"annualtrendrate", "/", "100"}]}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"1", "/", "12"}], ")"}]}], ")"}], "^", 
                    RowBox[{"(", 
                    RowBox[{"#2", "[", 
                    RowBox[{"[", "2", "]"}], "]"}], ")"}]}], " ", "/", " ", 
                   "#1"}]}], ")"}], "^", 
                RowBox[{"(", 
                 RowBox[{"1", "/", "monthstotrend"}], ")"}]}], " ", "*", " ", 
               
               RowBox[{"#2", "[", 
                RowBox[{"[", "1", "]"}], "]"}]}], "&"}], "  ", ",", " ", 
             "100", ",", " ", "#"}], "]"}], "&"}], "/@", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"Transpose", "[", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"RandomReal", "[", 
                RowBox[{
                 RowBox[{"LogNormalDistribution", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{
                    RowBox[{"annualstandarddeviation", "/", "100"}], " ", "/",
                     
                    RowBox[{"(", 
                    RowBox[{"12", "^", ".5"}], ")"}]}]}], "]"}], ",", 
                 "months"}], "]"}], ",", " ", 
               RowBox[{"Range", "[", "months", "]"}]}], "}"}], "]"}], ",", 
            RowBox[{"{", "100", "}"}]}], "]"}]}], ")"}]}]}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Column", "@", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"ListLinePlot", "[", " ", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"#", "[", 
               RowBox[{"[", "10", "]"}], "]"}], ",", 
              RowBox[{"#", "[", 
               RowBox[{"[", "30", "]"}], "]"}], ",", " ", 
              RowBox[{"#", "[", 
               RowBox[{"[", "50", "]"}], "]"}], ",", 
              RowBox[{"#", "[", 
               RowBox[{"[", "70", "]"}], "]"}], ",", " ", 
              RowBox[{"#", "[", 
               RowBox[{"[", "90", "]"}], "]"}]}], "}"}], "&"}], "@", "data"}],
           ",", " ", 
          RowBox[{"Filling", "\[Rule]", "0"}], ",", " ", 
          RowBox[{"FillingStyle", "\[Rule]", " ", 
           RowBox[{"Directive", "@", 
            RowBox[{"{", 
             RowBox[{"Blue", ",", 
              RowBox[{"Opacity", "[", 
               RowBox[{".4", "/", "5"}], "]"}]}], "}"}]}]}], ",", 
          RowBox[{"Axes", "\[Rule]", "None"}], ",", 
          RowBox[{"Frame", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"True", ",", "True", ",", "False", ",", "False"}], 
            "}"}]}], ",", 
          RowBox[{"DataRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"0", ",", "months"}], "}"}]}], ",", 
          RowBox[{"PlotRange", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"All", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "Automatic"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"PlotRangePadding", "\[Rule]", " ", 
           RowBox[{"{", 
            RowBox[{"None", ",", 
             RowBox[{"{", 
              RowBox[{"0", ",", "20"}], "}"}]}], "}"}]}], ",", 
          RowBox[{"ImageSize", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"350", ",", "200"}], "}"}]}], ",", 
          RowBox[{"ImagePadding", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"35", ",", "10"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"15", ",", "10"}], "}"}]}], "}"}]}]}], "]"}], ",", 
        "\"\<\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "@", " ", "\"\<    sample ending values\>\""}], ",", 
        "\"\<\>\"", ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "@", 
         RowBox[{"Grid", "[", 
          RowBox[{"Transpose", "[", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
              "\"\<\!\(\*SuperscriptBox[\(90\), \(th\)]\) percentile end \
value\>\"", ",", " ", 
               "\"\<\!\(\*SuperscriptBox[\(70\), \(th\)]\) percentile end \
value\>\"", ",", " ", 
               "\"\<\!\(\*SuperscriptBox[\(50\), \(th\)]\) percentile end \
value\>\"", ",", " ", 
               "\"\<\!\(\*SuperscriptBox[\(30\), \(th\)]\) percentile end \
value\>\"", " ", ",", " ", 
               "\"\<\!\(\*SuperscriptBox[\(10\), \(th\)]\) percentile end \
value\>\"", ",", "\"\<\>\"", ",", " ", "\"\<geometric mean of end values\>\"",
                ",", "\"\<arithmetic mean of end values\>\"", ",", " ", 
               "\"\<standard deviation of end values\>\""}], "}"}], ",", 
             RowBox[{"Join", "[", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"10", ",", 
                    RowBox[{"-", "1"}]}], "]"}], "]"}], ",", 
                   RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"30", ",", 
                    RowBox[{"-", "1"}]}], "]"}], "]"}], ",", " ", 
                   RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"50", ",", 
                    RowBox[{"-", "1"}]}], "]"}], "]"}], ",", 
                   RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"70", ",", 
                    RowBox[{"-", "1"}]}], "]"}], "]"}], ",", " ", 
                   RowBox[{"#", "[", 
                    RowBox[{"[", 
                    RowBox[{"90", ",", 
                    RowBox[{"-", "1"}]}], "]"}], "]"}]}], "}"}], "&"}], "@", 
                "data"}], ",", 
               RowBox[{"{", "\"\<\>\"", "}"}], " ", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"100", "*", 
                  RowBox[{"GeometricMean", "[", " ", 
                   RowBox[{
                    RowBox[{"Last", "/@", "data"}], "/", "100"}], "]"}]}], 
                 ",", 
                 RowBox[{"Mean", "[", " ", 
                  RowBox[{"Last", "/@", "data"}], "]"}], ",", " ", 
                 RowBox[{"StandardDeviation", "[", 
                  RowBox[{"Last", "/@", "data"}], "]"}]}], "}"}]}], "]"}]}], 
            "}"}], "]"}], "]"}]}]}], "}"}]}]}], "]"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"annualtrendrate", ",", "5", ",", "\"\<annual trend rate\>\""}],
       "}"}], ",", " ", "0", ",", "25", ",", ".25", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "annualstandarddeviation", ",", "12", ",", 
       "\"\<annual standard deviation\>\""}], "}"}], ",", " ", "1", ",", " ", 
     "70", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", " ", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"meanstart", ",", "67", ",", "\"\<mean start\>\""}], "}"}], ",",
      " ", "25", ",", "400", ",", "1", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"months", ",", "60", ",", "\"\<months\>\""}], "}"}], ",", " ", 
     "12", ",", "360", ",", "3", ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "monthstotrend", ",", " ", "24", ",", "\"\<months to trend\>\""}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
      "6", ",", " ", "12", ",", " ", "24", ",", "36", ",", " ", "60", ",", 
       " ", "120", ",", " ", "Infinity"}], "}"}]}], "}"}], ",", 
   RowBox[{"ControlPlacement", "\[Rule]", "Left"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "Manipulate"}], ",", 
   RowBox[{"AutorunSequencing", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"1", ",", "2", ",", "3"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, 3.419268372973*^9, {3.4192690563859997`*^9, 
   3.419269086083*^9}, {3.4192728441604013`*^9, 3.4192730142434072`*^9}, {
   3.4193454958579493`*^9, 3.4193455447566996`*^9}, {3.41934789406166*^9, 
   3.419347897428996*^9}, {3.419353564451771*^9, 3.4193536080201273`*^9}, {
   3.419353660706395*^9, 3.4193536901733418`*^9}, {3.419353740181342*^9, 
   3.4193537904893723`*^9}, {3.419356211926859*^9, 3.4193562273103976`*^9}, {
   3.4193594541313305`*^9, 3.4193594649264097`*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`annualstandarddeviation$$ = 
    12, $CellContext`annualtrendrate$$ = 5, $CellContext`meanstart$$ = 
    67, $CellContext`months$$ = 60, $CellContext`monthstotrend$$ = 24, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`annualtrendrate$$], 5, "annual trend rate"}, 0, 25, 
      0.25}, {{
       Hold[$CellContext`annualstandarddeviation$$], 12, 
       "annual standard deviation"}, 1, 70, 1}, {{
       Hold[$CellContext`meanstart$$], 67, "mean start"}, 25, 400, 1}, {{
       Hold[$CellContext`months$$], 60, "months"}, 12, 360, 3}, {{
       Hold[$CellContext`monthstotrend$$], 24, "months to trend"}, {
      6, 12, 24, 36, 60, 120, 
       DirectedInfinity[1]}}}, Typeset`size$$ = {350., {207.5, 212.5}}, 
    Typeset`update$$ = 0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`annualtrendrate$21112$$ = 
    0, $CellContext`annualstandarddeviation$21113$$ = 
    0, $CellContext`meanstart$21114$$ = 0, $CellContext`months$21115$$ = 
    0, $CellContext`monthstotrend$21116$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`annualstandarddeviation$$ = 
        12, $CellContext`annualtrendrate$$ = 5, $CellContext`meanstart$$ = 
        67, $CellContext`months$$ = 60, $CellContext`monthstotrend$$ = 24}, 
      "ControllerVariables" :> {
        Hold[$CellContext`annualtrendrate$$, \
$CellContext`annualtrendrate$21112$$, 0], 
        Hold[$CellContext`annualstandarddeviation$$, \
$CellContext`annualstandarddeviation$21113$$, 0], 
        Hold[$CellContext`meanstart$$, $CellContext`meanstart$21114$$, 0], 
        Hold[$CellContext`months$$, $CellContext`months$21115$$, 0], 
        Hold[$CellContext`monthstotrend$$, $CellContext`monthstotrend$21116$$,
          0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`data$ = (Reverse[
           SortBy[#, Last]]& )[
           Map[
           FoldList[(1 + $CellContext`annualtrendrate$$/100)^(1/
               12) # ($CellContext`meanstart$$ (((
                   1 + $CellContext`annualtrendrate$$/100)^(1/12))^
                 Part[#2, 2]/#))^(1/$CellContext`monthstotrend$$) 
             Part[#2, 1]& , 100, #]& , 
            Table[
             Transpose[{
               RandomReal[
                LogNormalDistribution[
                0, ($CellContext`annualstandarddeviation$$/100)/
                 12^0.5], $CellContext`months$$], 
               Range[$CellContext`months$$]}], {100}]]]}, 
        Column[{
          ListLinePlot[
           ({
            Part[#, 10], 
            Part[#, 30], 
            Part[#, 50], 
            Part[#, 70], 
            Part[#, 90]}& )[$CellContext`data$], Filling -> 0, FillingStyle -> 
           Directive[{Blue, 
              Opacity[0.4/5]}], Axes -> None, 
           Frame -> {True, True, False, False}, 
           DataRange -> {0, $CellContext`months$$}, 
           PlotRange -> {All, {0, Automatic}}, 
           PlotRangePadding -> {None, {0, 20}}, ImageSize -> {350, 200}, 
           ImagePadding -> {{35, 10}, {15, 10}}], "", 
          Text["    sample ending values"], "", 
          Text[
           Grid[
            
            Transpose[{{
              "\!\(\*SuperscriptBox[\(90\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(70\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(50\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(30\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(10\), \(th\)]\) percentile end value", 
               "", "geometric mean of end values", 
               "arithmetic mean of end values", 
               "standard deviation of end values"}, 
              Join[
               ({
                Part[#, 10, -1], 
                Part[#, 30, -1], 
                Part[#, 50, -1], 
                Part[#, 70, -1], 
                Part[#, 90, -1]}& )[$CellContext`data$], {""}, {
               100 GeometricMean[Map[Last, $CellContext`data$]/100], 
                Mean[
                 Map[Last, $CellContext`data$]], 
                StandardDeviation[
                 Map[Last, $CellContext`data$]]}]}]]]}]], 
      "Specifications" :> {{{$CellContext`annualtrendrate$$, 5, 
          "annual trend rate"}, 0, 25, 0.25, ImageSize -> 
         Tiny}, {{$CellContext`annualstandarddeviation$$, 12, 
          "annual standard deviation"}, 1, 70, 1, ImageSize -> 
         Tiny}, {{$CellContext`meanstart$$, 67, "mean start"}, 25, 400, 1, 
         ImageSize -> Tiny}, {{$CellContext`months$$, 60, "months"}, 12, 360, 
         3, ImageSize -> 
         Tiny}, {{$CellContext`monthstotrend$$, 24, "months to trend"}, {
         6, 12, 24, 36, 60, 120, 
          DirectedInfinity[1]}}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{627., {237., 242.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->81023917]
}, {2}]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateCaptionSection"],

Cell[TextData[{
 "Many financial or economic processes can be modeled as mean-reverting \
random walks. Mean-reverting walks differ from simple diffusion by the \
addition of a central expectation, usually growing with time, and a restoring \
force that pulls subsequent values toward that expectation. The random term \
is lognormally distributed, and the initial value of the mean can be above or \
below the series start. The strength of the restoring force is given in terms \
of the time to return to the mean. The plot shows sample paths which result \
in the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["90", "th"], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["70", "th"], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["50", "th"], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["30", "th"], TraditionalForm]], "InlineMath"],
 ", and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["10", "th"], TraditionalForm]], "InlineMath"],
 " percentiles in endpoint value, out of a larger sample."
}], "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419268441349*^9, 3.41926885883*^9}, {
   3.419268907922*^9, 3.41926902667*^9}, {3.419279536466833*^9, 
   3.4192795563038*^9}, {3.4192797749554358`*^9, 3.419279784958127*^9}, {
   3.4192798609190063`*^9, 3.4192798899393544`*^9}, {3.41934621339861*^9, 
   3.4193462176360335`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ThumbnailSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`annualstandarddeviation$$ = 
    20, $CellContext`annualtrendrate$$ = 10, $CellContext`meanstart$$ = 
    80, $CellContext`months$$ = 120, $CellContext`monthstotrend$$ = 36, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`annualtrendrate$$], 10, "annual trend rate"}, 0, 25, 
      0.25}, {{
       Hold[$CellContext`annualstandarddeviation$$], 20, 
       "annual standard deviation"}, 1, 70, 1}, {{
       Hold[$CellContext`meanstart$$], 80, "mean start"}, 25, 400, 1}, {{
       Hold[$CellContext`months$$], 120, "months"}, 12, 360, 3}, {{
       Hold[$CellContext`monthstotrend$$], 36, "months to trend"}, {
      6, 12, 24, 36, 60, 120, 
       DirectedInfinity[1]}}}, Typeset`size$$ = Automatic, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`annualtrendrate$21188$$ = 
    0, $CellContext`annualstandarddeviation$21189$$ = 
    0, $CellContext`meanstart$21190$$ = 0, $CellContext`months$21191$$ = 
    0, $CellContext`monthstotrend$21192$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`annualstandarddeviation$$ = 
        20, $CellContext`annualtrendrate$$ = 10, $CellContext`meanstart$$ = 
        80, $CellContext`months$$ = 120, $CellContext`monthstotrend$$ = 36}, 
      "ControllerVariables" :> {
        Hold[$CellContext`annualtrendrate$$, \
$CellContext`annualtrendrate$21188$$, 0], 
        Hold[$CellContext`annualstandarddeviation$$, \
$CellContext`annualstandarddeviation$21189$$, 0], 
        Hold[$CellContext`meanstart$$, $CellContext`meanstart$21190$$, 0], 
        Hold[$CellContext`months$$, $CellContext`months$21191$$, 0], 
        Hold[$CellContext`monthstotrend$$, $CellContext`monthstotrend$21192$$,
          0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`data$ = (Reverse[
           SortBy[#, Last]]& )[
           Map[
           FoldList[(1 + $CellContext`annualtrendrate$$/100)^(1/
               12) # ($CellContext`meanstart$$ (((
                   1 + $CellContext`annualtrendrate$$/100)^(1/12))^
                 Part[#2, 2]/#))^(1/$CellContext`monthstotrend$$) 
             Part[#2, 1]& , 100, #]& , 
            Table[
             Transpose[{
               RandomReal[
                LogNormalDistribution[
                0, ($CellContext`annualstandarddeviation$$/100)/
                 12^0.5], $CellContext`months$$], 
               Range[$CellContext`months$$]}], {100}]]]}, 
        Column[{
          ListLinePlot[
           ({
            Part[#, 10], 
            Part[#, 30], 
            Part[#, 50], 
            Part[#, 70], 
            Part[#, 90]}& )[$CellContext`data$], Filling -> 0, FillingStyle -> 
           Directive[{Blue, 
              Opacity[0.4/5]}], Axes -> None, 
           Frame -> {True, True, False, False}, 
           DataRange -> {0, $CellContext`months$$}, 
           PlotRange -> {All, {0, Automatic}}, 
           PlotRangePadding -> {None, {0, 20}}, ImageSize -> {350, 200}, 
           ImagePadding -> {{35, 10}, {15, 10}}], "", 
          Text["    sample ending values"], "", 
          Text[
           Grid[
            
            Transpose[{{
              "\!\(\*SuperscriptBox[\(90\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(70\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(50\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(30\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(10\), \(th\)]\) percentile end value", 
               "", "geometric mean of end values", 
               "arithmetic mean of end values", 
               "standard deviation of end values"}, 
              Join[
               ({
                Part[#, 10, -1], 
                Part[#, 30, -1], 
                Part[#, 50, -1], 
                Part[#, 70, -1], 
                Part[#, 90, -1]}& )[$CellContext`data$], {""}, {
               100 GeometricMean[Map[Last, $CellContext`data$]/100], 
                Mean[
                 Map[Last, $CellContext`data$]], 
                StandardDeviation[
                 Map[Last, $CellContext`data$]]}]}]]]}]], 
      "Specifications" :> {{{$CellContext`annualtrendrate$$, 10, 
          "annual trend rate"}, 0, 25, 0.25, ImageSize -> 
         Tiny}, {{$CellContext`annualstandarddeviation$$, 20, 
          "annual standard deviation"}, 1, 70, 1, ImageSize -> 
         Tiny}, {{$CellContext`meanstart$$, 80, "mean start"}, 25, 400, 1, 
         ImageSize -> Tiny}, {{$CellContext`months$$, 120, "months"}, 12, 360,
          3, ImageSize -> 
         Tiny}, {{$CellContext`monthstotrend$$, 36, "months to trend"}, {
         6, 12, 24, 36, 60, 120, 
          DirectedInfinity[1]}}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->579597646]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SnapshotsSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`annualstandarddeviation$$ = 
    12, $CellContext`annualtrendrate$$ = 5, $CellContext`meanstart$$ = 
    67, $CellContext`months$$ = 60, $CellContext`monthstotrend$$ = 24, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`annualtrendrate$$], 5, "annual trend rate"}, 0, 25, 
      0.25}, {{
       Hold[$CellContext`annualstandarddeviation$$], 12, 
       "annual standard deviation"}, 1, 70, 1}, {{
       Hold[$CellContext`meanstart$$], 67, "mean start"}, 25, 400, 1}, {{
       Hold[$CellContext`months$$], 60, "months"}, 12, 360, 3}, {{
       Hold[$CellContext`monthstotrend$$], 24, "months to trend"}, {
      6, 12, 24, 36, 60, 120, 
       DirectedInfinity[1]}}}, Typeset`size$$ = Automatic, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`annualtrendrate$21264$$ = 
    0, $CellContext`annualstandarddeviation$21265$$ = 
    0, $CellContext`meanstart$21266$$ = 0, $CellContext`months$21267$$ = 
    0, $CellContext`monthstotrend$21268$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`annualstandarddeviation$$ = 
        12, $CellContext`annualtrendrate$$ = 5, $CellContext`meanstart$$ = 
        67, $CellContext`months$$ = 60, $CellContext`monthstotrend$$ = 24}, 
      "ControllerVariables" :> {
        Hold[$CellContext`annualtrendrate$$, \
$CellContext`annualtrendrate$21264$$, 0], 
        Hold[$CellContext`annualstandarddeviation$$, \
$CellContext`annualstandarddeviation$21265$$, 0], 
        Hold[$CellContext`meanstart$$, $CellContext`meanstart$21266$$, 0], 
        Hold[$CellContext`months$$, $CellContext`months$21267$$, 0], 
        Hold[$CellContext`monthstotrend$$, $CellContext`monthstotrend$21268$$,
          0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`data$ = (Reverse[
           SortBy[#, Last]]& )[
           Map[
           FoldList[(1 + $CellContext`annualtrendrate$$/100)^(1/
               12) # ($CellContext`meanstart$$ (((
                   1 + $CellContext`annualtrendrate$$/100)^(1/12))^
                 Part[#2, 2]/#))^(1/$CellContext`monthstotrend$$) 
             Part[#2, 1]& , 100, #]& , 
            Table[
             Transpose[{
               RandomReal[
                LogNormalDistribution[
                0, ($CellContext`annualstandarddeviation$$/100)/
                 12^0.5], $CellContext`months$$], 
               Range[$CellContext`months$$]}], {100}]]]}, 
        Column[{
          ListLinePlot[
           ({
            Part[#, 10], 
            Part[#, 30], 
            Part[#, 50], 
            Part[#, 70], 
            Part[#, 90]}& )[$CellContext`data$], Filling -> 0, FillingStyle -> 
           Directive[{Blue, 
              Opacity[0.4/5]}], Axes -> None, 
           Frame -> {True, True, False, False}, 
           DataRange -> {0, $CellContext`months$$}, 
           PlotRange -> {All, {0, Automatic}}, 
           PlotRangePadding -> {None, {0, 20}}, ImageSize -> {350, 200}, 
           ImagePadding -> {{35, 10}, {15, 10}}], "", 
          Text["    sample ending values"], "", 
          Text[
           Grid[
            
            Transpose[{{
              "\!\(\*SuperscriptBox[\(90\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(70\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(50\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(30\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(10\), \(th\)]\) percentile end value", 
               "", "geometric mean of end values", 
               "arithmetic mean of end values", 
               "standard deviation of end values"}, 
              Join[
               ({
                Part[#, 10, -1], 
                Part[#, 30, -1], 
                Part[#, 50, -1], 
                Part[#, 70, -1], 
                Part[#, 90, -1]}& )[$CellContext`data$], {""}, {
               100 GeometricMean[Map[Last, $CellContext`data$]/100], 
                Mean[
                 Map[Last, $CellContext`data$]], 
                StandardDeviation[
                 Map[Last, $CellContext`data$]]}]}]]]}]], 
      "Specifications" :> {{{$CellContext`annualtrendrate$$, 5, 
          "annual trend rate"}, 0, 25, 0.25, ImageSize -> 
         Tiny}, {{$CellContext`annualstandarddeviation$$, 12, 
          "annual standard deviation"}, 1, 70, 1, ImageSize -> 
         Tiny}, {{$CellContext`meanstart$$, 67, "mean start"}, 25, 400, 1, 
         ImageSize -> Tiny}, {{$CellContext`months$$, 60, "months"}, 12, 360, 
         3, ImageSize -> 
         Tiny}, {{$CellContext`monthstotrend$$, 24, "months to trend"}, {
         6, 12, 24, 36, 60, 120, 
          DirectedInfinity[1]}}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->147295099],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`annualstandarddeviation$$ = 
    12, $CellContext`annualtrendrate$$ = 5., $CellContext`meanstart$$ = 
    150, $CellContext`months$$ = 60, $CellContext`monthstotrend$$ = 24, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`annualtrendrate$$], 5., "annual trend rate"}, 0, 25, 
      0.25}, {{
       Hold[$CellContext`annualstandarddeviation$$], 12, 
       "annual standard deviation"}, 1, 70, 1}, {{
       Hold[$CellContext`meanstart$$], 150, "mean start"}, 25, 400, 1}, {{
       Hold[$CellContext`months$$], 60, "months"}, 12, 360, 3}, {{
       Hold[$CellContext`monthstotrend$$], 24, "months to trend"}, {
      6, 12, 24, 36, 60, 120, 
       DirectedInfinity[1]}}}, Typeset`size$$ = Automatic, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`annualtrendrate$21340$$ = 
    0, $CellContext`annualstandarddeviation$21341$$ = 
    0, $CellContext`meanstart$21342$$ = 0, $CellContext`months$21343$$ = 
    0, $CellContext`monthstotrend$21344$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`annualstandarddeviation$$ = 
        12, $CellContext`annualtrendrate$$ = 5., $CellContext`meanstart$$ = 
        150, $CellContext`months$$ = 60, $CellContext`monthstotrend$$ = 24}, 
      "ControllerVariables" :> {
        Hold[$CellContext`annualtrendrate$$, \
$CellContext`annualtrendrate$21340$$, 0], 
        Hold[$CellContext`annualstandarddeviation$$, \
$CellContext`annualstandarddeviation$21341$$, 0], 
        Hold[$CellContext`meanstart$$, $CellContext`meanstart$21342$$, 0], 
        Hold[$CellContext`months$$, $CellContext`months$21343$$, 0], 
        Hold[$CellContext`monthstotrend$$, $CellContext`monthstotrend$21344$$,
          0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`data$ = (Reverse[
           SortBy[#, Last]]& )[
           Map[
           FoldList[(1 + $CellContext`annualtrendrate$$/100)^(1/
               12) # ($CellContext`meanstart$$ (((
                   1 + $CellContext`annualtrendrate$$/100)^(1/12))^
                 Part[#2, 2]/#))^(1/$CellContext`monthstotrend$$) 
             Part[#2, 1]& , 100, #]& , 
            Table[
             Transpose[{
               RandomReal[
                LogNormalDistribution[
                0, ($CellContext`annualstandarddeviation$$/100)/
                 12^0.5], $CellContext`months$$], 
               Range[$CellContext`months$$]}], {100}]]]}, 
        Column[{
          ListLinePlot[
           ({
            Part[#, 10], 
            Part[#, 30], 
            Part[#, 50], 
            Part[#, 70], 
            Part[#, 90]}& )[$CellContext`data$], Filling -> 0, FillingStyle -> 
           Directive[{Blue, 
              Opacity[0.4/5]}], Axes -> None, 
           Frame -> {True, True, False, False}, 
           DataRange -> {0, $CellContext`months$$}, 
           PlotRange -> {All, {0, Automatic}}, 
           PlotRangePadding -> {None, {0, 20}}, ImageSize -> {350, 200}, 
           ImagePadding -> {{35, 10}, {15, 10}}], "", 
          Text["    sample ending values"], "", 
          Text[
           Grid[
            
            Transpose[{{
              "\!\(\*SuperscriptBox[\(90\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(70\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(50\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(30\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(10\), \(th\)]\) percentile end value", 
               "", "geometric mean of end values", 
               "arithmetic mean of end values", 
               "standard deviation of end values"}, 
              Join[
               ({
                Part[#, 10, -1], 
                Part[#, 30, -1], 
                Part[#, 50, -1], 
                Part[#, 70, -1], 
                Part[#, 90, -1]}& )[$CellContext`data$], {""}, {
               100 GeometricMean[Map[Last, $CellContext`data$]/100], 
                Mean[
                 Map[Last, $CellContext`data$]], 
                StandardDeviation[
                 Map[Last, $CellContext`data$]]}]}]]]}]], 
      "Specifications" :> {{{$CellContext`annualtrendrate$$, 5., 
          "annual trend rate"}, 0, 25, 0.25, ImageSize -> 
         Tiny}, {{$CellContext`annualstandarddeviation$$, 12, 
          "annual standard deviation"}, 1, 70, 1, ImageSize -> 
         Tiny}, {{$CellContext`meanstart$$, 150, "mean start"}, 25, 400, 1, 
         ImageSize -> Tiny}, {{$CellContext`months$$, 60, "months"}, 12, 360, 
         3, ImageSize -> 
         Tiny}, {{$CellContext`monthstotrend$$, 24, "months to trend"}, {
         6, 12, 24, 36, 60, 120, 
          DirectedInfinity[1]}}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->708626848],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`annualstandarddeviation$$ = 
    20, $CellContext`annualtrendrate$$ = 10, $CellContext`meanstart$$ = 
    125, $CellContext`months$$ = 120, $CellContext`monthstotrend$$ = 36, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`annualtrendrate$$], 10, "annual trend rate"}, 0, 25, 
      0.25}, {{
       Hold[$CellContext`annualstandarddeviation$$], 20, 
       "annual standard deviation"}, 1, 70, 1}, {{
       Hold[$CellContext`meanstart$$], 125, "mean start"}, 25, 400, 1}, {{
       Hold[$CellContext`months$$], 120, "months"}, 12, 360, 3}, {{
       Hold[$CellContext`monthstotrend$$], 36, "months to trend"}, {
      6, 12, 24, 36, 60, 120, 
       DirectedInfinity[1]}}}, Typeset`size$$ = Automatic, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`annualtrendrate$21416$$ = 
    0, $CellContext`annualstandarddeviation$21417$$ = 
    0, $CellContext`meanstart$21418$$ = 0, $CellContext`months$21419$$ = 
    0, $CellContext`monthstotrend$21420$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`annualstandarddeviation$$ = 
        20, $CellContext`annualtrendrate$$ = 10, $CellContext`meanstart$$ = 
        125, $CellContext`months$$ = 120, $CellContext`monthstotrend$$ = 36}, 
      "ControllerVariables" :> {
        Hold[$CellContext`annualtrendrate$$, \
$CellContext`annualtrendrate$21416$$, 0], 
        Hold[$CellContext`annualstandarddeviation$$, \
$CellContext`annualstandarddeviation$21417$$, 0], 
        Hold[$CellContext`meanstart$$, $CellContext`meanstart$21418$$, 0], 
        Hold[$CellContext`months$$, $CellContext`months$21419$$, 0], 
        Hold[$CellContext`monthstotrend$$, $CellContext`monthstotrend$21420$$,
          0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`data$ = (Reverse[
           SortBy[#, Last]]& )[
           Map[
           FoldList[(1 + $CellContext`annualtrendrate$$/100)^(1/
               12) # ($CellContext`meanstart$$ (((
                   1 + $CellContext`annualtrendrate$$/100)^(1/12))^
                 Part[#2, 2]/#))^(1/$CellContext`monthstotrend$$) 
             Part[#2, 1]& , 100, #]& , 
            Table[
             Transpose[{
               RandomReal[
                LogNormalDistribution[
                0, ($CellContext`annualstandarddeviation$$/100)/
                 12^0.5], $CellContext`months$$], 
               Range[$CellContext`months$$]}], {100}]]]}, 
        Column[{
          ListLinePlot[
           ({
            Part[#, 10], 
            Part[#, 30], 
            Part[#, 50], 
            Part[#, 70], 
            Part[#, 90]}& )[$CellContext`data$], Filling -> 0, FillingStyle -> 
           Directive[{Blue, 
              Opacity[0.4/5]}], Axes -> None, 
           Frame -> {True, True, False, False}, 
           DataRange -> {0, $CellContext`months$$}, 
           PlotRange -> {All, {0, Automatic}}, 
           PlotRangePadding -> {None, {0, 20}}, ImageSize -> {350, 200}, 
           ImagePadding -> {{35, 10}, {15, 10}}], "", 
          Text["    sample ending values"], "", 
          Text[
           Grid[
            
            Transpose[{{
              "\!\(\*SuperscriptBox[\(90\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(70\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(50\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(30\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(10\), \(th\)]\) percentile end value", 
               "", "geometric mean of end values", 
               "arithmetic mean of end values", 
               "standard deviation of end values"}, 
              Join[
               ({
                Part[#, 10, -1], 
                Part[#, 30, -1], 
                Part[#, 50, -1], 
                Part[#, 70, -1], 
                Part[#, 90, -1]}& )[$CellContext`data$], {""}, {
               100 GeometricMean[Map[Last, $CellContext`data$]/100], 
                Mean[
                 Map[Last, $CellContext`data$]], 
                StandardDeviation[
                 Map[Last, $CellContext`data$]]}]}]]]}]], 
      "Specifications" :> {{{$CellContext`annualtrendrate$$, 10, 
          "annual trend rate"}, 0, 25, 0.25, ImageSize -> 
         Tiny}, {{$CellContext`annualstandarddeviation$$, 20, 
          "annual standard deviation"}, 1, 70, 1, ImageSize -> 
         Tiny}, {{$CellContext`meanstart$$, 125, "mean start"}, 25, 400, 1, 
         ImageSize -> Tiny}, {{$CellContext`months$$, 120, "months"}, 12, 360,
          3, ImageSize -> 
         Tiny}, {{$CellContext`monthstotrend$$, 36, "months to trend"}, {
         6, 12, 24, 36, 60, 120, 
          DirectedInfinity[1]}}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->375201520],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`annualstandarddeviation$$ = 
    20, $CellContext`annualtrendrate$$ = 0, $CellContext`meanstart$$ = 
    125, $CellContext`months$$ = 120, $CellContext`monthstotrend$$ = 
    DirectedInfinity[1], Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`annualtrendrate$$], 0, "annual trend rate"}, 0, 25, 
      0.25}, {{
       Hold[$CellContext`annualstandarddeviation$$], 20, 
       "annual standard deviation"}, 1, 70, 1}, {{
       Hold[$CellContext`meanstart$$], 125, "mean start"}, 25, 400, 1}, {{
       Hold[$CellContext`months$$], 120, "months"}, 12, 360, 3}, {{
       Hold[$CellContext`monthstotrend$$], 
       DirectedInfinity[1], "months to trend"}, {6, 12, 24, 36, 60, 120, 
       DirectedInfinity[1]}}}, Typeset`size$$ = Automatic, Typeset`update$$ = 
    0, Typeset`initDone$$, Typeset`skipInitDone$$ = 
    True, $CellContext`annualtrendrate$21492$$ = 
    0, $CellContext`annualstandarddeviation$21493$$ = 
    0, $CellContext`meanstart$21494$$ = 0, $CellContext`months$21495$$ = 
    0, $CellContext`monthstotrend$21496$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`annualstandarddeviation$$ = 
        20, $CellContext`annualtrendrate$$ = 0, $CellContext`meanstart$$ = 
        125, $CellContext`months$$ = 120, $CellContext`monthstotrend$$ = 
        DirectedInfinity[1]}, "ControllerVariables" :> {
        Hold[$CellContext`annualtrendrate$$, \
$CellContext`annualtrendrate$21492$$, 0], 
        Hold[$CellContext`annualstandarddeviation$$, \
$CellContext`annualstandarddeviation$21493$$, 0], 
        Hold[$CellContext`meanstart$$, $CellContext`meanstart$21494$$, 0], 
        Hold[$CellContext`months$$, $CellContext`months$21495$$, 0], 
        Hold[$CellContext`monthstotrend$$, $CellContext`monthstotrend$21496$$,
          0]}, "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> 
      With[{$CellContext`data$ = (Reverse[
           SortBy[#, Last]]& )[
           Map[
           FoldList[(1 + $CellContext`annualtrendrate$$/100)^(1/
               12) # ($CellContext`meanstart$$ (((
                   1 + $CellContext`annualtrendrate$$/100)^(1/12))^
                 Part[#2, 2]/#))^(1/$CellContext`monthstotrend$$) 
             Part[#2, 1]& , 100, #]& , 
            Table[
             Transpose[{
               RandomReal[
                LogNormalDistribution[
                0, ($CellContext`annualstandarddeviation$$/100)/
                 12^0.5], $CellContext`months$$], 
               Range[$CellContext`months$$]}], {100}]]]}, 
        Column[{
          ListLinePlot[
           ({
            Part[#, 10], 
            Part[#, 30], 
            Part[#, 50], 
            Part[#, 70], 
            Part[#, 90]}& )[$CellContext`data$], Filling -> 0, FillingStyle -> 
           Directive[{Blue, 
              Opacity[0.4/5]}], Axes -> None, 
           Frame -> {True, True, False, False}, 
           DataRange -> {0, $CellContext`months$$}, 
           PlotRange -> {All, {0, Automatic}}, 
           PlotRangePadding -> {None, {0, 20}}, ImageSize -> {350, 200}, 
           ImagePadding -> {{35, 10}, {15, 10}}], "", 
          Text["    sample ending values"], "", 
          Text[
           Grid[
            
            Transpose[{{
              "\!\(\*SuperscriptBox[\(90\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(70\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(50\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(30\), \(th\)]\) percentile end value", 
               "\!\(\*SuperscriptBox[\(10\), \(th\)]\) percentile end value", 
               "", "geometric mean of end values", 
               "arithmetic mean of end values", 
               "standard deviation of end values"}, 
              Join[
               ({
                Part[#, 10, -1], 
                Part[#, 30, -1], 
                Part[#, 50, -1], 
                Part[#, 70, -1], 
                Part[#, 90, -1]}& )[$CellContext`data$], {""}, {
               100 GeometricMean[Map[Last, $CellContext`data$]/100], 
                Mean[
                 Map[Last, $CellContext`data$]], 
                StandardDeviation[
                 Map[Last, $CellContext`data$]]}]}]]]}]], 
      "Specifications" :> {{{$CellContext`annualtrendrate$$, 0, 
          "annual trend rate"}, 0, 25, 0.25, ImageSize -> 
         Tiny}, {{$CellContext`annualstandarddeviation$$, 20, 
          "annual standard deviation"}, 1, 70, 1, ImageSize -> 
         Tiny}, {{$CellContext`meanstart$$, 125, "mean start"}, 25, 400, 1, 
         ImageSize -> Tiny}, {{$CellContext`months$$, 120, "months"}, 12, 360,
          3, ImageSize -> Tiny}, {{$CellContext`monthstotrend$$, 
          DirectedInfinity[1], "months to trend"}, {6, 12, 24, 36, 60, 120, 
          DirectedInfinity[1]}}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> Manipulate, 
        AutorunSequencing -> {1, 2, 3}}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->384924365]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "DetailsSection"],

Cell["\<\
Rates are given in annual percentage terms, while the path lengths, mean \
reversion rate, and individual steps are given in months.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419269557126*^9, 3.419269625448*^9}},
 CellID->60914397],

Cell["\<\
The series always starts from an index level of 100. The central tendency \
\"mean\" can start above or below the index itself.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4192696317460003`*^9, 3.419269681465*^9}, 
   3.4192795406931047`*^9},
 CellID->189036890],

Cell["\<\
The annual standard deviation is given for the random component of the \
process. In general, the actual measured standard deviation of the \
mean-reverting process will be less than this value, and can be substantially \
below it for fast relaxation times and high standard deviation.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.419269782132*^9, 3.4192795414260745`*^9, {
   3.419279802000331*^9, 3.419279802470677*^9}},
 CellID->357796167],

Cell["\<\
The random component of the process is lognormally distributed, so \
proportional changes higher or lower are equally likely, while absolute \
changes are skewed.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4192697841879997`*^9, 3.419269822185*^9}},
 CellID->167928629],

Cell["\<\
The mean moves deterministically at the trend rate, and attracts subsequent \
terms in the series more strongly when the series is farther from that mean. \
The relaxation time parameter, months to trend, controls how strongly this \
term acts.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4192698424890003`*^9, 3.4192699425559998`*^9}, {
   3.419273051165099*^9, 3.4192730518391666`*^9}, 3.419279542081069*^9},
 CellID->64298780],

Cell["\<\
A relaxation time of infinity turns the process into a lognormal random walk \
with a trend rate. The level of the initial mean has no effect in that case.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419269929424*^9, 3.419270002249*^9}, 
   3.419279542704873*^9, 3.419280152129369*^9},
 CellID->5569988],

Cell[TextData[{
 "A sample of 100 runs is generated and ranked by ending value. The series \
actually displayed are those at the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["90", "th"], TraditionalForm]], "InlineMath",
  FormatType->"TraditionalForm"],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["70", "th"], TraditionalForm]], "InlineMath",
  FormatType->"TraditionalForm"],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["50", "th"], TraditionalForm]], "InlineMath",
  FormatType->"TraditionalForm"],
 ", ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["30", "th"], TraditionalForm]], "InlineMath",
  FormatType->"TraditionalForm"],
 ", and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["10", "th"], TraditionalForm]], "InlineMath",
  FormatType->"TraditionalForm"],
 " percentiles in this sample."
}], "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4192700145699997`*^9, 3.419270056367*^9}, 
   3.419279543359867*^9, {3.419280163488002*^9, 3.419280193543007*^9}},
 CellID->162403],

Cell["\<\
Shading accumulates from the upper series to the lower, giving a rough idea \
of the probability of reaching various values. \
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270061443*^9, 3.419270221516*^9}, 
   3.4192795440304565`*^9},
 CellID->1008226198],

Cell["\<\
The table of values below the plot gives the ending values in the sample, for \
the same series plotted above. Means and standard deviation of the ending \
values are also given. Note that this standard deviation is not an annual \
figure, but the measured, absolute standard deviation of the ending values \
only, in index points.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270223691*^9, 3.419270331942*^9}, {
   3.4192795447790213`*^9, 3.4192795454808006`*^9}, 3.4192802360987673`*^9},
 CellID->231140158],

Cell["\<\
The default snapshot uses typical parameters for a broad stock index, \
assuming a modest initial overvaluation (mean lower than series start).\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270348705*^9, 3.4192703928120003`*^9}},
 CellID->119033813],

Cell["\<\
The next snapshot uses typical parameters for a real estate series, assuming \
a slow rate of appreciation and a substantial initial overvaluation.\
\>", "DetailNotes",
 CellChangeTimes->{3.35696210375764*^9, {3.419270397*^9, 3.419270427049*^9}},
 CellID->380529115],

Cell["\<\
The next snapshot uses the same parameters as the previous, but this time \
with an initial undervaluation.\
\>", "DetailNotes",
 CellChangeTimes->{3.35696210375764*^9, {3.419270397*^9, 3.419270471416*^9}},
 CellID->14141309],

Cell["\<\
The next uses the typical stock index values again, this time starting from a \
modest undervaluation.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270485534*^9, 3.419270509392*^9}},
 CellID->34104163],

Cell["\<\
The last snapshot uses a high volatility, zero trend, and infinite relaxation \
time, thus giving a lognormal random walk with no trend or mean reversion.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270512363*^9, 3.419270556781*^9}},
 CellID->706035491],

Cell["\<\
Note that on short time scales, lognormal random walks without any mean \
reversion term can be good models of securities prices. On longer time \
scales, mean reversion becomes more common, and it is also more common in \
macroeconomic series (e.g., corporate profits, anchored around a trend rate \
set by growth of the money supply).\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.4192705729449997`*^9, 3.419270652021*^9}, {
   3.419270693178*^9, 3.419270745416*^9}, 3.4192795461669846`*^9, 
   3.419280275634946*^9},
 CellID->54429922]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ControlSuggestionsSection"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Resize Images"]}],
  "\"Click inside an image to reveal its orange resize frame.\\nDrag any of \
the orange resize handles to resize the image.\"",
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.4192730886918516`*^9},
 FontFamily->"Verdana",
 CellTags->"ResizeImages"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Rotate and Zoom in 3D"]}],
  RowBox[{
   "\"Drag a 3D graphic to rotate it. Starting the drag near the center \
tumbles\\nthe graphic; starting near a corner turns it parallel to the plane \
of the screen.\\nHold down \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" (or \"", 
    FrameBox[
    "Cmd", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" on Mac) and drag up and down to zoom.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"RotateAndZoomIn3D"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Drag Locators"]}],
  RowBox[{"\"Drag any locator (\"", 
    GraphicsBox[
     LocatorBox[
      Scaled[{0.5, 0.5}]], ImageSize -> 20], 
    "\", etc.) to move it around.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"DragLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Create and Delete Locators"]}],
  RowBox[{"\"Insert a new locator in the graphic by holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key\\nand clicking where you want it to be. Delete a locator by \
clicking it\\nwhile holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" key.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"CreateAndDeleteLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Slider Zoom"]}],
  RowBox[{"\"Hold down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key while moving a slider to make fine adjustments in the slider \
value.\\nHold \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" and/or \"", 
    FrameBox[
    "Shift", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" at the same time as \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" to make ever finer adjustments.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"SliderZoom"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Gamepad Controls"]}],
  "\"Control this Demonstration with a gamepad or other\\nhuman interface \
device connected to your computer.\"",
  ActionDelay->0.35]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.3895522232313623`*^9},
 FontFamily->"Verdana",
 CellTags->"GamepadControls"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Automatic Animation"]}],
  RowBox[{"\"Animate a slider in this Demonstration by clicking the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwcIKwAgOI/R/IhBKc\n\
/4EAyGAG0f+nTZsGwgysIJIRKsWKLAXGIHFmEpUgLADxWUAkI24jZs+eTaEt\n\
IG+wQKRmzJgBlYf5lhEA30OqWA=="], "Graphics", ImageSize -> {9, 9}, ImageMargins -> 
      0], BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"button\\nnext to the slider, and then clicking the play button that \
appears.\\nAnimate all controls by selecting \"", 
    StyleBox["Autorun", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0], BoxBaselineShift -> 
     0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"AutomaticAnimation"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Bookmark Animation"]}],
  RowBox[{
   "\"See a prepared animation of this Demonstration by selecting\\n\"", 
    StyleBox["Animate Bookmarks", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0], BoxBaselineShift -> 
     0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}],
  ActionDelay->0.35]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"BookmarkAnimation"]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SearchTermsSection"],

Cell["random walk", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270772361*^9, 3.419270800068*^9}, {
   3.4192730751755*^9, 3.41927308577256*^9}},
 CellID->876922697],

Cell["mean reversion", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270772361*^9, 3.419270800068*^9}, {
   3.4192730751755*^9, 3.4192730777317557`*^9}},
 CellID->251974303],

Cell["random process", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270772361*^9, 3.419270800068*^9}, {
   3.4192730751755*^9, 3.4192730798719697`*^9}},
 CellID->1001555212],

Cell["finance", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270772361*^9, 3.419270800068*^9}, {
   3.4192730751755*^9, 3.4192730822272053`*^9}},
 CellID->17713536],

Cell["economics", "SearchTerms",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419270772361*^9, 3.419270800068*^9}, {
   3.4192730751755*^9, 3.419273082224205*^9}},
 CellID->441676166]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "RelatedLinksSection"],

Cell[TextData[ButtonBox["Random Walk",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["http://mathworld.wolfram.com/RandomWalk.html"], 
   None}]], "RelatedLinks",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419273376571637*^9, 3.4192733840103807`*^9}},
 CellID->470619099],

Cell[TextData[ButtonBox["Reversion to the Mean",
 BaseStyle->"Hyperlink",
 ButtonData->{
   URL["http://mathworld.wolfram.com/ReversiontotheMean.html"], 
   None}]], "RelatedLinks",
 CellChangeTimes->{
  3.35696210375764*^9, {3.419273403146294*^9, 3.4192734191488943`*^9}},
 CellID->330222057]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "AuthorSection"],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Jason Cawley",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Jason+Cawley"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Jason+Cawley"]
}], "Author",
 CellChangeTimes->{
  3.35696210375764*^9, {3.41927081101*^9, 3.4192708169560003`*^9}, {
   3.4192730615091333`*^9, 3.4192730631542983`*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{926, 911},
WindowMargins->{{127, Automatic}, {Automatic, 0}},
FrontEndVersion->"6.0 for Microsoft Windows (64-bit) (March 13, 2008)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ResizeImages"->{
  Cell[53175, 1231, 375, 9, 22, "ControlSuggestions",
   CellTags->"ResizeImages"]},
 "RotateAndZoomIn3D"->{
  Cell[53553, 1242, 677, 16, 22, "ControlSuggestions",
   CellTags->"RotateAndZoomIn3D"]},
 "DragLocators"->{
  Cell[54233, 1260, 339, 11, 22, "ControlSuggestions",
   CellTags->"DragLocators"]},
 "CreateAndDeleteLocators"->{
  Cell[54575, 1273, 636, 15, 22, "ControlSuggestions",
   CellTags->"CreateAndDeleteLocators"]},
 "SliderZoom"->{
  Cell[55214, 1290, 843, 21, 22, "ControlSuggestions",
   CellTags->"SliderZoom"]},
 "GamepadControls"->{
  Cell[56060, 1313, 368, 9, 22, "ControlSuggestions",
   CellTags->"GamepadControls"]},
 "AutomaticAnimation"->{
  Cell[56431, 1324, 1411, 31, 22, "ControlSuggestions",
   CellTags->"AutomaticAnimation"]},
 "BookmarkAnimation"->{
  Cell[57845, 1357, 881, 21, 22, "ControlSuggestions",
   CellTags->"BookmarkAnimation"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ResizeImages", 61289, 1470},
 {"RotateAndZoomIn3D", 61398, 1473},
 {"DragLocators", 61508, 1476},
 {"CreateAndDeleteLocators", 61624, 1479},
 {"SliderZoom", 61738, 1482},
 {"GamepadControls", 61844, 1485},
 {"AutomaticAnimation", 61957, 1488},
 {"BookmarkAnimation", 62074, 1491}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[590, 23, 188, 3, 74, "DemoTitle"],
Cell[781, 28, 33, 0, 156, "InitializationSection"],
Cell[CellGroupData[{
Cell[839, 32, 29, 0, 188, "ManipulateSection"],
Cell[CellGroupData[{
Cell[893, 36, 9687, 236, 526, "Input"],
Cell[10583, 274, 5838, 121, 491, "Output",
 CellID->81023917]
}, {2}]]
}, Open  ]],
Cell[CellGroupData[{
Cell[16467, 401, 36, 0, 136, "ManipulateCaptionSection"],
Cell[16506, 403, 1466, 35, 83, "ManipulateCaption"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18009, 443, 28, 0, 168, "ThumbnailSection"],
Cell[18040, 445, 5791, 120, 32, "Output",
 CellID->579597646]
}, Open  ]],
Cell[CellGroupData[{
Cell[23868, 570, 28, 0, 138, "SnapshotsSection"],
Cell[23899, 572, 5783, 120, 32, "Output",
 CellID->147295099],
Cell[29685, 694, 5791, 120, 32, "Output",
 CellID->708626848],
Cell[35479, 816, 5795, 120, 32, "Output",
 CellID->375201520],
Cell[41277, 938, 5846, 118, 32, "Output",
 CellID->384924365]
}, Open  ]],
Cell[CellGroupData[{
Cell[47160, 1061, 26, 0, 232, "DetailsSection"],
Cell[47189, 1063, 266, 6, 37, "DetailNotes",
 CellID->60914397],
Cell[47458, 1071, 295, 7, 22, "DetailNotes",
 CellID->189036890],
Cell[47756, 1080, 473, 9, 52, "DetailNotes",
 CellID->357796167],
Cell[48232, 1091, 302, 7, 37, "DetailNotes",
 CellID->167928629],
Cell[48537, 1100, 462, 9, 37, "DetailNotes",
 CellID->64298780],
Cell[49002, 1111, 336, 7, 37, "DetailNotes",
 CellID->5569988],
Cell[49341, 1120, 1012, 32, 39, "DetailNotes",
 CellID->162403],
Cell[50356, 1154, 289, 7, 22, "DetailNotes",
 CellID->1008226198],
Cell[50648, 1163, 544, 10, 52, "DetailNotes",
 CellID->231140158],
Cell[51195, 1175, 283, 6, 37, "DetailNotes",
 CellID->119033813],
Cell[51481, 1183, 276, 5, 37, "DetailNotes",
 CellID->380529115],
Cell[51760, 1190, 235, 5, 22, "DetailNotes",
 CellID->14141309],
Cell[51998, 1197, 236, 6, 22, "DetailNotes",
 CellID->34104163],
Cell[52237, 1205, 289, 6, 37, "DetailNotes",
 CellID->706035491],
Cell[52529, 1213, 569, 11, 52, "DetailNotes",
 CellID->54429922]
}, Open  ]],
Cell[CellGroupData[{
Cell[53135, 1229, 37, 0, 120, "ControlSuggestionsSection"],
Cell[53175, 1231, 375, 9, 22, "ControlSuggestions",
 CellTags->"ResizeImages"],
Cell[53553, 1242, 677, 16, 22, "ControlSuggestions",
 CellTags->"RotateAndZoomIn3D"],
Cell[54233, 1260, 339, 11, 22, "ControlSuggestions",
 CellTags->"DragLocators"],
Cell[54575, 1273, 636, 15, 22, "ControlSuggestions",
 CellTags->"CreateAndDeleteLocators"],
Cell[55214, 1290, 843, 21, 22, "ControlSuggestions",
 CellTags->"SliderZoom"],
Cell[56060, 1313, 368, 9, 22, "ControlSuggestions",
 CellTags->"GamepadControls"],
Cell[56431, 1324, 1411, 31, 22, "ControlSuggestions",
 CellTags->"AutomaticAnimation"],
Cell[57845, 1357, 881, 21, 22, "ControlSuggestions",
 CellTags->"BookmarkAnimation"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58763, 1383, 30, 0, 152, "SearchTermsSection"],
Cell[58796, 1385, 185, 4, 22, "SearchTerms",
 CellID->876922697],
Cell[58984, 1391, 191, 4, 22, "SearchTerms",
 CellID->251974303],
Cell[59178, 1397, 192, 4, 22, "SearchTerms",
 CellID->1001555212],
Cell[59373, 1403, 183, 4, 22, "SearchTerms",
 CellID->17713536],
Cell[59559, 1409, 184, 4, 22, "SearchTerms",
 CellID->441676166]
}, Open  ]],
Cell[CellGroupData[{
Cell[59780, 1418, 31, 0, 138, "RelatedLinksSection"],
Cell[59814, 1420, 275, 7, 22, "RelatedLinks",
 CellID->470619099],
Cell[60092, 1429, 293, 7, 22, "RelatedLinks",
 CellID->330222057]
}, Open  ]],
Cell[CellGroupData[{
Cell[60422, 1441, 25, 0, 136, "AuthorSection"],
Cell[60450, 1443, 438, 12, 22, "Author"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
