(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     81680,       1723]
NotebookOptionsPosition[     79762,       1659]
NotebookOutlinePosition[     80430,       1684]
CellTagsIndexPosition[     80387,       1681]
WindowTitle->Pricing Put Options with the Trinomial Method - Source
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Pricing Put Options with the Trinomial Method", "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False,
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[BoxData[
 GraphicsBox[RasterBox[CompressedData["
1:eJztnVuSozgWQDNiPqa3MJ+zpVlCbaB3WlGVNV9dvYH6TQRUph/ZGIHQmwvG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   "], {{0, 0}, {1800, 25}}, {0, 255},
   ColorFunction->RGBColor],
  ImageSize->{1800, 25},
  PlotRange->{{0, 1800}, {0, 25}}]], "Section",
 CellFrame->{{0, 0}, {0, 0}},
 ShowCellBracket->False],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{
    "T", ",", "S0", ",", "X", ",", "\[Sigma]", ",", "r", ",", "\[Delta]", ",",
      "steps", ",", "paths", ",", "seed"}], "]"}], ",", 
   "\[IndentingNewLine]", "\"\<time to expiry\>\"", ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"T", ",", "3", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<T\>\"", ",", "Italic"}], "]"}]}], "}"}], ",", "0.5", ",",
      "3", ",", "0.25", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<starting asset price\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"S0", ",", "40", ",", 
       SubscriptBox[
        RowBox[{"Style", "[", 
         RowBox[{"\"\<S\>\"", ",", "Italic"}], "]"}], "0"]}], "}"}], ",", 
     "40", ",", "50", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<strike price\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"X", ",", "45", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<X\>\"", ",", "Italic"}], "]"}]}], "}"}], ",", "40", ",", 
     "50", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<volatility\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Sigma]", ",", "0.3", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Sigma]\>\"", ",", "Italic"}], "]"}]}], "}"}], ",", 
     "0.3", ",", "0.8", ",", "0.01", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<risk\[Hyphen]free rate\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "0.07", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<r\>\"", ",", "Italic"}], "]"}]}], "}"}], ",", "0.01", 
     ",", "0.07", ",", "0.001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<continuous dividend\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Delta]", ",", "0", ",", 
       RowBox[{"Style", "[", 
        RowBox[{"\"\<\[Delta]\>\"", ",", "Italic"}], "]"}]}], "}"}], ",", "0",
      ",", "0.03", ",", "0.001", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<time steps\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"steps", ",", "50", ",", "\"\<\>\""}], "}"}], ",", "30", ",", 
     "150", ",", "10", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<trinomial paths\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"paths", ",", "40", ",", "\"\<\>\""}], "}"}], ",", "10", ",", 
     "200", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", "\"\<\>\"", ",", "\[IndentingNewLine]", 
   "\"\<seed\>\"", ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"seed", ",", "0", ",", "\"\<\>\""}], "}"}], ",", "0", ",", " ", 
     "100", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "Tiny"}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"ControlPlacement", "\[Rule]", 
    RowBox[{"{", "Left", "}"}]}], ",", 
   RowBox[{"SynchronousUpdating", "\[Rule]", "False"}], ",", 
   RowBox[{"TrackedSymbols", "\[RuleDelayed]", 
    RowBox[{"{", 
     RowBox[{
     "T", ",", "S0", ",", "X", ",", "\[Sigma]", ",", "r", ",", "\[Delta]", 
      ",", "steps", ",", "paths", ",", "seed"}], "}"}]}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SynchronousInitialization", "\[Rule]", "False"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"Initialization", "\[RuleDelayed]", "\[IndentingNewLine]", 
    RowBox[{"(", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"f", "[", 
       RowBox[{
       "T_", ",", "S0_", ",", "X_", ",", "\[Sigma]_", ",", "r_", ",", 
        "\[Delta]_", ",", "steps_", ",", "paths_", ",", "seed_"}], "]"}], ":=",
       "\[IndentingNewLine]", 
      RowBox[{"Module", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "dt", ",", "u", ",", "d", ",", "pu", ",", "pd", ",", "pm", ",", 
          "Scrit", ",", "s", ",", "ind", ",", "euro", ",", "amer", ",", 
          "Ssim", ",", "simpath", ",", "Z", ",", "R1", ",", "R2"}], "}"}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"(", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"dt", "\[GreaterEqual]", 
             RowBox[{"2", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"\[Sigma]", "/", 
                 RowBox[{"(", 
                  RowBox[{"r", "-", "\[Delta]"}], ")"}]}], ")"}], "^", 
               "2"}]}]}], ",", 
            RowBox[{
            "Print", "[", 
             "\"\<ALARM!!! Need to increase the number time steps\>\"", 
             "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"dt", "=", 
           RowBox[{"T", "/", "steps"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"u", "=", 
           RowBox[{"Exp", "[", 
            RowBox[{"\[Sigma]", "*", 
             RowBox[{"Sqrt", "[", 
              RowBox[{"2", "dt"}], "]"}]}], "]"}]}], ";", 
          RowBox[{"d", "=", 
           RowBox[{"1", "/", "u"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"pu", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Exp", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"r", "-", "\[Delta]"}], ")"}], 
                  RowBox[{"dt", "/", "2"}]}], "]"}], "-", 
                RowBox[{"Exp", "[", 
                 RowBox[{
                  RowBox[{"-", "\[Sigma]"}], "*", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"dt", "/", "2"}], "]"}]}], "]"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Exp", "[", 
                 RowBox[{"\[Sigma]", "*", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"dt", "/", "2"}], "]"}]}], "]"}], "-", 
                RowBox[{"Exp", "[", 
                 RowBox[{
                  RowBox[{"-", "\[Sigma]"}], "*", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"dt", "/", "2"}], "]"}]}], "]"}]}], ")"}]}], ")"}],
             "^", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"pd", "=", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Exp", "[", 
                 RowBox[{"\[Sigma]", "*", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"dt", "/", "2"}], "]"}]}], "]"}], "-", 
                RowBox[{"Exp", "[", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"r", "-", "\[Delta]"}], ")"}], 
                  RowBox[{"dt", "/", "2"}]}], "]"}]}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"Exp", "[", 
                 RowBox[{"\[Sigma]", "*", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"dt", "/", "2"}], "]"}]}], "]"}], "-", 
                RowBox[{"Exp", "[", 
                 RowBox[{
                  RowBox[{"-", "\[Sigma]"}], "*", 
                  RowBox[{"Sqrt", "[", 
                   RowBox[{"dt", "/", "2"}], "]"}]}], "]"}]}], ")"}]}], ")"}],
             "^", "2"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"pm", "=", 
           RowBox[{"1", "-", 
            RowBox[{"(", 
             RowBox[{"pu", "+", "pd"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Scrit", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"X", ",", 
             RowBox[{"{", 
              RowBox[{"steps", "+", "1"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\"\<asset price at node (i,j)\>\"", ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"s", "[", 
            RowBox[{"i_", ",", "j_"}], "]"}], "=", 
           RowBox[{"S0", 
            RowBox[{"(", 
             RowBox[{"u", "^", 
              RowBox[{"(", 
               RowBox[{"2", 
                RowBox[{"(", 
                 RowBox[{"j", "-", "i"}], ")"}]}], ")"}]}], ")"}], 
            RowBox[{"(", 
             RowBox[{"d", "^", 
              RowBox[{"(", 
               RowBox[{"j", "-", "i"}], ")"}]}], ")"}]}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\"\<option intrinsic values\>\"", ";", "\[IndentingNewLine]", 
          RowBox[{"euro", "=", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"Max", "[", 
              RowBox[{"0", ",", 
               RowBox[{"X", "-", 
                RowBox[{"s", "[", 
                 RowBox[{"i", ",", "j"}], "]"}]}]}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", 
               RowBox[{"steps", "+", "1"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "1", ",", 
               RowBox[{
                RowBox[{"2", "i"}], "-", "1"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"amer", "=", "euro"}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          "\"\<backward induction to estimate the European and the American \
put\>\"", ";", "\[IndentingNewLine]", 
          RowBox[{"Do", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"ind", "=", "0"}], ";", "\[IndentingNewLine]", 
             RowBox[{"Do", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{"euro", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"pu", "*", 
                    RowBox[{"euro", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "2"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{"pm", "*", 
                    RowBox[{"euro", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{"pd", "*", 
                    RowBox[{"euro", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "j"}], "]"}], "]"}]}]}], 
                   ")"}], 
                  RowBox[{"Exp", "[", 
                   RowBox[{
                    RowBox[{"-", "r"}], "*", "dt"}], "]"}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], ">", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pu", "*", 
                    RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "2"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{"pm", "*", 
                    RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{"pd", "*", 
                    RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "j"}], "]"}], "]"}]}]}], 
                    ")"}], 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    RowBox[{"-", "r"}], "*", "dt"}], "]"}]}]}], ",", 
                  RowBox[{"ind", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
                
                RowBox[{
                 RowBox[{"amer", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "j"}], "]"}], "]"}], "=", 
                 RowBox[{"Max", "[", 
                  RowBox[{
                   RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "j"}], "]"}], "]"}], ",", 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"pu", "*", 
                    RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "2"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{"pm", "*", 
                    RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "]"}], "]"}]}], "+", 
                    RowBox[{"pd", "*", 
                    RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{
                    RowBox[{"i", "+", "1"}], ",", "j"}], "]"}], "]"}]}]}], 
                    ")"}], 
                    RowBox[{"Exp", "[", 
                    RowBox[{
                    RowBox[{"-", "r"}], "*", "dt"}], "]"}]}]}], "]"}]}]}], 
               "\[IndentingNewLine]", ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"2", "i"}], "-", "1"}]}], "}"}]}], "]"}], ";", 
             "\[IndentingNewLine]", "\"\<critical asset price\>\"", ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"Scrit", "[", 
               RowBox[{"[", "i", "]"}], "]"}], "=", 
              RowBox[{"s", "[", 
               RowBox[{"i", ",", "ind"}], "]"}]}]}], "\[IndentingNewLine]", 
            ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "steps", ",", "1", ",", 
              RowBox[{"-", "1"}]}], "}"}]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\"\<pseudorandom trinomial paths\>\"", ";", "\[IndentingNewLine]", 
          
          RowBox[{"Ssim", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"S0", ",", 
             RowBox[{"{", "paths", "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"steps", "+", "1"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"simpath", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", "paths", "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"SeedRandom", "[", "seed", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Z", "=", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{"RandomReal", "[", "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"steps", "*", "paths"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ind", "=", "0"}], ";", "\[IndentingNewLine]", 
          RowBox[{"Do", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Do", "[", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"ind", "++"}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"Ssim", "[", 
                  RowBox[{"[", 
                   RowBox[{"k", ",", "i"}], "]"}], "]"}], "=", 
                 RowBox[{"If", "[", 
                  RowBox[{
                   RowBox[{
                    RowBox[{"Z", "[", 
                    RowBox[{"[", "ind", "]"}], "]"}], "<", "pu"}], ",", 
                   RowBox[{
                    RowBox[{"Ssim", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", 
                    RowBox[{"i", "-", "1"}]}], "]"}], "]"}], "u"}], ",", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{
                    RowBox[{"Z", "[", 
                    RowBox[{"[", "ind", "]"}], "]"}], "<", 
                    RowBox[{"pu", "+", "pd"}]}], ",", 
                    RowBox[{
                    RowBox[{"Ssim", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", 
                    RowBox[{"i", "-", "1"}]}], "]"}], "]"}], "d"}], ",", 
                    RowBox[{"Ssim", "[", 
                    RowBox[{"[", 
                    RowBox[{"k", ",", 
                    RowBox[{"i", "-", "1"}]}], "]"}], "]"}]}], "]"}]}], 
                  "]"}]}]}], "\[IndentingNewLine]", ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "2", ",", 
                 RowBox[{"steps", "+", "1"}]}], "}"}]}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"simpath", "[", 
               RowBox[{"[", "k", "]"}], "]"}], "=", 
              RowBox[{"Table", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"(", 
                    RowBox[{"i", "-", "1"}], ")"}], "dt"}], ",", 
                  RowBox[{"Ssim", "[", 
                   RowBox[{"[", 
                    RowBox[{"k", ",", "i"}], "]"}], "]"}]}], "}"}], ",", 
                RowBox[{"{", 
                 RowBox[{"i", ",", "1", ",", 
                  RowBox[{"steps", "+", "1"}]}], "}"}]}], "]"}]}]}], 
            "\[IndentingNewLine]", ",", 
            RowBox[{"{", 
             RowBox[{"k", ",", "1", ",", "paths"}], "}"}]}], "]"}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\"\<graph for the trinomial paths\>\"", ";", "\[IndentingNewLine]", 
          RowBox[{"R1", "=", 
           RowBox[{"ListLinePlot", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"simpath", "[", 
                RowBox[{"[", "i", "]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", "1", ",", "paths"}], "}"}]}], "]"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", "Gray", "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          "\"\<graph for the trinomial early exercise boundary\>\"", ";", 
          "\[IndentingNewLine]", 
          RowBox[{"ind", "=", "1"}], ";", 
          RowBox[{"While", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"Scrit", "[", 
              RowBox[{"[", "ind", "]"}], "]"}], ">", 
             RowBox[{"Min", "[", "Scrit", "]"}]}], ",", 
            RowBox[{"ind", "++"}]}], "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"R2", "=", 
           RowBox[{"ListLinePlot", "[", 
            RowBox[{
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{"i", "-", "1"}], ")"}], "dt"}], ",", 
                 RowBox[{"Scrit", "[", 
                  RowBox[{"[", "i", "]"}], "]"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"i", ",", 
                 RowBox[{"ind", "+", "1"}], ",", 
                 RowBox[{"steps", "+", "1"}]}], "}"}]}], "]"}], ",", 
             RowBox[{"PlotStyle", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"Red", ",", 
                RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}]}], ",", 
             RowBox[{"AxesOrigin", "\[Rule]", 
              RowBox[{"{", 
               RowBox[{"0", ",", "0"}], "}"}]}], ",", 
             RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"Show", "[", 
           RowBox[{"R1", ",", "R2", ",", 
            RowBox[{"AxesOrigin", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"0", ",", "0"}], "}"}]}], ",", 
            RowBox[{"PlotRange", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"0", ",", "T"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"0", ",", "150"}], "}"}]}], "}"}]}], ",", 
            RowBox[{"AxesLabel", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"\"\<time\>\"", ",", "\"\<asset price\>\""}], "}"}]}], 
            ",", 
            RowBox[{"PlotLabel", "\[Rule]", 
             RowBox[{"Style", "[", 
              RowBox[{
               RowBox[{"Framed", "[", 
                RowBox[{"Grid", "[", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    "\"\<Put option approximations\>\"", ",", "Bold"}], "]"}],
                     "}"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"Row", "[", "\[IndentingNewLine]", 
                    RowBox[{"{", 
                    RowBox[{"\"\<American: \>\"", ",", 
                    RowBox[{"amer", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}], ",", 
                    "\"\<,     European: \>\"", ",", 
                    RowBox[{"euro", "[", 
                    RowBox[{"[", 
                    RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "}"}], "]"}], 
                    "}"}]}], "}"}], "]"}], "]"}], ",", 
               RowBox[{"Background", "\[Rule]", 
                RowBox[{"Lighter", "[", 
                 RowBox[{"Green", ",", ".8"}], "]"}]}]}], "]"}]}]}], "]"}]}], 
         "\[IndentingNewLine]", ")"}]}], "]"}]}], ")"}]}]}], "]"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{{3.564034368609375*^9, 3.564034712828125*^9}, {
   3.564034744453125*^9, 3.564034747296875*^9}, {3.56403480796875*^9, 
   3.564034810796875*^9}, {3.564034856625*^9, 3.564034920375*^9}, {
   3.56403498375*^9, 3.564035150234375*^9}, {3.564035217671875*^9, 
   3.56403533390625*^9}, {3.564035378328125*^9, 3.564035427703125*^9}, {
   3.564035471171875*^9, 3.56403555515625*^9}, {3.564035605703125*^9, 
   3.564035714171875*^9}, {3.564035761921875*^9, 3.56403579665625*^9}, {
   3.564035851109375*^9, 3.564035860015625*^9}, {3.56403591196875*^9, 
   3.564035939421875*^9}, {3.564048872453125*^9, 3.5640489060625*^9}, {
   3.56404894990625*^9, 3.56404895271875*^9}, {3.56404899209375*^9, 
   3.564049044609375*^9}, {3.564049083171875*^9, 3.564049083515625*^9}, {
   3.5640491135625*^9, 3.56404920565625*^9}, {3.56404926721875*^9, 
   3.564049348390625*^9}, {3.564049502015625*^9, 3.56404957275*^9}, {
   3.56404969096875*^9, 3.564049703171875*^9}, {3.564049791265625*^9, 
   3.564050051625*^9}, {3.564050107921875*^9, 3.56405021528125*^9}, {
   3.564050249421875*^9, 3.56405029221875*^9}, {3.564050464421875*^9, 
   3.564050615*^9}, {3.56405065103125*^9, 3.56405067015625*^9}, {
   3.564059230171875*^9, 3.5640592433125*^9}, {3.564060613140625*^9, 
   3.564060625453125*^9}, {3.564062142078125*^9, 3.564062150703125*^9}, {
   3.564133769875*^9, 3.564133797859375*^9}, {3.56413652184375*^9, 
   3.564136534609375*^9}, 3.5641440483125*^9, {3.564220895625*^9, 
   3.564220897015625*^9}, {3.56422112409375*^9, 3.564221125828125*^9}, {
   3.564221192578125*^9, 3.56422119434375*^9}, {3.5642213961875*^9, 
   3.564221411390625*^9}, {3.5643212033125*^9, 3.5643212461875*^9}, {
   3.56432148009375*^9, 3.564321485265625*^9}, {3.564323022*^9, 
   3.564323033296875*^9}, {3.564366678453125*^9, 3.564366689046875*^9}, {
   3.564366844390625*^9, 3.56436684503125*^9}, {3.564366895421875*^9, 
   3.564366896765625*^9}, {3.564460427828125*^9, 3.5644604284375*^9}, {
   3.5644604660625*^9, 3.564460466640625*^9}, {3.5644887969375*^9, 
   3.564488797390625*^9}, {3.564489351390625*^9, 3.5644893968125*^9}, {
   3.56448944571875*^9, 3.564489487203125*^9}, {3.5699378364375*^9, 
   3.56993789546875*^9}, {3.569937938390625*^9, 3.5699379475*^9}, {
   3.569937992015625*^9, 3.569937997671875*^9}, {3.56993803321875*^9, 
   3.5699380365*^9}, {3.56993820103125*^9, 3.569938201109375*^9}, {
   3.56993834353125*^9, 3.569938344546875*^9}, 3.569938465828125*^9, {
   3.569938497984375*^9, 3.569938498984375*^9}, {3.575727507125*^9, 
   3.575727566609375*^9}, {3.5757276025625*^9, 3.57572760596875*^9}, {
   3.575727658125*^9, 3.575727660484375*^9}, {3.575727791734375*^9, 
   3.5757277923125*^9}, {3.575727831515625*^9, 3.57572784503125*^9}, {
   3.57572787984375*^9, 3.57572788875*^9}, {3.575727932109375*^9, 
   3.575727932546875*^9}, {3.57572796603125*^9, 3.575727966140625*^9}, {
   3.575743316546875*^9, 3.575743317765625*^9}, {3.5757439760625*^9, 
   3.5757439830625*^9}, {3.575744402109375*^9, 3.575744442421875*^9}, {
   3.575793295265625*^9, 3.575793299140625*^9}, {3.57579333284375*^9, 
   3.57579336309375*^9}, {3.575794566984375*^9, 3.57579456859375*^9}, {
   3.57579473403125*^9, 3.57579473459375*^9}, {3.575794847515625*^9, 
   3.5757948486875*^9}, {3.575795111421875*^9, 3.575795125078125*^9}, {
   3.575795306453125*^9, 3.57579532921875*^9}, {3.575796040625*^9, 
   3.575796084125*^9}, {3.57579623075*^9, 3.57579623084375*^9}, {
   3.575808961015625*^9, 3.57580910015625*^9}, {3.575809130609375*^9, 
   3.575809130734375*^9}, {3.575809170921875*^9, 3.575809201125*^9}, {
   3.575809337359375*^9, 3.57580941221875*^9}, {3.57580980653125*^9, 
   3.575809881296875*^9}, 3.575810516671875*^9, {3.575810723765625*^9, 
   3.575810723859375*^9}, 3.575821399671875*^9, {3.575821447859375*^9, 
   3.575821448046875*^9}, {3.575823147515625*^9, 3.575823148484375*^9}, {
   3.575823245171875*^9, 3.575823245515625*^9}, {3.575823322453125*^9, 
   3.575823345734375*^9}, {3.57582342840625*^9, 3.575823455875*^9}, {
   3.57582655109375*^9, 3.575826551203125*^9}, {3.575901107765625*^9, 
   3.575901110484375*^9}, {3.575901352609375*^9, 3.575901353796875*^9}, {
   3.575901469046875*^9, 3.57590146965625*^9}, {3.575901706015625*^9, 
   3.57590170615625*^9}, {3.575959200578125*^9, 3.5759592079375*^9}, {
   3.575962509734375*^9, 3.5759625104375*^9}, {3.575962693015625*^9, 
   3.575962693140625*^9}, {3.575963813*^9, 3.575963826234375*^9}, {
   3.575964451328125*^9, 3.575964453734375*^9}, {3.575964682875*^9, 
   3.57596468296875*^9}, {3.57596479371875*^9, 3.57596479378125*^9}, {
   3.575964825109375*^9, 3.57596482684375*^9}, {3.5759656065*^9, 
   3.57596560684375*^9}, {3.57596638378125*^9, 3.575966388*^9}, {
   3.575966681578125*^9, 3.575966685703125*^9}, {3.57596672421875*^9, 
   3.57596685578125*^9}, {3.57596697021875*^9, 3.575966986609375*^9}, {
   3.57596711321875*^9, 3.57596714040625*^9}, {3.5759672180625*^9, 
   3.57596726521875*^9}, {3.575967343859375*^9, 3.575967352265625*^9}, {
   3.5759674016875*^9, 3.57596740234375*^9}, {3.575967512765625*^9, 
   3.57596758078125*^9}, {3.575967620265625*^9, 3.575967666125*^9}, {
   3.57596777896875*^9, 3.57596779140625*^9}, {3.57596783128125*^9, 
   3.575967869640625*^9}, {3.5759679114375*^9, 3.575967922203125*^9}, {
   3.575968261609375*^9, 3.575968265796875*^9}, {3.575968314453125*^9, 
   3.57596839659375*^9}, {3.575968436421875*^9, 3.57596847625*^9}, 
   3.575968507*^9, {3.575968542125*^9, 3.575968543625*^9}, {
   3.575968588515625*^9, 3.5759686016875*^9}, {3.5759686585625*^9, 
   3.57596875225*^9}, {3.575968836453125*^9, 3.5759688403125*^9}, {
   3.575968966703125*^9, 3.57596896865625*^9}, {3.575969030296875*^9, 
   3.575969071375*^9}, 3.57596916071875*^9, {3.575969246015625*^9, 
   3.57596924971875*^9}, {3.5759694104375*^9, 3.57596941240625*^9}, {
   3.575969444953125*^9, 3.575969456609375*^9}, {3.57596948703125*^9, 
   3.5759694879375*^9}, {3.57596960140625*^9, 3.575969611359375*^9}, {
   3.57596966075*^9, 3.575969661359375*^9}, {3.57596992446875*^9, 
   3.5759699269375*^9}, {3.5759711439375*^9, 3.575971148609375*^9}, {
   3.575973460375*^9, 3.57597355303125*^9}, {3.575973778109375*^9, 
   3.57597379553125*^9}, {3.575973832875*^9, 3.57597383296875*^9}, {
   3.57597388415625*^9, 3.575973899875*^9}, {3.575973952671875*^9, 
   3.575973984375*^9}, {3.575974038484375*^9, 3.57597410315625*^9}, {
   3.5759741715*^9, 3.575974176109375*^9}, {3.575974206765625*^9, 
   3.575974258109375*^9}, 3.575974294203125*^9, {3.575974339265625*^9, 
   3.575974340875*^9}, {3.575974370953125*^9, 3.575974374890625*^9}, {
   3.575974589171875*^9, 3.57597462434375*^9}, {3.575974780703125*^9, 
   3.575974784109375*^9}, {3.575974871125*^9, 3.57597488540625*^9}, {
   3.575974967484375*^9, 3.575974968421875*^9}, {3.57597507159375*^9, 
   3.575975084578125*^9}, {3.575975124453125*^9, 3.5759751263125*^9}, {
   3.575975162453125*^9, 3.575975163671875*^9}, {3.575975224421875*^9, 
   3.5759752693125*^9}, {3.575975305171875*^9, 3.57597530678125*^9}, {
   3.575975808484375*^9, 3.575975848140625*^9}, {3.57597598059375*^9, 
   3.575975981890625*^9}, {3.575976072203125*^9, 3.575976072671875*^9}, {
   3.57597619365625*^9, 3.575976194375*^9}, {3.57597625228125*^9, 
   3.575976254828125*^9}, {3.57597629903125*^9, 3.57597630115625*^9}, {
   3.575976344171875*^9, 3.575976350625*^9}, {3.575976409171875*^9, 
   3.575976410578125*^9}, {3.575976449296875*^9, 3.57597649059375*^9}, {
   3.575976547859375*^9, 3.57597677265625*^9}, {3.575976806140625*^9, 
   3.57597696475*^9}, {3.57597790734375*^9, 3.575977933421875*^9}, {
   3.575978799328125*^9, 3.575978816515625*^9}, {3.575978850609375*^9, 
   3.575978867671875*^9}, {3.57597891425*^9, 3.5759789265625*^9}, 
   3.575979400671875*^9, {3.57598869528125*^9, 3.57598869634375*^9}, {
   3.576041982640625*^9, 3.576041983015625*^9}, {3.576042136203125*^9, 
   3.57604213825*^9}, {3.57604285375*^9, 3.576042853828125*^9}, {
   3.576064200515625*^9, 3.57606437840625*^9}, {3.576064413171875*^9, 
   3.57606443053125*^9}, {3.57606449453125*^9, 3.576064510015625*^9}, {
   3.576065261140625*^9, 3.57606527615625*^9}, {3.576065372859375*^9, 
   3.5760653750625*^9}, {3.576065579171875*^9, 3.576065579296875*^9}, {
   3.576065848187693*^9, 3.576065848953367*^9}, {3.576074644734375*^9, 
   3.57607473390625*^9}, {3.576075441484375*^9, 3.5760755051875*^9}, {
   3.576075553734375*^9, 3.57607575359375*^9}, {3.5760758035*^9, 
   3.57607583978125*^9}, {3.5760759123125*^9, 3.57607594196875*^9}, {
   3.57607599790625*^9, 3.57607604115625*^9}, 3.57607622784375*^9, {
   3.576076320328125*^9, 3.57607633246875*^9}, {3.576076383125*^9, 
   3.57607656846875*^9}, {3.57607660271875*^9, 3.576076648296875*^9}, {
   3.576076702328125*^9, 3.5760768034375*^9}, {3.576076875109375*^9, 
   3.576076885140625*^9}, {3.576076919296875*^9, 3.576076919390625*^9}, {
   3.576076971046875*^9, 3.576076994671875*^9}, {3.576077056703125*^9, 
   3.576077056765625*^9}, {3.5760770886875*^9, 3.576077119546875*^9}, {
   3.57607995115625*^9, 3.576079997984375*^9}, {3.57609261728125*^9, 
   3.576092618*^9}, {3.576092806671875*^9, 3.576092808203125*^9}, {
   3.5762338899375*^9, 3.57623390878125*^9}, {3.576234316484375*^9, 
   3.5762343170625*^9}, {3.57623435659375*^9, 3.576234405859375*^9}, {
   3.5763012448125*^9, 3.576301269140625*^9}, {3.57630204453125*^9, 
   3.57630204565625*^9}, {3.576303522421875*^9, 3.5763035230625*^9}, {
   3.57630388325*^9, 3.57630388528125*^9}, {3.57646814953125*^9, 
   3.5764682083125*^9}, {3.5771098121875*^9, 3.577109829234375*^9}, {
   3.577109865015625*^9, 3.57710995465625*^9}, {3.577110045109375*^9, 
   3.577110059765625*^9}, {3.577110109109375*^9, 3.577110133296875*^9}, {
   3.5771104919375*^9, 3.577110492015625*^9}, {3.577110660921875*^9, 
   3.577110759125*^9}, {3.57711181728125*^9, 3.577111819375*^9}, {
   3.57711272359375*^9, 3.577112751453125*^9}, {3.57711332875*^9, 
   3.577113337203125*^9}, {3.57724523365625*^9, 3.577245234578125*^9}, {
   3.57724538796875*^9, 3.577245388671875*^9}, {3.577245443625*^9, 
   3.577245476921875*^9}, {3.5772457259375*^9, 3.577245726046875*^9}, {
   3.57724629809375*^9, 3.5772463090625*^9}, {3.577246512390625*^9, 
   3.577246512484375*^9}, {3.57724694321875*^9, 3.57724702596875*^9}, {
   3.577247473609375*^9, 3.577247474734375*^9}, {3.5772511304375*^9, 
   3.5772511555*^9}, {3.577251201765625*^9, 3.57725121834375*^9}, {
   3.577251415984375*^9, 3.577251440296875*^9}, {3.577277499265625*^9, 
   3.577277501171875*^9}, {3.5775299111875*^9, 3.5775299254375*^9}, {
   3.577530010046875*^9, 3.57753001540625*^9}, 3.577530090125*^9, {
   3.5805517905*^9, 3.580551806984375*^9}, {3.58055183834375*^9, 
   3.58055185853125*^9}, {3.5805518955*^9, 3.580551926359375*^9}, {
   3.58055197425*^9, 3.580551975140625*^9}, {3.58055209421875*^9, 
   3.58055211865625*^9}, {3.583772369703125*^9, 3.583772412421875*^9}, {
   3.583772656046875*^9, 3.583772665734375*^9}, {3.583772754484375*^9, 
   3.58377275459375*^9}, {3.58377278553125*^9, 3.5837727930625*^9}, {
   3.583773004234375*^9, 3.583773005234375*^9}, {3.583773060609375*^9, 
   3.58377306209375*^9}, {3.5837734924375*^9, 3.583773562828125*^9}, {
   3.58377361334375*^9, 3.583773617046875*^9}, {3.583773647328125*^9, 
   3.583773651796875*^9}, {3.58377373296875*^9, 3.583773733109375*^9}, 
   3.583774108546875*^9, {3.58377458828125*^9, 3.58377475415625*^9}, {
   3.583774801546875*^9, 3.583774837765625*^9}, {3.583774869890625*^9, 
   3.583774871015625*^9}, {3.583774974921875*^9, 3.583775008078125*^9}, {
   3.58377522096875*^9, 3.58377528696875*^9}, {3.58377536003125*^9, 
   3.583775440234375*^9}, {3.583775495515625*^9, 3.583775701546875*^9}, {
   3.5837757333125*^9, 3.583775734171875*^9}, {3.58377578009375*^9, 
   3.583775806859375*^9}, {3.583776010109375*^9, 3.5837760341875*^9}, {
   3.58377612103125*^9, 3.58377613990625*^9}, {3.58377621734375*^9, 
   3.583776232734375*^9}, {3.583776264*^9, 3.58377626696875*^9}, {
   3.5837763001875*^9, 3.58377633003125*^9}, {3.5837763754375*^9, 
   3.58377641396875*^9}, {3.583776451203125*^9, 3.583776499484375*^9}, {
   3.583776547328125*^9, 3.583776561640625*^9}, {3.583776653125*^9, 
   3.5837766541875*^9}, 3.5837768525*^9, {3.58377690621875*^9, 
   3.583776930796875*^9}, {3.58377722534375*^9, 3.583777251828125*^9}, {
   3.583777283015625*^9, 3.58377733790625*^9}, {3.583777768640625*^9, 
   3.583777768734375*^9}, {3.583777805515625*^9, 3.583777826890625*^9}, {
   3.583778003984375*^9, 3.58377802759375*^9}, {3.5838077810625*^9, 
   3.583807821640625*^9}, {3.58393211571875*^9, 3.58393217034375*^9}, {
   3.583932205484375*^9, 3.58393220603125*^9}, {3.583936548765625*^9, 
   3.58393654946875*^9}, {3.58445856346875*^9, 3.5844585670625*^9}, {
   3.584459147125*^9, 3.584459169375*^9}, {3.584459407671875*^9, 
   3.58445940909375*^9}, {3.584459446265625*^9, 3.58445944671875*^9}, {
   3.58445950840625*^9, 3.584459532265625*^9}, {3.584600378265625*^9, 
   3.58460038203125*^9}, {3.584600543046875*^9, 3.58460054984375*^9}, {
   3.58460067928125*^9, 3.584600732515625*^9}, {3.58460228934375*^9, 
   3.58460228984375*^9}, {3.585411595546875*^9, 3.58541159665625*^9}, {
   3.58541165140625*^9, 3.58541165196875*^9}, {3.585412414515625*^9, 
   3.58541242528125*^9}, {3.585412693515625*^9, 3.585412702953125*^9}, 
   3.58541370425*^9, 3.585414009703125*^9, 3.585414151515625*^9, {
   3.594393924640625*^9, 3.5943939260625*^9}, {3.594393991484375*^9, 
   3.59439416878125*^9}, {3.594394209078125*^9, 3.594394286875*^9}, {
   3.594394350890625*^9, 3.594394365859375*^9}, {3.594394422984375*^9, 
   3.59439442365625*^9}, {3.594394454640625*^9, 3.5943944584375*^9}, {
   3.594397050546875*^9, 3.594397331046875*^9}, {3.594397365171875*^9, 
   3.59439740090625*^9}, {3.594397435109375*^9, 3.594397564015625*^9}, {
   3.594397597265625*^9, 3.59439760553125*^9}, {3.594397646953125*^9, 
   3.59439765803125*^9}, {3.5943976984375*^9, 3.59439769859375*^9}, {
   3.594397742703125*^9, 3.59439774384375*^9}, {3.594397798875*^9, 
   3.59439779903125*^9}, {3.594398379578125*^9, 3.594398379734375*^9}, {
   3.594398543984375*^9, 3.594398551453125*^9}, {3.59440012225*^9, 
   3.5944001226875*^9}, {3.594403155796875*^9, 3.5944031575625*^9}, {
   3.59440329365625*^9, 3.594403307484375*^9}, {3.594403475046875*^9, 
   3.594403540015625*^9}, {3.594403604484375*^9, 3.594403623453125*^9}, {
   3.5944036556875*^9, 3.5944036725*^9}, {3.594403837375*^9, 
   3.59440384953125*^9}, {3.59440399696875*^9, 3.59440411946875*^9}, {
   3.594404314578125*^9, 3.5944043701875*^9}, {3.594404725375*^9, 
   3.5944047258125*^9}, {3.594404787453125*^9, 3.59440479903125*^9}, {
   3.59447575453125*^9, 3.59447575578125*^9}, {3.594475788234375*^9, 
   3.594475799609375*^9}, {3.594476400234375*^9, 3.5944765549375*^9}, {
   3.59447677146875*^9, 3.59447680021875*^9}, {3.594476832796875*^9, 
   3.594476833578125*^9}, {3.59447686640625*^9, 3.594476906171875*^9}, {
   3.594476947265625*^9, 3.5944770755625*^9}, 3.594477131296875*^9, {
   3.594477186140625*^9, 3.594477239078125*^9}, {3.59447728840625*^9, 
   3.594477291921875*^9}, {3.594477621515625*^9, 3.594477891421875*^9}, {
   3.594477991875*^9, 3.594478093828125*^9}, {3.594478147046875*^9, 
   3.59447821125*^9}, {3.594478262796875*^9, 3.59447836853125*^9}, {
   3.594478443328125*^9, 3.594478457125*^9}, {3.594479036421875*^9, 
   3.59447915109375*^9}, {3.5946476110625*^9, 3.59464761121875*^9}, {
   3.59464846525*^9, 3.5946487051875*^9}, {3.594649473453125*^9, 
   3.594649495453125*^9}, {3.59479788121875*^9, 3.59479791315625*^9}, {
   3.5947979789375*^9, 3.594798011015625*^9}, {3.594798073421875*^9, 
   3.594798074859375*^9}, {3.594798105046875*^9, 3.594798147453125*^9}, {
   3.612959819109375*^9, 3.612959880015625*^9}, {3.612960036359375*^9, 
   3.612960046546875*^9}, {3.612960122421875*^9, 3.612960130640625*^9}, {
   3.6129601726875*^9, 3.612960190671875*^9}, {3.612960222609375*^9, 
   3.612960262359375*^9}, {3.61296029703125*^9, 3.612960339453125*^9}, {
   3.61296038078125*^9, 3.612960412140625*^9}, {3.612960452734375*^9, 
   3.612960455171875*^9}, {3.61296051190625*^9, 3.612960514453125*^9}, {
   3.612960554390625*^9, 3.61296057290625*^9}, {3.612960621859375*^9, 
   3.61296067796875*^9}, {3.6129607120625*^9, 3.61296071390625*^9}, {
   3.612960747546875*^9, 3.61296077128125*^9}, {3.6129608348125*^9, 
   3.612960929703125*^9}, {3.612960990546875*^9, 3.612961046296875*^9}, {
   3.613204554046875*^9, 3.613204613703125*^9}, {3.61320465315625*^9, 
   3.613204701*^9}, {3.613204750515625*^9, 3.613204755796875*^9}, {
   3.613204795953125*^9, 3.61320485790625*^9}, {3.61320490115625*^9, 
   3.6132050790625*^9}, {3.613205118828125*^9, 3.613205304328125*^9}, {
   3.613205342171875*^9, 3.613205358640625*^9}, {3.6132053923125*^9, 
   3.61320545815625*^9}, {3.61320549490625*^9, 3.613205594140625*^9}, {
   3.61320565265625*^9, 3.6132056845*^9}, 3.613205762984375*^9, {
   3.61320590178125*^9, 3.613205903765625*^9}, {3.61320603159375*^9, 
   3.61320608784375*^9}, {3.61320634475*^9, 3.613206347234375*^9}, {
   3.61320638825*^9, 3.613206536890625*^9}, {3.61320659715625*^9, 
   3.6132067253125*^9}, {3.6132067805625*^9, 3.613206867515625*^9}, {
   3.61320696165625*^9, 3.61320696671875*^9}, {3.613207167515625*^9, 
   3.613207215015625*^9}, {3.6132072578125*^9, 3.613207262171875*^9}, {
   3.613207296015625*^9, 3.61320731221875*^9}, {3.613207395859375*^9, 
   3.613207432625*^9}, {3.613207465265625*^9, 3.613207482109375*^9}, {
   3.613207521921875*^9, 3.613207522640625*^9}, {3.61320756203125*^9, 
   3.6132077463125*^9}, {3.613207795796875*^9, 3.61320785084375*^9}, {
   3.613207886546875*^9, 3.61320791875*^9}, {3.613208033484375*^9, 
   3.61320808534375*^9}, {3.613208119421875*^9, 3.6132081766875*^9}, {
   3.613208238296875*^9, 3.61320858225*^9}, {3.613208762125*^9, 
   3.613208849328125*^9}, {3.613208905*^9, 3.61320895146875*^9}, {
   3.61320909765625*^9, 3.6132091225625*^9}, {3.6132091573125*^9, 
   3.61320915746875*^9}, {3.6132093759375*^9, 3.613209406015625*^9}, {
   3.613209437828125*^9, 3.61320946728125*^9}, {3.613209530703125*^9, 
   3.613209538390625*^9}, {3.613209571421875*^9, 3.613209575609375*^9}, {
   3.613209608578125*^9, 3.6132096303125*^9}, {3.613209695078125*^9, 
   3.613209758375*^9}, {3.613209832140625*^9, 3.6132098355625*^9}, {
   3.613209909859375*^9, 3.613209922578125*^9}, {3.613210087453125*^9, 
   3.613210166828125*^9}, {3.613210227515625*^9, 3.61321023421875*^9}, {
   3.61321033884375*^9, 3.613210351453125*^9}, {3.613210458234375*^9, 
   3.613210458953125*^9}, {3.61321052609375*^9, 3.61321052703125*^9}, {
   3.613210573296875*^9, 3.61321058234375*^9}, {3.613210653140625*^9, 
   3.61321069396875*^9}, {3.6132107275625*^9, 3.613210763921875*^9}, {
   3.61321079896875*^9, 3.613210913171875*^9}, {3.61321095953125*^9, 
   3.61321126890625*^9}, {3.613211359515625*^9, 3.613211385265625*^9}, {
   3.613211421828125*^9, 3.613211462546875*^9}, {3.613211502265625*^9, 
   3.6132115625*^9}, {3.613211646953125*^9, 3.613211709515625*^9}, {
   3.61321182503125*^9, 3.613211885859375*^9}, {3.61321191625*^9, 
   3.613211947796875*^9}, {3.61321205078125*^9, 3.61321207103125*^9}, {
   3.61321216996875*^9, 3.613212384359375*^9}, {3.6132130489375*^9, 
   3.6132131154375*^9}, 3.61321328375*^9, {3.613213809703125*^9, 
   3.61321382903125*^9}, {3.61321404340625*^9, 3.6132140756875*^9}, {
   3.613214114828125*^9, 3.613214403765625*^9}, {3.613214634578125*^9, 
   3.6132146645*^9}, {3.61321481409375*^9, 3.61321500121875*^9}, {
   3.613215048734375*^9, 3.613215119359375*^9}, {3.6132151505*^9, 
   3.613215154828125*^9}, {3.61321524475*^9, 3.6132152794375*^9}, {
   3.613215377234375*^9, 3.613215390171875*^9}, {3.61321544846875*^9, 
   3.613215448859375*^9}, {3.613215540296875*^9, 3.61321558653125*^9}, {
   3.61323193403125*^9, 3.613231984015625*^9}, {3.61323201490625*^9, 
   3.6132320420625*^9}, {3.6132323796875*^9, 3.61323238121875*^9}, {
   3.613232436484375*^9, 3.613232460015625*^9}, {3.613232511703125*^9, 
   3.613232518015625*^9}, {3.613232597375*^9, 3.613232607578125*^9}, {
   3.61323265596875*^9, 3.6132326770625*^9}, {3.61323274171875*^9, 
   3.613232801296875*^9}, {3.613232998234375*^9, 3.613233064296875*^9}, {
   3.6132332713125*^9, 3.613233325546875*^9}, {3.613233378125*^9, 
   3.6132335056875*^9}, {3.613233541875*^9, 3.613233634484375*^9}, {
   3.61323366603125*^9, 3.61323366928125*^9}, {3.6132337076875*^9, 
   3.613233765671875*^9}, {3.613233839609375*^9, 3.613233845234375*^9}, {
   3.613233878703125*^9, 3.613233968421875*^9}, {3.613234069328125*^9, 
   3.613234097265625*^9}, {3.61323799290625*^9, 3.613238026046875*^9}, {
   3.613238424140625*^9, 3.613238432921875*^9}, {3.613238645828125*^9, 
   3.613238655359375*^9}, {3.61323870203125*^9, 3.6132387105*^9}, {
   3.61323879365625*^9, 3.61323881159375*^9}, {3.6132388519375*^9, 
   3.613238895203125*^9}, {3.613302223225145*^9, 3.613302228358658*^9}, {
   3.61330226348217*^9, 3.6133022805168734`*^9}, {3.6133023741662374`*^9, 
   3.613302384324253*^9}, {3.6133024153393545`*^9, 3.6133025347912984`*^9}, {
   3.6133025956903877`*^9, 3.6133026101308317`*^9}, {3.613302652982116*^9, 
   3.6133026537091885`*^9}, {3.6133027162214394`*^9, 3.613302809405757*^9}, {
   3.613302851129929*^9, 3.613302888264642*^9}, {3.61330293155097*^9, 
   3.6133029319100065`*^9}, {3.613326166368108*^9, 3.61332619880147*^9}, {
   3.6133262393954678`*^9, 3.613326303671348*^9}, {3.61332636646961*^9, 
   3.613326380268943*^9}, {3.613326439390553*^9, 3.613326443217881*^9}, {
   3.613445994453125*^9, 3.613445996453125*^9}, {3.62080228421875*^9, 
   3.62080230915625*^9}, {3.620802372296875*^9, 3.620802403078125*^9}, {
   3.620802436296875*^9, 3.620802509203125*^9}, {3.62080255078125*^9, 
   3.620802562796875*^9}, {3.620802594234375*^9, 3.620802647703125*^9}, {
   3.620802714921875*^9, 3.6208029884375*^9}, {3.620803076640625*^9, 
   3.6208032403125*^9}, {3.62080331359375*^9, 3.6208033569375*^9}, {
   3.620803571671875*^9, 3.620803615984375*^9}, {3.6208037026875*^9, 
   3.620803705265625*^9}, {3.620803740359375*^9, 3.62080403696875*^9}, {
   3.62080406728125*^9, 3.62080413940625*^9}, {3.62080419240625*^9, 
   3.620804207640625*^9}, {3.620804477640625*^9, 3.62080447940625*^9}, {
   3.620804575109375*^9, 3.620804596984375*^9}, {3.620804629328125*^9, 
   3.62080466765625*^9}, {3.62080470540625*^9, 3.620804713734375*^9}, {
   3.6208051585*^9, 3.620805213421875*^9}, {3.620805496828125*^9, 
   3.6208055168125*^9}, {3.62080558278125*^9, 3.620805612984375*^9}, {
   3.620805663140625*^9, 3.62080568025*^9}, {3.6208058716875*^9, 
   3.62080587803125*^9}, {3.620805980359375*^9, 3.620806017671875*^9}, {
   3.620806088546875*^9, 3.620806125828125*^9}, {3.620806400984375*^9, 
   3.6208064028125*^9}, {3.620806814421875*^9, 3.62080682675*^9}, {
   3.62080713684375*^9, 3.62080715603125*^9}, {3.620807186125*^9, 
   3.6208072971875*^9}, {3.620807330703125*^9, 3.6208073811875*^9}, {
   3.620807418265625*^9, 3.62080741978125*^9}, {3.620807510375*^9, 
   3.62080751059375*^9}, {3.6208075984375*^9, 3.620807624453125*^9}, {
   3.620807785234375*^9, 3.620807812671875*^9}, {3.6208079181875*^9, 
   3.620807942546875*^9}, 3.620808002328125*^9, {3.620808098203125*^9, 
   3.620808104390625*^9}, {3.620816046265625*^9, 3.62081604875*^9}, {
   3.620817800515625*^9, 3.620817839203125*^9}, {3.62081790571875*^9, 
   3.6208179480625*^9}, {3.620817993625*^9, 3.620818143140625*^9}, {
   3.620818182296875*^9, 3.62081818965625*^9}, {3.62081824003125*^9, 
   3.62081824134375*^9}, {3.620818304921875*^9, 3.620818464375*^9}, {
   3.620818536921875*^9, 3.620818550078125*^9}, {3.620818589734375*^9, 
   3.620818593359375*^9}, {3.620818626953125*^9, 3.620818627203125*^9}, {
   3.620818697578125*^9, 3.620818697734375*^9}, {3.620818785515625*^9, 
   3.6208188058125*^9}, {3.62081890153125*^9, 3.62081895659375*^9}, {
   3.620819020703125*^9, 3.620819020859375*^9}, {3.6208194283125*^9, 
   3.620819492109375*^9}, {3.620819523578125*^9, 3.620819535984375*^9}, {
   3.620819594515625*^9, 3.620819594890625*^9}, {3.6208196899375*^9, 
   3.62081970125*^9}, {3.620819734265625*^9, 3.620819734421875*^9}, {
   3.620819818578125*^9, 3.620819821515625*^9}, {3.620819857890625*^9, 
   3.620819858078125*^9}, 3.620819920796875*^9, {3.6208200018125*^9, 
   3.6208200065*^9}, {3.620820483078125*^9, 3.620820483890625*^9}, {
   3.620820586359375*^9, 3.620820587859375*^9}, {3.62082184365625*^9, 
   3.620821872328125*^9}, {3.62082194215625*^9, 3.620822006546875*^9}, {
   3.620822037828125*^9, 3.620822038796875*^9}, {3.62082212409375*^9, 
   3.620822124875*^9}, {3.6208223655*^9, 3.620822366609375*^9}, {
   3.620822406765625*^9, 3.62082244534375*^9}, {3.62082253296875*^9, 
   3.620822581328125*^9}, {3.62082273125*^9, 3.620822732671875*^9}, {
   3.620822791953125*^9, 3.62082288703125*^9}, {3.620822944390625*^9, 
   3.62082295109375*^9}, {3.620823027265625*^9, 3.62082304353125*^9}, {
   3.62082362765625*^9, 3.6208236616875*^9}, {3.6208248044375*^9, 
   3.620824804875*^9}, {3.62088722728125*^9, 3.620887362421875*^9}, {
   3.62088742046875*^9, 3.62088742584375*^9}, {3.62088747646875*^9, 
   3.620887531875*^9}, {3.6208881676875*^9, 3.62088844053125*^9}, {
   3.620888502046875*^9, 3.620888644609375*^9}, {3.620893310984375*^9, 
   3.620893578984375*^9}, {3.620893645109375*^9, 3.620893647015625*^9}, {
   3.6208937995625*^9, 3.6208938060625*^9}, {3.620893863765625*^9, 
   3.620893865*^9}, {3.620893955625*^9, 3.620893958296875*^9}, {
   3.620893999671875*^9, 3.620894020609375*^9}, {3.620894066359375*^9, 
   3.62089406890625*^9}, 3.620894113734375*^9, {3.620894148765625*^9, 
   3.620894149390625*^9}, {3.620894185359375*^9, 3.620894187609375*^9}, {
   3.62089428765625*^9, 3.620894290375*^9}, {3.620894324625*^9, 
   3.620894328203125*^9}, {3.62089436409375*^9, 3.620894364640625*^9}, {
   3.62089449746875*^9, 3.620894498375*^9}, {3.620895234515625*^9, 
   3.620895239703125*^9}, {3.62089527303125*^9, 3.62089528846875*^9}, {
   3.620895412015625*^9, 3.620895468984375*^9}, {3.620895533015625*^9, 
   3.620895533984375*^9}, {3.620896293546875*^9, 3.62089643453125*^9}, {
   3.62089648528125*^9, 3.62089649015625*^9}, {3.620896527046875*^9, 
   3.620896527671875*^9}, 3.620896613265625*^9, {3.620896683546875*^9, 
   3.620896707703125*^9}, {3.62089678821875*^9, 3.620896792734375*^9}, {
   3.62089685121875*^9, 3.6208968566875*^9}, {3.62089698465625*^9, 
   3.620896986703125*^9}, {3.620897109859375*^9, 3.6208971148125*^9}, {
   3.620967404015625*^9, 3.620967426578125*^9}, {3.6209674675*^9, 
   3.620967504390625*^9}, {3.620967567328125*^9, 3.620967595921875*^9}, {
   3.620967694078125*^9, 3.620967696875*^9}, {3.6209695013125*^9, 
   3.620969503109375*^9}, {3.621086156140625*^9, 3.62108615703125*^9}},
 CellID->3358726]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`paths$$ = 40, $CellContext`r$$ = 
    0.07, $CellContext`S0$$ = 40, $CellContext`seed$$ = 
    0, $CellContext`steps$$ = 50, $CellContext`T$$ = 3, $CellContext`X$$ = 
    45, $CellContext`\[Delta]$$ = 0, $CellContext`\[Sigma]$$ = 0.3, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{
      Hold["time to expiry"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`T$$], 3, 
       Style["T", Italic]}, 0.5, 3, 0.25}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["starting asset price"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`S0$$], 40, 
       Subscript[
        Style["S", Italic], 0]}, 40, 50, 0.01}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["strike price"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`X$$], 45, 
       Style["X", Italic]}, 40, 50, 0.01}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["volatility"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Sigma]$$], 0.3, 
       Style["\[Sigma]", Italic]}, 0.3, 0.8, 0.01}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["risk\[Hyphen]free rate"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`r$$], 0.07, 
       Style["r", Italic]}, 0.01, 0.07, 0.001}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["continuous dividend"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`\[Delta]$$], 0, 
       Style["\[Delta]", Italic]}, 0, 0.03, 0.001}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["time steps"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`steps$$], 50, ""}, 30, 150, 10}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["trinomial paths"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`paths$$], 40, ""}, 10, 200, 1}, {
      Hold[""], Manipulate`Dump`ThisIsNotAControl}, {
      Hold["seed"], Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`seed$$], 0, ""}, 0, 100, 1}}, Typeset`size$$ = {
    360., {132., 136.}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`T$1059$$ = 
    0, $CellContext`S0$1060$$ = 0, $CellContext`X$1061$$ = 
    0, $CellContext`\[Sigma]$1062$$ = 0, $CellContext`r$1063$$ = 
    0, $CellContext`\[Delta]$1064$$ = 0, $CellContext`steps$1065$$ = 
    0, $CellContext`paths$1066$$ = 0, $CellContext`seed$1067$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`paths$$ = 40, $CellContext`r$$ = 
        0.07, $CellContext`S0$$ = 40, $CellContext`seed$$ = 
        0, $CellContext`steps$$ = 50, $CellContext`T$$ = 3, $CellContext`X$$ = 
        45, $CellContext`\[Delta]$$ = 0, $CellContext`\[Sigma]$$ = 0.3}, 
      "ControllerVariables" :> {
        Hold[$CellContext`T$$, $CellContext`T$1059$$, 0], 
        Hold[$CellContext`S0$$, $CellContext`S0$1060$$, 0], 
        Hold[$CellContext`X$$, $CellContext`X$1061$$, 0], 
        Hold[$CellContext`\[Sigma]$$, $CellContext`\[Sigma]$1062$$, 0], 
        Hold[$CellContext`r$$, $CellContext`r$1063$$, 0], 
        Hold[$CellContext`\[Delta]$$, $CellContext`\[Delta]$1064$$, 0], 
        Hold[$CellContext`steps$$, $CellContext`steps$1065$$, 0], 
        Hold[$CellContext`paths$$, $CellContext`paths$1066$$, 0], 
        Hold[$CellContext`seed$$, $CellContext`seed$1067$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> $CellContext`f[$CellContext`T$$, $CellContext`S0$$, \
$CellContext`X$$, $CellContext`\[Sigma]$$, $CellContext`r$$, $CellContext`\
\[Delta]$$, $CellContext`steps$$, $CellContext`paths$$, $CellContext`seed$$], 
      "Specifications" :> {"time to expiry", {{$CellContext`T$$, 3, 
          Style["T", Italic]}, 0.5, 3, 0.25, Appearance -> "Labeled", 
         ImageSize -> Tiny}, "", 
        "starting asset price", {{$CellContext`S0$$, 40, 
          Subscript[
           Style["S", Italic], 0]}, 40, 50, 0.01, Appearance -> "Labeled", 
         ImageSize -> Tiny}, "", "strike price", {{$CellContext`X$$, 45, 
          Style["X", Italic]}, 40, 50, 0.01, Appearance -> "Labeled", 
         ImageSize -> Tiny}, "", "volatility", {{$CellContext`\[Sigma]$$, 0.3, 
          Style["\[Sigma]", Italic]}, 0.3, 0.8, 0.01, Appearance -> "Labeled",
          ImageSize -> Tiny}, "", 
        "risk\[Hyphen]free rate", {{$CellContext`r$$, 0.07, 
          Style["r", Italic]}, 0.01, 0.07, 0.001, Appearance -> "Labeled", 
         ImageSize -> Tiny}, "", 
        "continuous dividend", {{$CellContext`\[Delta]$$, 0, 
          Style["\[Delta]", Italic]}, 0, 0.03, 0.001, Appearance -> "Labeled",
          ImageSize -> Tiny}, "", 
        "time steps", {{$CellContext`steps$$, 50, ""}, 30, 150, 10, 
         Appearance -> "Labeled", ImageSize -> Tiny}, "", 
        "trinomial paths", {{$CellContext`paths$$, 40, ""}, 10, 200, 1, 
         Appearance -> "Labeled", ImageSize -> Tiny}, "", 
        "seed", {{$CellContext`seed$$, 0, ""}, 0, 100, 1, Appearance -> 
         "Labeled", ImageSize -> Tiny}}, 
      "Options" :> {
       ControlPlacement -> {Left}, SynchronousUpdating -> False, 
        TrackedSymbols :> {$CellContext`T$$, $CellContext`S0$$, \
$CellContext`X$$, $CellContext`\[Sigma]$$, $CellContext`r$$, $CellContext`\
\[Delta]$$, $CellContext`steps$$, $CellContext`paths$$, $CellContext`seed$$}, 
        SynchronousInitialization -> False}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{549., {201., 206.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>($CellContext`f[
        Pattern[$CellContext`T, 
         Blank[]], 
        Pattern[$CellContext`S0, 
         Blank[]], 
        Pattern[$CellContext`X, 
         Blank[]], 
        Pattern[$CellContext`\[Sigma], 
         Blank[]], 
        Pattern[$CellContext`r, 
         Blank[]], 
        Pattern[$CellContext`\[Delta], 
         Blank[]], 
        Pattern[$CellContext`steps, 
         Blank[]], 
        Pattern[$CellContext`paths, 
         Blank[]], 
        Pattern[$CellContext`seed, 
         Blank[]]] := 
      Module[{$CellContext`dt, $CellContext`u, $CellContext`d, \
$CellContext`pu, $CellContext`pd, $CellContext`pm, $CellContext`Scrit, \
$CellContext`s, $CellContext`ind, $CellContext`euro, $CellContext`amer, \
$CellContext`Ssim, $CellContext`simpath, $CellContext`Z, $CellContext`R1, \
$CellContext`R2}, 
        If[$CellContext`dt >= 
          2 ($CellContext`\[Sigma]/($CellContext`r - \
$CellContext`\[Delta]))^2, 
          Print[
          "ALARM!!! Need to increase the number time steps"]]; \
$CellContext`dt = $CellContext`T/$CellContext`steps; $CellContext`u = 
         Exp[$CellContext`\[Sigma] Sqrt[2 $CellContext`dt]]; $CellContext`d = 
         1/$CellContext`u; $CellContext`pu = ((
            Exp[($CellContext`r - $CellContext`\[Delta]) ($CellContext`dt/2)] - 
            Exp[(-$CellContext`\[Sigma]) Sqrt[$CellContext`dt/2]])/(
           Exp[$CellContext`\[Sigma] Sqrt[$CellContext`dt/2]] - 
           Exp[(-$CellContext`\[Sigma]) 
            Sqrt[$CellContext`dt/2]]))^2; $CellContext`pd = ((
            Exp[$CellContext`\[Sigma] Sqrt[$CellContext`dt/2]] - 
            Exp[($CellContext`r - $CellContext`\[Delta]) ($CellContext`dt/
              2)])/(Exp[$CellContext`\[Sigma] Sqrt[$CellContext`dt/2]] - 
           Exp[(-$CellContext`\[Sigma]) 
            Sqrt[$CellContext`dt/2]]))^2; $CellContext`pm = 
         1 - ($CellContext`pu + $CellContext`pd); $CellContext`Scrit = 
         Table[$CellContext`X, {$CellContext`steps + 1}]; 
        "asset price at node (i,j)"; $CellContext`s[
           Pattern[$CellContext`i, 
            Blank[]], 
           Pattern[$CellContext`j, 
            Blank[]]] = $CellContext`S0 $CellContext`u^(
            2 ($CellContext`j - $CellContext`i)) \
$CellContext`d^($CellContext`j - $CellContext`i); 
        "option intrinsic values"; $CellContext`euro = Table[
           Max[
           0, $CellContext`X - $CellContext`s[$CellContext`i, \
$CellContext`j]], {$CellContext`i, 1, $CellContext`steps + 
            1}, {$CellContext`j, 1, 2 $CellContext`i - 
            1}]; $CellContext`amer = $CellContext`euro; 
        "backward induction to estimate the European and the American put"; 
        Do[$CellContext`ind = 0; 
          Do[Part[$CellContext`euro, $CellContext`i, $CellContext`j] = \
($CellContext`pu 
                Part[$CellContext`euro, $CellContext`i + 1, $CellContext`j + 
                  2] + $CellContext`pm 
                Part[$CellContext`euro, $CellContext`i + 1, $CellContext`j + 
                  1] + $CellContext`pd 
                Part[$CellContext`euro, $CellContext`i + 1, $CellContext`j]) 
              Exp[(-$CellContext`r) $CellContext`dt]; 
            If[Part[$CellContext`amer, $CellContext`i, $CellContext`j] > \
($CellContext`pu 
                 Part[$CellContext`amer, $CellContext`i + 1, $CellContext`j + 
                   2] + $CellContext`pm 
                 Part[$CellContext`amer, $CellContext`i + 1, $CellContext`j + 
                   1] + $CellContext`pd 
                 Part[$CellContext`amer, $CellContext`i + 1, $CellContext`j]) 
               Exp[(-$CellContext`r) $CellContext`dt], 
              Increment[$CellContext`ind]]; 
            Part[$CellContext`amer, $CellContext`i, $CellContext`j] = Max[
               
               Part[$CellContext`amer, $CellContext`i, $CellContext`j], \
($CellContext`pu 
                 Part[$CellContext`amer, $CellContext`i + 1, $CellContext`j + 
                   2] + $CellContext`pm 
                 Part[$CellContext`amer, $CellContext`i + 1, $CellContext`j + 
                   1] + $CellContext`pd 
                 Part[$CellContext`amer, $CellContext`i + 1, $CellContext`j]) 
               Exp[(-$CellContext`r) $CellContext`dt]], {$CellContext`j, 1, 
             2 $CellContext`i - 1}]; "critical asset price"; 
          Part[$CellContext`Scrit, $CellContext`i] = \
$CellContext`s[$CellContext`i, $CellContext`ind], {$CellContext`i, \
$CellContext`steps, 1, -1}]; 
        "pseudorandom trinomial paths"; $CellContext`Ssim = 
         Table[$CellContext`S0, {$CellContext`paths}, {$CellContext`steps + 
            1}]; $CellContext`simpath = Table[0, {$CellContext`paths}]; 
        SeedRandom[$CellContext`seed]; $CellContext`Z = Table[
           
           RandomReal[], {$CellContext`steps $CellContext`paths}]; \
$CellContext`ind = 0; 
        Do[Do[Increment[$CellContext`ind]; 
            Part[$CellContext`Ssim, $CellContext`k, $CellContext`i] = 
             If[Part[$CellContext`Z, $CellContext`ind] < $CellContext`pu, 
               Part[$CellContext`Ssim, $CellContext`k, $CellContext`i - 
                 1] $CellContext`u, 
               If[
               Part[$CellContext`Z, $CellContext`ind] < $CellContext`pu + \
$CellContext`pd, 
                Part[$CellContext`Ssim, $CellContext`k, $CellContext`i - 
                  1] $CellContext`d, 
                
                Part[$CellContext`Ssim, $CellContext`k, $CellContext`i - 
                 1]]], {$CellContext`i, 2, $CellContext`steps + 1}]; 
          Part[$CellContext`simpath, $CellContext`k] = 
           Table[{($CellContext`i - 1) $CellContext`dt, 
              
              Part[$CellContext`Ssim, $CellContext`k, $CellContext`i]}, \
{$CellContext`i, 1, $CellContext`steps + 1}], {$CellContext`k, 
           1, $CellContext`paths}]; 
        "graph for the trinomial paths"; $CellContext`R1 = ListLinePlot[
           Table[
            
            Part[$CellContext`simpath, $CellContext`i], {$CellContext`i, 
             1, $CellContext`paths}], PlotStyle -> {Gray}, PlotRange -> All]; 
        "graph for the trinomial early exercise boundary"; $CellContext`ind = 
         1; While[
         Part[$CellContext`Scrit, $CellContext`ind] > Min[$CellContext`Scrit], 
          Increment[$CellContext`ind]]; $CellContext`R2 = ListLinePlot[
           Table[{($CellContext`i - 1) $CellContext`dt, 
             
             Part[$CellContext`Scrit, $CellContext`i]}, {$CellContext`i, \
$CellContext`ind + 1, $CellContext`steps + 1}], PlotStyle -> {Red, 
             Thickness[0.01]}, AxesOrigin -> {0, 0}, PlotRange -> All]; 
        Show[$CellContext`R1, $CellContext`R2, AxesOrigin -> {0, 0}, 
          PlotRange -> {{0, $CellContext`T}, {0, 150}}, 
          AxesLabel -> {"time", "asset price"}, PlotLabel -> Style[
            Framed[
             Grid[{{
                Style["Put option approximations", Bold]}, {
                Row[{"American: ", 
                  Part[$CellContext`amer, 1, 1], ",     European: ", 
                  Part[$CellContext`euro, 1, 1]}]}}]], Background -> 
            Lighter[Green, 0.8]]]]; Typeset`initDone$$ = True),
    SynchronousInitialization->False,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->20087652],

Cell[CellGroupData[{

Cell["CAPTION", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell["\<\
This Demonstration applies the trinomial method (also known as the \
\"three-jump process\" [2]) to approximate the value of a put option. Use the \
controls to set the option's parameters and the time discretization, in order \
to approximate the American and the European puts. The European put can be \
exercised only at its maturity, while the American put can be exercised at \
any time up to maturity. The early exercise boundary is shown with the red \
line; whenever the asset price drops below this boundary, the American put's \
intrinsic value becomes greater than its holding value, and it is optimal for \
the holder to exercise the option. Random trinomial paths show where the \
asset price is more likely to move.\
\>", "Text"]
}, Close]]
}, Open  ]],

Cell[CellGroupData[{

Cell["DETAILS", "Section",
 CellFrame->{{0, 0}, {1, 0}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->12,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "Under the trinomial method [2], the underlying asset price is modeled as a \
recombining tree, where at each node the price has three possible paths: an \
up, down, and stable, or middle, path. These values are found by multiplying \
the value at the current node by the appropriate factor ",
 Cell[BoxData[
  FormBox["u", TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]], "InlineMath"],
 ", or ",
 Cell[BoxData[
  FormBox["m", TraditionalForm]], "InlineMath"],
 ":"
}], "Text"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{"u", "=", 
   RowBox[{"exp", "(", 
    RowBox[{"\[Sigma]", 
     SqrtBox[
      RowBox[{"2", "dt"}]]}], ")"}]}], 
  TraditionalForm]], "InlineMath"]], "Text"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{"d", " ", "=", " ", 
   RowBox[{"1", "/", "u"}]}], TraditionalForm]], "InlineMath"]], "Text"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{"m", " ", "=", " ", "1"}], TraditionalForm]], "InlineMath"]], "Text"],

Cell["with corresponding probabilities:", "Text"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["P", 
    RowBox[{"u", " "}]], "=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"exp", "(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"r", "-", "\[Delta]"}], ")"}], 
          RowBox[{"dt", "/", "2"}]}], ")"}], "-", 
        RowBox[{"exp", "(", 
         RowBox[{
          RowBox[{"-", "\[Sigma]"}], 
          SqrtBox[
           RowBox[{"dt", "/", "2"}]]}], ")"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"exp", "(", 
         RowBox[{"\[Sigma]", 
          SqrtBox[
           RowBox[{"dt", "/", "2"}]]}], ")"}], "-", 
        RowBox[{"exp", "(", 
         RowBox[{
          RowBox[{"-", "\[Sigma]"}], 
          SqrtBox[
           RowBox[{"dt", "/", "2"}]]}], ")"}]}], ")"}]}], ")"}], "2"]}], 
  TraditionalForm]], "InlineMath"]], "Text"],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["P", 
    RowBox[{"d", " "}]], "=", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"exp", "(", 
         RowBox[{"\[Sigma]", 
          SqrtBox[
           RowBox[{"dt", "/", "2"}]]}], ")"}], "-", 
        RowBox[{"exp", "(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"r", "-", "\[Delta]"}], ")"}], "d", " ", 
          RowBox[{"t", "/", "2"}]}], ")"}]}], ")"}], "/", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"exp", "(", 
         RowBox[{"\[Sigma]", 
          SqrtBox[
           RowBox[{"dt", "/", "2"}]]}], ")"}], "-", 
        RowBox[{"exp", "(", 
         RowBox[{
          RowBox[{"-", "\[Sigma]"}], 
          SqrtBox[
           RowBox[{"dt", "/", "2"}]]}], ")"}]}], ")"}]}], ")"}], "2"]}], 
  TraditionalForm]], "InlineMath"]], "Text"],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["P", "m"], "=", 
    RowBox[{"1", "-", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["P", "u"], "+", 
       SubscriptBox["P", "d"]}], ")"}]}]}], TraditionalForm]], "InlineMath"],
 ","
}], "Text"],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox["\[Sigma]", TraditionalForm]], "InlineMath"],
 " is the asset price volatility, ",
 Cell[BoxData[
  FormBox["\[Delta]", TraditionalForm]], "InlineMath"],
 " is the continuous dividend yield, ",
 Cell[BoxData[
  FormBox["r", TraditionalForm]], "InlineMath"],
 " is the risk-free rate, and ",
 Cell[BoxData[
  FormBox[
   StyleBox["dt",
    FontSlant->"Italic"], TraditionalForm]], "InlineMath"],
 " is the length of each time step in the trinomial tree (equal to the \
option's maturity divided by the number of time steps). "
}], "Text"],

Cell[TextData[{
 "The above probabilities derive from the application of the explicit \
finite-difference method [3] to solve the Black\[Dash]Scholes-Merton partial \
differential equation. The explicit finite-difference method is similar to \
the trinomial method, in that both provide an explicit formula for \
determining future states of the option process in terms of the current \
state. To make sure that all probabilities are in the interval (0,1), the \
condition ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"d", " ", "t"}], "<", 
    RowBox[{"2", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       FractionBox["\[Sigma]", 
        RowBox[{"r", "-", "\[Delta]"}]], ")"}], "2"]}]}], TraditionalForm]], 
  "InlineMath"],
 " should be satisfied."
}], "Text"],

Cell["\<\
Once the trinomial lattice of all possible asset prices up to maturity has \
been calculated, the option value is found at each node largely as for the \
binomial model [1], by working backward from the final nodes to the present. \
The difference between the trinomial and binomial models is that the option \
value at each non-final node is determined based on the three, as opposed to \
two, later nodes and their corresponding probabilities. \
\>", "Text"],

Cell["\<\
The trinomial model is considered to produce more accurate results than the \
binomial model when fewer time steps are modeled, and is therefore used when \
computational speed or resources may be an issue.\
\>", "Text"],

Cell["References", "Text"],

Cell[TextData[{
 "[1] J. Cox, S. Ross, and M. Rubinstein, \"Option Pricing: A Simplified \
Approach,\" J",
 StyleBox["ournal of Financial Economics",
  FontSlant->"Italic"],
 ", ",
 StyleBox["7",
  FontWeight->"Bold"],
 "(3), 1979 pp. 229\[Dash]263."
}], "Text"],

Cell[TextData[{
 "[2] P. Boyle, \"Option Valuation Using a Three Jump Process,\"",
 StyleBox[" International Options Journal",
  FontSlant->"Italic"],
 ", ",
 StyleBox["3",
  FontWeight->"Bold"],
 ", 1986 pp. 7\[Dash]12."
}], "Text"],

Cell[TextData[{
 "[3] M. Brennan and E. Schwartz, \"Finite Difference Methods and Jump \
Processes Arising in the Pricing of Contingent Claims: A Synthesis,\"",
 StyleBox[" The Journal of Financial and Quantitative Analysis",
  FontSlant->"Italic"],
 ", ",
 StyleBox["13",
  FontWeight->"Bold"],
 "(3), 1978 pp. 461\[Dash]474. ",
 ButtonBox["doi:10.2307/2330152",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://dx.doi.org/10.2307/2330152"], 
    "http://dx.doi.org/10.2307/2330152"},
  ButtonNote->"http://dx.doi.org/10.2307/2330152"],
 "."
}], "Text"]
}, Close]],

Cell["THIS NOTEBOOK IS THE SOURCE CODE FROM", "Text",
 CellFrame->{{0, 0}, {0, 0}},
 CellMargins->{{48, 10}, {4, 28}},
 CellGroupingRules->{"SectionGrouping", 25},
 CellFrameMargins->{{48, 48}, {6, 5}},
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 FontFamily->"Helvetica",
 FontSize->10,
 FontWeight->"Bold",
 FontColor->RGBColor[0.597406, 0, 0.0527047]],

Cell[TextData[{
 "\[NonBreakingSpace]",
 ButtonBox["Michail Bozoudis",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Michail+\
Bozoudis"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Michail+Bozoudis"]
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.6]],

Cell[TextData[{
 "\"",
 ButtonBox["Pricing Put Options with the Trinomial Method",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
PricingPutOptionsWithTheTrinomialMethod/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PricingPutOptionsWithTheTrinomialMethod/\
"],
 "\"",
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["http://demonstrations.wolfram.com/\
PricingPutOptionsWithTheTrinomialMethod/",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/\
PricingPutOptionsWithTheTrinomialMethod/"], None},
  ButtonNote->
   "http://demonstrations.wolfram.com/PricingPutOptionsWithTheTrinomialMethod/\
"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 ButtonBox["Wolfram Demonstrations Project",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
 "\[ParagraphSeparator]\[NonBreakingSpace]",
 "Published: ",
 "July 16, 2014"
}], "Text",
 CellMargins->{{48, Inherited}, {0, Inherited}},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.5]],

Cell[CellGroupData[{

Cell[TextData[{
 "A full-function Wolfram ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " system is required to edit this notebook.\n",
 StyleBox[ButtonBox["GET WOLFRAM MATHEMATICA \[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.wolfram.com/products/mathematica/"], None},
  ButtonNote->"http://www.wolfram.com/products/mathematica/"],
  FontFamily->"Helvetica",
  FontWeight->"Bold",
  FontSlant->"Italic",
  FontColor->RGBColor[1, 0.42, 0]]
}], "Text",
 CellFrame->True,
 CellMargins->{{48, 68}, {8, 28}},
 CellFrameMargins->12,
 CellFrameColor->RGBColor[0.87, 0.87, 0.87],
 CellChangeTimes->{3.3750111182355957`*^9},
 ParagraphSpacing->{1., 1.},
 FontFamily->"Verdana",
 FontSize->10,
 FontColor->GrayLevel[0.411765],
 Background->RGBColor[1, 1, 1]],

Cell[TextData[{
 "\[Copyright] ",
 StyleBox[ButtonBox["Wolfram Demonstrations Project & Contributors",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/"], None},
  ButtonNote->"http://demonstrations.wolfram.com/"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Terms of Use",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/termsofuse.html"], None},
  ButtonNote->"http://demonstrations.wolfram.com/termsofuse.html"],
  FontColor->GrayLevel[0.6]],
 "\[ThickSpace]\[ThickSpace]\[ThickSpace]|\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
 StyleBox[ButtonBox["Make a new version of this Demonstration \
\[RightGuillemet]",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/participate/upload.jsp?id=\
PricingPutOptionsWithTheTrinomialMethod"], None},
  ButtonNote->None],
  FontColor->GrayLevel[0.6]]
}], "Text",
 CellFrame->{{0, 0}, {0, 0.5}},
 CellMargins->{{48, 10}, {20, 50}},
 CellFrameMargins->{{6, 0}, {6, 6}},
 CellFrameColor->GrayLevel[0.6],
 FontFamily->"Verdana",
 FontSize->9,
 FontColor->GrayLevel[0.6]]
}, Open  ]]
},
Editable->True,
Saveable->False,
ScreenStyleEnvironment->"Working",
CellInsertionPointCell->None,
WindowSize->{749, 650},
WindowMargins->{{Inherited, Inherited}, {Inherited, 0}},
WindowElements->{
 "StatusArea", "MemoryMonitor", "MagnificationPopUp", "VerticalScrollBar", 
  "MenuBar"},
WindowTitle->"Pricing Put Options with the Trinomial Method - Source",
DockedCells->{},
CellContext->Notebook,
FrontEndVersion->"9.0 for Microsoft Windows (32-bit) (November 20, 2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[647, 23, 165, 3, 70, "Section"],
Cell[815, 28, 3700, 64, 70, "Section"],
Cell[4518, 94, 50082, 933, 70, "Input",
 InitializationCell->True,
 CellID->3358726]
}, Open  ]],
Cell[CellGroupData[{
Cell[54637, 1032, 13550, 253, 70, "Output",
 CellID->20087652],
Cell[CellGroupData[{
Cell[68212, 1289, 209, 6, 70, "Section"],
Cell[68424, 1297, 753, 11, 70, "Text"]
}, Close]]
}, Open  ]],
Cell[CellGroupData[{
Cell[69225, 1314, 209, 6, 70, "Section"],
Cell[69437, 1322, 536, 14, 70, "Text"],
Cell[69976, 1338, 206, 7, 70, "Text"],
Cell[70185, 1347, 141, 3, 70, "Text"],
Cell[70329, 1352, 117, 2, 70, "Text"],
Cell[70449, 1356, 49, 0, 70, "Text"],
Cell[70501, 1358, 917, 31, 70, "Text"],
Cell[71421, 1391, 900, 30, 70, "Text"],
Cell[72324, 1423, 276, 11, 70, "Text"],
Cell[72603, 1436, 589, 17, 70, "Text"],
Cell[73195, 1455, 776, 19, 70, "Text"],
Cell[73974, 1476, 470, 7, 70, "Text"],
Cell[74447, 1485, 230, 4, 70, "Text"],
Cell[74680, 1491, 26, 0, 70, "Text"],
Cell[74709, 1493, 262, 9, 70, "Text"],
Cell[74974, 1504, 233, 8, 70, "Text"],
Cell[75210, 1514, 563, 16, 70, "Text"]
}, Close]],
Cell[75787, 1533, 355, 9, 70, "Text",
 CellGroupingRules->{"SectionGrouping", 25}],
Cell[76145, 1544, 422, 13, 70, "Text"],
Cell[76570, 1559, 1144, 34, 70, "Text"],
Cell[CellGroupData[{
Cell[77739, 1597, 793, 24, 70, "Text"],
Cell[78535, 1623, 1211, 33, 70, "Text"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
(* NotebookSignature nTj@KFc6SETtNA0AuqNsfcT2 *)
