(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     65862,       1569]
NotebookOptionsPosition[     61847,       1446]
NotebookOutlinePosition[     63508,       1497]
CellTagsIndexPosition[     63180,       1485]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Value at Risk", "DemoTitle",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4768894871875*^9, {3.477156044532177*^9, 
   3.4771560463759155`*^9}}],

Cell[CellGroupData[{

Cell["", "InitializationSection"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", 
    RowBox[{"x_", ",", "mean_", ",", "Confidence_", ",", "variance_"}], "]"}],
    ":=", 
   RowBox[{"Which", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"mean", "-", 
       RowBox[{"Abs", "[", 
        RowBox[{"mean", "+", 
         RowBox[{
          RowBox[{"Quantile", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "1"}], "]"}], ",", 
            RowBox[{"Confidence", "/", "100"}]}], "]"}], "*", 
          RowBox[{"Sqrt", "[", "variance", "]"}]}]}], "]"}]}], "\[LessEqual]",
       "x", "\[LessEqual]", "8"}], ",", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"2", "\[Pi]", "*", "variance"}], "]"}]}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x", "-", "mean"}], ")"}], "2"]}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "variance"}], ")"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.477056086959469*^9, 3.4770561059302273`*^9}, {
   3.4770561542371597`*^9, 3.477056157792302*^9}},
 CellID->573379293],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{"x_", ",", "mean_", ",", "Confidence_", ",", "variance_"}], "]"}],
    ":=", 
   RowBox[{"Which", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "8"}], "\[LessEqual]", "x", "<=", 
      RowBox[{"mean", "-", 
       RowBox[{"Abs", "[", 
        RowBox[{"mean", "+", 
         RowBox[{
          RowBox[{"Quantile", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "1"}], "]"}], ",", 
            RowBox[{"Confidence", "/", "100"}]}], "]"}], "*", 
          RowBox[{"Sqrt", "[", "variance", "]"}]}]}], "]"}]}]}], ",", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", 
        RowBox[{"2", "\[Pi]", "*", "variance"}], "]"}]}], "*", 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x", "-", "mean"}], ")"}], "2"]}], "/", 
        RowBox[{"(", 
         RowBox[{"2", "variance"}], ")"}]}], "]"}]}]}], "]"}]}], 
  ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.477056086959469*^9, 3.4770561059302273`*^9}, {
   3.4770561542371597`*^9, 3.477056157792302*^9}},
 CellID->202158951],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"l", "[", 
    RowBox[{"x_", ",", "mean_", ",", "Confidence_", ",", "variance_"}], "]"}],
    ":=", 
   RowBox[{"Which", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"mean", "-", 
       RowBox[{"Abs", "[", 
        RowBox[{"mean", "+", 
         RowBox[{
          RowBox[{"Quantile", "[", 
           RowBox[{
            RowBox[{"NormalDistribution", "[", 
             RowBox[{"0", ",", "1"}], "]"}], ",", 
            RowBox[{"Confidence", "/", "100"}]}], "]"}], "*", 
          RowBox[{"Sqrt", "[", "variance", "]"}]}]}], "]"}]}], "\[LessEqual]",
       "x", "\[LessEqual]", "mean"}], ",", "0.4"}], "]"}]}], ";"}]], "Input",
 InitializationCell->True,
 CellChangeTimes->{
  3.35696210375764*^9, {3.477056086959469*^9, 3.4770561059302273`*^9}, 
   3.4770561542371597`*^9},
 CellID->182357572]
}, Closed]],

Cell[CellGroupData[{

Cell["", "ManipulateSection"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Column", "[", 
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"Text", "@", 
       RowBox[{"Row", "[", 
        RowBox[{"{", "\"\<data distribution:\>\"", "}"}], "]"}]}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Text", "@", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<one period Value at Risk: \>\"", ",", 
          RowBox[{"mean", "+", 
           RowBox[{
            RowBox[{"Quantile", "[", 
             RowBox[{
              RowBox[{"NormalDistribution", "[", 
               RowBox[{"0", ",", "1"}], "]"}], ",", 
              RowBox[{"Confidence", "/", "100"}]}], "]"}], "*", 
            RowBox[{"Sqrt", "[", "variance", "]"}]}]}]}], "}"}], "]"}]}], ",",
       "\[IndentingNewLine]", 
      RowBox[{"Text", "@", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{
         "\"\<Value at Risk over \>\"", ",", "periods", ",", 
          "\"\< periods: \>\"", ",", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"mean", "*", "periods"}], ")"}], "+", 
           RowBox[{
            RowBox[{"Sqrt", "[", "periods", "]"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"Quantile", "[", 
               RowBox[{
                RowBox[{"NormalDistribution", "[", 
                 RowBox[{"0", ",", "1"}], "]"}], ",", 
                RowBox[{"Confidence", "/", "100"}]}], "]"}], "*", 
              RowBox[{"Sqrt", "[", "variance", "]"}]}], ")"}]}]}]}], "}"}], 
        "]"}]}], ",", "\[IndentingNewLine]", 
      RowBox[{"Plot", "[", 
       RowBox[{
        RowBox[{"Evaluate", "@", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"f", "[", 
            RowBox[{"x", ",", "mean", ",", "Confidence", ",", "variance"}], 
            "]"}], ",", 
           RowBox[{"g", "[", 
            RowBox[{"x", ",", "mean", ",", "Confidence", ",", "variance"}], 
            "]"}], ",", 
           RowBox[{"l", "[", 
            RowBox[{"x", ",", "mean", ",", "Confidence", ",", "variance"}], 
            "]"}]}], "}"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"x", ",", 
          RowBox[{"-", "6"}], ",", "6"}], "}"}], ",", 
        RowBox[{"PlotStyle", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", 
             RowBox[{"Directive", "[", 
              RowBox[{"Thickness", "[", "0.01", "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"RGBColor", "[", 
              RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", 
             RowBox[{"Directive", "[", 
              RowBox[{"Thickness", "[", "0.01", "]"}], "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"Orange", ",", 
             RowBox[{"Directive", "[", 
              RowBox[{"Thickness", "[", "0.005", "]"}], "]"}], ",", 
             "Dashed"}], "}"}]}], "}"}]}], ",", "\[IndentingNewLine]", 
        RowBox[{"Epilog", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"Inset", "[", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Expected loss\>\"", ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{".49", ",", "0", ",", "0"}], "]"}], ",", "Bold", ",",
                 "Medium"}], "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"-", "5"}], ",", "0.3"}], "}"}]}], "]"}], ",", 
           RowBox[{"Inset", "[", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{"Style", "[", 
               RowBox[{"\"\<Profit\>\"", ",", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], ",", "Bold", 
                ",", "Medium"}], "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{"4", ",", "0.3"}], "}"}]}], "]"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"Inset", "[", 
            RowBox[{
             RowBox[{"Text", "[", 
              RowBox[{"Style", "[", 
               RowBox[{
               "\"\<VaR\>\"", ",", "Orange", ",", "Bold", ",", "Medium"}], 
               "]"}], "]"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"mean", "+", "mean", "-", 
                  RowBox[{"Abs", "[", 
                   RowBox[{"mean", "+", 
                    RowBox[{
                    RowBox[{"Quantile", "[", 
                    RowBox[{
                    RowBox[{"NormalDistribution", "[", 
                    RowBox[{"0", ",", "1"}], "]"}], ",", 
                    RowBox[{"Confidence", "/", "100"}]}], "]"}], "*", 
                    RowBox[{"Sqrt", "[", "variance", "]"}]}]}], "]"}]}], 
                 ")"}], "/", "2"}], ",", "0.43"}], "}"}]}], "]"}]}], "}"}]}], 
        ",", "\[IndentingNewLine]", 
        RowBox[{"GridLines", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mean", "-", 
              RowBox[{"Abs", "[", 
               RowBox[{"mean", "+", 
                RowBox[{
                 RowBox[{"Quantile", "[", 
                  RowBox[{
                   RowBox[{"NormalDistribution", "[", 
                    RowBox[{"0", ",", "1"}], "]"}], ",", 
                   RowBox[{"Confidence", "/", "100"}]}], "]"}], "*", 
                 RowBox[{"Sqrt", "[", "variance", "]"}]}]}], "]"}]}], ",", 
             "mean"}], "}"}], ",", 
           RowBox[{"{", "0", "}"}]}], "}"}]}], ",", 
        RowBox[{"GridLinesStyle", "\[Rule]", 
         RowBox[{"Directive", "[", 
          RowBox[{"Orange", ",", "Dashed"}], "]"}]}], ",", 
        RowBox[{"PlotRange", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0.5"}], "}"}]}], ",", 
        RowBox[{"Filling", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"1", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Axis", ",", 
               RowBox[{"Lighter", "[", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{".6", ",", ".73", ",", ".36"}], "]"}], "]"}]}], 
              "}"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"2", "\[Rule]", 
             RowBox[{"{", 
              RowBox[{"Axis", ",", 
               RowBox[{"Lighter", "[", 
                RowBox[{"RGBColor", "[", 
                 RowBox[{".49", ",", "0", ",", "0"}], "]"}], "]"}]}], "}"}]}],
             "}"}]}], "}"}]}], ",", 
        RowBox[{"ImageSize", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"500", ",", "300"}], "}"}]}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"Confidence", ",", "87", ",", "\"\<confidence (%)\>\""}], "}"}],
      ",", "87", ",", "99.995", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"mean", ",", "0", ",", "2", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"variance", ",", "0.8", ",", "2", ",", "0.05", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{"periods", ",", "2", ",", "252", ",", "1", ",", 
     RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], ",", 
   "\[IndentingNewLine]", 
   RowBox[{"SaveDefinitions", "\[Rule]", "True"}], ",", 
   RowBox[{"TrackedSymbols", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.35696210375764*^9, {3.476889385625*^9, 3.476889387*^9}, {
   3.476889859453125*^9, 3.476889859796875*^9}, {3.47689126246875*^9, 
   3.4768913029375*^9}, {3.477055971894866*^9, 3.4770560813092422`*^9}, {
   3.477056115080593*^9, 3.4770561277911015`*^9}, {3.4770561633625245`*^9, 
   3.477056292072673*^9}, {3.477056532530691*^9, 3.4770565421706553`*^9}, {
   3.4770565849039283`*^9, 3.4770565849109287`*^9}, {3.477056621485586*^9, 
   3.4770566914045773`*^9}, {3.4771561048286667`*^9, 3.47715612531291*^9}}],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Confidence$$ = 87, $CellContext`mean$$ = 
    0, $CellContext`periods$$ = 2, $CellContext`variance$$ = 0.8, 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`Confidence$$], 87, "confidence (%)"}, 87, 99.995}, {
      Hold[$CellContext`mean$$], 0, 2}, {
      Hold[$CellContext`variance$$], 0.8, 2, 0.05}, {
      Hold[$CellContext`periods$$], 2, 252, 1}}, Typeset`size$$ = {
    500., {177.5, 182.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`Confidence$316997$$ = 
    0, $CellContext`mean$316998$$ = 0, $CellContext`variance$316999$$ = 
    0, $CellContext`periods$317000$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Confidence$$ = 87, $CellContext`mean$$ = 
        0, $CellContext`periods$$ = 2, $CellContext`variance$$ = 0.8}, 
      "ControllerVariables" :> {
        Hold[$CellContext`Confidence$$, $CellContext`Confidence$316997$$, 0], 
        Hold[$CellContext`mean$$, $CellContext`mean$316998$$, 0], 
        Hold[$CellContext`variance$$, $CellContext`variance$316999$$, 0], 
        Hold[$CellContext`periods$$, $CellContext`periods$317000$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Text[
          Row[{"data distribution:"}]], 
         Text[
          Row[{"one period Value at Risk: ", $CellContext`mean$$ + Quantile[
               NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
             Sqrt[$CellContext`variance$$]}]], 
         Text[
          
          Row[{"Value at Risk over ", $CellContext`periods$$, 
            " periods: ", $CellContext`mean$$ $CellContext`periods$$ + 
            Sqrt[$CellContext`periods$$] (Quantile[
                NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
              Sqrt[$CellContext`variance$$])}]], 
         Plot[
          Evaluate[{
            $CellContext`f[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`g[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`l[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$]}], {$CellContext`x, -6, 
           6}, PlotStyle -> {{
             RGBColor[0.6, 0.73, 0.36], 
             Directive[
              Thickness[0.01]]}, {
             RGBColor[0.49, 0, 0], 
             Directive[
              Thickness[0.01]]}, {Orange, 
             Directive[
              Thickness[0.005]], Dashed}}, Epilog -> {
            Inset[
             Text[
              Style["Expected loss", 
               RGBColor[0.49, 0, 0], Bold, Medium]], {-5, 0.3}], 
            Inset[
             Text[
              Style["Profit", 
               RGBColor[0.6, 0.73, 0.36], Bold, Medium]], {4, 0.3}], 
            Inset[
             Text[
              Style[
              "VaR", Orange, Bold, 
               Medium]], {($CellContext`mean$$ + $CellContext`mean$$ - 
               Abs[$CellContext`mean$$ + Quantile[
                   NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
                 Sqrt[$CellContext`variance$$]])/2, 0.43}]}, 
          GridLines -> {{$CellContext`mean$$ - 
             Abs[$CellContext`mean$$ + Quantile[
                 NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
               Sqrt[$CellContext`variance$$]], $CellContext`mean$$}, {0}}, 
          GridLinesStyle -> Directive[Orange, Dashed], PlotRange -> {0, 0.5}, 
          Filling -> {{1 -> {Axis, 
               Lighter[
                RGBColor[0.6, 0.73, 0.36]]}}, {2 -> {Axis, 
               Lighter[
                RGBColor[0.49, 0, 0]]}}}, ImageSize -> {500, 300}]}], 
      "Specifications" :> {{{$CellContext`Confidence$$, 87, "confidence (%)"},
          87, 99.995, Appearance -> "Labeled"}, {$CellContext`mean$$, 0, 2, 
         Appearance -> "Labeled"}, {$CellContext`variance$$, 0.8, 2, 0.05, 
         Appearance -> "Labeled"}, {$CellContext`periods$$, 2, 252, 1, 
         Appearance -> "Labeled"}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{547., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= 
         8, (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= 
         8, (1/Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], FE`mean$$6 = 0.455, FE`Confidence$$6 = 
       95., FE`variance$$6 = 1., $CellContext`g[
         Pattern[$CellContext`x$, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x$ <= FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]], (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`g[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x <= $CellContext`mean - 
          Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]], (1/
          Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], $CellContext`l[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= FE`mean$$6, 
         0.4], $CellContext`l[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= \
$CellContext`mean, 0.4], Attributes[PlotRange] = {ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->507988127]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ManipulateCaptionSection"],

Cell[TextData[{
 "Value at Risk (VaR) and volatility are the most commonly used risk \
measurements. VaR is easy to calculate and can be used in many fields. VaR is \
defined as the sum of the data mean and the product of data volatility and an \
appropriate quantile of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"N", 
    RowBox[{"(", 
     RowBox[{"0", ",", "1"}], ")"}]}], TraditionalForm]], "InlineMath"],
 " distribution. This quantile indicates the confidence level of the result. \
This interpretation of VaR assumes that the data is normally distributed; \
however the calculation works in any setting."
}], "ManipulateCaption",
 CellChangeTimes->{
  3.35696210375764*^9, 3.476889500875*^9, {3.47689171865625*^9, 
   3.47689176225*^9}, {3.476891816484375*^9, 3.476891857046875*^9}, {
   3.4770565849199295`*^9, 3.477056611256563*^9}, {3.477156150625248*^9, 
   3.4771562780931826`*^9}, {3.4791270390702972`*^9, 3.479127052398337*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ThumbnailSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Confidence$$ = 95., $CellContext`mean$$ = 
    0.455, $CellContext`periods$$ = 2, $CellContext`variance$$ = 1., 
    Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`Confidence$$], 95., "confidence (%)"}, 87, 99.995}, {{
       Hold[$CellContext`mean$$], 0.455}, 0, 2}, {{
       Hold[$CellContext`variance$$], 1.}, 0.8, 2, 0.05}, {
      Hold[$CellContext`periods$$], 2, 252, 1}}, Typeset`size$$ = {
    500., {177.5, 182.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`Confidence$317067$$ = 
    0, $CellContext`mean$317068$$ = 0, $CellContext`variance$317069$$ = 
    0, $CellContext`periods$317070$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Confidence$$ = 95., $CellContext`mean$$ = 
        0.455, $CellContext`periods$$ = 2, $CellContext`variance$$ = 1.}, 
      "ControllerVariables" :> {
        Hold[$CellContext`Confidence$$, $CellContext`Confidence$317067$$, 0], 
        Hold[$CellContext`mean$$, $CellContext`mean$317068$$, 0], 
        Hold[$CellContext`variance$$, $CellContext`variance$317069$$, 0], 
        Hold[$CellContext`periods$$, $CellContext`periods$317070$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Text[
          Row[{"data distribution:"}]], 
         Text[
          Row[{"one period Value at Risk: ", $CellContext`mean$$ + Quantile[
               NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
             Sqrt[$CellContext`variance$$]}]], 
         Text[
          
          Row[{"Value at Risk over ", $CellContext`periods$$, 
            " periods: ", $CellContext`mean$$ $CellContext`periods$$ + 
            Sqrt[$CellContext`periods$$] (Quantile[
                NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
              Sqrt[$CellContext`variance$$])}]], 
         Plot[
          Evaluate[{
            $CellContext`f[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`g[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`l[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$]}], {$CellContext`x, -6, 
           6}, PlotStyle -> {{
             RGBColor[0.6, 0.73, 0.36], 
             Directive[
              Thickness[0.01]]}, {
             RGBColor[0.49, 0, 0], 
             Directive[
              Thickness[0.01]]}, {Orange, 
             Directive[
              Thickness[0.005]], Dashed}}, Epilog -> {
            Inset[
             Text[
              Style["Expected loss", 
               RGBColor[0.49, 0, 0], Bold, Medium]], {-5, 0.3}], 
            Inset[
             Text[
              Style["Profit", 
               RGBColor[0.6, 0.73, 0.36], Bold, Medium]], {4, 0.3}], 
            Inset[
             Text[
              Style[
              "VaR", Orange, Bold, 
               Medium]], {($CellContext`mean$$ + $CellContext`mean$$ - 
               Abs[$CellContext`mean$$ + Quantile[
                   NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
                 Sqrt[$CellContext`variance$$]])/2, 0.43}]}, 
          GridLines -> {{$CellContext`mean$$ - 
             Abs[$CellContext`mean$$ + Quantile[
                 NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
               Sqrt[$CellContext`variance$$]], $CellContext`mean$$}, {0}}, 
          GridLinesStyle -> Directive[Orange, Dashed], PlotRange -> {0, 0.5}, 
          Filling -> {{1 -> {Axis, 
               Lighter[
                RGBColor[0.6, 0.73, 0.36]]}}, {2 -> {Axis, 
               Lighter[
                RGBColor[0.49, 0, 0]]}}}, ImageSize -> {500, 300}]}], 
      "Specifications" :> {{{$CellContext`Confidence$$, 95., 
          "confidence (%)"}, 87, 99.995, Appearance -> 
         "Labeled"}, {{$CellContext`mean$$, 0.455}, 0, 2, Appearance -> 
         "Labeled"}, {{$CellContext`variance$$, 1.}, 0.8, 2, 0.05, Appearance -> 
         "Labeled"}, {$CellContext`periods$$, 2, 252, 1, Appearance -> 
         "Labeled"}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{547., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= 
         8, (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= 
         8, (1/Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], FE`mean$$6 = 0.455, FE`Confidence$$6 = 
       95., FE`variance$$6 = 1., $CellContext`g[
         Pattern[$CellContext`x$, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x$ <= FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]], (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`g[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x <= $CellContext`mean - 
          Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]], (1/
          Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], $CellContext`l[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= FE`mean$$6, 
         0.4], $CellContext`l[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= \
$CellContext`mean, 0.4], Attributes[PlotRange] = {ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->61994824]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "SnapshotsSection"],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Confidence$$ = 87., $CellContext`mean$$ = 
    0., $CellContext`periods$$ = 2, $CellContext`variance$$ = 
    1.6500000000000001`, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`Confidence$$], 87., "confidence (%)"}, 87, 99.995}, {{
       Hold[$CellContext`mean$$], 0.}, 0, 2}, {{
       Hold[$CellContext`variance$$], 1.6500000000000001`}, 0.8, 2, 0.05}, {
      Hold[$CellContext`periods$$], 2, 252, 1}}, Typeset`size$$ = {
    500., {177.5, 182.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`Confidence$317137$$ = 
    0, $CellContext`mean$317138$$ = 0, $CellContext`variance$317139$$ = 
    0, $CellContext`periods$317140$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Confidence$$ = 87., $CellContext`mean$$ = 
        0., $CellContext`periods$$ = 2, $CellContext`variance$$ = 
        1.6500000000000001`}, "ControllerVariables" :> {
        Hold[$CellContext`Confidence$$, $CellContext`Confidence$317137$$, 0], 
        Hold[$CellContext`mean$$, $CellContext`mean$317138$$, 0], 
        Hold[$CellContext`variance$$, $CellContext`variance$317139$$, 0], 
        Hold[$CellContext`periods$$, $CellContext`periods$317140$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Text[
          Row[{"data distribution:"}]], 
         Text[
          Row[{"one period Value at Risk: ", $CellContext`mean$$ + Quantile[
               NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
             Sqrt[$CellContext`variance$$]}]], 
         Text[
          
          Row[{"Value at Risk over ", $CellContext`periods$$, 
            " periods: ", $CellContext`mean$$ $CellContext`periods$$ + 
            Sqrt[$CellContext`periods$$] (Quantile[
                NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
              Sqrt[$CellContext`variance$$])}]], 
         Plot[
          Evaluate[{
            $CellContext`f[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`g[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`l[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$]}], {$CellContext`x, -6, 
           6}, PlotStyle -> {{
             RGBColor[0.6, 0.73, 0.36], 
             Directive[
              Thickness[0.01]]}, {
             RGBColor[0.49, 0, 0], 
             Directive[
              Thickness[0.01]]}, {Orange, 
             Directive[
              Thickness[0.005]], Dashed}}, Epilog -> {
            Inset[
             Text[
              Style["Expected loss", 
               RGBColor[0.49, 0, 0], Bold, Medium]], {-5, 0.3}], 
            Inset[
             Text[
              Style["Profit", 
               RGBColor[0.6, 0.73, 0.36], Bold, Medium]], {4, 0.3}], 
            Inset[
             Text[
              Style[
              "VaR", Orange, Bold, 
               Medium]], {($CellContext`mean$$ + $CellContext`mean$$ - 
               Abs[$CellContext`mean$$ + Quantile[
                   NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
                 Sqrt[$CellContext`variance$$]])/2, 0.43}]}, 
          GridLines -> {{$CellContext`mean$$ - 
             Abs[$CellContext`mean$$ + Quantile[
                 NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
               Sqrt[$CellContext`variance$$]], $CellContext`mean$$}, {0}}, 
          GridLinesStyle -> Directive[Orange, Dashed], PlotRange -> {0, 0.5}, 
          Filling -> {{1 -> {Axis, 
               Lighter[
                RGBColor[0.6, 0.73, 0.36]]}}, {2 -> {Axis, 
               Lighter[
                RGBColor[0.49, 0, 0]]}}}, ImageSize -> {500, 300}]}], 
      "Specifications" :> {{{$CellContext`Confidence$$, 87., 
          "confidence (%)"}, 87, 99.995, Appearance -> 
         "Labeled"}, {{$CellContext`mean$$, 0.}, 0, 2, Appearance -> 
         "Labeled"}, {{$CellContext`variance$$, 1.6500000000000001`}, 0.8, 2, 
         0.05, Appearance -> "Labeled"}, {$CellContext`periods$$, 2, 252, 1, 
         Appearance -> "Labeled"}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{547., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= 
         8, (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= 
         8, (1/Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], FE`mean$$6 = 0.455, FE`Confidence$$6 = 
       95., FE`variance$$6 = 1., $CellContext`g[
         Pattern[$CellContext`x$, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x$ <= FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]], (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`g[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x <= $CellContext`mean - 
          Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]], (1/
          Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], $CellContext`l[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= FE`mean$$6, 
         0.4], $CellContext`l[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= \
$CellContext`mean, 0.4], Attributes[PlotRange] = {ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->140682287],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Confidence$$ = 99.995, $CellContext`mean$$ =
     2., $CellContext`periods$$ = 2, $CellContext`variance$$ = 
    1.6500000000000001`, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`Confidence$$], 99.995, "confidence (%)"}, 87, 
      99.995}, {{
       Hold[$CellContext`mean$$], 2.}, 0, 2}, {{
       Hold[$CellContext`variance$$], 1.6500000000000001`}, 0.8, 2, 0.05}, {
      Hold[$CellContext`periods$$], 2, 252, 1}}, Typeset`size$$ = {
    500., {177.5, 182.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`Confidence$317207$$ = 
    0, $CellContext`mean$317208$$ = 0, $CellContext`variance$317209$$ = 
    0, $CellContext`periods$317210$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Confidence$$ = 99.995, $CellContext`mean$$ = 
        2., $CellContext`periods$$ = 2, $CellContext`variance$$ = 
        1.6500000000000001`}, "ControllerVariables" :> {
        Hold[$CellContext`Confidence$$, $CellContext`Confidence$317207$$, 0], 
        Hold[$CellContext`mean$$, $CellContext`mean$317208$$, 0], 
        Hold[$CellContext`variance$$, $CellContext`variance$317209$$, 0], 
        Hold[$CellContext`periods$$, $CellContext`periods$317210$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Text[
          Row[{"data distribution:"}]], 
         Text[
          Row[{"one period Value at Risk: ", $CellContext`mean$$ + Quantile[
               NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
             Sqrt[$CellContext`variance$$]}]], 
         Text[
          
          Row[{"Value at Risk over ", $CellContext`periods$$, 
            " periods: ", $CellContext`mean$$ $CellContext`periods$$ + 
            Sqrt[$CellContext`periods$$] (Quantile[
                NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
              Sqrt[$CellContext`variance$$])}]], 
         Plot[
          Evaluate[{
            $CellContext`f[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`g[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`l[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$]}], {$CellContext`x, -6, 
           6}, PlotStyle -> {{
             RGBColor[0.6, 0.73, 0.36], 
             Directive[
              Thickness[0.01]]}, {
             RGBColor[0.49, 0, 0], 
             Directive[
              Thickness[0.01]]}, {Orange, 
             Directive[
              Thickness[0.005]], Dashed}}, Epilog -> {
            Inset[
             Text[
              Style["Expected loss", 
               RGBColor[0.49, 0, 0], Bold, Medium]], {-5, 0.3}], 
            Inset[
             Text[
              Style["Profit", 
               RGBColor[0.6, 0.73, 0.36], Bold, Medium]], {4, 0.3}], 
            Inset[
             Text[
              Style[
              "VaR", Orange, Bold, 
               Medium]], {($CellContext`mean$$ + $CellContext`mean$$ - 
               Abs[$CellContext`mean$$ + Quantile[
                   NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
                 Sqrt[$CellContext`variance$$]])/2, 0.43}]}, 
          GridLines -> {{$CellContext`mean$$ - 
             Abs[$CellContext`mean$$ + Quantile[
                 NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
               Sqrt[$CellContext`variance$$]], $CellContext`mean$$}, {0}}, 
          GridLinesStyle -> Directive[Orange, Dashed], PlotRange -> {0, 0.5}, 
          Filling -> {{1 -> {Axis, 
               Lighter[
                RGBColor[0.6, 0.73, 0.36]]}}, {2 -> {Axis, 
               Lighter[
                RGBColor[0.49, 0, 0]]}}}, ImageSize -> {500, 300}]}], 
      "Specifications" :> {{{$CellContext`Confidence$$, 99.995, 
          "confidence (%)"}, 87, 99.995, Appearance -> 
         "Labeled"}, {{$CellContext`mean$$, 2.}, 0, 2, Appearance -> 
         "Labeled"}, {{$CellContext`variance$$, 1.6500000000000001`}, 0.8, 2, 
         0.05, Appearance -> "Labeled"}, {$CellContext`periods$$, 2, 252, 1, 
         Appearance -> "Labeled"}}, "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{547., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= 
         8, (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= 
         8, (1/Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], FE`mean$$6 = 0.455, FE`Confidence$$6 = 
       95., FE`variance$$6 = 1., $CellContext`g[
         Pattern[$CellContext`x$, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x$ <= FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]], (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`g[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x <= $CellContext`mean - 
          Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]], (1/
          Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], $CellContext`l[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= FE`mean$$6, 
         0.4], $CellContext`l[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= \
$CellContext`mean, 0.4], Attributes[PlotRange] = {ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->378681529],

Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`Confidence$$ = 87., $CellContext`mean$$ = 
    0.28, $CellContext`periods$$ = 193, $CellContext`variance$$ = 
    0.8500000000000001, Typeset`show$$ = True, Typeset`bookmarkList$$ = {}, 
    Typeset`bookmarkMode$$ = "Menu", Typeset`animator$$, Typeset`animvar$$ = 
    1, Typeset`name$$ = "\"untitled\"", Typeset`specs$$ = {{{
       Hold[$CellContext`Confidence$$], 87., "confidence (%)"}, 87, 99.995}, {{
       Hold[$CellContext`mean$$], 0.28}, 0, 2}, {{
       Hold[$CellContext`variance$$], 0.8500000000000001}, 0.8, 2, 0.05}, {{
       Hold[$CellContext`periods$$], 193}, 2, 252, 1}}, Typeset`size$$ = {
    500., {177.5, 182.5}}, Typeset`update$$ = 0, Typeset`initDone$$, 
    Typeset`skipInitDone$$ = False, $CellContext`Confidence$317277$$ = 
    0, $CellContext`mean$317278$$ = 0, $CellContext`variance$317279$$ = 
    0, $CellContext`periods$317280$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`Confidence$$ = 87., $CellContext`mean$$ = 
        0.28, $CellContext`periods$$ = 193, $CellContext`variance$$ = 
        0.8500000000000001}, "ControllerVariables" :> {
        Hold[$CellContext`Confidence$$, $CellContext`Confidence$317277$$, 0], 
        Hold[$CellContext`mean$$, $CellContext`mean$317278$$, 0], 
        Hold[$CellContext`variance$$, $CellContext`variance$317279$$, 0], 
        Hold[$CellContext`periods$$, $CellContext`periods$317280$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, "Body" :> Column[{
         Text[
          Row[{"data distribution:"}]], 
         Text[
          Row[{"one period Value at Risk: ", $CellContext`mean$$ + Quantile[
               NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
             Sqrt[$CellContext`variance$$]}]], 
         Text[
          
          Row[{"Value at Risk over ", $CellContext`periods$$, 
            " periods: ", $CellContext`mean$$ $CellContext`periods$$ + 
            Sqrt[$CellContext`periods$$] (Quantile[
                NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
              Sqrt[$CellContext`variance$$])}]], 
         Plot[
          Evaluate[{
            $CellContext`f[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`g[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$], 
            $CellContext`l[$CellContext`x, $CellContext`mean$$, \
$CellContext`Confidence$$, $CellContext`variance$$]}], {$CellContext`x, -6, 
           6}, PlotStyle -> {{
             RGBColor[0.6, 0.73, 0.36], 
             Directive[
              Thickness[0.01]]}, {
             RGBColor[0.49, 0, 0], 
             Directive[
              Thickness[0.01]]}, {Orange, 
             Directive[
              Thickness[0.005]], Dashed}}, Epilog -> {
            Inset[
             Text[
              Style["Expected loss", 
               RGBColor[0.49, 0, 0], Bold, Medium]], {-5, 0.3}], 
            Inset[
             Text[
              Style["Profit", 
               RGBColor[0.6, 0.73, 0.36], Bold, Medium]], {4, 0.3}], 
            Inset[
             Text[
              Style[
              "VaR", Orange, Bold, 
               Medium]], {($CellContext`mean$$ + $CellContext`mean$$ - 
               Abs[$CellContext`mean$$ + Quantile[
                   NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
                 Sqrt[$CellContext`variance$$]])/2, 0.43}]}, 
          GridLines -> {{$CellContext`mean$$ - 
             Abs[$CellContext`mean$$ + Quantile[
                 NormalDistribution[0, 1], $CellContext`Confidence$$/100] 
               Sqrt[$CellContext`variance$$]], $CellContext`mean$$}, {0}}, 
          GridLinesStyle -> Directive[Orange, Dashed], PlotRange -> {0, 0.5}, 
          Filling -> {{1 -> {Axis, 
               Lighter[
                RGBColor[0.6, 0.73, 0.36]]}}, {2 -> {Axis, 
               Lighter[
                RGBColor[0.49, 0, 0]]}}}, ImageSize -> {500, 300}]}], 
      "Specifications" :> {{{$CellContext`Confidence$$, 87., 
          "confidence (%)"}, 87, 99.995, Appearance -> 
         "Labeled"}, {{$CellContext`mean$$, 0.28}, 0, 2, Appearance -> 
         "Labeled"}, {{$CellContext`variance$$, 0.8500000000000001}, 0.8, 2, 
         0.05, Appearance -> "Labeled"}, {{$CellContext`periods$$, 193}, 2, 
         252, 1, Appearance -> "Labeled"}}, 
      "Options" :> {TrackedSymbols -> True}, 
      "DefaultOptions" :> {ControllerLinking -> True}],
     ImageSizeCache->{547., {264., 269.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>({$CellContext`f[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= 
         8, (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`f[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= 
         8, (1/Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], FE`mean$$6 = 0.455, FE`Confidence$$6 = 
       95., FE`variance$$6 = 1., $CellContext`g[
         Pattern[$CellContext`x$, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x$ <= FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]], (1/Sqrt[(2 Pi) FE`variance$$6]) 
         Exp[-(($CellContext`x$ - FE`mean$$6)^2/(2 
            FE`variance$$6))]], $CellContext`g[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[-8 <= $CellContext`x <= $CellContext`mean - 
          Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]], (1/
          Sqrt[(2 Pi) $CellContext`variance]) 
         Exp[-(($CellContext`x - $CellContext`mean)^2/(
            2 $CellContext`variance))]], $CellContext`l[
         Pattern[$CellContext`x$, 
          Blank[]]] := Which[FE`mean$$6 - Abs[FE`mean$$6 + Quantile[
              NormalDistribution[0, 1], FE`Confidence$$6/100] 
            Sqrt[FE`variance$$6]] <= $CellContext`x$ <= FE`mean$$6, 
         0.4], $CellContext`l[
         Pattern[$CellContext`x, 
          Blank[]], 
         Pattern[$CellContext`mean, 
          Blank[]], 
         Pattern[$CellContext`Confidence, 
          Blank[]], 
         Pattern[$CellContext`variance, 
          Blank[]]] := 
       Which[$CellContext`mean - Abs[$CellContext`mean + Quantile[
              NormalDistribution[0, 1], $CellContext`Confidence/100] 
            Sqrt[$CellContext`variance]] <= $CellContext`x <= \
$CellContext`mean, 0.4], Attributes[PlotRange] = {ReadProtected}}; 
     Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output",
 CellID->146510355]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "DetailsSection"],

Cell[TextData[StyleBox["Interpretation of VaR",
 FontWeight->"Bold"]], "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.476891865734375*^9, 3.476891865828125*^9}, 
   3.477056584893927*^9, {3.4771562979524307`*^9, 3.4771563068429985`*^9}},
 CellID->292340491],

Cell["\<\
Suppose the VaR over a one-day holding period is 1000 (the VaR is expressed \
as an absolute number amount) at a confidence level of 99%. That means that \
99% of the time (i.e., 99 out of 100 trading days), a maximum loss of 1000 is \
expected once and the second largest loss in 100 days is expected to be no \
more than 1000. For the worst 1% of days the minimum loss of 1000 is expected.\
\>", "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, {3.476891865734375*^9, 3.476891865828125*^9}, 
   3.477056584893927*^9, {3.4771562979524307`*^9, 3.477156425482864*^9}, {
   3.477156456935788*^9, 3.4771565131698027`*^9}, {3.479127106382366*^9, 
   3.4791271066011147`*^9}},
 CellID->802091106],

Cell[TextData[{
 "The VaR for a ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]], "InlineMath"],
 "-long period (e.g. ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]], "InlineMath"],
 " days) is calculated as the product of one period VaR (with mean zero) and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SqrtBox["k"], "+", 
    RowBox[{"k", " ", "\[Mu]"}]}], TraditionalForm]], "InlineMath"],
 ", where ",
 Cell[BoxData[
  FormBox["\[Mu]", TraditionalForm]], "InlineMath"],
 " is the data mean."
}], "DetailNotes",
 CellChangeTimes->{
  3.35696210375764*^9, 3.4768918668125*^9, {3.477056564054844*^9, 
   3.4770565715255904`*^9}, {3.477156545872719*^9, 3.4771566163253927`*^9}},
 CellID->310747199]
}, Open  ]],

Cell[CellGroupData[{

Cell["", "ControlSuggestionsSection"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Resize Images"]}],
  "\"Click inside an image to reveal its orange resize frame.\\nDrag any of \
the orange resize handles to resize the image.\""]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.4770565551459527`*^9},
 FontFamily->"Verdana",
 CellTags->"ResizeImages"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Rotate and Zoom in 3D"]}],
  RowBox[{
   "\"Drag a 3D graphic to rotate it. Starting the drag near the center \
tumbles\\nthe graphic; starting near a corner turns it parallel to the plane \
of the screen.\\nHold down \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" (or \"", 
    FrameBox[
    "Cmd", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" on Mac) and drag up and down to zoom.\""}]]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"RotateAndZoomIn3D"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Drag Locators"]}],
  RowBox[{"\"Drag any locator (\"", 
    GraphicsBox[
     LocatorBox[
      Scaled[{0.5, 0.5}]], ImageSize -> 20], 
    "\", etc.) to move it around.\""}]]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"DragLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Create and Delete Locators"]}],
  RowBox[{"\"Insert a new locator in the graphic by holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key\\nand clicking where you want it to be. Delete a locator by \
clicking it\\nwhile holding down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" key.\""}]]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"CreateAndDeleteLocators"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Slider Zoom"]}],
  RowBox[{"\"Hold down the \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" key while moving a slider to make fine adjustments in the slider \
value.\\nHold \"", 
    FrameBox[
    "Ctrl", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" and/or \"", 
    FrameBox[
    "Shift", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], "\" at the same time as \"", 
    FrameBox[
    "Alt", Background -> GrayLevel[0.9], FrameMargins -> 2, FrameStyle -> 
     GrayLevel[0.9]], 
    "\" to make ever finer adjustments.\""}]]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"SliderZoom"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[True], Cell[" Gamepad Controls"]}],
  "\"Control this Demonstration with a gamepad or other\\nhuman interface \
device connected to your computer.\""]], "ControlSuggestions",
 CellChangeTimes->{3.35696210375764*^9, 3.3895522232313623`*^9, 
  3.477056556346073*^9},
 FontFamily->"Verdana",
 CellTags->"GamepadControls"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Automatic Animation"]}],
  RowBox[{"\"Animate a slider in this Demonstration by clicking the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJzzTSzJSM1NLMlMTlRwL0osyMhMLlZwyy8CCjEzMjAwcIKwAgOI/R/IhBKc\n\
/4EAyGAG0f+nTZsGwgysIJIRKsWKLAXGIHFmEpUgLADxWUAkI24jZs+eTaEt\n\
IG+wQKRmzJgBlYf5lhEA30OqWA=="], "Graphics", ImageSize -> {9, 9}, ImageMargins -> 
      0, CellBaseline -> Baseline], BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"button\\nnext to the slider, and then clicking the play button that \
appears.\\nAnimate all controls by selecting \"", 
    StyleBox["Autorun", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0, CellBaseline -> Baseline], 
     BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}]]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"AutomaticAnimation"],

Cell[BoxData[
 TooltipBox[
  RowBox[{
   CheckboxBox[False], Cell[" Bookmark Animation"]}],
  RowBox[{
   "\"See a prepared animation of this Demonstration by selecting\\n\"", 
    StyleBox["Animate Bookmarks", FontWeight -> "Bold"], "\" from the\"", 
    AdjustmentBox[
     Cell[
      GraphicsData[
      "CompressedBitmap", 
       "eJyNULENwyAQfEySIlMwTVJlCGRFsosokeNtqBmDBagoaZjAI1C8/8GUUUC6\n\
57h7cQ8PvU7Pl17nUav7oj/TPH7V7b2QJAUAXBkKmCPRowxICy64bRvGGNF7\n\
X8CctGoDSN4xhIDGGDhzFXwUh3/ClBKrDQPmnGXtI6u0OOd+tZBVUqy1xSaH\n\
UqiK6pPe4XdEdAz6563tx/gejuORGMxJaz8mdpJn7hc="], "Graphics", 
      ImageSize -> {10, 10}, ImageMargins -> 0, CellBaseline -> Baseline], 
     BoxBaselineShift -> 0.1839080459770115, 
     BoxMargins -> {{0., 0.}, {-0.1839080459770115, 0.1839080459770115}}], 
    "\"menu.\""}]]], "ControlSuggestions",
 FontFamily->"Verdana",
 CellTags->"BookmarkAnimation"]
}, Open  ]],

Cell["", "SearchTermsSection"],

Cell["", "RelatedLinksSection"],

Cell[CellGroupData[{

Cell["", "AuthorSection"],

Cell[TextData[{
 "Contributed by: ",
 ButtonBox["Gergely Nagy",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://demonstrations.wolfram.com/author.html?author=Gergely+Nagy"], 
    None},
  ButtonNote->
   "http://demonstrations.wolfram.com/author.html?author=Gergely+Nagy"]
}], "Author",
 CellChangeTimes->{
  3.35696210375764*^9, {3.432333043774981*^9, 3.432333045441087*^9}, {
   3.476890395109375*^9, 3.47689040028125*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{700, Automatic},
WindowMargins->{{217, Automatic}, {Automatic, 1}},
PrivateNotebookOptions -> {"NotebookAuthor" -> ""},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Demonstration.nb", 
  CharacterEncoding -> "WindowsANSI"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "ResizeImages"->{
  Cell[55757, 1277, 354, 8, 22, "ControlSuggestions",
   CellTags->"ResizeImages"]},
 "RotateAndZoomIn3D"->{
  Cell[56114, 1287, 661, 16, 22, "ControlSuggestions",
   CellTags->"RotateAndZoomIn3D"]},
 "DragLocators"->{
  Cell[56778, 1305, 318, 10, 22, "ControlSuggestions",
   CellTags->"DragLocators"]},
 "CreateAndDeleteLocators"->{
  Cell[57099, 1317, 615, 14, 22, "ControlSuggestions",
   CellTags->"CreateAndDeleteLocators"]},
 "SliderZoom"->{
  Cell[57717, 1333, 827, 21, 22, "ControlSuggestions",
   CellTags->"SliderZoom"]},
 "GamepadControls"->{
  Cell[58547, 1356, 371, 9, 22, "ControlSuggestions",
   CellTags->"GamepadControls"]},
 "AutomaticAnimation"->{
  Cell[58921, 1367, 1442, 30, 22, "ControlSuggestions",
   CellTags->"AutomaticAnimation"]},
 "BookmarkAnimation"->{
  Cell[60366, 1399, 886, 20, 22, "ControlSuggestions",
   CellTags->"BookmarkAnimation"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"ResizeImages", 62281, 1458},
 {"RotateAndZoomIn3D", 62390, 1461},
 {"DragLocators", 62500, 1464},
 {"CreateAndDeleteLocators", 62616, 1467},
 {"SliderZoom", 62730, 1470},
 {"GamepadControls", 62836, 1473},
 {"AutomaticAnimation", 62949, 1476},
 {"BookmarkAnimation", 63066, 1479}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 150, 3, 74, "DemoTitle"],
Cell[CellGroupData[{
Cell[742, 29, 33, 0, 266, "InitializationSection"],
Cell[778, 31, 1245, 37, 72, "Input",
 InitializationCell->True,
 CellID->573379293],
Cell[2026, 70, 1250, 37, 72, "Input",
 InitializationCell->True,
 CellID->202158951],
Cell[3279, 109, 845, 24, 48, "Input",
 InitializationCell->True,
 CellID->182357572]
}, Closed]],
Cell[CellGroupData[{
Cell[4161, 138, 29, 0, 188, "ManipulateSection"],
Cell[CellGroupData[{
Cell[4215, 142, 8427, 202, 628, "Input"],
Cell[12645, 346, 7935, 165, 545, "Output",
 CellID->507988127]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[20629, 517, 36, 0, 166, "ManipulateCaptionSection"],
Cell[20668, 519, 940, 18, 98, "ManipulateCaption"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21645, 542, 28, 0, 168, "ThumbnailSection"],
Cell[21676, 544, 7987, 166, 545, "Output",
 CellID->61994824]
}, Open  ]],
Cell[CellGroupData[{
Cell[29700, 715, 28, 0, 138, "SnapshotsSection"],
Cell[29731, 717, 8046, 166, 545, "Output",
 CellID->140682287],
Cell[37780, 885, 8065, 167, 545, "Output",
 CellID->378681529],
Cell[45848, 1054, 8076, 167, 545, "Output",
 CellID->146510355]
}, Open  ]],
Cell[CellGroupData[{
Cell[53961, 1226, 26, 0, 332, "DetailsSection"],
Cell[53990, 1228, 271, 5, 22, "DetailNotes",
 CellID->292340491],
Cell[54264, 1235, 710, 12, 82, "DetailNotes",
 CellID->802091106],
Cell[54977, 1249, 703, 21, 42, "DetailNotes",
 CellID->310747199]
}, Open  ]],
Cell[CellGroupData[{
Cell[55717, 1275, 37, 0, 120, "ControlSuggestionsSection"],
Cell[55757, 1277, 354, 8, 22, "ControlSuggestions",
 CellTags->"ResizeImages"],
Cell[56114, 1287, 661, 16, 22, "ControlSuggestions",
 CellTags->"RotateAndZoomIn3D"],
Cell[56778, 1305, 318, 10, 22, "ControlSuggestions",
 CellTags->"DragLocators"],
Cell[57099, 1317, 615, 14, 22, "ControlSuggestions",
 CellTags->"CreateAndDeleteLocators"],
Cell[57717, 1333, 827, 21, 22, "ControlSuggestions",
 CellTags->"SliderZoom"],
Cell[58547, 1356, 371, 9, 22, "ControlSuggestions",
 CellTags->"GamepadControls"],
Cell[58921, 1367, 1442, 30, 22, "ControlSuggestions",
 CellTags->"AutomaticAnimation"],
Cell[60366, 1399, 886, 20, 22, "ControlSuggestions",
 CellTags->"BookmarkAnimation"]
}, Open  ]],
Cell[61267, 1422, 30, 0, 152, "SearchTermsSection"],
Cell[61300, 1424, 31, 0, 126, "RelatedLinksSection"],
Cell[CellGroupData[{
Cell[61356, 1428, 25, 0, 124, "AuthorSection"],
Cell[61384, 1430, 435, 12, 22, "Author"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
